package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 
 *
 * @author Zhang Xiaolong created at  2023-03-22 16:04:56
 * @describe  实体类
 */
@Data
@TableName(value = "cabinet_form", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "柜子记录表")
public class CabinetForm extends BaseEntity {

    /**
     * cabinetFormId
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="柜子ID:创建时，不用传入，修改时，需传入柜子ID")
    private String id;

    /**
     * storageRoomFormId
     */
    @ApiModelProperty(value="存储室ID")
    private String storageRoomFormId;

    /**
     * name
     */
    @ApiModelProperty(value="柜子名称")
    private String name;

    /**
     * number
     */
    @ApiModelProperty(value="柜子编号")
    private String number;

    /**
     * specification
     */
    @ApiModelProperty(value="柜子规格:为数字类型")
    private Integer specification;

    /**
     * status
     */
    @ApiModelProperty(value="状态（0：未存满，1：已存满）")
    private Integer status;

    /**
     * picture
     */
    @ApiModelProperty(value="图片路径")
    private String picture;

    /**
     * type
     */
    @ApiModelProperty(value="柜子类型")
    private String type;
}
