package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (集中采购申请)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:04
 * @describe (集中采购申请) 实体类
 */
@Data
@TableName(value = "centralized_request", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "集中采购申请")
public class CentralizedRequest extends BaseEntity {

    /**
     * (编号)
     */
    @ApiModelProperty(value="编号")
    private String number;

    /**
     * (申请人ID)
     */
    @ApiModelProperty(value="申请人ID")
    private String applicantId;

    /**
     * (申请日期)
     */
    @ApiModelProperty(value="申请日期")
    private LocalDateTime dateOfApplication;

    /**
     * 采购计划ID
     */
    @ApiModelProperty(value="采购计划ID")
    private String purchasingPlanId;

    /**
     * (状态)
     */
    @ApiModelProperty(value="状态(0:未提交，1：已提交，2:已审核 3：已被制定采购计划 ,4:已被制定采购清单)")
    private Integer status;

/**
     * (申请人名称)
     */
    @ApiModelProperty(value="申请人名称")
    private String  applicantName;

    private boolean auditResult;

    private String  auditOpinion;

    private String auditId;

    private LocalDateTime auditTime;


    /**
     * centralizedRequestId
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="集中采购申请ID")
    private String id;


}
