package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 分散采购申请明细
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:06
 * @describe 分散采购申请明细 实体类
 */
@Data
@TableName(value = "decentralize_details", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "分散采购申请明细")
public class DecentralizeDetails extends BaseEntity {

    /**
     * (品牌)
     */
    @ApiModelProperty(value="(品牌)")
    private String brand;
    /**
     * (英文名)
     */
    @ApiModelProperty(value="(英文名)")
    private String englishName;

    /**
     * (类别)
     */
    @ApiModelProperty(value="(类别)")
    private String category;

    /**
     * (分散采购申请ID)
     */
    @ApiModelProperty(value="(分散采购申请ID)")
    private String decentralizedRequestId;

    /**
     * 偏差/不确定度
     */
    @ApiModelProperty(value="偏差/不确定度")
    private String deviationOrUncertainty;

    /**
     * decentralizeDetailsId
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="分散采购明细ID")
    private String id;

    /**
     * 包装份数
     */
    @ApiModelProperty(value="包装份数")
    private String packagedCopies;

    /**
     * (数量)
     */
    @ApiModelProperty(value="(数量)")
    private Integer quantity;

    /**
     * (试剂耗材ID)
     */
    @ApiModelProperty(value="(试剂耗材ID)")
    private String reagentConsumableId;

    /**
     * (试剂耗材名称)
     */
    @ApiModelProperty(value="(试剂耗材名称)")
    private String reagentConsumableName;

    /**
     * (种类)
     */
    @ApiModelProperty(value="(种类)")
    private String species;

    /**
     * (规格型号)
     */
    @ApiModelProperty(value="(规格型号)")
    private String specificationAndModel;

    /**
     * (标准值/纯度)
     */
    @ApiModelProperty(value="(标准值/纯度)")
    private String standardValueOrPurity;

    /**
     * (技术参数)
     */
    @ApiModelProperty(value="(技术参数)")
    private String technicalParameter;

    /**
     * 单价
     */
    @ApiModelProperty(value="单价")
    private Double unitPrice;

    /**
     * 别名
     */
    @ApiModelProperty(value="别名")
    private String  alias;

    /**
     * 存储条件
     */
    @ApiModelProperty(value="存储条件")
    private String  storageCondition;


    /**
     * 备注
     */
    @ApiModelProperty(value="备注")

    private String  remarks;
    /**
     * 包装单位
     */
    @ApiModelProperty(value="包装单位")
    private String  minimumUnit;

    /**
     * (用途)
     */
    @ApiModelProperty(value="(用途)")
    private String purpose;


    /**
     * (采购清单明细ID)
     */
    @ApiModelProperty(value="(采购清单明细ID)")
    private String purchaseListDetailsId;


}
