package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (位置信息)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:06
 * @describe (位置信息) 实体类
 */
@Data
@TableName(value = "location_information", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(位置信息)")
public class LocationInformation extends BaseEntity {

    /**
     * (柜子编号)
     */
    @ApiModelProperty(value="(柜子编号)")
    private String cabinetNumber;

    /**
     * (柜子类型)
     */
    @ApiModelProperty(value="(柜子类型)")
    private String cabinetType;

    /**
     * (格子编号)
     */
    @ApiModelProperty(value="(格子编号)")
    private String latticeNumber;

    /**
     * (试剂耗材入库登记表ID)
     */
    @ApiModelProperty(value="(试剂耗材入库登记表ID)")
    private String storageRegistrationFormId;

    /**
     * (存储室号)
     */
    @ApiModelProperty(value="(存储室号)")
    private String storageRoomNumber;

    /**
     * (存储室类型)
     */
    @ApiModelProperty(value="(存储室类型)")
    private String storageRoomType;





    /**
     * locationInformationId
     */
    @TableId(value = "location_information_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="locationInformationId")
    private String locationInformationId;


}
