package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (出库内容)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:06
 * @describe (出库内容) 实体类
 */
@Data
@TableName(value = "outgoing_contents", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(出库内容)")
public class OutgoingContents extends BaseEntity {

    /**
     * (试剂耗材出库登记表ID)
     */
    @ApiModelProperty(value="(试剂耗材出库登记表ID)")
    private String deliveryRegistrationFormId;

    /**
     * (出库用途)
     */
    @ApiModelProperty(value="(出库用途)")
    private Integer outboundUse;

    /**
     * (数量)
     */
    @ApiModelProperty(value="(数量)")
    private Integer quantity;

    /**
     * (试剂耗材ID)
     */
    @ApiModelProperty(value="(试剂耗材ID)")
    private String reagentConsumableId;

    /**
     * (试剂耗材类型)
     */
    @ApiModelProperty(value="(试剂耗材类型)")
    private String reagentConsumableType;

    @ApiModelProperty(value="(备注)")
    private String remarks;

    @ApiModelProperty(value = "(标准物质编号)")
    private String  referenceMaterialNumber;

    @ApiModelProperty(value = "(标准物质ID)")
    private String  referenceMaterialId;

    @ApiModelProperty(value = "(出库编码)")
    private String  code;

    @ApiModelProperty(value = "(批次ID)")
    private String batchDetailsId;


    @ApiModelProperty(value = "(格子Id)")
    private String latticeId;
    @ApiModelProperty(value = "(位置信息)")
    private String location;

    @ApiModelProperty(value="柜子ID")
    private String boxId;
    /**
     * outgoingContentsId
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="id")
    private String id;


}
