package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 
 *
 * @author Zhang Xiaolong created at  2023-03-22 16:03:35
 * @describe  实体类
 */
@Data
@TableName(value = "storage_room_form", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "存储室记录表")
public class StorageRoomForm extends BaseEntity {
    /**
     * 楼层
     */
    @ApiModelProperty(value="楼层")
    private String floor;

 /**
     * humidity
     */
    @ApiModelProperty(value="房间位置")
    private String roomLocation;

    /**
     * picture
     */
    @ApiModelProperty(value="图片路径")
    private String picture;

    /**
     * name
     */
    @ApiModelProperty(value="存储室名称")
    private String name;

    /**
     * storageRoomFormId
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="存储室ID，创建时，无需传入，修改时需传入存储室ID")
    private String id;


}
