package digital.laboratory.platform.reagent.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import digital.laboratory.platform.reagent.entity.ReagentConsumables;
import digital.laboratory.platform.reagent.entity.WarehousingContent;
import digital.laboratory.platform.reagent.mapper.WarehousingContentMapper;
import digital.laboratory.platform.reagent.service.ReagentConsumablesService;
import digital.laboratory.platform.reagent.service.WarehousingBatchListService;
import digital.laboratory.platform.reagent.service.WarehousingContentService;
import digital.laboratory.platform.reagent.vo.WarehousingBatchListVO;
import digital.laboratory.platform.reagent.vo.WarehousingContentVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class WarehousingContentServiceImpl extends ServiceImpl<WarehousingContentMapper, WarehousingContent> implements WarehousingContentService {

    @Autowired
    private WarehousingBatchListService warehousingBatchListService;

    @Autowired
    private ReagentConsumablesService reagentConsumablesService;

    @Override
    public List<WarehousingContentVO> getWarehousingContentVOList(String warehousingRecordFormId) {

        List<WarehousingContentVO> warehousingContentVOList = baseMapper.getWarehousingContentVOList(warehousingRecordFormId);

        for (WarehousingContentVO warehousingContentVO : warehousingContentVOList) {

            List<WarehousingBatchListVO> warehousingBatchListVOList = warehousingBatchListService.getWarehousingBatchListVOList(warehousingContentVO.getId());

            warehousingContentVO.setWarehousingBatchListVOList(warehousingBatchListVOList);

            ReagentConsumables byId = reagentConsumablesService.getById(warehousingContentVO.getReagentConsumableId());

            warehousingContentVO.setCategory(byId.getCategory());
            warehousingContentVO.setBrand(byId.getBrand());
            warehousingContentVO.setSpecificationAndModel(byId.getSpecificationAndModel());
            warehousingContentVO.setStandardValueOrPurity(byId.getStandardValueOrPurity());
            warehousingContentVO.setDeviationOrUncertainty(byId.getDeviationOrUncertainty());
            warehousingContentVO.setUnitPrice(byId.getUnitPrice());

        }
        return warehousingContentVOList;
    }

    @Override
    public IPage<WarehousingContentVO> getWarehousingContentVOPage(Page page, QueryWrapper<WarehousingContent> qw) {

        IPage<WarehousingContentVO> warehousingContentVOPage = baseMapper.getWarehousingContentVOPage(page, qw);

        List<WarehousingContentVO> records = warehousingContentVOPage.getRecords();

        for (WarehousingContentVO record : records) {

            List<WarehousingBatchListVO> warehousingBatchListVOList = warehousingBatchListService.getWarehousingBatchListVOList(record.getId());

            record.setWarehousingBatchListVOList(warehousingBatchListVOList);
        }
        return warehousingContentVOPage;
    }


}
