/*
 Navicat Premium Data Transfer

 Source Server         : localhost_3306
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : localhost:3306
 Source Schema         : dlp_reagent_managment

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 16/05/2023 08:58:39
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for acceptance_record_form
-- ----------------------------
DROP TABLE IF EXISTS `acceptance_record_form`;
CREATE TABLE `acceptance_record_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `acceptance_conclusion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(验收结论)',
  `audit_time_of_three_level` datetime(6) NULL DEFAULT NULL COMMENT '三级审核人审核时间',
  `date_of_acceptance` datetime(6) NULL DEFAULT NULL COMMENT '(验收日期)',
  `audit_opinion_of_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人审核意见',
  `three_level_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人ID',
  `follow_up_treatment` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(后续处理情况)',
  `nonconforming_item` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(不合格项目)',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人审核意见',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `audit_time_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人审核时间',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人审核意见',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '(二级审核人审核日期)',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(二级审核人ID)',
  `audit_result_of_secondary` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材管理员审核结果',
  `audit_result_of_three_level` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核审核结果',
  `audit_result_of_primary` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(一级审核结果)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `the_same_brand_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `bam_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `consistent_quantity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `cq_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `packing_in_good_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `pgc_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `validity_period` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `vp_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `delivery_cycle` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `dc_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(6) NULL DEFAULT NULL,
  `warehousing_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `user_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'user_name',
  `commit_time` datetime(6) NULL DEFAULT NULL,
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(验收记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of acceptance_record_form
-- ----------------------------
INSERT INTO `acceptance_record_form` VALUES ('342DA3AA7935ABBEA51EC12AD1B99FD8', '.45312', '2023-05-15 10:58:45.315000', '2023-05-15 10:58:34.947000', NULL, 'C27B8F582693B93596C21C1586A0845A', '12', '42315', NULL, 'C27B8F582693B93596C21C1586A0845A', '2023-05-15 10:58:38.68', '26B966569ED973FF3B443F0D748337CC', NULL, '2023-05-15 10:58:42.931000', 'C27B8F582693B93596C21C1586A0845A', '1', '1', '1', '2023-05-15 10:58:04.899000', '2023-05-15 10:58:45.327000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '合格', '12', '不合格', '37548312', '不合格', '12345', '合格', '4531', '合格', '3', '649CF5C051DE55F375BB638440FFF37F', 4, NULL, '审核员2', '2023-05-15 10:58:34.947000', '羟考酮');
INSERT INTO `acceptance_record_form` VALUES ('6BEF01FF1BAEBF6EE0E8C942C33E0F74', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2D8BD9AD670C2998B91DEC97C3ABCC1A', NULL, NULL, NULL, '0', '0', '0', '2023-05-15 10:57:46.931000', '2023-05-15 10:57:46.931000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '649CF5C051DE55F375BB638440FFF37F', 0, NULL, NULL, NULL, '哌替啶');
INSERT INTO `acceptance_record_form` VALUES ('E8642954677E6D978DDFCE905DFC10CA', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '971672B361519CA4185A90240F55ECB1', NULL, NULL, NULL, '0', '0', '0', '2023-05-15 10:51:34.458000', '2023-05-15 10:51:34.458000', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '649CF5C051DE55F375BB638440FFF37F', 0, NULL, NULL, NULL, ' 普拉西泮');

-- ----------------------------
-- Table structure for application_for_use
-- ----------------------------
DROP TABLE IF EXISTS `application_for_use`;
CREATE TABLE `application_for_use`  (
  `date_of_collection` datetime(6) NULL DEFAULT NULL COMMENT '(领取日期)',
  `recipient_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人ID)',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `delivery_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `requisition_record_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `claim_code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `IXFK_application_for_use_requisition_record`(`requisition_record_id`) USING BTREE,
  CONSTRAINT `FK_application_for_use_requisition_record` FOREIGN KEY (`requisition_record_id`) REFERENCES `requisition_record` (`requisition_record_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材领用申请表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of application_for_use
-- ----------------------------
INSERT INTO `application_for_use` VALUES ('2023-05-12 17:21:37.433000', 'BC1A096180973C5EA652C9787F5A155A', 1, '0225A3614CEFFD7867953510A200A9F3', 'EB771AC4BD4C381511C4C0705E6C131A', NULL, '748013', '2023-05-12 17:21:29.883000', '2023-05-12 17:21:37.453000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `application_for_use` VALUES ('2023-05-12 10:26:45.968000', '1', 2, '1491BDDFDA56C09BECBB2978876AA227', '5578A1E9FC141E5E0E1F7CB76F1EE05A', NULL, '', '2023-05-12 10:26:45.946000', '2023-05-12 10:27:19.905000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-05-11 16:10:54.397000', '6c847974320c7cb184228d53eea19114', 2, '3EE572F393CD83A70D3BDB73E426D988', 'E65DAE8B17DB38DD9BDF2529FB669170', NULL, '', '2023-05-11 16:10:54.386000', '2023-05-11 16:29:08.779000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114');
INSERT INTO `application_for_use` VALUES ('2023-05-11 17:58:19.390000', '6c847974320c7cb184228d53eea19114', 1, '41FA70FE9F0AEDE13BC18777091CE7C2', '45108304BDDFDFEEE7537ACB127710F2', NULL, '279758', '2023-05-11 17:57:46.729000', '2023-05-11 17:58:19.403000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114');
INSERT INTO `application_for_use` VALUES ('2023-05-13 09:40:33.038000', '1', 2, '462DD6BC9C0E107E7E1F5CD05ABC9FBE', 'A6891512C7C39811CDF3A91BD6C7C182', NULL, '', '2023-05-13 09:40:32.994000', '2023-05-13 09:40:56.547000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-05-15 16:58:38.295000', 'C27B8F582693B93596C21C1586A0845A', 2, '4A01CD839F4DC8BE36A5C8F2311F2F63', '1ED33CC036EBDE709C9D91E822DF71CA', NULL, '', '2023-05-15 16:58:38.267000', '2023-05-15 17:09:05.862000', 'C27B8F582693B93596C21C1586A0845A', '1');
INSERT INTO `application_for_use` VALUES ('2023-05-15 16:10:24.975000', 'C27B8F582693B93596C21C1586A0845A', 2, '51FC6091709BEF63100BC90F508FB337', '133EFAFC53DB6A3D142433BB0BF775F7', NULL, '', '2023-05-15 16:10:24.958000', '2023-05-15 16:10:41.272000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A');
INSERT INTO `application_for_use` VALUES ('2023-05-13 16:05:02.219000', 'C27B8F582693B93596C21C1586A0845A', 2, '52D4D2F9753265F78936AFC185B86A26', '422BA499561AFCBF485A45DE02DE2D00', NULL, '', '2023-05-13 16:05:02.184000', '2023-05-13 16:05:20.033000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A');
INSERT INTO `application_for_use` VALUES ('2023-05-13 09:27:15.107000', '1', 2, '5C898D3CB375FBC5FC60890406FE7EF5', '0695739E3372DB1FB66155F41DF1F9E2', NULL, '', '2023-05-13 09:27:15.095000', '2023-05-13 09:27:44.271000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-05-11 15:17:28.116000', '1', 2, '5D1C39F4493AB64DC293D4C72FC88B26', '7280FF238F695156CE8268F6F49429F4', NULL, '', '2023-05-11 15:17:28.095000', '2023-05-11 15:18:53.768000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-05-13 16:19:54.024000', 'C27B8F582693B93596C21C1586A0845A', 2, '60A20A3713AF71111ECB6A61DB1A29E5', '2B2E46B4AB30B592F6E3B25E46FD5E22', NULL, '', '2023-05-13 16:19:54.014000', '2023-05-13 16:20:11.272000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A');
INSERT INTO `application_for_use` VALUES ('2023-05-10 15:18:43.236000', '1', 2, '7BFC9C63A874936DF45C45B93E2FB0A5', '33F65CF4427D951FB3CDE66B735370CB', NULL, '', '2023-05-10 15:18:43.218000', '2023-05-10 15:19:18.188000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-05-13 11:13:23.668000', '1', 2, '7F6A56332DC360D0DF24CEA40AF43929', 'EF0119E13866D05CBF70D387AE2C25D2', NULL, '', '2023-05-13 11:13:23.659000', '2023-05-13 11:13:40.635000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-05-11 17:53:25.528000', '6c847974320c7cb184228d53eea19114', 2, '7FACDF162B114F5614A53DEC18535286', 'A489637811FED2672456519C37A43BE3', NULL, '', '2023-05-11 17:53:23.505000', '2023-05-11 18:07:20.478000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114');
INSERT INTO `application_for_use` VALUES ('2023-05-13 16:31:42.754000', 'C27B8F582693B93596C21C1586A0845A', 2, 'A422ECE0A865F0A1FF9122379DA69A21', 'B98317C67EA3A96CB79E57B982040AC9', NULL, '', '2023-05-13 16:31:42.744000', '2023-05-13 16:31:59.292000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A');
INSERT INTO `application_for_use` VALUES ('2023-05-13 16:27:05.645000', 'C27B8F582693B93596C21C1586A0845A', 2, 'AB9D10EA941D01BDEE776C5F7AA29F04', '178C39EC6985FFECD0BFF91688399614', NULL, '', '2023-05-13 16:27:05.628000', '2023-05-13 16:27:22.721000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A');
INSERT INTO `application_for_use` VALUES ('2023-05-11 16:00:26.335000', '1', 2, 'ABE542BE4D772507D65174A2C1D88985', '5FE8C13BEB8CC91DF516CBC605B581BE', NULL, '', '2023-05-11 16:00:26.323000', '2023-05-11 16:00:43.762000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-05-13 12:05:24.129000', '1', 2, 'B3B02094E4CD61DB24704E5562EE12FC', 'AE372BF5FAC1A6688BF03D8EC245D5CA', NULL, '', '2023-05-13 12:05:24.114000', '2023-05-13 12:05:47.075000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-05-15 17:17:53.399000', '1', 1, 'B8B95E32FDA1089904E7C9E8ED65BBE1', 'C5285DF7D59615771102B37FE875C4A4', NULL, '322924', '2023-05-15 17:17:53.389000', '2023-05-15 17:17:53.407000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-05-11 16:07:09.832000', '6c847974320c7cb184228d53eea19114', 2, 'BF8ADD37A5C6081810250E698068B73E', '11CC809837E6BBBEE5E4BCEDA0D9B921', NULL, '', '2023-05-11 16:07:09.817000', '2023-05-15 16:53:25.429000', '6c847974320c7cb184228d53eea19114', 'C27B8F582693B93596C21C1586A0845A');
INSERT INTO `application_for_use` VALUES ('2023-05-15 17:23:31.000000', '1', 2, 'BF9C1666F0984E3F402D13418200AC5B', 'ABD0EEA9CF397174A7D9F3A3715465F2', NULL, '', '2023-05-15 17:23:30.988000', '2023-05-15 17:24:23.922000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-05-15 16:14:56.785000', 'C27B8F582693B93596C21C1586A0845A', 2, 'D28EA59421367DD86A0DF29471BDC940', '590E678EF6A6C5935D025042488082EB', NULL, '', '2023-05-15 16:14:56.775000', '2023-05-15 16:15:23.823000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A');
INSERT INTO `application_for_use` VALUES ('2023-05-11 10:47:50.283000', 'BC1A096180973C5EA652C9787F5A155A', 1, 'D59819E796BF3D836CC1AD55B4A52FDF', '32A4E35E1FA846E53F9BAEB429AE7732', NULL, '085405', '2023-05-11 10:47:50.261000', '2023-05-11 10:47:50.305000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `application_for_use` VALUES ('2023-05-13 12:04:41.450000', '1', 2, 'E00DFE2E3B4974525BED94EE0BAC51D0', '037270AF900764595DCB7C0535A4EF4B', NULL, '', '2023-05-13 12:04:41.434000', '2023-05-13 12:04:58.251000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-05-15 16:11:37.221000', 'C27B8F582693B93596C21C1586A0845A', 1, 'F4E473977EBB6EF7858D086C6056F578', '6D165AE38D831106566911F1251376B0', NULL, '236831', '2023-05-15 16:11:37.194000', '2023-05-15 16:11:37.231000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A');
INSERT INTO `application_for_use` VALUES ('2023-05-11 16:09:03.081000', '1', 2, 'FEBA755539D0331A098D9B3B005CB1C8', '684D9271EAA6490C32A6441D35FFA913', NULL, '', '2023-05-11 16:09:03.071000', '2023-05-11 16:09:26.300000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-05-13 11:12:00.889000', '1', 2, 'FF94557253987C9CA93FF1E5100103A3', '9585DEDB3FF2ED5BCA9AE622C4C97BEA', NULL, '', '2023-05-13 11:12:00.873000', '2023-05-13 11:12:20.129000', '1', '1');

-- ----------------------------
-- Table structure for batch_details
-- ----------------------------
DROP TABLE IF EXISTS `batch_details`;
CREATE TABLE `batch_details`  (
  `batch` int(6) NULL DEFAULT NULL COMMENT '(批次)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `compliance_test_situation` tinyint(5) NULL DEFAULT NULL COMMENT '(符合性检验情况)',
  `date_of_last_check` datetime(6) NULL DEFAULT NULL COMMENT '(上次期间核查日期)',
  `date_of_production` datetime(6) NULL DEFAULT NULL COMMENT '(生产日期)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `expiration_date` datetime(6) NULL DEFAULT NULL COMMENT '(有效日期)',
  `fixed_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值结果)',
  `purchase_time` datetime(6) NULL DEFAULT NULL COMMENT '(购置时间)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_inventory_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材库存ID)',
  `service_status` int(11) NULL DEFAULT NULL COMMENT '(使用状态)',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `batch_details_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `number` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `lattice_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `limit_date` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`batch_details_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '批次明细' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of batch_details
-- ----------------------------
INSERT INTO `batch_details` VALUES (2, '0002', NULL, NULL, '2023-05-01 00:00:00.000000', NULL, '2023-05-31 00:00:00.000000', NULL, '2023-05-13 16:31:09.449000', 36, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', 1, '649CF5C051DE55F375BB638440FFF37F', '2023-05-13 16:31:09.546000', '2023-05-15 17:43:42.303000', 'C27B8F582693B93596C21C1586A0845A', '1', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', NULL, '1', '12', '6');
INSERT INTO `batch_details` VALUES (1, '012010', NULL, NULL, '2023-05-08 00:00:00.000000', NULL, '2023-05-09 00:00:00.000000', NULL, '2023-05-15 10:58:04.891000', 5, '216508C3DEC54A080623DC1105E0EAAC', 1, '649CF5C051DE55F375BB638440FFF37F', '2023-05-15 10:58:04.896000', '2023-05-15 10:58:04.896000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2A6277F3EF3D722B9F1FB02E83B0C618', NULL, '2c6d956fbceb2866f4094febe431a369', 'F6_621_2号柜_E4', '12');
INSERT INTO `batch_details` VALUES (1, '1111', NULL, NULL, '2023-05-08 00:00:00.000000', NULL, '2023-05-09 00:00:00.000000', NULL, '2023-05-15 10:51:34.309000', 48, '47891E9499CB22601318EEF40AE7FB8D', 1, '649CF5C051DE55F375BB638440FFF37F', '2023-05-15 10:51:34.451000', '2023-05-15 10:51:34.451000', '1', '1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', NULL, '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', '12');
INSERT INTO `batch_details` VALUES (1, '11111', NULL, NULL, '2023-05-03 00:00:00.000000', NULL, '2023-05-16 00:00:00.000000', NULL, '2023-05-15 10:57:46.926000', 2, '7C002123244980DA1F99E7636352779A', 1, '649CF5C051DE55F375BB638440FFF37F', '2023-05-15 10:57:46.928000', '2023-05-15 10:57:46.928000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '5131956A2CE712638CD62F76F9E6158B', NULL, '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', '12');
INSERT INTO `batch_details` VALUES (1, '65', NULL, NULL, '2023-05-09 00:00:00.000000', NULL, '2023-05-16 00:00:00.000000', NULL, '2023-05-15 10:33:44.698000', 6673, '1E5A7EC8A7E1A81750F8E68E5CE3452B', 1, 'A4256ADFAEFF1A8B11EEFDFE7BA653CA', '2023-05-15 10:33:44.701000', '2023-05-15 17:24:23.927000', '6c847974320c7cb184228d53eea19114', '1', '68BD27AB36C454A9C0C3FDDD9381AEDF', NULL, 'd8a026f8f3e1b3c5189f535a89e51d04', 'F6_621_2号柜_A2', '56');
INSERT INTO `batch_details` VALUES (1, '002', NULL, NULL, '2023-05-08 00:00:00.000000', NULL, NULL, NULL, '2023-05-10 14:48:31.915000', 0, '997AF1A473DC32FA9F4E68B4A5F72A10', -1, '649CF5C051DE55F375BB638440FFF37F', '2023-05-10 14:48:31.916000', '2023-05-11 15:18:53.785000', '1', '1', '6DB8CF7672FD57A6B8FE6F21B7561DD6', NULL, '1', '二楼', '12');
INSERT INTO `batch_details` VALUES (1, '003', NULL, NULL, '2023-05-07 00:00:00.000000', NULL, NULL, NULL, '2023-05-10 14:48:31.920000', 0, '9B39FE9E9E10527EA74507D9AE5E3DEA', -1, '72E82118AA58CFE3EB4D400C253F512E', '2023-05-10 14:48:31.930000', '2023-05-15 17:43:11.298000', '1', '1', '7DC372AACEC1B8C741A3BB452CE1AA67', NULL, '1', '三楼', '12');
INSERT INTO `batch_details` VALUES (1, '004', NULL, NULL, '2023-05-02 00:00:00.000000', NULL, NULL, NULL, '2023-05-10 14:48:31.934000', 0, '290E3DC20DAC606DE18A6A2E004EA44C', -1, '649CF5C051DE55F375BB638440FFF37F', '2023-05-10 14:48:31.934000', '2023-05-10 15:19:18.198000', '1', '1', '8776A241CD8084B4C8EEA7068BBA7205', NULL, '1', '五楼', '12');
INSERT INTO `batch_details` VALUES (1, '006', NULL, NULL, '2023-05-10 00:00:00.000000', NULL, NULL, NULL, '2023-05-10 14:48:31.943000', 3, 'A0D66B8AD034BDB5DEF21A4544E06D83', 1, '80FA0C44E3A2846331CAD918A2D90F2D', '2023-05-10 14:48:31.964000', '2023-05-15 11:29:28.287000', '1', '6c847974320c7cb184228d53eea19114', 'A3BE86455A0A0D8D9D69618DB4239369', NULL, '1', '七楼', '12');
INSERT INTO `batch_details` VALUES (1, '10120', NULL, NULL, '2023-05-01 00:00:00.000000', NULL, NULL, NULL, '2023-05-10 15:10:53.684000', 0, 'B909A5B5DB94B746EE6E258BF97354A1', -1, '649CF5C051DE55F375BB638440FFF37F', '2023-05-10 15:10:53.692000', '2023-05-11 16:00:43.771000', '1', '1', 'ABCAF1880FFBEF9A0CFC2E345EF7128A', NULL, '1', '1', '2');
INSERT INTO `batch_details` VALUES (1, '00001', NULL, NULL, '2023-05-09 00:00:00.000000', NULL, '2023-05-09 00:00:00.000000', NULL, '2023-05-13 16:02:09.866000', 36, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', 1, '649CF5C051DE55F375BB638440FFF37F', '2023-05-13 16:02:10.010000', '2023-05-13 16:27:43.090000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'BF5A853229F3E680408C74CB43A4A5D3', NULL, '1', '1111', '12');
INSERT INTO `batch_details` VALUES (1, '005', NULL, NULL, '2023-05-14 00:00:00.000000', NULL, NULL, NULL, '2023-05-10 14:48:31.938000', 0, 'B909A5B5DB94B746EE6E258BF97354A1', -1, '72E82118AA58CFE3EB4D400C253F512E', '2023-05-10 14:48:31.939000', '2023-05-11 15:18:53.802000', '1', '1', 'C6C1CFFEB37F92411E6393AF396A67C4', NULL, '1', '三楼', '12');
INSERT INTO `batch_details` VALUES (2, '54', NULL, NULL, '2023-05-08 00:00:00.000000', NULL, '2023-05-16 00:00:00.000000', NULL, '2023-05-15 10:33:44.706000', 1998, '1E5A7EC8A7E1A81750F8E68E5CE3452B', 1, 'A4256ADFAEFF1A8B11EEFDFE7BA653CA', '2023-05-15 10:33:44.709000', '2023-05-15 10:33:44.709000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 'D17EA2DBDFAF63C38E407E1100792261', NULL, '62101ad1aceffaaee57006a381d9cad2', 'F6_621_2号柜_A1', '54');
INSERT INTO `batch_details` VALUES (1, '001', NULL, NULL, '2023-05-01 00:00:00.000000', NULL, NULL, NULL, '2023-05-10 14:47:00.312000', 2, 'C77CE31D48ECDA021CC59E270B3A645F', 1, '80FA0C44E3A2846331CAD918A2D90F2D', '2023-05-10 14:47:00.336000', '2023-05-13 12:05:47.081000', '1', '1', 'DB585C3C4506713CD1E20ABE5CEF0CB2', NULL, '1', '一楼', '2');

-- ----------------------------
-- Table structure for blacklist
-- ----------------------------
DROP TABLE IF EXISTS `blacklist`;
CREATE TABLE `blacklist`  (
  `reagent_consumable_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `results_of_compliance_check` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(符合性检查结果)',
  `supplier_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `blacklist_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `compliance_check_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`blacklist_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材黑名单)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of blacklist
-- ----------------------------
INSERT INTO `blacklist` VALUES ('8C057A697826732F6510CDC2A691B4D5', '0', '72E82118AA58CFE3EB4D400C253F512E', '202305111103129341656495142984429570', NULL, '2023-05-11 11:03:12.936000', '2023-05-11 11:03:12.936000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A');
INSERT INTO `blacklist` VALUES ('28613635426554046F0B12D7121A5AAB', '0', '72E82118AA58CFE3EB4D400C253F512E', '202305111103308851656495218267992065', NULL, '2023-05-11 11:03:30.885000', '2023-05-11 11:03:30.885000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `blacklist` VALUES ('8C057A697826732F6510CDC2A691B4D5', '0', '649CF5C051DE55F375BB638440FFF37F', '202305111155190571656508254894661633', NULL, '2023-05-11 11:55:19.059000', '2023-05-11 11:55:19.059000', '1', '1');
INSERT INTO `blacklist` VALUES ('EEB461F1E10CE14AD6E7E0247844053A', '0', '649CF5C051DE55F375BB638440FFF37F', '202305111404052991656540661102325762', NULL, '2023-05-11 14:04:05.312000', '2023-05-11 14:04:05.312000', '1', '1');
INSERT INTO `blacklist` VALUES ('28613635426554046F0B12D7121A5AAB', '0', '72E82118AA58CFE3EB4D400C253F512E', '202305111610000741656572348125388801', NULL, '2023-05-11 16:10:00.076000', '2023-05-11 16:10:00.076000', '1', '1');
INSERT INTO `blacklist` VALUES ('6D9807222F22E3675247B2CFCD5344A5', NULL, '80FA0C44E3A2846331CAD918A2D90F2D', '202305121442010691656912594243362818', NULL, '2023-05-12 14:42:01.084000', '2023-05-12 14:42:01.084000', '1', '1');
INSERT INTO `blacklist` VALUES ('AF8CBA871FC396CABEF48E8D2E6063BD', NULL, '649CF5C051DE55F375BB638440FFF37F', '202305121501407511656917542184079361', NULL, '2023-05-12 15:01:40.754000', '2023-05-12 15:01:40.754000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A');
INSERT INTO `blacklist` VALUES ('BCF7C4C229BD2CF0BA2576FBCA3F3633', '0', '649CF5C051DE55F375BB638440FFF37F', '202305131617440211657299069791354882', NULL, '2023-05-13 16:17:44.023000', '2023-05-13 16:17:44.023000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A');
INSERT INTO `blacklist` VALUES ('26B966569ED973FF3B443F0D748337CC', NULL, '649CF5C051DE55F375BB638440FFF37F', '202305151058453181657943571983970305', NULL, '2023-05-15 10:58:45.320000', '2023-05-15 10:58:45.320000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A');

-- ----------------------------
-- Table structure for cabinet_form
-- ----------------------------
DROP TABLE IF EXISTS `cabinet_form`;
CREATE TABLE `cabinet_form`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `storage_room_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `specification` int(255) NULL DEFAULT NULL,
  `status` int(6) NULL DEFAULT NULL,
  `picture` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of cabinet_form
-- ----------------------------
INSERT INTO `cabinet_form` VALUES ('1', '1', '测试柜', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for catalogue_details
-- ----------------------------
DROP TABLE IF EXISTS `catalogue_details`;
CREATE TABLE `catalogue_details`  (
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装份数',
  `purchase_catalogue_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购目录ID',
  `purchase_catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购目录编号)',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(种类)',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '单价',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `catalogue_details_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '别名',
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存储条件',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注\r\n',
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `cas_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`catalogue_details_id`) USING BTREE,
  INDEX `IXFK_catalogue_details_purchase_catalogue`(`purchase_catalogue_id`) USING BTREE,
  CONSTRAINT `FK_catalogue_details_purchase_catalogue` FOREIGN KEY (`purchase_catalogue_id`) REFERENCES `purchase_catalogue` (`purchase_catalogue_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购目录明细)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of catalogue_details
-- ----------------------------
INSERT INTO `catalogue_details` VALUES ('bd', '标准物质', NULL, '434', '59B41C115F9906393320FE4D5760053A', NULL, '冰毒2', '一般标准物质', 'bd', '65%', 0000434.00, '2023-04-18 10:42:48.578000', '2023-04-18 10:42:48.578000', '1', '1', '008412a04bcc21b9d66d19563eccbacd', 'db', NULL, 'bd', '冷藏贮存', NULL, '盒', NULL);
INSERT INTO `catalogue_details` VALUES ('yyy', '标准物质', NULL, '45', '564E236AFA6BA1EF7E9C28F927BFB13D', NULL, '摇头丸4', '一般标准物质', 'yyy', '67%', 0000545.00, '2023-04-18 10:22:55.589000', '2023-04-18 10:22:55.589000', '1', '1', '01193a55aafa6c75519460937a92cfff', 'yyy', NULL, 'yyy', '常规贮存', NULL, '盒', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '24', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-24', ' 普拉西泮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '23.99', 0001200.00, '2023-05-13 15:23:42.540000', '2023-05-13 15:24:03.064000', '1', '1', '01F756C8004DA77DBEB0454BB0F6F6FB', 'xxx', '971672B361519CA4185A90240F55ECB1', '毒品', '常规贮存', '天津一方代理', '瓶', '2955-38-6');
INSERT INTO `catalogue_details` VALUES ('小米', '标准物质', '0.5', '1', 'F0E0C037E99B77A00FBBCBF05EF6E2A6', '2', '氯胺酮', '一般标准物质', '50x50', '99%', 0001555.00, '2023-04-26 17:29:45.033000', '2023-04-26 17:31:55.940000', '1', '1', '02EDB97085E8E7179B0FF25AEDDAD35E', 'ketamine', '23C62823622E0022DD0E1CC729473C81', '氯胺酮', '冷藏贮存', '无', '支', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '9', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-9', '哌醋甲酯', '一般标准物质', '1mL,1.0mg/mL', '8.99', 0001200.00, '2023-05-13 15:23:42.536000', '2023-05-13 15:24:03.068000', '1', '1', '031DC7844BBEB2258127352A6E9B4E37', 'iii', '8C4AE6AA84FCAA79D05EC13A5DACE9C5', '毒品', '常规贮存', '天津一方代理', '瓶', '298-59-9');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '12', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-12', '地佐辛', '一般标准物质', '100ug/ml，1ml', '11.99', 0002000.00, '2023-05-13 15:56:07.196000', '2023-05-13 15:56:07.196000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '031F35649E4E5863BF9F4A9B6C8B31E6', 'lll', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '53648-55-8');
INSERT INTO `catalogue_details` VALUES ('火星', '耗材', NULL, '5435', '8F90372905B8A889BEE96D8E3644DAAC', '6', '冰毒11', '一般耗材', 's34', '87%', 0000045.00, '2023-05-10 14:56:32.500000', '2023-05-10 14:56:32.500000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', '03BB766119D8B92B7BAE7F558AAECDE0', 'mlkl', NULL, '434', '常规贮存', NULL, '箱', NULL);
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '14', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-14', '甲基胺酮', '一般标准物质', '25mg', '13.99', 0002231.00, '2023-05-13 15:56:07.196000', '2023-05-13 15:56:07.196000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '0460882347013BBFF3A66B245CC53581', 'nnn', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '1022-13-5');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '38', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-38', '7-氨基硝西泮', '一般标准物质', '1mL,1.0 mg/mL于乙腈', '37.99', 0003090.00, '2023-05-13 15:56:34.514000', '2023-05-13 15:57:16.758000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '048970C29D54117FF8D62DDE3D8FEEBD', 'gafh', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '毒品', '常规贮存', '天津一方代理', '瓶', '4928-02-3');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '15', 'B481FE1A165245304A78B12226C3019E', '2023-15', 'MDA-19', '一般标准物质', '10mg', '14.99', 0001960.00, '2023-05-13 15:28:49.960000', '2023-05-13 15:28:49.960000', '1', '1', '066B2F54A9E44AA8059CDD11B6262069', 'ooo', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '1048973-47-2');
INSERT INTO `catalogue_details` VALUES ('ChromaDex', '标准物质', NULL, '3', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-3', '咖啡因', '一般标准物质', '100mg', '2.99', 0001500.00, '2023-05-13 15:30:11.281000', '2023-05-13 15:31:04.251000', '1', '1', '06C98F5C883F6AF726A1B200AA57C051', 'ccc', 'AE3EDA95FFE9A3A7166E105EFDD8B14D', '毒品', '常规贮存', '天津一方代理', '瓶', '58-08-2');
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', NULL, '6', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-6', '地芬诺酯', '一般标准物质', '100μg/mL, 1mL', '5.99', 0001400.00, '2023-05-13 15:56:34.510000', '2023-05-13 15:57:16.761000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '06E1C256E44902B5C6B20969D9D9D358', 'fff', '7CF9474700C8F33CD7485C2EF1DA6450', '毒品', '常规贮存', '天津一方代理', '瓶', '3810-80-8');
INSERT INTO `catalogue_details` VALUES ('da', '标准物质', NULL, '54', '8F90372905B8A889BEE96D8E3644DAAC', '3', '大麻3', '一般标准物质', 'ma', '76%', 0000045.00, '2023-05-10 14:56:32.500000', '2023-05-10 14:56:32.500000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', '072BCEDE93BB0197FAEF204C2023F160', 'ma', '68D2DBC2AF35C0CEB4E67B6B2977AD61', 'ma', '常规贮存', NULL, '盒', NULL);
INSERT INTO `catalogue_details` VALUES ('Dr.E', '标准物质', NULL, '43', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-43', '甲基对硫磷-d6', '一般标准物质', '25mg', '42.99', 0004734.00, '2023-05-13 15:56:07.202000', '2023-05-13 15:56:07.202000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '0880E752DE0CDAF31E2DDF54F06D4838', 'afdh5', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '96740-32-8');
INSERT INTO `catalogue_details` VALUES ('22', '试剂', NULL, '22', '59B41C115F9906393320FE4D5760053A', '1', '222', '酒精', '22', '22', 0000022.00, '2023-04-18 09:49:33.037000', '2023-04-18 09:49:33.037000', '1', '1', '08C43B71952B63AB20EC2B47CE2F66F1', '22', NULL, '22', '常规贮存', '222', '盒', NULL);
INSERT INTO `catalogue_details` VALUES ('Panphy', '标准物质', NULL, '22', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-22', '美乐托宁', '一般标准物质', '100mg', '21.99', 0000464.00, '2023-05-13 15:23:42.539000', '2023-05-13 15:24:03.070000', '1', '1', '0932E776E45CAE94126DDD79C9342B56', 'vvv', '736B04BD564B82ED90AFAD0BC4B27E5F', '毒品', '常规贮存', '天津一方代理', '瓶', '73-31-4');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '30', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-30', '泰尔登', '一般标准物质', '50mg', '29.99', 0000242.00, '2023-05-13 15:56:34.512000', '2023-05-13 15:57:16.762000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '0AFB509A50FB88A479189CF271D2E635', 'asf', '9797092169D992186111E5C70522727C', '毒品', '常规贮存', '天津一方代理', '瓶', '113-59-7');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '13', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-13', '替来他明', '一般标准物质', '250mg', '12.99', 0003115.00, '2023-05-13 15:23:42.537000', '2023-05-13 15:24:03.071000', '1', '1', '0B107A9207BCCA78E802BE8E0FF68B98', 'mmm', 'DBA41D40C74895CAAAA5AD150412C099', '毒品', '常规贮存', '天津一方代理', '瓶', '14176-50-2');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '27', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-27', '去甲氯氮平', '一般标准物质', '20mg', '26.99', 0001189.00, '2023-05-13 15:23:42.540000', '2023-05-13 15:24:03.072000', '1', '1', '0BD66BF98DE103876F1C2E60979C3B22', 'asd', 'B45A400F132142C0F782EC66EA7C8C6A', '毒品', '常规贮存', '天津一方代理', '瓶', '6104-71-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '7', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-7', '安眠酮（甲喹酮）', '一般标准物质', '1mL,1.0mg/mL于甲醇', '6.99', 0001200.00, '2023-05-13 15:30:11.283000', '2023-05-13 15:31:04.256000', '1', '1', '0DCA96484677E51BE7C2D6FDF0419713', 'ggg', 'F235BCA6F3EC8573B506985CC86D1389', '毒品', '常规贮存', '天津一方代理', '瓶', '72-44-6');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '33', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-33', '右美托咪定', '一般标准物质', '100mg', '32.99', 0000706.00, '2023-05-13 15:30:11.288000', '2023-05-13 15:31:04.259000', '1', '1', '0E505695842E4C071EAB8F8C151B995D', 'fhd', '5700EEBC490308861E98CDFC1780C815', '毒品', '常规贮存', '天津一方代理', '瓶', '145108-58-3');
INSERT INTO `catalogue_details` VALUES ('天润', '试剂', '', '20', 'C36754AF0ECCE3A098669C5D69297F8F', '4', '乙醇', '酒精', '1x1', '99%', 0000150.00, '2023-05-09 14:07:45.336000', '2023-05-09 14:08:18.372000', '1', '1', '0EB44FDE681407725AE12C4462E26F49', 'alcohol', '8C057A697826732F6510CDC2A691B4D5', '乙醇', '常规贮存', '1', '箱', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '25', 'B481FE1A165245304A78B12226C3019E', '2023-25', '喷他咗欣', '一般标准物质', '1mL,1.0mg/mL于甲醇', '24.99', 0001200.00, '2023-05-13 15:28:49.963000', '2023-05-13 15:28:49.963000', '1', '1', '0F905FA7CF0A4903951D24C9E733FC5E', 'yyy', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '359-83-1');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '33', 'B481FE1A165245304A78B12226C3019E', '2023-33', '右美托咪定', '一般标准物质', '100mg', '32.99', 0000706.00, '2023-05-13 15:28:49.965000', '2023-05-13 15:28:49.965000', '1', '1', '10F43F95E4353BA67BF9880AA5A773AB', 'fhd', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '145108-58-3');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '27', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-27', '去甲氯氮平', '一般标准物质', '20mg', '26.99', 0001189.00, '2023-05-13 15:30:11.286000', '2023-05-13 15:31:04.260000', '1', '1', '129003E9671C48E82A88A5E579B55C13', 'asd', '1E76264E2B0FA1CEBF7E09470794DE9F', '毒品', '常规贮存', '天津一方代理', '瓶', '6104-71-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '37', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-37', '7-氨基氟硝西泮', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '36.99', 0003090.00, '2023-05-13 15:56:34.513000', '2023-05-13 15:57:16.764000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '1358C8A1D69147A706FB204CF62430D8', 'gfj', '020EDCF9DAEE04B2120C80D6E4DFD094', '毒品', '常规贮存', '天津一方代理', '瓶', '34084-50-9');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '29', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-29', '司普替林', '一般标准物质', '20mg', '28.99', 0002360.00, '2023-05-13 15:56:34.512000', '2023-05-13 15:57:16.765000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '14E6CFF52A4A07F6404CBE566425D7B4', 'afsf', '79DC391F83AF39920B061D00C1366709', '毒品', '常规贮存', '天津一方代理', '瓶', '546-43-0');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '24', 'B481FE1A165245304A78B12226C3019E', '2023-24', ' 普拉西泮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '23.99', 0001200.00, '2023-05-13 15:28:49.963000', '2023-05-13 15:28:49.963000', '1', '1', '153A68E09760BEC00BE1324390BEEB96', 'xxx', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '2955-38-6');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '34', 'B481FE1A165245304A78B12226C3019E', '2023-34', '扎来普隆', '一般标准物质', '100mg', '33.99', 0005172.00, '2023-05-13 15:28:49.965000', '2023-05-13 15:28:49.965000', '1', '1', '15EED4D056D42EA24F14F18A633868BC', 'ha', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '151319-34-5');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '25', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-25', '喷他咗欣', '一般标准物质', '1mL,1.0mg/mL于甲醇', '24.99', 0001200.00, '2023-05-13 15:23:42.540000', '2023-05-13 15:24:03.073000', '1', '1', '168D2B6FAA3A8533E9755CA47B70500D', 'yyy', '24F18323D470D14B6AAB431A3577195A', '毒品', '常规贮存', '天津一方代理', '瓶', '359-83-1');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '1', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-1', '曲马多', '一般标准物质', '10mg', '0.99', 0004800.00, '2023-05-13 15:30:11.281000', '2023-05-13 15:31:04.262000', '1', '1', '170AB3EEE738359D94BCA3F807841C1F', 'aaa', 'B0269C79B25EEFAF1D6EC11CBC525A69', '毒品', '常规贮存', '天津一方代理', '瓶', '36282-47-0');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '35', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-35', '2-氯地西泮', '一般标准物质', '1mL,1mg/mL于乙腈', '34.99', 0003180.00, '2023-05-13 15:56:07.201000', '2023-05-13 15:56:07.201000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '1A72439A5C30AB95AE9F604EA77BC965', 'afdh', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '2894-68-0');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '25', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-25', '喷他咗欣', '一般标准物质', '1mL,1.0mg/mL于甲醇', '24.99', 0001200.00, '2023-05-13 15:56:07.198000', '2023-05-13 15:56:07.198000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '1ADA045C921EA9F63BC9F919A7D579D7', 'yyy', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '359-83-1');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '11', 'B481FE1A165245304A78B12226C3019E', '2023-11', '对甲氧基甲基苯丙胺', '一般标准物质', '1mL,1.0mg/mL于甲醇', '10.99', 0001800.00, '2023-05-13 15:28:49.959000', '2023-05-13 15:28:49.959000', '1', '1', '1BCCE0EC5F21AB81213B5AE2709E0CE3', 'kkk', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '3398-68-3');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '24', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, ' 普拉西泮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '23.99', 0001200.00, '2023-05-13 14:21:28.284000', '2023-05-13 14:22:06.483000', '1', '1', '1BFB9F8CB5DF68AABFEE2F21B0FFEE8C', 'xxx', '973F1D3A5D7F1F9A3D5A821A26AD1DEB', '毒品', '常规贮存', '天津一方代理', '瓶', '2955-38-6');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '8', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-8', '安非拉酮', '一般标准物质', '1mL,1.0mg/mL', '7.99', 0002949.00, '2023-05-13 15:30:11.283000', '2023-05-13 15:31:04.263000', '1', '1', '1D3F2A519135BFDA6660EBA00565BFCE', 'hhh', 'E40875F4268C0A2FFAE4FCCF33915A60', '毒品', '常规贮存', '天津一方代理', '瓶', '134-80-5');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '36', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-36', '2-羟基乙基氟安定 ', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '35.99', 0003210.00, '2023-05-13 15:30:11.288000', '2023-05-13 15:31:04.265000', '1', '1', '1E0BC67C0EAC571EE9D0AF4F29293DEE', 'ager', '2B6B365341BE7B3FE6EFB186747C91E2', '毒品', '常规贮存', '天津一方代理', '瓶', '20971-53-3');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '18', 'B481FE1A165245304A78B12226C3019E', '2023-18', '氟阿尼酮', '一般标准物质', '250mg', '17.99', 0002928.00, '2023-05-13 15:28:49.961000', '2023-05-13 15:28:49.961000', '1', '1', '1E95ACEA308E02A9CC2EB912D4A1104A', 'rrr', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '1480-19-9');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '25', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-25', '喷他咗欣', '一般标准物质', '1mL,1.0mg/mL于甲醇', '24.99', 0001200.00, '2023-05-13 15:56:34.512000', '2023-05-13 15:57:16.767000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '1ED593AECB21E6D9E9B1FC41A60A7160', 'yyy', '9E8697E66B3564372AFDD7EAEE041A17', '毒品', '常规贮存', '天津一方代理', '瓶', '359-83-1');
INSERT INTO `catalogue_details` VALUES ('小米', '耗材', '无', '1', 'F0E0C037E99B77A00FBBCBF05EF6E2A6', '4', '手套', '一般耗材', '1', '无', 0000010.00, '2023-04-26 17:29:45.035000', '2023-04-26 17:31:55.948000', '1', '1', '2089FBA1676338506BB4290B2F67AB0F', 'gloves', 'AF8CBA871FC396CABEF48E8D2E6063BD', '手套', '常规贮存', '无', '箱', NULL);
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '13', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-13', '替来他明', '一般标准物质', '250mg', '12.99', 0003115.00, '2023-05-13 15:56:34.510000', '2023-05-13 15:57:16.768000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '208DA088BFA672951EEE9DAEA647ED53', 'mmm', '2A2F56F1C8EF232367D621E204A3DB33', '毒品', '常规贮存', '天津一方代理', '瓶', '14176-50-2');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '2', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '哌替啶', '一般标准物质', '1mL,1.0mg/mL于甲醇', '1.99', 0001200.00, '2023-05-13 14:21:28.278000', '2023-05-13 14:22:06.484000', '1', '1', '208EC48E034261B1DCD13D8407B28C9A', 'bbb', '8565F41E5F7436C1C476EFB9BBB39190', '毒品', '常规贮存', '天津一方代理', '瓶', '57-42-1');
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', NULL, '6', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '地芬诺酯', '一般标准物质', '100μg/mL, 1mL', '5.99', 0001400.00, '2023-05-13 14:21:28.280000', '2023-05-13 14:22:06.486000', '1', '1', '212C07D8DE9F0A95373176CD6BAD7130', 'fff', '7CCF053231D3AC705E5831D58B46A4AC', '毒品', '常规贮存', '天津一方代理', '瓶', '3810-80-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '37', 'B481FE1A165245304A78B12226C3019E', '2023-37', '7-氨基氟硝西泮', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '36.99', 0003090.00, '2023-05-13 15:28:49.966000', '2023-05-13 15:28:49.966000', '1', '1', '24C2F37D587D1DCD41AD79D48C3C185B', 'gfj', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '34084-50-9');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', '偏差/不确定度2', '2', '3640EC9760453EF752844448A851F326', '2023-2', '哌替啶', '一般标准物质', '1mL,1.0mg/mL于甲醇', '1.99', 0001200.00, '2023-05-13 16:00:58.430000', '2023-05-13 16:00:58.430000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', '25200DC8521EB9E77148EFEBC70FF33A', 'bbb', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '10', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-10', '芬特明', '一般标准物质', '1mL,1.0mg/mL于甲醇', '9.99', 0001200.00, '2023-05-13 15:56:07.195000', '2023-05-13 15:56:07.195000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '256D0B99E3FBFAECD932381BA6AAE3D1', 'jjj', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '122-09-8');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '15', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-15', 'MDA-19', '一般标准物质', '10mg', '14.99', 0001960.00, '2023-05-13 15:23:42.537000', '2023-05-13 15:24:03.075000', '1', '1', '26B1049A60685BBF0D5C9AF246183C7B', 'ooo', 'EF2E4BDDA8CC845C22203AD4D5A42D31', '毒品', '常规贮存', '天津一方代理', '瓶', '1048973-47-2');
INSERT INTO `catalogue_details` VALUES ('ChromaDex', '标准物质', NULL, '3', 'B481FE1A165245304A78B12226C3019E', '2023-3', '咖啡因', '一般标准物质', '100mg', '2.99', 0001500.00, '2023-05-13 15:28:49.955000', '2023-05-13 15:28:49.955000', '1', '1', '28D670255B8A2EA631470D2C64495FBD', 'ccc', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '58-08-2');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '33', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-33', '右美托咪定', '一般标准物质', '100mg', '32.99', 0000706.00, '2023-05-13 15:56:34.513000', '2023-05-13 15:57:16.769000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '299AEBD3548E9C29B7D7C0A88AA6EED7', 'fhd', '030DF09A4CF816B09C3380711C9E3D5E', '毒品', '常规贮存', '天津一方代理', '瓶', '145108-58-3');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '40', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-40', 'α-羟基咪哒唑仑 ', '一般标准物质', '1mL,100μg/mL于甲醇', '39.99', 0002000.00, '2023-05-13 15:30:11.289000', '2023-05-13 15:31:04.266000', '1', '1', '2A083DDAB9CDAD73D205D6672DF2E9F0', 'fdb', 'FA3AA9372238F07FAC79E0BC745B6128', '毒品', '常规贮存', '天津一方代理', '瓶', '59468-90-5');
INSERT INTO `catalogue_details` VALUES ('NIST', '标准物质', NULL, '44', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '硫酸铵', '一般标准物质', '0.5 g', '43.99', 0004600.00, '2023-05-13 14:21:28.287000', '2023-05-13 14:22:06.487000', '1', '1', '2AD8FB04B64D0855D32E897C8B88C58B', 'adfsg', 'DEC4518C883AB3CC32176BF76A31767E', '毒品', '常规贮存', '货号IAEA-N-1', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', '偏差/不确定度6', '6', 'A823B4A07A6F360692C4483BD301126B', '2023-6', '地芬诺酯', '一般标准物质', '100μg/mL, 1mL', '5.99', 0001400.00, '2023-05-13 16:00:00.552000', '2023-05-13 16:00:00.552000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', '2B7800A45BFAD9111373D36C83BB4EFD', 'fff', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '36', 'B481FE1A165245304A78B12226C3019E', '2023-36', '2-羟基乙基氟安定 ', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '35.99', 0003210.00, '2023-05-13 15:28:49.966000', '2023-05-13 15:28:49.966000', '1', '1', '2D31F75FE65B47E535E3C59D1542A240', 'ager', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '20971-53-3');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', '偏差/不确定度1', '1', '3640EC9760453EF752844448A851F326', '2023-1', '曲马多', '一般标准物质', '10mg', '0.99', 0004800.00, '2023-05-13 16:00:58.429000', '2023-05-13 16:00:58.429000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', '2E93E45B948B84F08231E9B3B73DDF4C', 'aaa', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '37', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '7-氨基氟硝西泮', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '36.99', 0003090.00, '2023-05-13 14:21:28.286000', '2023-05-13 14:22:06.489000', '1', '1', '30D736E810DD4589E1F2141F5676771A', 'gfj', '1459FAA47DF294D96CCA9A5ADFD732E3', '毒品', '常规贮存', '天津一方代理', '瓶', '34084-50-9');
INSERT INTO `catalogue_details` VALUES ('ChromaDex', '标准物质', '偏差/不确定度3', '3', '02650DE4C0208E38061CFB22B09F237E', '2023-3', '咖啡因', '一般标准物质', '100mg', '2.99', 0001500.00, '2023-05-13 15:57:44.283000', '2023-05-13 15:57:44.283000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', '30E89596793DAD10F6BF8BB3EAFC0F09', 'ccc', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '16', 'B481FE1A165245304A78B12226C3019E', '2023-16', '依托咪酯', '一般标准物质', '100mg', '15.99', 0000706.00, '2023-05-13 15:28:49.961000', '2023-05-13 15:28:49.961000', '1', '1', '31A3523FEF2CF33A8D8965B13204ACD4', 'ppp', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '33125-97-2');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '17', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '丙泊酚', '一般标准物质', '100mg', '16.99', 0000873.00, '2023-05-13 14:21:28.283000', '2023-05-13 14:22:06.490000', '1', '1', '3365EBB43A83FAB32E53DCB0B7DCF9E8', 'qqq', '405D951BA08185016B13EDE04AF9129F', '毒品', '常规贮存', '天津一方代理', '瓶', '2078-54-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '2', 'B481FE1A165245304A78B12226C3019E', '2023-2', '哌替啶', '一般标准物质', '1mL,1.0mg/mL于甲醇', '1.99', 0001200.00, '2023-05-13 15:28:49.955000', '2023-05-13 15:28:49.955000', '1', '1', '3744DBBD27D8D97B3576B37E666003C9', 'bbb', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '57-42-1');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '2', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-2', '哌替啶', '一般标准物质', '1mL,1.0mg/mL于甲醇', '1.99', 0001200.00, '2023-05-13 15:56:07.193000', '2023-05-13 15:56:07.193000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '37AD4D05652E0AC5D10074D1F658C3ED', 'bbb', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '57-42-1');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '21', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '氯巴占', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '20.99', 0001200.00, '2023-05-13 14:21:28.283000', '2023-05-13 14:22:06.491000', '1', '1', '37CE6E2464A2908ABB9CCE210F28E450', 'uuu', '964AAEA0054D1EB343B45858B41AB438', '毒品', '常规贮存', '天津一方代理', '瓶', '22316-47-8');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '13', 'B481FE1A165245304A78B12226C3019E', '2023-13', '替来他明', '一般标准物质', '250mg', '12.99', 0003115.00, '2023-05-13 15:28:49.960000', '2023-05-13 15:28:49.960000', '1', '1', '3986F5DF840839308F4C524C023A8051', 'mmm', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '14176-50-2');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '23', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-23', '尼美西泮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '22.99', 0001800.00, '2023-05-13 15:56:07.198000', '2023-05-13 15:56:07.198000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '3A028F0B99F1CB015BE54A7EE65B0BAD', 'www', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '2011-67-8');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '27', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-27', '去甲氯氮平', '一般标准物质', '20mg', '26.99', 0001189.00, '2023-05-13 15:56:34.512000', '2023-05-13 15:57:16.770000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '3B01BB0B97878C250ED3C56DEF9EAEAF', 'asd', '37DCFA4A09A5ED1B65E2BC83C929AC70', '毒品', '常规贮存', '天津一方代理', '瓶', '6104-71-8');
INSERT INTO `catalogue_details` VALUES ('NIST', '标准物质', NULL, '44', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-44', '硫酸铵', '一般标准物质', '0.5 g', '43.99', 0004600.00, '2023-05-13 15:30:11.289000', '2023-05-13 15:31:04.268000', '1', '1', '3D860759E3322FE4DCEE5AFB940CE95C', 'adfsg', '2463A8E2C3B764B4B24C954BA750B4BD', '毒品', '常规贮存', '货号IAEA-N-1', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '1', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-1', '曲马多', '一般标准物质', '10mg', '0.99', 0004800.00, '2023-05-13 15:23:42.533000', '2023-05-13 15:24:03.076000', '1', '1', '3E641D162285DD77F896ACF89726A314', 'aaa', '58DA4C971CED0F574C302D7D73841774', '毒品', '常规贮存', '天津一方代理', '瓶', '36282-47-0');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '30', 'B481FE1A165245304A78B12226C3019E', '2023-30', '泰尔登', '一般标准物质', '50mg', '29.99', 0000242.00, '2023-05-13 15:28:49.964000', '2023-05-13 15:28:49.964000', '1', '1', '3F381704258FFE76572DBB3E628D63AC', 'asf', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '113-59-7');
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', NULL, '4', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-4', '氟胺酮', '一般标准物质', '100μg/mL, 1mL', '3.99', 0000600.00, '2023-05-13 15:56:34.508000', '2023-05-13 15:57:16.772000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '3FF09B92E82C8BB3A47CC8FB4E98DB59', 'ddd', 'C0EE56D636B48F0115108CFF74351051', '毒品', '常规贮存', '天津一方代理', '瓶', '111982-49-1');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', '偏差/不确定度1', '1', '02650DE4C0208E38061CFB22B09F237E', '2023-1', '曲马多', '一般标准物质', '10mg', '0.99', 0004800.00, '2023-05-13 15:57:44.282000', '2023-05-13 15:57:44.282000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', '43160C9D8FF4DEB853E88642A4286CC0', 'aaa', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '5', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-5', '羟考酮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '4.99', 0001200.00, '2023-05-13 15:30:11.283000', '2023-05-13 15:31:04.269000', '1', '1', '4347CB3B296B684A3F98614B2A539EC4', 'eee', 'CBF9D113E231D63802460FD4A343317E', '毒品', '常规贮存', '天津一方代理', '瓶', '76-42-6');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '29', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-29', '司普替林', '一般标准物质', '20mg', '28.99', 0002360.00, '2023-05-13 15:56:07.199000', '2023-05-13 15:56:07.199000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '43509A53A8C6431BABCA97ECB8C474F1', 'afsf', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '546-43-0');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '30', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-30', '泰尔登', '一般标准物质', '50mg', '29.99', 0000242.00, '2023-05-13 15:30:11.287000', '2023-05-13 15:31:04.270000', '1', '1', '43AA31AFCFC7001C0273903235494BA2', 'asf', '007ED8F78D7F4DC0FE8B1CD305C480D8', '毒品', '常规贮存', '天津一方代理', '瓶', '113-59-7');
INSERT INTO `catalogue_details` VALUES ('华为', '标准物质', '122', '1', 'EF8A980A3EAD8370C4C81D2CF3A32CB9', '7', '海洛因', '一般标准物质', '50x50', '72%', 0001999.00, '2023-05-10 09:34:41.706000', '2023-05-10 09:34:41.706000', '1', '1', '43C4E13235D04D459F79C9B45BA61DC6', 'heroin', '6D9807222F22E3675247B2CFCD5344A5', '海洛因', '常规贮存', '无', '支', NULL);
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', '偏差/不确定度6', '6', '02650DE4C0208E38061CFB22B09F237E', '2023-6', '地芬诺酯', '一般标准物质', '100μg/mL, 1mL', '5.99', 0001400.00, '2023-05-13 15:57:44.283000', '2023-05-13 15:57:44.283000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', '43F020F47BE800693DEC667125C8F1B6', 'fff', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('Panphy', '标准物质', NULL, '22', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '美乐托宁', '一般标准物质', '100mg', '21.99', 0000464.00, '2023-05-13 14:21:28.283000', '2023-05-13 14:22:06.492000', '1', '1', '44802A01AE360796D9FE47AF5A3D7390', 'vvv', 'C0BC94F7A0733D4593CCE68DC1475DB0', '毒品', '常规贮存', '天津一方代理', '瓶', '73-31-4');
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', '偏差/不确定度6', '6', '3640EC9760453EF752844448A851F326', '2023-6', '地芬诺酯', '一般标准物质', '100μg/mL, 1mL', '5.99', 0001400.00, '2023-05-13 16:00:58.430000', '2023-05-13 16:00:58.430000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', '4494142347E1086A754E2499F478FC86', 'fff', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '37', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-37', '7-氨基氟硝西泮', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '36.99', 0003090.00, '2023-05-13 15:23:42.543000', '2023-05-13 15:24:03.078000', '1', '1', '45DB3206A39483845772559FD00C62BA', 'gfj', '304DADD72029F4CC61BF10A703CFC395', '毒品', '常规贮存', '天津一方代理', '瓶', '34084-50-9');
INSERT INTO `catalogue_details` VALUES ('dama', '标准物质', NULL, '564', '769B6D8D7A54F4595A06745F25706169', NULL, '大麻2', '一般标准物质', 'dada', '56%', 0000045.00, '2023-04-18 10:26:32.422000', '2023-04-18 11:30:05.609000', '1', '1', '4736fb527e00c14d903c7ce2b1b41a06', 'dama', 'E394DF6CB798A925D4C79F51544E1A73', 'dama', '常规贮存', NULL, '盒', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '16', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '依托咪酯', '一般标准物质', '100mg', '15.99', 0000706.00, '2023-05-13 14:21:28.282000', '2023-05-13 14:22:06.494000', '1', '1', '478A09141E38B4C63850A9197E3B1EF2', 'ppp', 'D6BD88EB407FC41860066333A6335AAE', '毒品', '常规贮存', '天津一方代理', '瓶', '33125-97-2');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '2', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-2', '哌替啶', '一般标准物质', '1mL,1.0mg/mL于甲醇', '1.99', 0001200.00, '2023-05-13 15:56:34.508000', '2023-05-13 15:57:16.774000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '49AD76AAF4F3CA93B5AA5E6DA53B488C', 'bbb', '2D8BD9AD670C2998B91DEC97C3ABCC1A', '毒品', '常规贮存', '天津一方代理', '瓶', '57-42-1');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '26', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-26', '去甲奥氮平', '一般标准物质', '20mg', '25.99', 0001244.00, '2023-05-13 15:56:34.512000', '2023-05-13 15:57:16.775000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '4A689EB748351C6AEC7CE211E5A60D51', 'zzz', '667EE97192D94E0DC439CB30CF2F72B5', '毒品', '常规贮存', '天津一方代理', '瓶', '161696-76-0');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '18', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-18', '氟阿尼酮', '一般标准物质', '250mg', '17.99', 0002928.00, '2023-05-13 15:56:07.197000', '2023-05-13 15:56:07.197000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '4B8059CBF7D084CA30DFA5F11EF70DF7', 'rrr', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '1480-19-9');
INSERT INTO `catalogue_details` VALUES ('Panphy', '标准物质', NULL, '22', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-22', '美乐托宁', '一般标准物质', '100mg', '21.99', 0000464.00, '2023-05-13 15:30:11.286000', '2023-05-13 15:31:04.272000', '1', '1', '4C3ABC28A24C2FC99D3A41EDF65502EB', 'vvv', '283614E545487CF7A7A0B6B4ABC8A400', '毒品', '常规贮存', '天津一方代理', '瓶', '73-31-4');
INSERT INTO `catalogue_details` VALUES ('123', '标准物质', NULL, '12313', '98C47D7DC77F48D315EA0626D4FC605F', NULL, 'aaa摇头丸', '海洛因', '123123', '1231', 0000123.00, '2023-05-13 15:49:44.498000', '2023-05-13 15:49:44.498000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', '4c622ee9974d9c00679085433a59e07d', '123', NULL, '123', '12', NULL, '箱', '1231');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '36', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-36', '2-羟基乙基氟安定 ', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '35.99', 0003210.00, '2023-05-13 15:56:34.513000', '2023-05-13 15:57:16.776000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '4E7711FDB1396C807B493F48A80B7E6D', 'ager', '25F7F4D1D83D2B085BAE3442A3E8474C', '毒品', '常规贮存', '天津一方代理', '瓶', '20971-53-3');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '42', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-42', '地西泮-d5 ', '一般标准物质', '1mL,100μg/mL于甲醇', '41.99', 0001500.00, '2023-05-13 15:56:07.202000', '2023-05-13 15:56:07.202000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '5002934A8FBEB39B6B83BC06738D9AD4', 'afg43', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '65854-76-4');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '9', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-9', '哌醋甲酯', '一般标准物质', '1mL,1.0mg/mL', '8.99', 0001200.00, '2023-05-13 15:56:07.195000', '2023-05-13 15:56:07.195000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '50CA0920EE6F17D5C460214A0914BF62', 'iii', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '298-59-9');
INSERT INTO `catalogue_details` VALUES ('Dr.E', '标准物质', NULL, '43', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '甲基对硫磷-d6', '一般标准物质', '25mg', '42.99', 0004734.00, '2023-05-13 14:21:28.287000', '2023-05-13 14:22:06.495000', '1', '1', '52102FE82E00BBC64C59547FC9529566', 'afdh5', '2A097977113737FB206BBBDE0419528C', '毒品', '常规贮存', '天津一方代理', '瓶', '96740-32-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '9', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-9', '哌醋甲酯', '一般标准物质', '1mL,1.0mg/mL', '8.99', 0001200.00, '2023-05-13 15:56:34.510000', '2023-05-13 15:57:16.778000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '522E3CA8327B4FE074D2C0B331E0F641', 'iii', '4CE0C27BB8F821A1078F581E38A204ED', '毒品', '常规贮存', '天津一方代理', '瓶', '298-59-9');
INSERT INTO `catalogue_details` VALUES ('小米', '耗材', '无', '1', 'C36754AF0ECCE3A098669C5D69297F8F', '2', '手套', '一般耗材', '1', '无', 0000010.00, '2023-05-09 14:07:45.335000', '2023-05-09 14:07:45.335000', '1', '1', '528FE242FD79A9FC030DB41BFACFDE7D', 'gloves', 'AF8CBA871FC396CABEF48E8D2E6063BD', '手套', '常规贮存', '无', '箱', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '23', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-23', '尼美西泮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '22.99', 0001800.00, '2023-05-13 15:30:11.286000', '2023-05-13 15:31:04.274000', '1', '1', '53320B4391DD86E39BFFBAB665CB33C4', 'www', '215FB0D650419286B94B68387AA3D0EB', '毒品', '常规贮存', '天津一方代理', '瓶', '2011-67-8');
INSERT INTO `catalogue_details` VALUES ('华为', '标准物质', '122', '1', 'F0E0C037E99B77A00FBBCBF05EF6E2A6', '1', '海洛因', '一般标准物质', '50x50', '72%', 0001999.00, '2023-04-26 17:29:45.032000', '2023-04-26 17:31:55.950000', '1', '1', '546DC84D787AF0B5DE1952810115D1FB', 'heroin', '6D9807222F22E3675247B2CFCD5344A5', '海洛因', '常规贮存', '无', '支', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '2', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-2', '哌替啶', '一般标准物质', '1mL,1.0mg/mL于甲醇', '1.99', 0001200.00, '2023-05-13 15:23:42.533000', '2023-05-13 15:24:03.080000', '1', '1', '574A96FE32BA6EB7628612763BC8FB47', 'bbb', '6BDEAECAB05B4C1E7AFA5F419CCC6AA6', '毒品', '常规贮存', '天津一方代理', '瓶', '57-42-1');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '5', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-5', '羟考酮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '4.99', 0001200.00, '2023-05-13 15:56:34.510000', '2023-05-13 15:57:16.780000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '574F2D090F5F2A0006AD365296DE87A8', 'eee', '26B966569ED973FF3B443F0D748337CC', '毒品', '常规贮存', '天津一方代理', '瓶', '76-42-6');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '30', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '泰尔登', '一般标准物质', '50mg', '29.99', 0000242.00, '2023-05-13 14:21:28.285000', '2023-05-13 14:22:06.496000', '1', '1', '577D8BD6096A72414B66521ADACC24F8', 'asf', 'EBDCFC6BC211BCC57E9F1F4AC4AA3F25', '毒品', '常规贮存', '天津一方代理', '瓶', '113-59-7');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '29', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '司普替林', '一般标准物质', '20mg', '28.99', 0002360.00, '2023-05-13 14:21:28.285000', '2023-05-13 14:22:06.499000', '1', '1', '584E44AF9474BFD93967342D75948E66', 'afsf', '424E0F8E78BEE885750824263AAC1358', '毒品', '常规贮存', '天津一方代理', '瓶', '546-43-0');
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', NULL, '6', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-6', '地芬诺酯', '一般标准物质', '100μg/mL, 1mL', '5.99', 0001400.00, '2023-05-13 15:56:07.194000', '2023-05-13 15:56:07.194000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '596F7A5897988A4694DF738A3264DE7A', 'fff', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '3810-80-8');
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', NULL, '4', 'B481FE1A165245304A78B12226C3019E', '2023-4', '氟胺酮', '一般标准物质', '100μg/mL, 1mL', '3.99', 0000600.00, '2023-05-13 15:28:49.956000', '2023-05-13 15:28:49.956000', '1', '1', '5A3F3A0CA5C345FEF85F9919D01E869C', 'ddd', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '111982-49-1');
INSERT INTO `catalogue_details` VALUES ('NIST', '标准物质', NULL, '44', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-44', '硫酸铵', '一般标准物质', '0.5 g', '43.99', 0004600.00, '2023-05-13 15:23:42.545000', '2023-05-13 15:24:03.081000', '1', '1', '5BC19725B49952DC8DA18D01ED6B35E3', 'adfsg', '31FC58537108A04C76968DEFC086022B', '毒品', '常规贮存', '货号IAEA-N-1', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('三星', '标准物质', '0.9', '1', 'EF8A980A3EAD8370C4C81D2CF3A32CB9', '5', '摇头丸', '一般标准物质', '30x20', '88%', 0002999.00, '2023-05-10 09:34:41.706000', '2023-05-10 09:34:41.706000', '1', '1', '5C458AE79E581BBDD2A4B9006E6B73AE', 'ecstasy', '28613635426554046F0B12D7121A5AAB', '摇头丸', '冷藏贮存', '无', '支', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '39', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-39', 'α-羟基阿普唑仑', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '38.99', 0002841.00, '2023-05-13 15:30:11.288000', '2023-05-13 15:31:04.275000', '1', '1', '5D42875422AC2763201C22AC1DB4AD0D', 'afgh', '5F98B1070DDD92677BA8F1E4105F9FDE', '毒品', '常规贮存', '天津一方代理', '瓶', '37115-43-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '25', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-25', '喷他咗欣', '一般标准物质', '1mL,1.0mg/mL于甲醇', '24.99', 0001200.00, '2023-05-13 15:30:11.286000', '2023-05-13 15:31:04.277000', '1', '1', '5DA5517D0558956ABDF2807C0EDF72F2', 'yyy', 'D61B2E501D38981718886452AE0E5474', '毒品', '常规贮存', '天津一方代理', '瓶', '359-83-1');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '20', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-20', '利培酮', '一般标准物质', '100mg', '19.99', 0000873.00, '2023-05-13 15:23:42.539000', '2023-05-13 15:24:03.082000', '1', '1', '5E55E4C83A44471043B39F610F7AB210', 'ttt', '856D0BE64A8D5D051F1D2FFFAB978351', '毒品', '常规贮存', '天津一方代理', '瓶', '106266-06-2');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '10', 'B481FE1A165245304A78B12226C3019E', '2023-10', '芬特明', '一般标准物质', '1mL,1.0mg/mL于甲醇', '9.99', 0001200.00, '2023-05-13 15:28:49.958000', '2023-05-13 15:28:49.958000', '1', '1', '600DCDB4DF27F881BCF1C11A026D1FBF', 'jjj', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '122-09-8');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '20', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-20', '利培酮', '一般标准物质', '100mg', '19.99', 0000873.00, '2023-05-13 15:30:11.285000', '2023-05-13 15:31:04.278000', '1', '1', '61810D54BF08BA6F40780F27E5CB8582', 'ttt', 'EA0E98B2B38F4D206576D0F9A0B57665', '毒品', '常规贮存', '天津一方代理', '瓶', '106266-06-2');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '41', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-41', '苯巴比妥-d5 ', '一般标准物质', '1mL,100μg/mL于甲醇', '40.99', 0001500.00, '2023-05-13 15:23:42.544000', '2023-05-13 15:24:03.083000', '1', '1', '6211F8F3743C0088D7C2DF84AFD97799', 'r4qy', '1DA4B0540991D31087C7B4077C994268', '毒品', '常规贮存', '天津一方代理', '瓶', '73738-05-3');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '23', 'B481FE1A165245304A78B12226C3019E', '2023-23', '尼美西泮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '22.99', 0001800.00, '2023-05-13 15:28:49.963000', '2023-05-13 15:28:49.963000', '1', '1', '62CE1C7D3731897D07BBBA03F4122F77', 'www', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '2011-67-8');
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', NULL, '6', 'B481FE1A165245304A78B12226C3019E', '2023-6', '地芬诺酯', '一般标准物质', '100μg/mL, 1mL', '5.99', 0001400.00, '2023-05-13 15:28:49.957000', '2023-05-13 15:28:49.957000', '1', '1', '62FB7228F06737ED599CE94DED1C8298', 'fff', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '3810-80-8');
INSERT INTO `catalogue_details` VALUES ('Panphy', '标准物质', NULL, '22', 'B481FE1A165245304A78B12226C3019E', '2023-22', '美乐托宁', '一般标准物质', '100mg', '21.99', 0000464.00, '2023-05-13 15:28:49.962000', '2023-05-13 15:28:49.962000', '1', '1', '63B3DFCC1272D020E8A220BE89E3E78D', 'vvv', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '73-31-4');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '10', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-10', '芬特明', '一般标准物质', '1mL,1.0mg/mL于甲醇', '9.99', 0001200.00, '2023-05-13 15:30:11.284000', '2023-05-13 15:31:04.281000', '1', '1', '6450CEB7DAA27FAFCCF246733BFD50D4', 'jjj', '5A35EEFCACFADD60BF5717705720B783', '毒品', '常规贮存', '天津一方代理', '瓶', '122-09-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '36', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-36', '2-羟基乙基氟安定 ', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '35.99', 0003210.00, '2023-05-13 15:56:07.201000', '2023-05-13 15:56:07.201000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '64E60E0AE41C88C9764D1343FDE7356A', 'ager', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '20971-53-3');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '29', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-29', '司普替林', '一般标准物质', '20mg', '28.99', 0002360.00, '2023-05-13 15:30:11.287000', '2023-05-13 15:31:04.283000', '1', '1', '65974A5CACA347654E04ADC6E02507DF', 'afsf', '84AB9FDFB4552832F688FDE0F8B72574', '毒品', '常规贮存', '天津一方代理', '瓶', '546-43-0');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '16', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-16', '依托咪酯', '一般标准物质', '100mg', '15.99', 0000706.00, '2023-05-13 15:30:11.285000', '2023-05-13 15:31:04.284000', '1', '1', '65A526BBBCA4BB72E09168603BB0FE43', 'ppp', '26055FB6262C4B8D796351B5A5C89DD3', '毒品', '常规贮存', '天津一方代理', '瓶', '33125-97-2');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '29', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-29', '司普替林', '一般标准物质', '20mg', '28.99', 0002360.00, '2023-05-13 15:23:42.541000', '2023-05-13 15:24:03.084000', '1', '1', '6625D7166C46503870CB0A51E509739B', 'afsf', '6AD5687336EA64C38909158137A6FDAE', '毒品', '常规贮存', '天津一方代理', '瓶', '546-43-0');
INSERT INTO `catalogue_details` VALUES ('22', '试剂', NULL, '22', '769B6D8D7A54F4595A06745F25706169', '1', '222', '酒精', '22', '22', 0000022.00, '2023-04-18 09:54:38.616000', '2023-04-18 11:30:05.617000', '1', '1', '6741963791AFDF6B5957C1B6D87DCA31', '22', '4DC0DFAD80856851F5484282EAFC54ED', '22', '常规贮存', '222', '盒', NULL);
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', NULL, '19', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-19', '格鲁米特', '一般标准物质', '100ug/ml，1ml', '18.99', 0001800.00, '2023-05-13 15:23:42.538000', '2023-05-13 15:24:03.085000', '1', '1', '689E41DDD08F7A06AF3A3BF57E4A8B30', 'sss', '79656A15156AAA792E0A6E45D56B72A2', '毒品', '常规贮存', '天津一方代理', '瓶', '77-21-4');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '26', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '去甲奥氮平', '一般标准物质', '20mg', '25.99', 0001244.00, '2023-05-13 14:21:28.284000', '2023-05-13 14:22:06.500000', '1', '1', '694AD9BD51FB63D0356A717496D1015D', 'zzz', '3AB3E10CDD8F3E09195FE8EE1CF29544', '毒品', '常规贮存', '天津一方代理', '瓶', '161696-76-0');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '38', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '7-氨基硝西泮', '一般标准物质', '1mL,1.0 mg/mL于乙腈', '37.99', 0003090.00, '2023-05-13 14:21:28.286000', '2023-05-13 14:22:06.502000', '1', '1', '694C2721BC14EE8977120E462C796908', 'gafh', '24D38A853F4A73AA1CFC4FD0C8DD62E4', '毒品', '常规贮存', '天津一方代理', '瓶', '4928-02-3');
INSERT INTO `catalogue_details` VALUES ('小米', '标准物质', '0.5', '1', 'AE1A54531739628E2A03E5FC54D2AD90', '7', '氯胺酮', '一般标准物质', '50x50', '99%', 0001555.00, '2023-05-09 14:14:49.041000', '2023-05-09 14:14:49.041000', '1', '1', '69C351BD6A27C39647FFA9C5A20B1F20', 'ketamine', '23C62823622E0022DD0E1CC729473C81', '氯胺酮', '冷藏贮存', '无', '支', NULL);
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', '偏差/不确定度6', '6', '23DF1DED11D362B8FB45FE60AC4819F4', '2023-6', '地芬诺酯', '一般标准物质', '100μg/mL, 1mL', '5.99', 0001400.00, '2023-05-13 15:57:51.871000', '2023-05-13 15:57:51.871000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', '6A41BB6CCF249D40E2D5FDD1EF2044C8', 'fff', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '1', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '曲马多', '一般标准物质', '10mg', '0.99', 0004800.00, '2023-05-13 14:21:28.278000', '2023-05-13 14:22:06.503000', '1', '1', '6C02D8DD89EC8C94DA93565F00F35723', 'aaa', '6C765738AF5349AA98E2C860507197F5', '毒品', '常规贮存', '天津一方代理', '瓶', '36282-47-0');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '1', 'B481FE1A165245304A78B12226C3019E', '2023-1', '曲马多', '一般标准物质', '10mg', '0.99', 0004800.00, '2023-05-13 15:28:49.954000', '2023-05-13 15:28:49.954000', '1', '1', '6D153CADF28C952852C9DA7CEDC4D738', 'aaa', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '36282-47-0');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '5', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-5', '羟考酮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '4.99', 0001200.00, '2023-05-13 15:23:42.534000', '2023-05-13 15:24:03.086000', '1', '1', '6D354D7509C46CA454F520E3D09E326A', 'eee', '018E931FF95AD59B16F7685286B7C332', '毒品', '常规贮存', '天津一方代理', '瓶', '76-42-6');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '11', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-11', '对甲氧基甲基苯丙胺', '一般标准物质', '1mL,1.0mg/mL于甲醇', '10.99', 0001800.00, '2023-05-13 15:30:11.284000', '2023-05-13 15:31:04.285000', '1', '1', '6DDB3A23292CCF50C42B90D25256517B', 'kkk', '1F5D3ED1168F09665CB68F59CFB4AAA9', '毒品', '常规贮存', '天津一方代理', '瓶', '3398-68-3');
INSERT INTO `catalogue_details` VALUES ('华为', '标准物质', '122', '1', 'C36754AF0ECCE3A098669C5D69297F8F', '3', '海洛因', '一般标准物质', '50x50', '72%', 0001999.00, '2023-05-09 14:07:45.336000', '2023-05-09 14:07:45.336000', '1', '1', '6E9F559C88705A67AEFC3E7E2C1FB32E', 'heroin', '6D9807222F22E3675247B2CFCD5344A5', '海洛因', '常规贮存', '无', '支', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '28', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '羟基利培酮', '一般标准物质', '25mg', '27.99', 0000756.00, '2023-05-13 14:21:28.285000', '2023-05-13 14:22:06.504000', '1', '1', '717AD8BA9B16BD3815E21388D18A34F6', 'agas', 'B24E367EF5A6D7A5FD12DB82A7AE357D', '毒品', '常规贮存', '天津一方代理', '瓶', '144598-75-4');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '32', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-32', '异安定酮', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '31.99', 0001200.00, '2023-05-13 15:56:34.513000', '2023-05-13 15:57:16.782000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '71F4BFF094721762E27DC3D336798691', 'dag', '9E26406184C67392CCC56D5C729EF75C', '毒品', '常规贮存', '天津一方代理', '瓶', '22316-47-8');
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', NULL, '4', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-4', '氟胺酮', '一般标准物质', '100μg/mL, 1mL', '3.99', 0000600.00, '2023-05-13 15:30:11.282000', '2023-05-13 15:31:04.286000', '1', '1', '725E6C395203C821157E5BE14836EA7C', 'ddd', '7E9929A026F58A1BA45011A237B32E66', '毒品', '常规贮存', '天津一方代理', '瓶', '111982-49-1');
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', NULL, '19', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-19', '格鲁米特', '一般标准物质', '100ug/ml，1ml', '18.99', 0001800.00, '2023-05-13 15:56:34.511000', '2023-05-13 15:57:16.785000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '73467A5AB339985B3C268C9F45CA255F', 'sss', '1F862F9120B9AFB9C3279A67AE895C85', '毒品', '常规贮存', '天津一方代理', '瓶', '77-21-4');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '27', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-27', '去甲氯氮平', '一般标准物质', '20mg', '26.99', 0001189.00, '2023-05-13 15:56:07.199000', '2023-05-13 15:56:07.199000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '73AAD3DF77CEB2B01DA54902B5728D46', 'asd', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '6104-71-8');
INSERT INTO `catalogue_details` VALUES ('ChromaDex', '标准物质', '偏差/不确定度3', '3', 'A823B4A07A6F360692C4483BD301126B', '2023-3', '咖啡因', '一般标准物质', '100mg', '2.99', 0001500.00, '2023-05-13 16:00:00.552000', '2023-05-13 16:00:00.552000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', '73D2715337B37CF8F0E43E2C7826BC11', 'ccc', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '18', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-18', '氟阿尼酮', '一般标准物质', '250mg', '17.99', 0002928.00, '2023-05-13 15:30:11.285000', '2023-05-13 15:31:04.287000', '1', '1', '73E6A1B8E1AE6631CBBF741C6EA93678', 'rrr', '7E4DEAC0E9582B47FD12584384960E94', '毒品', '常规贮存', '天津一方代理', '瓶', '1480-19-9');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', '偏差/不确定度2', '2', '23DF1DED11D362B8FB45FE60AC4819F4', '2023-2', '哌替啶', '一般标准物质', '1mL,1.0mg/mL于甲醇', '1.99', 0001200.00, '2023-05-13 15:57:51.871000', '2023-05-13 15:57:51.871000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', '73F1AE7036A5892156E9A75E207D0894', 'bbb', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '24', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-24', ' 普拉西泮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '23.99', 0001200.00, '2023-05-13 15:56:07.198000', '2023-05-13 15:56:07.198000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '744FF66B275D62AF23F0FCA7B636709D', 'xxx', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '2955-38-6');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '7', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-7', '安眠酮（甲喹酮）', '一般标准物质', '1mL,1.0mg/mL于甲醇', '6.99', 0001200.00, '2023-05-13 15:56:07.195000', '2023-05-13 15:56:07.195000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '74B282188B33EEC80A5F2D9A60DD4577', 'ggg', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '72-44-6');
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', '偏差/不确定度4', '4', '23DF1DED11D362B8FB45FE60AC4819F4', '2023-4', '氟胺酮', '一般标准物质', '100μg/mL, 1mL', '3.99', 0000600.00, '2023-05-13 15:57:51.871000', '2023-05-13 15:57:51.871000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', '75FB8346283805043E1514B66029E89E', 'ddd', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '34', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-34', '扎来普隆', '一般标准物质', '100mg', '33.99', 0005172.00, '2023-05-13 15:30:11.288000', '2023-05-13 15:31:04.289000', '1', '1', '779D05AD94583CEDE0A03859A2A7A5CD', 'ha', '9F9677917E3EF7BC28D37B3A5AF599AF', '毒品', '常规贮存', '天津一方代理', '瓶', '151319-34-5');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '11', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-11', '对甲氧基甲基苯丙胺', '一般标准物质', '1mL,1.0mg/mL于甲醇', '10.99', 0001800.00, '2023-05-13 15:23:42.536000', '2023-05-13 15:24:03.089000', '1', '1', '7884556E9391280C830A964B266F7991', 'kkk', '2F46E0CC10C0AFA11075086F333FDB55', '毒品', '常规贮存', '天津一方代理', '瓶', '3398-68-3');
INSERT INTO `catalogue_details` VALUES ('yyy', '标准物质', NULL, '24', '564E236AFA6BA1EF7E9C28F927BFB13D', NULL, '摇头丸5', '一般标准物质', 'hhh', '56%', 0000043.00, '2023-04-18 10:23:53.750000', '2023-04-18 10:24:03.137000', '1', '1', '78e506fbf00d377ab16f75b5b46df5e9', 'yh', NULL, 'yy', '常规贮存', NULL, '盒', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '38', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-38', '7-氨基硝西泮', '一般标准物质', '1mL,1.0 mg/mL于乙腈', '37.99', 0003090.00, '2023-05-13 15:56:07.201000', '2023-05-13 15:56:07.201000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '792A720B618271DE9CC6161C30A9E42E', 'gafh', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '4928-02-3');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '20', 'B481FE1A165245304A78B12226C3019E', '2023-20', '利培酮', '一般标准物质', '100mg', '19.99', 0000873.00, '2023-05-13 15:28:49.962000', '2023-05-13 15:28:49.962000', '1', '1', '7A49076DED33293AB5C57D91C2A8D4DF', 'ttt', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '106266-06-2');
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', '偏差/不确定度4', '4', '02650DE4C0208E38061CFB22B09F237E', '2023-4', '氟胺酮', '一般标准物质', '100μg/mL, 1mL', '3.99', 0000600.00, '2023-05-13 15:57:44.283000', '2023-05-13 15:57:44.283000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', '7AAD068CD009A202E8029EF5B5885FBF', 'ddd', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '31', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, ' 溴西泮', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '30.99', 0001200.00, '2023-05-13 14:21:28.285000', '2023-05-13 14:22:06.505000', '1', '1', '7AC8331629060EDD8A06ECC8FC8E23F7', 'qer', '15A1895CECB34F5D391BEE54A1C48ADA', '毒品', '常规贮存', '天津一方代理', '瓶', '1812-30-2');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '40', 'B481FE1A165245304A78B12226C3019E', '2023-40', 'α-羟基咪哒唑仑 ', '一般标准物质', '1mL,100μg/mL于甲醇', '39.99', 0002000.00, '2023-05-13 15:28:49.967000', '2023-05-13 15:28:49.967000', '1', '1', '7B2F7E6CE6AEC4CC2EE718F4160EB474', 'fdb', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '59468-90-5');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '41', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '苯巴比妥-d5 ', '一般标准物质', '1mL,100μg/mL于甲醇', '40.99', 0001500.00, '2023-05-13 14:21:28.287000', '2023-05-13 14:22:06.506000', '1', '1', '7C4C44E6B10617B22E6C02ABD12B68DC', 'r4qy', 'A48D10AC4F7B5029767956BCE7303E66', '毒品', '常规贮存', '天津一方代理', '瓶', '73738-05-3');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '42', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-42', '地西泮-d5 ', '一般标准物质', '1mL,100μg/mL于甲醇', '41.99', 0001500.00, '2023-05-13 15:30:11.289000', '2023-05-13 15:31:04.290000', '1', '1', '7C5E14C85CC61413A903164D1FA1776D', 'afg43', '616534DF2AAE7C25B54ECEC1A1CB9B61', '毒品', '常规贮存', '天津一方代理', '瓶', '65854-76-4');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '13', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-13', '替来他明', '一般标准物质', '250mg', '12.99', 0003115.00, '2023-05-13 15:30:11.284000', '2023-05-13 15:31:04.291000', '1', '1', '7CF16E98322EC3EEDDE0E7FBD1C2FD50', 'mmm', '3682131281006888E847F77EFD04A256', '毒品', '常规贮存', '天津一方代理', '瓶', '14176-50-2');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '17', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-17', '丙泊酚', '一般标准物质', '100mg', '16.99', 0000873.00, '2023-05-13 15:23:42.538000', '2023-05-13 15:24:03.090000', '1', '1', '7D2B6F225DFF0A1E949F399391E0BB49', 'qqq', 'E1BD44E2C39641CF9422CC6463D277C4', '毒品', '常规贮存', '天津一方代理', '瓶', '2078-54-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '31', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-31', ' 溴西泮', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '30.99', 0001200.00, '2023-05-13 15:23:42.541000', '2023-05-13 15:24:03.091000', '1', '1', '7E6719E4A9372F95B7FFC0F9CBAE5814', 'qer', 'CC58C30CD8B7F000E23D995473FD1C20', '毒品', '常规贮存', '天津一方代理', '瓶', '1812-30-2');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '42', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-42', '地西泮-d5 ', '一般标准物质', '1mL,100μg/mL于甲醇', '41.99', 0001500.00, '2023-05-13 15:23:42.544000', '2023-05-13 15:24:03.093000', '1', '1', '8070707ACF85087B98A745BA7F9AF1BE', 'afg43', '66E1DE7E434CF015E94EF1762EDF7DD8', '毒品', '常规贮存', '天津一方代理', '瓶', '65854-76-4');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '27', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '去甲氯氮平', '一般标准物质', '20mg', '26.99', 0001189.00, '2023-05-13 14:21:28.284000', '2023-05-13 14:22:06.507000', '1', '1', '816796ACF401929E8AA2474EAB337C56', 'asd', '13946FF5C0766BA133575F310D5FCA56', '毒品', '常规贮存', '天津一方代理', '瓶', '6104-71-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '35', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '2-氯地西泮', '一般标准物质', '1mL,1mg/mL于乙腈', '34.99', 0003180.00, '2023-05-13 14:21:28.286000', '2023-05-13 14:22:06.509000', '1', '1', '81E780D10FC48B2A65372FA62E2D6568', 'afdh', '40C4D3712CA626A6406D97D1468DE64A', '毒品', '常规贮存', '天津一方代理', '瓶', '2894-68-0');
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', NULL, '19', 'B481FE1A165245304A78B12226C3019E', '2023-19', '格鲁米特', '一般标准物质', '100ug/ml，1ml', '18.99', 0001800.00, '2023-05-13 15:28:49.962000', '2023-05-13 15:28:49.962000', '1', '1', '85B60E5B76EA0DC71C99F9A7B983C496', 'sss', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '77-21-4');
INSERT INTO `catalogue_details` VALUES ('bd', '标准物质', NULL, '232', '59B41C115F9906393320FE4D5760053A', NULL, '冰毒', '一般标准物质', 'bd', 'bd', 0000323.00, '2023-04-18 10:43:38.367000', '2023-04-18 10:43:38.367000', '1', '1', '87a706660db3f55c9961ce540da3685a', 'bd', NULL, 'bd', '冷藏贮存', NULL, '盒', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '15', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, 'MDA-19', '一般标准物质', '10mg', '14.99', 0001960.00, '2023-05-13 14:21:28.282000', '2023-05-13 14:22:06.510000', '1', '1', '87E9C7D32270EB987F08E521D567215F', 'ooo', 'D966325143359069607707CC20AD7F83', '毒品', '常规贮存', '天津一方代理', '瓶', '1048973-47-2');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '40', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-40', 'α-羟基咪哒唑仑 ', '一般标准物质', '1mL,100μg/mL于甲醇', '39.99', 0002000.00, '2023-05-13 15:56:34.514000', '2023-05-13 15:57:16.787000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '886DBC223C0DFA888F959F78DC75A336', 'fdb', '0229C6422143D253E9511863ECCEAF7B', '毒品', '常规贮存', '天津一方代理', '瓶', '59468-90-5');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '26', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-26', '去甲奥氮平', '一般标准物质', '20mg', '25.99', 0001244.00, '2023-05-13 15:23:42.540000', '2023-05-13 15:24:03.094000', '1', '1', '88B6735B27F4DBAE63CE7FF3888A732D', 'zzz', '1FDFF01651F9CEF7028127F56F9A684E', '毒品', '常规贮存', '天津一方代理', '瓶', '161696-76-0');
INSERT INTO `catalogue_details` VALUES ('NIST', '标准物质', NULL, '44', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-44', '硫酸铵', '一般标准物质', '0.5 g', '43.99', 0004600.00, '2023-05-13 15:56:34.514000', '2023-05-13 15:57:16.788000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '88CD7464C0C8CAB1DCB09F261A64E2D9', 'adfsg', '4CFE602B85CF020D00AF53D898A9BE6C', '毒品', '常规贮存', '货号IAEA-N-1', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '18', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-18', '氟阿尼酮', '一般标准物质', '250mg', '17.99', 0002928.00, '2023-05-13 15:56:34.511000', '2023-05-13 15:57:16.790000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '88DACF1C35AC5A95D252E9461035F6C4', 'rrr', '2E4E0E5CA5BC7E10BBE748AC13E2AD96', '毒品', '常规贮存', '天津一方代理', '瓶', '1480-19-9');
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', NULL, '4', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-4', '氟胺酮', '一般标准物质', '100μg/mL, 1mL', '3.99', 0000600.00, '2023-05-13 15:23:42.534000', '2023-05-13 15:24:03.095000', '1', '1', '895E4ADAA305D62C6F70C09ADA9D2AF1', 'ddd', '7B21B32BB43C06A2E8286D7DE83B851F', '毒品', '常规贮存', '天津一方代理', '瓶', '111982-49-1');
INSERT INTO `catalogue_details` VALUES ('ChromaDex', '标准物质', '偏差/不确定度3', '3', '23DF1DED11D362B8FB45FE60AC4819F4', '2023-3', '咖啡因', '一般标准物质', '100mg', '2.99', 0001500.00, '2023-05-13 15:57:51.871000', '2023-05-13 15:57:51.871000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', '8967AAAED1DB4EF8D0844B96A2752037', 'ccc', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('NIST', '标准物质', NULL, '44', 'B481FE1A165245304A78B12226C3019E', '2023-44', '硫酸铵', '一般标准物质', '0.5 g', '43.99', 0004600.00, '2023-05-13 15:28:49.968000', '2023-05-13 15:28:49.968000', '1', '1', '89D3EBAAB47C09B5A8091C17D6F9FF14', 'adfsg', NULL, '毒品', '常规贮存', '货号IAEA-N-1', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', '偏差/不确定度5', '5', '23DF1DED11D362B8FB45FE60AC4819F4', '2023-5', '羟考酮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '4.99', 0001200.00, '2023-05-13 15:57:51.871000', '2023-05-13 15:57:51.871000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', '8BA2E47B9AC545C41B042AA9C5C80CA2', 'eee', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('天润', '试剂', '', '20', 'EF8A980A3EAD8370C4C81D2CF3A32CB9', '9', '乙醇', '酒精', '1x1', '99%', 0000150.00, '2023-05-10 09:34:41.707000', '2023-05-10 09:34:41.707000', '1', '1', '8BD6D17853F3D16F7125F4390F4E6F76', 'alcohol', '8C057A697826732F6510CDC2A691B4D5', '乙醇', '常规贮存', '1', '箱', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '32', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-32', '异安定酮', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '31.99', 0001200.00, '2023-05-13 15:30:11.288000', '2023-05-13 15:31:04.292000', '1', '1', '8C8814898C86AB5D5F131EDC5A8AF38C', 'dag', 'DED6DE75D44CB85688818C58B7556E55', '毒品', '常规贮存', '天津一方代理', '瓶', '22316-47-8');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '1', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-1', '曲马多', '一般标准物质', '10mg', '0.99', 0004800.00, '2023-05-13 15:56:07.193000', '2023-05-13 15:56:07.193000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '8D79764438FE3E1B6B13227AE9D118DE', 'aaa', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '36282-47-0');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '15', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-15', 'MDA-19', '一般标准物质', '10mg', '14.99', 0001960.00, '2023-05-13 15:56:34.511000', '2023-05-13 15:57:16.791000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '8E15F96E04769F1FA7B1D6BD562E87F3', 'ooo', 'AD19BC06EFE62496B160BA52FA7994AD', '毒品', '常规贮存', '天津一方代理', '瓶', '1048973-47-2');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '39', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, 'α-羟基阿普唑仑', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '38.99', 0002841.00, '2023-05-13 14:21:28.287000', '2023-05-13 14:22:06.511000', '1', '1', '8EB5F12506BA349DEF2945B029EBB00B', 'afgh', '404DD69999F60E19B7627D7B74240D92', '毒品', '常规贮存', '天津一方代理', '瓶', '37115-43-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '40', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-40', 'α-羟基咪哒唑仑 ', '一般标准物质', '1mL,100μg/mL于甲醇', '39.99', 0002000.00, '2023-05-13 15:23:42.544000', '2023-05-13 15:24:03.096000', '1', '1', '8F7943031816D4F5659808CAEFED4C91', 'fdb', '9A8E11D7DBE57B7F4F2C54F0DCAEBFBB', '毒品', '常规贮存', '天津一方代理', '瓶', '59468-90-5');
INSERT INTO `catalogue_details` VALUES ('da', '标准物质', NULL, '54', '769B6D8D7A54F4595A06745F25706169', NULL, '大麻3', '一般标准物质', 'ma', '76%', 0000045.00, '2023-04-18 10:27:24.101000', '2023-04-18 11:30:05.619000', '1', '1', '8f9af522b4bb8a2400a1ef99a27053e6', 'ma', '68D2DBC2AF35C0CEB4E67B6B2977AD61', 'ma', '常规贮存', NULL, '盒', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '28', 'B481FE1A165245304A78B12226C3019E', '2023-28', '羟基利培酮', '一般标准物质', '25mg', '27.99', 0000756.00, '2023-05-13 15:28:49.964000', '2023-05-13 15:28:49.964000', '1', '1', '8F9EE990FC398968CE95A72CCF6756BA', 'agas', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '144598-75-4');
INSERT INTO `catalogue_details` VALUES ('222', '耗材', NULL, '34', '564E236AFA6BA1EF7E9C28F927BFB13D', NULL, '摇头丸', '木材', '22', '22%', 0000043.00, '2023-04-18 10:21:19.649000', '2023-04-18 10:21:19.649000', '1', '1', '90f51fa2e5af76c1c56a8b73569d5568', 'fdf', NULL, '222', '常规贮存', NULL, '箱', NULL);
INSERT INTO `catalogue_details` VALUES ('ChromaDex', '标准物质', NULL, '3', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-3', '咖啡因', '一般标准物质', '100mg', '2.99', 0001500.00, '2023-05-13 15:23:42.534000', '2023-05-13 15:24:03.097000', '1', '1', '922B90450620895B5DF3ECCB1EFD9F13', 'ccc', '832E08CA6D0E480EC57F2F17E17F1CD5', '毒品', '常规贮存', '天津一方代理', '瓶', '58-08-2');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '28', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-28', '羟基利培酮', '一般标准物质', '25mg', '27.99', 0000756.00, '2023-05-13 15:56:34.512000', '2023-05-13 15:57:16.793000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '92852A19B13C9AC3F45D0408A1F7F85B', 'agas', '812F0CFCBFDFE45D6A48077FF46364A4', '毒品', '常规贮存', '天津一方代理', '瓶', '144598-75-4');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '28', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-28', '羟基利培酮', '一般标准物质', '25mg', '27.99', 0000756.00, '2023-05-13 15:23:42.541000', '2023-05-13 15:24:03.098000', '1', '1', '936A85F46B79414C279CAF9D94D6879A', 'agas', '01CF87F1C8414BA6B2F053D6F2ED410F', '毒品', '常规贮存', '天津一方代理', '瓶', '144598-75-4');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '34', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-34', '扎来普隆', '一般标准物质', '100mg', '33.99', 0005172.00, '2023-05-13 15:23:42.542000', '2023-05-13 15:24:03.099000', '1', '1', '94A472C61F987B15DF104CE047E27544', 'ha', '8C266FE3E630CF73283BF46744B54F24', '毒品', '常规贮存', '天津一方代理', '瓶', '151319-34-5');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '30', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-30', '泰尔登', '一般标准物质', '50mg', '29.99', 0000242.00, '2023-05-13 15:23:42.541000', '2023-05-13 15:24:03.100000', '1', '1', '97E79C4A9EE6DC31173A2DDD867F94D6', 'asf', '17C54B5B56E31A01FBE8652C26637159', '毒品', '常规贮存', '天津一方代理', '瓶', '113-59-7');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '21', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-21', '氯巴占', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '20.99', 0001200.00, '2023-05-13 15:56:07.197000', '2023-05-13 15:56:07.197000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '989C3F1A304BEC7688CB0D5D8303BBB4', 'uuu', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '22316-47-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '42', 'B481FE1A165245304A78B12226C3019E', '2023-42', '地西泮-d5 ', '一般标准物质', '1mL,100μg/mL于甲醇', '41.99', 0001500.00, '2023-05-13 15:28:49.967000', '2023-05-13 15:28:49.967000', '1', '1', '98D580F12B835F648EB500371619F337', 'afg43', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '65854-76-4');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '13', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-13', '替来他明', '一般标准物质', '250mg', '12.99', 0003115.00, '2023-05-13 15:56:07.196000', '2023-05-13 15:56:07.196000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '9B0F9CCFE39B32D3A98B9642A9CB1199', 'mmm', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '14176-50-2');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '21', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-21', '氯巴占', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '20.99', 0001200.00, '2023-05-13 15:23:42.539000', '2023-05-13 15:24:03.101000', '1', '1', '9B10C40F1C1AD8F52D0202EEC9354F8A', 'uuu', 'B91F7C6A10E492B4248CCCF82F803CFE', '毒品', '常规贮存', '天津一方代理', '瓶', '22316-47-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '39', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-39', 'α-羟基阿普唑仑', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '38.99', 0002841.00, '2023-05-13 15:56:07.201000', '2023-05-13 15:56:07.201000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '9BC93FF6948CD5986E29A5AD06BF560A', 'afgh', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '37115-43-8');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '16', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-16', '依托咪酯', '一般标准物质', '100mg', '15.99', 0000706.00, '2023-05-13 15:56:07.197000', '2023-05-13 15:56:07.197000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '9C40BA5C746B6A2848C56E9CB2698E9A', 'ppp', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '33125-97-2');
INSERT INTO `catalogue_details` VALUES ('1', '试剂', '1.0', '1', 'C36754AF0ECCE3A098669C5D69297F8F', NULL, '试剂1', '一般试剂', '2x2', '99', 0000001.00, '2023-05-09 14:14:47.922000', '2023-05-09 14:14:47.922000', '1', '1', '9ccf32ea4437fb7b25a4d297efa7cf96', 'reagent', NULL, '1', '常规贮存', '1', '盒', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '38', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-38', '7-氨基硝西泮', '一般标准物质', '1mL,1.0 mg/mL于乙腈', '37.99', 0003090.00, '2023-05-13 15:30:11.288000', '2023-05-13 15:31:04.294000', '1', '1', '9E831C30D3237F04E61FC3AD5C27F35F', 'gafh', '56ACB14AA22BBE5F62CB8995AF0C28B1', '毒品', '常规贮存', '天津一方代理', '瓶', '4928-02-3');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '10', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-10', '芬特明', '一般标准物质', '1mL,1.0mg/mL于甲醇', '9.99', 0001200.00, '2023-05-13 15:23:42.536000', '2023-05-13 15:24:03.102000', '1', '1', '9F450B4A303C4DB27B2CA5A6B53CC578', 'jjj', '91205A1B85AC79BAB4872E09608F1CB9', '毒品', '常规贮存', '天津一方代理', '瓶', '122-09-8');
INSERT INTO `catalogue_details` VALUES ('Dr.E', '标准物质', NULL, '43', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-43', '甲基对硫磷-d6', '一般标准物质', '25mg', '42.99', 0004734.00, '2023-05-13 15:56:34.514000', '2023-05-13 15:57:16.794000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '9FAB4539701C3F702B79B0EC347924C8', 'afdh5', 'F0634D94E151E9D3B3B11B14B8AF0A6C', '毒品', '常规贮存', '天津一方代理', '瓶', '96740-32-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', '偏差/不确定度5', '5', '02650DE4C0208E38061CFB22B09F237E', '2023-5', '羟考酮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '4.99', 0001200.00, '2023-05-13 15:57:44.283000', '2023-05-13 15:57:44.283000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', '9FBCC63E48E724DBB2DB460501C311A8', 'eee', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '20', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-20', '利培酮', '一般标准物质', '100mg', '19.99', 0000873.00, '2023-05-13 15:56:07.197000', '2023-05-13 15:56:07.197000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'A03E3BC59A5D7E2FB821CD6735CF5BBD', 'ttt', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '106266-06-2');
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', '偏差/不确定度4', '4', '3640EC9760453EF752844448A851F326', '2023-4', '氟胺酮', '一般标准物质', '100μg/mL, 1mL', '3.99', 0000600.00, '2023-05-13 16:00:58.430000', '2023-05-13 16:00:58.430000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', 'A0730544F1929DDE73E65D437253071F', 'ddd', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('da', '标准物质', NULL, '2343', '769B6D8D7A54F4595A06745F25706169', NULL, '大麻', '一般标准物质', 'da', '56%', 0003443.00, '2023-04-18 10:40:34.056000', '2023-04-18 11:30:05.621000', '1', '1', 'a0f3bcc38bf2681e830d9bea6a23c2b6', 'da', 'A3D7E4D4A19169E664FFF0698A4CF8AD', 'da', '常规贮存', NULL, '盒', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '26', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-26', '去甲奥氮平', '一般标准物质', '20mg', '25.99', 0001244.00, '2023-05-13 15:56:07.199000', '2023-05-13 15:56:07.199000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'A1BE25001E599B2474F734019DEE4C2A', 'zzz', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '161696-76-0');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '9', 'B481FE1A165245304A78B12226C3019E', '2023-9', '哌醋甲酯', '一般标准物质', '1mL,1.0mg/mL', '8.99', 0001200.00, '2023-05-13 15:28:49.958000', '2023-05-13 15:28:49.958000', '1', '1', 'A2D29894EE70A78D32E66AA092E5E261', 'iii', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '298-59-9');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '23', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-23', '尼美西泮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '22.99', 0001800.00, '2023-05-13 15:56:34.511000', '2023-05-13 15:57:16.795000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'A34D60C2567D607B03C892AAB8D64EEA', 'www', '1E2836DAC0CCA9B963BF1CCE05CA33C3', '毒品', '常规贮存', '天津一方代理', '瓶', '2011-67-8');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '15', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-15', 'MDA-19', '一般标准物质', '10mg', '14.99', 0001960.00, '2023-05-13 15:30:11.284000', '2023-05-13 15:31:04.295000', '1', '1', 'A43470FB06DD1EF66A672A8D49BB9C58', 'ooo', '51D69256A8BD79AFFB26A476683A971D', '毒品', '常规贮存', '天津一方代理', '瓶', '1048973-47-2');
INSERT INTO `catalogue_details` VALUES ('hhh', '标准物质', NULL, '323', '564E236AFA6BA1EF7E9C28F927BFB13D', NULL, '摇头丸2', '一般标准物质', 'hhh', '33%', 0000023.00, '2023-04-18 10:22:12.022000', '2023-04-18 10:22:12.022000', '1', '1', 'a536b921bc685e8817e9e7d72087c82c', 'hhh', NULL, 'hhh', '常规贮存', NULL, '盒', NULL);
INSERT INTO `catalogue_details` VALUES ('小米', '耗材', '无', '1', 'AE1A54531739628E2A03E5FC54D2AD90', '2', '手套', '一般耗材', '1', '无', 0000010.00, '2023-05-09 14:14:49.039000', '2023-05-09 14:14:49.039000', '1', '1', 'A6BD765029C5015E9FD23A7BDE267E26', 'gloves', 'AF8CBA871FC396CABEF48E8D2E6063BD', '手套', '常规贮存', '无', '箱', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '8', 'B481FE1A165245304A78B12226C3019E', '2023-8', '安非拉酮', '一般标准物质', '1mL,1.0mg/mL', '7.99', 0002949.00, '2023-05-13 15:28:49.957000', '2023-05-13 15:28:49.957000', '1', '1', 'A794F36721A70D8D8D6C6DB352C8B537', 'hhh', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '134-80-5');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '15', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-15', 'MDA-19', '一般标准物质', '10mg', '14.99', 0001960.00, '2023-05-13 15:56:07.196000', '2023-05-13 15:56:07.196000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'A7A14F8A5E11EFC81EC776D2D3F35686', 'ooo', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '1048973-47-2');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '39', 'B481FE1A165245304A78B12226C3019E', '2023-39', 'α-羟基阿普唑仑', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '38.99', 0002841.00, '2023-05-13 15:28:49.966000', '2023-05-13 15:28:49.966000', '1', '1', 'A87F52A37CAA8B858C670C3D34DFD164', 'afgh', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '37115-43-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', '偏差/不确定度5', '5', 'A823B4A07A6F360692C4483BD301126B', '2023-5', '羟考酮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '4.99', 0001200.00, '2023-05-13 16:00:00.552000', '2023-05-13 16:00:00.552000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', 'A92FFA61225FAABB49FCD63FD55634AC', 'eee', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '32', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-32', '异安定酮', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '31.99', 0001200.00, '2023-05-13 15:23:42.542000', '2023-05-13 15:24:03.103000', '1', '1', 'A9A44FE0D5C706BD8E254037ABF78854', 'dag', 'A6A55914C0422DAD1895935C40B8D997', '毒品', '常规贮存', '天津一方代理', '瓶', '22316-47-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '39', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-39', 'α-羟基阿普唑仑', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '38.99', 0002841.00, '2023-05-13 15:56:34.514000', '2023-05-13 15:57:16.796000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'A9B6E2025DCD9E6DE3F755EACC0953D8', 'afgh', 'CB407F915CE2BDE8D3C265397F4D9C1B', '毒品', '常规贮存', '天津一方代理', '瓶', '37115-43-8');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '14', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-14', '甲基胺酮', '一般标准物质', '25mg', '13.99', 0002231.00, '2023-05-13 15:30:11.284000', '2023-05-13 15:31:04.296000', '1', '1', 'AA26C6305D08C61A554AB7999E3EF657', 'nnn', 'E24350CBC445E22FD5085C148B1AEA4F', '毒品', '常规贮存', '天津一方代理', '瓶', '1022-13-5');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '31', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-31', ' 溴西泮', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '30.99', 0001200.00, '2023-05-13 15:56:34.513000', '2023-05-13 15:57:16.797000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'AA65BAB5A4F9846AB569D8E75302C2F8', 'qer', 'CBD28C6C86F7E7CB2A8CA19E5D33C321', '毒品', '常规贮存', '天津一方代理', '瓶', '1812-30-2');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '33', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-33', '右美托咪定', '一般标准物质', '100mg', '32.99', 0000706.00, '2023-05-13 15:56:07.200000', '2023-05-13 15:56:07.200000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'AA70EBF4DDC898FE6600C1F1B5CD041A', 'fhd', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '145108-58-3');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '12', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '地佐辛', '一般标准物质', '100ug/ml，1ml', '11.99', 0002000.00, '2023-05-13 14:21:28.281000', '2023-05-13 14:22:06.512000', '1', '1', 'AAA0B0B093A3A26C8323B401A7163363', 'lll', '3E70E84A333E6C4BC0A683CB07E54CFE', '毒品', '常规贮存', '天津一方代理', '瓶', '53648-55-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '10', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '芬特明', '一般标准物质', '1mL,1.0mg/mL于甲醇', '9.99', 0001200.00, '2023-05-13 14:21:28.281000', '2023-05-13 14:22:06.513000', '1', '1', 'ABA2BEDDEDC814919AF996B8C7E1AE85', 'jjj', '3CA4D8E61C64568015B8426727648A54', '毒品', '常规贮存', '天津一方代理', '瓶', '122-09-8');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '29', 'B481FE1A165245304A78B12226C3019E', '2023-29', '司普替林', '一般标准物质', '20mg', '28.99', 0002360.00, '2023-05-13 15:28:49.964000', '2023-05-13 15:28:49.964000', '1', '1', 'AC3992DD95B90D64FE4CF5CAF4223B2B', 'afsf', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '546-43-0');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '1', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-1', '曲马多', '一般标准物质', '10mg', '0.99', 0004800.00, '2023-05-13 15:56:34.508000', '2023-05-13 15:57:16.798000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'AD498A98E088C14C6E93601253F8FA03', 'aaa', '2092F6BE3F43EAE1BD4953C921D8861E', '毒品', '常规贮存', '天津一方代理', '瓶', '36282-47-0');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '2', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-2', '哌替啶', '一般标准物质', '1mL,1.0mg/mL于甲醇', '1.99', 0001200.00, '2023-05-13 15:30:11.281000', '2023-05-13 15:31:04.297000', '1', '1', 'B06517BEDDDCE9CD40C16A591F2C8666', 'bbb', 'FCDB32C4405253B126C6E637737380B8', '毒品', '常规贮存', '天津一方代理', '瓶', '57-42-1');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '39', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-39', 'α-羟基阿普唑仑', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '38.99', 0002841.00, '2023-05-13 15:23:42.543000', '2023-05-13 15:24:03.104000', '1', '1', 'B14B15846934762033499A506F48DECE', 'afgh', '74652795932FD342E8A85609AF9FAC87', '毒品', '常规贮存', '天津一方代理', '瓶', '37115-43-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '8', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-8', '安非拉酮', '一般标准物质', '1mL,1.0mg/mL', '7.99', 0002949.00, '2023-05-13 15:23:42.535000', '2023-05-13 15:24:03.105000', '1', '1', 'B16C7B470B4CE593B1964AC2F804777B', 'hhh', 'D5BD3463178277D86EE9754A40012A09', '毒品', '常规贮存', '天津一方代理', '瓶', '134-80-5');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '16', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-16', '依托咪酯', '一般标准物质', '100mg', '15.99', 0000706.00, '2023-05-13 15:56:34.511000', '2023-05-13 15:57:16.799000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'B19CC24ADFE58CAE920E7473CCB57B20', 'ppp', 'FDBE7F9BDB91192A4A4887F993B5E67B', '毒品', '常规贮存', '天津一方代理', '瓶', '33125-97-2');
INSERT INTO `catalogue_details` VALUES ('Dr.E', '标准物质', NULL, '43', 'B481FE1A165245304A78B12226C3019E', '2023-43', '甲基对硫磷-d6', '一般标准物质', '25mg', '42.99', 0004734.00, '2023-05-13 15:28:49.968000', '2023-05-13 15:28:49.968000', '1', '1', 'B3095EF8CD01928C5154755E6764C493', 'afdh5', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '96740-32-8');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '17', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-17', '丙泊酚', '一般标准物质', '100mg', '16.99', 0000873.00, '2023-05-13 15:56:34.511000', '2023-05-13 15:57:16.800000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'B597BDAEB1410811F812DC4C2B868062', 'qqq', '0B79D729619B243D06FE4B02123C8DD8', '毒品', '常规贮存', '天津一方代理', '瓶', '2078-54-8');
INSERT INTO `catalogue_details` VALUES ('ChromaDex', '标准物质', NULL, '3', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '咖啡因', '一般标准物质', '100mg', '2.99', 0001500.00, '2023-05-13 14:21:28.279000', '2023-05-13 14:22:06.514000', '1', '1', 'B63F1321BD20E8D86D9DEF942DE3E004', 'ccc', 'CAE9EFA66C8CE371B5A47B60B0027A61', '毒品', '常规贮存', '天津一方代理', '瓶', '58-08-2');
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', NULL, '19', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-19', '格鲁米特', '一般标准物质', '100ug/ml，1ml', '18.99', 0001800.00, '2023-05-13 15:30:11.285000', '2023-05-13 15:31:04.299000', '1', '1', 'B6A17B3556EBB4B31E24E14E919FD039', 'sss', '9284572A3F75D6C8699E9F9DC7F27E25', '毒品', '常规贮存', '天津一方代理', '瓶', '77-21-4');
INSERT INTO `catalogue_details` VALUES ('1', '试剂', '1.0', '1', 'AE1A54531739628E2A03E5FC54D2AD90', '4', '试剂1', '一般试剂', '2x2', '99', 0000001.00, '2023-05-09 14:14:49.041000', '2023-05-09 14:15:02.761000', '1', '1', 'B6C135A08A2628D1C93ABE5CD4DABEE3', 'reagent', 'EEB461F1E10CE14AD6E7E0247844053A', '1', '常规贮存', '1', '盒', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '12', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-12', '地佐辛', '一般标准物质', '100ug/ml，1ml', '11.99', 0002000.00, '2023-05-13 15:56:34.510000', '2023-05-13 15:57:16.801000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'B7240EC585B689C1399F213A6AB433C6', 'lll', '35973A18455933E9DA2DEA0F03C04977', '毒品', '常规贮存', '天津一方代理', '瓶', '53648-55-8');
INSERT INTO `catalogue_details` VALUES ('三星', '标准物质', '0.9', '1', 'AE1A54531739628E2A03E5FC54D2AD90', '5', '摇头丸', '一般标准物质', '30x20', '88%', 0002999.00, '2023-05-09 14:14:49.041000', '2023-05-09 14:14:49.041000', '1', '1', 'B78DABCE5A882137829A12687EE8A10D', 'ecstasy', '28613635426554046F0B12D7121A5AAB', '摇头丸', '冷藏贮存', '无', '支', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '26', 'B481FE1A165245304A78B12226C3019E', '2023-26', '去甲奥氮平', '一般标准物质', '20mg', '25.99', 0001244.00, '2023-05-13 15:28:49.964000', '2023-05-13 15:28:49.964000', '1', '1', 'B868EF456D5940F3E3352F649BD18A80', 'zzz', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '161696-76-0');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '36', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '2-羟基乙基氟安定 ', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '35.99', 0003210.00, '2023-05-13 14:21:28.286000', '2023-05-13 14:22:06.516000', '1', '1', 'B8BB19B586FAA082FB1F4037E40FD503', 'ager', 'E145F0B571E49C186BE7F5936E0FF22B', '毒品', '常规贮存', '天津一方代理', '瓶', '20971-53-3');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '37', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-37', '7-氨基氟硝西泮', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '36.99', 0003090.00, '2023-05-13 15:30:11.288000', '2023-05-13 15:31:04.300000', '1', '1', 'B92CE941E2A429DA53870F17725019B4', 'gfj', '4F67653FD885A49C6966BCADF1EC9AD5', '毒品', '常规贮存', '天津一方代理', '瓶', '34084-50-9');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '7', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-7', '安眠酮（甲喹酮）', '一般标准物质', '1mL,1.0mg/mL于甲醇', '6.99', 0001200.00, '2023-05-13 15:56:34.510000', '2023-05-13 15:57:16.802000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'BAD36803458379F2B8951A16A2556DF9', 'ggg', '529F786A951A2C825505D54D4732F8C6', '毒品', '常规贮存', '天津一方代理', '瓶', '72-44-6');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '34', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-34', '扎来普隆', '一般标准物质', '100mg', '33.99', 0005172.00, '2023-05-13 15:56:07.200000', '2023-05-13 15:56:07.200000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'BB3025398C3282935CEC54A62FE23E24', 'ha', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '151319-34-5');
INSERT INTO `catalogue_details` VALUES ('22', '试剂', NULL, '22', 'F897538730C1722798970643884807FF', '1', '222', '酒精', '22', '22', 0000022.00, '2023-04-18 09:54:23.428000', '2023-04-18 09:54:23.428000', '1', '1', 'BBCE1B03079334B70D91082D417E01F1', '22', NULL, '22', '常规贮存', '222', '盒', NULL);
INSERT INTO `catalogue_details` VALUES ('Panphy', '标准物质', NULL, '22', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-22', '美乐托宁', '一般标准物质', '100mg', '21.99', 0000464.00, '2023-05-13 15:56:34.511000', '2023-05-13 15:57:16.803000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'BBF0E9EF5BB4D0F10E83AB7E044341AF', 'vvv', '88DB8C3D2DA4C3AE2737AD859E4B6F8A', '毒品', '常规贮存', '天津一方代理', '瓶', '73-31-4');
INSERT INTO `catalogue_details` VALUES ('bd', '标准物质', NULL, '23', '59B41C115F9906393320FE4D5760053A', NULL, '冰毒4', '一般标准物质', 'bd', '100%', 0000323.00, '2023-04-18 10:44:32.304000', '2023-04-18 10:44:32.304000', '1', '1', 'bc23e6294d2f5313f04f822b8e3cb3d6', 'bd', NULL, 'bd', '冷藏贮存', NULL, '盒', NULL);
INSERT INTO `catalogue_details` VALUES ('小米', '耗材', '无', '1', 'EF8A980A3EAD8370C4C81D2CF3A32CB9', '3', '手套', '一般耗材', '1', '无', 0000010.00, '2023-05-10 09:34:41.705000', '2023-05-10 09:34:41.705000', '1', '1', 'BC3EAACBE355AAD3C0755E77E567471B', 'gloves', 'AF8CBA871FC396CABEF48E8D2E6063BD', '手套', '常规贮存', '无', '箱', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '28', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-28', '羟基利培酮', '一般标准物质', '25mg', '27.99', 0000756.00, '2023-05-13 15:30:11.287000', '2023-05-13 15:31:04.302000', '1', '1', 'BCB08CF43C279FA2F6B378A835D353A1', 'agas', '6E4006E4304B40A126AFE76FFAF00235', '毒品', '常规贮存', '天津一方代理', '瓶', '144598-75-4');
INSERT INTO `catalogue_details` VALUES ('Dr.E', '标准物质', NULL, '43', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-43', '甲基对硫磷-d6', '一般标准物质', '25mg', '42.99', 0004734.00, '2023-05-13 15:30:11.289000', '2023-05-13 15:31:04.303000', '1', '1', 'BEF8207BA11A76A1CC21C67AD8D51B8B', 'afdh5', '43C0A3944A9098D7D8596A0D086750FF', '毒品', '常规贮存', '天津一方代理', '瓶', '96740-32-8');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', '偏差/不确定度1', '1', 'A823B4A07A6F360692C4483BD301126B', '2023-1', '曲马多', '一般标准物质', '10mg', '0.99', 0004800.00, '2023-05-13 16:00:00.552000', '2023-05-13 16:00:00.552000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', 'BFEC68AB56D2CB922316069A93BE8D08', 'aaa', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '8', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-8', '安非拉酮', '一般标准物质', '1mL,1.0mg/mL', '7.99', 0002949.00, '2023-05-13 15:56:34.510000', '2023-05-13 15:57:16.804000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'C0D50D75A7C03F1F5476E1C6429E60A7', 'hhh', '1C4F2856570F21181E999E32BFDF1E53', '毒品', '常规贮存', '天津一方代理', '瓶', '134-80-5');
INSERT INTO `catalogue_details` VALUES ('Dr.E', '标准物质', NULL, '43', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-43', '甲基对硫磷-d6', '一般标准物质', '25mg', '42.99', 0004734.00, '2023-05-13 15:23:42.544000', '2023-05-13 15:24:03.106000', '1', '1', 'C1044B2D733F98FD1CC348800F261032', 'afdh5', '6E02B8373BC5412DAD0037A13719EE2D', '毒品', '常规贮存', '天津一方代理', '瓶', '96740-32-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '23', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '尼美西泮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '22.99', 0001800.00, '2023-05-13 14:21:28.284000', '2023-05-13 14:22:06.517000', '1', '1', 'C10F7B2E2955837569B57D337C900998', 'www', 'C2213386CD0AC57E9DFFC07E39AB4A03', '毒品', '常规贮存', '天津一方代理', '瓶', '2011-67-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '35', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-35', '2-氯地西泮', '一般标准物质', '1mL,1mg/mL于乙腈', '34.99', 0003180.00, '2023-05-13 15:56:34.513000', '2023-05-13 15:57:16.805000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'C2278E95A3EEA1ABC16A273D9DDE3D3B', 'afdh', 'E31D1CD8862E006D021FA20CAA7DA86F', '毒品', '常规贮存', '天津一方代理', '瓶', '2894-68-0');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '5', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-5', '羟考酮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '4.99', 0001200.00, '2023-05-13 15:56:07.194000', '2023-05-13 15:56:07.194000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'C2A0FCEE77A664F73CB5CAF5D86EF6C0', 'eee', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '76-42-6');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '18', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-18', '氟阿尼酮', '一般标准物质', '250mg', '17.99', 0002928.00, '2023-05-13 15:23:42.538000', '2023-05-13 15:24:03.107000', '1', '1', 'C3241C98EF95F7E0EC86A9E7D6591E9A', 'rrr', '8A1A292DA1CE205E3FFD5D56F4E0A098', '毒品', '常规贮存', '天津一方代理', '瓶', '1480-19-9');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '21', 'B481FE1A165245304A78B12226C3019E', '2023-21', '氯巴占', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '20.99', 0001200.00, '2023-05-13 15:28:49.962000', '2023-05-13 15:28:49.962000', '1', '1', 'C3B34D37C2ABA718C529FFC0E2219760', 'uuu', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '22316-47-8');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '27', 'B481FE1A165245304A78B12226C3019E', '2023-27', '去甲氯氮平', '一般标准物质', '20mg', '26.99', 0001189.00, '2023-05-13 15:28:49.964000', '2023-05-13 15:28:49.964000', '1', '1', 'C3D3D9AF5CA6155F4782F6A19D23018D', 'asd', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '6104-71-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '35', 'B481FE1A165245304A78B12226C3019E', '2023-35', '2-氯地西泮', '一般标准物质', '1mL,1mg/mL于乙腈', '34.99', 0003180.00, '2023-05-13 15:28:49.965000', '2023-05-13 15:28:49.965000', '1', '1', 'C48F8B181F28BE06CD0C6BFB16E29484', 'afdh', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '2894-68-0');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '11', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '对甲氧基甲基苯丙胺', '一般标准物质', '1mL,1.0mg/mL于甲醇', '10.99', 0001800.00, '2023-05-13 14:21:28.281000', '2023-05-13 14:22:06.518000', '1', '1', 'C4EFADB4530D1FCF0A7ABD762109F08B', 'kkk', '626AB22F8AF015EF16F0E5EFBE5648C6', '毒品', '常规贮存', '天津一方代理', '瓶', '3398-68-3');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '31', 'B481FE1A165245304A78B12226C3019E', '2023-31', ' 溴西泮', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '30.99', 0001200.00, '2023-05-13 15:28:49.965000', '2023-05-13 15:28:49.965000', '1', '1', 'C50F9435662E6840D5819257B5129531', 'qer', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '1812-30-2');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '7', 'B481FE1A165245304A78B12226C3019E', '2023-7', '安眠酮（甲喹酮）', '一般标准物质', '1mL,1.0mg/mL于甲醇', '6.99', 0001200.00, '2023-05-13 15:28:49.957000', '2023-05-13 15:28:49.957000', '1', '1', 'C5558A719A9FB46F9863AE7D8BE913B3', 'ggg', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '72-44-6');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '21', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-21', '氯巴占', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '20.99', 0001200.00, '2023-05-13 15:56:34.511000', '2023-05-13 15:57:16.806000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'C61D85F88C8C5E6EDA50869B14FD1346', 'uuu', '9E44607728640BCC85B578BFF5A22CC9', '毒品', '常规贮存', '天津一方代理', '瓶', '22316-47-8');
INSERT INTO `catalogue_details` VALUES ('ChromaDex', '标准物质', '偏差/不确定度3', '3', '3640EC9760453EF752844448A851F326', '2023-3', '咖啡因', '一般标准物质', '100mg', '2.99', 0001500.00, '2023-05-13 16:00:58.430000', '2023-05-13 16:00:58.430000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', 'C72E00AAAF8436712B3FC7650833CE7E', 'ccc', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('dada', '标准物质', NULL, '23', '769B6D8D7A54F4595A06745F25706169', NULL, '大麻1', '一般标准物质', 'dada', '67%', 0000032.00, '2023-04-18 10:25:36.994000', '2023-04-18 11:30:05.623000', '1', '1', 'c8bdf45a90db09bae72693d76008994f', 'dada', '56BC02CC3C58F537A8289D142297A381', 'dada', '常规贮存', NULL, '盒', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '41', 'B481FE1A165245304A78B12226C3019E', '2023-41', '苯巴比妥-d5 ', '一般标准物质', '1mL,100μg/mL于甲醇', '40.99', 0001500.00, '2023-05-13 15:28:49.967000', '2023-05-13 15:28:49.967000', '1', '1', 'C918D2148558C0B92188969B9F48A805', 'r4qy', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '73738-05-3');
INSERT INTO `catalogue_details` VALUES ('天润', '试剂', '', '20', 'F0E0C037E99B77A00FBBCBF05EF6E2A6', NULL, '乙醇', '酒精', '1x1', '99%', 0000150.00, '2023-05-09 14:05:26.295000', '2023-05-09 14:05:26.295000', '1', '1', 'cb956fdef62cdc82112a35ebdef11f31', 'alcohol', NULL, '乙醇', '常规贮存', '1', '箱', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '41', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-41', '苯巴比妥-d5 ', '一般标准物质', '1mL,100μg/mL于甲醇', '40.99', 0001500.00, '2023-05-13 15:56:34.514000', '2023-05-13 15:57:16.807000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'CC0D8C5501BB15FD54F99A22F8131BC4', 'r4qy', '5DAC30380021F8FC1A58AF581CE8B61C', '毒品', '常规贮存', '天津一方代理', '瓶', '73738-05-3');
INSERT INTO `catalogue_details` VALUES ('Panphy', '标准物质', NULL, '22', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-22', '美乐托宁', '一般标准物质', '100mg', '21.99', 0000464.00, '2023-05-13 15:56:07.198000', '2023-05-13 15:56:07.198000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'CC80B17DC4801C16C4CB85FFFEF0ED84', 'vvv', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '73-31-4');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '12', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-12', '地佐辛', '一般标准物质', '100ug/ml，1ml', '11.99', 0002000.00, '2023-05-13 15:23:42.537000', '2023-05-13 15:24:03.109000', '1', '1', 'CC843F436A387B4E659DD89D7AFCA849', 'lll', 'D98927C15703BAAE6A2F36F57B20D73B', '毒品', '常规贮存', '天津一方代理', '瓶', '53648-55-8');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '12', 'B481FE1A165245304A78B12226C3019E', '2023-12', '地佐辛', '一般标准物质', '100ug/ml，1ml', '11.99', 0002000.00, '2023-05-13 15:28:49.959000', '2023-05-13 15:28:49.959000', '1', '1', 'CCB1FBC7A3C1DC0394678A2809FE8390', 'lll', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '53648-55-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '11', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-11', '对甲氧基甲基苯丙胺', '一般标准物质', '1mL,1.0mg/mL于甲醇', '10.99', 0001800.00, '2023-05-13 15:56:34.510000', '2023-05-13 15:57:16.808000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'CCD4001A3D20551BE702AB7BD9FD63CD', 'kkk', 'BF1E406D8D4D343E1CDC38C5767C93A2', '毒品', '常规贮存', '天津一方代理', '瓶', '3398-68-3');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '31', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-31', ' 溴西泮', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '30.99', 0001200.00, '2023-05-13 15:30:11.287000', '2023-05-13 15:31:04.304000', '1', '1', 'CF5520B4434B3CCD6734C91F4CB065AE', 'qer', '198C15F344DCE8AFAAC9A02BF317875D', '毒品', '常规贮存', '天津一方代理', '瓶', '1812-30-2');
INSERT INTO `catalogue_details` VALUES ('22', '试剂', NULL, '22', '8F90372905B8A889BEE96D8E3644DAAC', '2', '222', '酒精', '22', '22', 0000022.00, '2023-05-10 14:56:32.499000', '2023-05-10 14:56:32.499000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 'CFA4A643F62854CA63A3CFF41D4C08EA', '22', '4DC0DFAD80856851F5484282EAFC54ED', '22', '常规贮存', '222', '盒', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '23', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-23', '尼美西泮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '22.99', 0001800.00, '2023-05-13 15:23:42.539000', '2023-05-13 15:24:03.110000', '1', '1', 'D10D999D029F2F6EAA14BCE8B3FFF0D7', 'www', 'A38DFFFAD68AC96F9CCF874787803BFD', '毒品', '常规贮存', '天津一方代理', '瓶', '2011-67-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', '偏差/不确定度5', '5', '3640EC9760453EF752844448A851F326', '2023-5', '羟考酮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '4.99', 0001200.00, '2023-05-13 16:00:58.430000', '2023-05-13 16:00:58.430000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', 'D247147BE9FF55288DB50AEC5164A21C', 'eee', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('123', '耗材', '1231', '21', '899D05D956575653113DCB90772819D7', '2023-1', '123', '一般耗材', '12312', '312', 0000123.00, '2023-05-13 15:51:07.147000', '2023-05-13 15:51:07.147000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', 'D2546DFC24A455A37BAF3C3E7B4B2A06', '123', NULL, '123', '常规贮存', '312', '支', '123');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '7', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-7', '安眠酮（甲喹酮）', '一般标准物质', '1mL,1.0mg/mL于甲醇', '6.99', 0001200.00, '2023-05-13 15:23:42.535000', '2023-05-13 15:24:03.111000', '1', '1', 'D28C2F65E422CE15C2E0BA10126348B6', 'ggg', 'D9D8E840B3C5AF4D62F6E00A8051752A', '毒品', '常规贮存', '天津一方代理', '瓶', '72-44-6');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '18', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '氟阿尼酮', '一般标准物质', '250mg', '17.99', 0002928.00, '2023-05-13 14:21:28.283000', '2023-05-13 14:22:06.519000', '1', '1', 'D5F0FF4A25F86E68B7464CF7953C6173', 'rrr', '7E6E43AC8927277F72FAA8528AB947A8', '毒品', '常规贮存', '天津一方代理', '瓶', '1480-19-9');
INSERT INTO `catalogue_details` VALUES ('三星', '标准物质', '0.9', '1', 'C36754AF0ECCE3A098669C5D69297F8F', '6', '摇头丸', '一般标准物质', '30x20', '88%', 0002999.00, '2023-05-09 14:07:45.337000', '2023-05-09 14:07:45.337000', '1', '1', 'D6341792378F6038CCDBBF97F4F1238D', 'ecstasy', '28613635426554046F0B12D7121A5AAB', '摇头丸', '冷藏贮存', '无', '支', NULL);
INSERT INTO `catalogue_details` VALUES ('NIST', '标准物质', NULL, '44', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-44', '硫酸铵', '一般标准物质', '0.5 g', '43.99', 0004600.00, '2023-05-13 15:56:07.202000', '2023-05-13 15:56:07.202000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'D68B836ECC1A703EF4171DBAB13D67A5', 'adfsg', NULL, '毒品', '常规贮存', '货号IAEA-N-1', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '5', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '羟考酮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '4.99', 0001200.00, '2023-05-13 14:21:28.279000', '2023-05-13 14:22:06.520000', '1', '1', 'D78A38FB915BE0721E9C254D8F43670A', 'eee', '1FBD3CE6E13A62FAFC3C6A55CEC0F03B', '毒品', '常规贮存', '天津一方代理', '瓶', '76-42-6');
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', NULL, '19', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '格鲁米特', '一般标准物质', '100ug/ml，1ml', '18.99', 0001800.00, '2023-05-13 14:21:28.283000', '2023-05-13 14:22:06.522000', '1', '1', 'D7B3B28C3BBDC24951E92BD7AB8C8AE8', 'sss', 'C4D41197D0EF1C3F2AC3787FB49A7F62', '毒品', '常规贮存', '天津一方代理', '瓶', '77-21-4');
INSERT INTO `catalogue_details` VALUES ('123', '耗材', '12', '2123', '7D3791B98700BA77A6B721B9CD1963A4', NULL, '123', '木材', '123123', '123', 0000123.00, '2023-05-11 10:19:19.019000', '2023-05-11 10:19:19.019000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'D82D18F7F8E6D8DA72656F3D197E7F41', '123', NULL, '123', '常规贮存', '23123', '箱', '123');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '32', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '异安定酮', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '31.99', 0001200.00, '2023-05-13 14:21:28.285000', '2023-05-13 14:22:06.522000', '1', '1', 'D90B91A05AD867884F6CAC66AC666722', 'dag', '3A8180FE5D94530BE16712B3CF2287B1', '毒品', '常规贮存', '天津一方代理', '瓶', '22316-47-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '41', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-41', '苯巴比妥-d5 ', '一般标准物质', '1mL,100μg/mL于甲醇', '40.99', 0001500.00, '2023-05-13 15:56:07.202000', '2023-05-13 15:56:07.202000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'D93787C3B7350C82437199E131EDE277', 'r4qy', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '73738-05-3');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '13', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '替来他明', '一般标准物质', '250mg', '12.99', 0003115.00, '2023-05-13 14:21:28.282000', '2023-05-13 14:22:06.523000', '1', '1', 'DA3FBFFD87C9A5BC4F7ECD05A049F6E8', 'mmm', '70CC85AE83582AB06C907528BB71BF2C', '毒品', '常规贮存', '天津一方代理', '瓶', '14176-50-2');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '35', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-35', '2-氯地西泮', '一般标准物质', '1mL,1mg/mL于乙腈', '34.99', 0003180.00, '2023-05-13 15:23:42.542000', '2023-05-13 15:24:03.112000', '1', '1', 'DA534196DD63E68392BD4E9C48813352', 'afdh', '218F983C61D31BD78D19B7C2C1ADF81C', '毒品', '常规贮存', '天津一方代理', '瓶', '2894-68-0');
INSERT INTO `catalogue_details` VALUES ('贵安', '试剂', '1', '10', 'F0E0C037E99B77A00FBBCBF05EF6E2A6', NULL, '碳酸氢钠', '一般试剂', '1x1', '99%', 0000120.00, '2023-05-09 14:07:42.777000', '2023-05-09 14:07:42.777000', '1', '1', 'db2b7ec4ab18c94d316e70f00dbc6c4f', 'SodiumBicarbonate', NULL, '1', '常规贮存', '1', '箱', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '32', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-32', '异安定酮', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '31.99', 0001200.00, '2023-05-13 15:56:07.200000', '2023-05-13 15:56:07.200000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'DB772497497C373EAAFF9AE25D389C37', 'dag', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '22316-47-8');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '26', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-26', '去甲奥氮平', '一般标准物质', '20mg', '25.99', 0001244.00, '2023-05-13 15:30:11.286000', '2023-05-13 15:31:04.305000', '1', '1', 'DC319886B5C2866E9581861566BC7672', 'zzz', '215785A12DF788D4D9FA51977708A60F', '毒品', '常规贮存', '天津一方代理', '瓶', '161696-76-0');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '30', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-30', '泰尔登', '一般标准物质', '50mg', '29.99', 0000242.00, '2023-05-13 15:56:07.200000', '2023-05-13 15:56:07.200000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'DE1518DE879CADAC972DD636DC756CE3', 'asf', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '113-59-7');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '31', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-31', ' 溴西泮', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '30.99', 0001200.00, '2023-05-13 15:56:07.200000', '2023-05-13 15:56:07.200000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'DEBC688470F7CC9A413ADB4CBDE0E0F9', 'qer', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '1812-30-2');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '17', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-17', '丙泊酚', '一般标准物质', '100mg', '16.99', 0000873.00, '2023-05-13 15:56:07.197000', '2023-05-13 15:56:07.197000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'DF2300D21ECEC161C25A8E37B39CBA0D', 'qqq', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '2078-54-8');
INSERT INTO `catalogue_details` VALUES ('华为', '标准物质', '122', '1', 'AE1A54531739628E2A03E5FC54D2AD90', '3', '海洛因', '一般标准物质', '50x50', '72%', 0001999.00, '2023-05-09 14:14:49.039000', '2023-05-09 14:14:49.039000', '1', '1', 'E35B2B10BB0F238B78FAA74270C29337', 'heroin', '6D9807222F22E3675247B2CFCD5344A5', '海洛因', '常规贮存', '无', '支', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', '偏差/不确定度2', '2', 'A823B4A07A6F360692C4483BD301126B', '2023-2', '哌替啶', '一般标准物质', '1mL,1.0mg/mL于甲醇', '1.99', 0001200.00, '2023-05-13 16:00:00.552000', '2023-05-13 16:00:00.552000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', 'E3C0F64997E46577FBC5077732803111', 'bbb', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('ChromaDex', '标准物质', NULL, '3', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-3', '咖啡因', '一般标准物质', '100mg', '2.99', 0001500.00, '2023-05-13 15:56:34.508000', '2023-05-13 15:57:16.809000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'E3C736D48BD6421F9CC5940B870EFB9A', 'ccc', '2F3F21C9FB0A54FEB029DD571E861F51', '毒品', '常规贮存', '天津一方代理', '瓶', '58-08-2');
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', NULL, '4', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-4', '氟胺酮', '一般标准物质', '100μg/mL, 1mL', '3.99', 0000600.00, '2023-05-13 15:56:07.194000', '2023-05-13 15:56:07.194000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'E40CE0F74FA63CB0E7ADDCB4E8A86606', 'ddd', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '111982-49-1');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '10', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-10', '芬特明', '一般标准物质', '1mL,1.0mg/mL于甲醇', '9.99', 0001200.00, '2023-05-13 15:56:34.510000', '2023-05-13 15:57:16.811000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'E448D5CB55B6619A4DEC96536DECC6D3', 'jjj', '2CA1D91195703B1E92362A8F47318C78', '毒品', '常规贮存', '天津一方代理', '瓶', '122-09-8');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '34', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-34', '扎来普隆', '一般标准物质', '100mg', '33.99', 0005172.00, '2023-05-13 15:56:34.513000', '2023-05-13 15:57:16.812000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'E47437C6C5C9C408456E063BF2861BD4', 'ha', '4651D383DD701BF229FCC215BF46A4ED', '毒品', '常规贮存', '天津一方代理', '瓶', '151319-34-5');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '35', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-35', '2-氯地西泮', '一般标准物质', '1mL,1mg/mL于乙腈', '34.99', 0003180.00, '2023-05-13 15:30:11.288000', '2023-05-13 15:31:04.306000', '1', '1', 'E510F2F1060AE0E98B9BE2B4E0D16B00', 'afdh', '20F579777F3B3B400ABBE6219AAEDE3F', '毒品', '常规贮存', '天津一方代理', '瓶', '2894-68-0');
INSERT INTO `catalogue_details` VALUES ('34', '耗材', '34%', '34', '564E236AFA6BA1EF7E9C28F927BFB13D', NULL, '耗材222', '钢材', '34', '34%', 0000023.00, '2023-04-18 10:01:40.520000', '2023-04-18 10:01:40.520000', '1', '1', 'E6354BA84571CC34A22DB72BCBF2BF18', '4', NULL, '34', '常规贮存', '23', '盒', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '12', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-12', '地佐辛', '一般标准物质', '100ug/ml，1ml', '11.99', 0002000.00, '2023-05-13 15:30:11.284000', '2023-05-13 15:31:04.308000', '1', '1', 'E65A1B5EB022709EBE005CA5DAD7B5AC', 'lll', '4D34796FED3B88010223F2FE3CF494F6', '毒品', '常规贮存', '天津一方代理', '瓶', '53648-55-8');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '16', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-16', '依托咪酯', '一般标准物质', '100mg', '15.99', 0000706.00, '2023-05-13 15:23:42.538000', '2023-05-13 15:24:03.113000', '1', '1', 'E87B2EB69E4E8AA8F8FD09F1A7B50D9F', 'ppp', '41DB5ED154D9332F32C632A767F840E3', '毒品', '常规贮存', '天津一方代理', '瓶', '33125-97-2');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '38', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-38', '7-氨基硝西泮', '一般标准物质', '1mL,1.0 mg/mL于乙腈', '37.99', 0003090.00, '2023-05-13 15:23:42.543000', '2023-05-13 15:24:03.114000', '1', '1', 'E8B1F587156FA660602FE539098EC419', 'gafh', '0348FD884CBAD87F628DF974033A9E0A', '毒品', '常规贮存', '天津一方代理', '瓶', '4928-02-3');
INSERT INTO `catalogue_details` VALUES ('1', '试剂', '1.0', '1', 'EF8A980A3EAD8370C4C81D2CF3A32CB9', '4', '试剂1', '一般试剂', '2x2', '99', 0000001.00, '2023-05-10 09:34:41.706000', '2023-05-10 09:34:41.706000', '1', '1', 'E9787F26A95A691F4555F9BD96EBDF92', 'reagent', 'EEB461F1E10CE14AD6E7E0247844053A', '1', '常规贮存', '1', '盒', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '42', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '地西泮-d5 ', '一般标准物质', '1mL,100μg/mL于甲醇', '41.99', 0001500.00, '2023-05-13 14:21:28.287000', '2023-05-13 14:22:06.524000', '1', '1', 'EA0F7E896DE25CC8B36AA924498A8C14', 'afg43', '8F27C172079903D065D7771D9366F5CC', '毒品', '常规贮存', '天津一方代理', '瓶', '65854-76-4');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '17', 'B481FE1A165245304A78B12226C3019E', '2023-17', '丙泊酚', '一般标准物质', '100mg', '16.99', 0000873.00, '2023-05-13 15:28:49.961000', '2023-05-13 15:28:49.961000', '1', '1', 'EAA3C108F7056C4AB9D96C0F25418002', 'qqq', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '2078-54-8');
INSERT INTO `catalogue_details` VALUES ('三星', '标准物质', '0.9', '1', 'F0E0C037E99B77A00FBBCBF05EF6E2A6', '3', '摇头丸', '一般标准物质', '30x20', '88%', 0002999.00, '2023-04-26 17:29:45.034000', '2023-04-26 17:31:55.952000', '1', '1', 'EADE73747590AA78A35F123291D28811', 'ecstasy', '28613635426554046F0B12D7121A5AAB', '摇头丸', '冷藏贮存', '无', '支', NULL);
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '14', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-14', '甲基胺酮', '一般标准物质', '25mg', '13.99', 0002231.00, '2023-05-13 15:56:34.510000', '2023-05-13 15:57:16.816000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'EAE245B3A0580F4FEC029CFCD56CF860', 'nnn', '790C14963726277C51B3F093F2767D92', '毒品', '常规贮存', '天津一方代理', '瓶', '1022-13-5');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '11', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-11', '对甲氧基甲基苯丙胺', '一般标准物质', '1mL,1.0mg/mL于甲醇', '10.99', 0001800.00, '2023-05-13 15:56:07.195000', '2023-05-13 15:56:07.195000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'EC1C1F1A6F7199D67874A841EE736011', 'kkk', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '3398-68-3');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '25', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '喷他咗欣', '一般标准物质', '1mL,1.0mg/mL于甲醇', '24.99', 0001200.00, '2023-05-13 14:21:28.284000', '2023-05-13 14:22:06.526000', '1', '1', 'EC1CE67A92B19A54A859D76CB137E7D0', 'yyy', '8DE962AC5B80727400450AEC7A5CB456', '毒品', '常规贮存', '天津一方代理', '瓶', '359-83-1');
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', NULL, '19', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-19', '格鲁米特', '一般标准物质', '100ug/ml，1ml', '18.99', 0001800.00, '2023-05-13 15:56:07.197000', '2023-05-13 15:56:07.197000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'EC8E6E49F3F11ABC9852FA6D722D7039', 'sss', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '77-21-4');
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', NULL, '6', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-6', '地芬诺酯', '一般标准物质', '100μg/mL, 1mL', '5.99', 0001400.00, '2023-05-13 15:23:42.535000', '2023-05-13 15:24:03.115000', '1', '1', 'ED730A8B2B7BD267337358835A51D763', 'fff', '4A50060ED581410DC7648CA6A8533BF8', '毒品', '常规贮存', '天津一方代理', '瓶', '3810-80-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '8', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-8', '安非拉酮', '一般标准物质', '1mL,1.0mg/mL', '7.99', 0002949.00, '2023-05-13 15:56:07.195000', '2023-05-13 15:56:07.195000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'EE46F97464DA42D34B9A00BA019A06EC', 'hhh', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '134-80-5');
INSERT INTO `catalogue_details` VALUES ('da', '标准物质', NULL, '2343', '8F90372905B8A889BEE96D8E3644DAAC', '4', '大麻', '一般标准物质', 'da', '56%', 0003443.00, '2023-05-10 14:56:32.500000', '2023-05-10 14:56:32.500000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 'EE86E9310D13F38F4730A457493CAF36', 'da', 'A3D7E4D4A19169E664FFF0698A4CF8AD', 'da', '常规贮存', NULL, '盒', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '17', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-17', '丙泊酚', '一般标准物质', '100mg', '16.99', 0000873.00, '2023-05-13 15:30:11.285000', '2023-05-13 15:31:04.309000', '1', '1', 'EF55449089039F2D41B578DB618CD7B2', 'qqq', 'A4D40F14469DD66A68B01607D9FF3A4D', '毒品', '常规贮存', '天津一方代理', '瓶', '2078-54-8');
INSERT INTO `catalogue_details` VALUES ('ChromaDex', '标准物质', NULL, '3', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-3', '咖啡因', '一般标准物质', '100mg', '2.99', 0001500.00, '2023-05-13 15:56:07.194000', '2023-05-13 15:56:07.194000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'F02C3FBFAFDDD4AE10777285DF3C64C3', 'ccc', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '58-08-2');
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', NULL, '4', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '氟胺酮', '一般标准物质', '100μg/mL, 1mL', '3.99', 0000600.00, '2023-05-13 14:21:28.279000', '2023-05-13 14:22:06.527000', '1', '1', 'F031CED633625B1E8FF867CE8B737478', 'ddd', '4D034AC3FABD775A287B3E9B553FDCCF', '毒品', '常规贮存', '天津一方代理', '瓶', '111982-49-1');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '33', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-33', '右美托咪定', '一般标准物质', '100mg', '32.99', 0000706.00, '2023-05-13 15:23:42.542000', '2023-05-13 15:24:03.116000', '1', '1', 'F043453554A5D350FEC26D80BA5D9550', 'fhd', 'F13D9D7171F58729D1CC6CFB9EAACA58', '毒品', '常规贮存', '天津一方代理', '瓶', '145108-58-3');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '42', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-42', '地西泮-d5 ', '一般标准物质', '1mL,100μg/mL于甲醇', '41.99', 0001500.00, '2023-05-13 15:56:34.514000', '2023-05-13 15:57:16.820000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'F0665A988391300777626978371A3AEA', 'afg43', '2B338B030B297F09961F4EF1216B24E2', '毒品', '常规贮存', '天津一方代理', '瓶', '65854-76-4');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '21', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-21', '氯巴占', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '20.99', 0001200.00, '2023-05-13 15:30:11.285000', '2023-05-13 15:31:04.310000', '1', '1', 'F07F9941A76FEC703DE14AA50F882547', 'uuu', '1B1A18CE66416BE39FCF212B5506BD95', '毒品', '常规贮存', '天津一方代理', '瓶', '22316-47-8');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '14', 'B481FE1A165245304A78B12226C3019E', '2023-14', '甲基胺酮', '一般标准物质', '25mg', '13.99', 0002231.00, '2023-05-13 15:28:49.960000', '2023-05-13 15:28:49.960000', '1', '1', 'F0BBAF99900F01CC4A8FDE91C43894F6', 'nnn', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '1022-13-5');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '24', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-24', ' 普拉西泮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '23.99', 0001200.00, '2023-05-13 15:30:11.286000', '2023-05-13 15:31:04.312000', '1', '1', 'F0E9700DB0EC62B27D82C581FDA09F14', 'xxx', 'DFCD12A728759EBDBE7E061AB4E9D2DD', '毒品', '常规贮存', '天津一方代理', '瓶', '2955-38-6');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '8', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '安非拉酮', '一般标准物质', '1mL,1.0mg/mL', '7.99', 0002949.00, '2023-05-13 14:21:28.280000', '2023-05-13 14:22:06.528000', '1', '1', 'F0FA270DF030964B6AB7E29EC725FB48', 'hhh', '6421ADB91F1425E01692F85F4576C1EC', '毒品', '常规贮存', '天津一方代理', '瓶', '134-80-5');
INSERT INTO `catalogue_details` VALUES ('dada', '标准物质', NULL, '23', '8F90372905B8A889BEE96D8E3644DAAC', '5', '大麻1', '一般标准物质', 'dada', '67%', 0000032.00, '2023-05-10 14:56:32.500000', '2023-05-10 14:56:32.500000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 'F10EAC241E18B8032C59035FC20D2AF4', 'dada', '56BC02CC3C58F537A8289D142297A381', 'dada', '常规贮存', NULL, '盒', NULL);
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', NULL, '6', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-6', '地芬诺酯', '一般标准物质', '100μg/mL, 1mL', '5.99', 0001400.00, '2023-05-13 15:30:11.283000', '2023-05-13 15:31:04.313000', '1', '1', 'F12D6B0CDFCBEAACC76D2A36CF93B5CD', 'fff', 'B7A38B09AA244BB2E5B69C80C523A0E3', '毒品', '常规贮存', '天津一方代理', '瓶', '3810-80-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '32', 'B481FE1A165245304A78B12226C3019E', '2023-32', '异安定酮', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '31.99', 0001200.00, '2023-05-13 15:28:49.965000', '2023-05-13 15:28:49.965000', '1', '1', 'F2E57E791E9CC1545B227215CD260578', 'dag', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '22316-47-8');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '38', 'B481FE1A165245304A78B12226C3019E', '2023-38', '7-氨基硝西泮', '一般标准物质', '1mL,1.0 mg/mL于乙腈', '37.99', 0003090.00, '2023-05-13 15:28:49.966000', '2023-05-13 15:28:49.966000', '1', '1', 'F45FCFFD5C56BA4991EF180D39E0E522', 'gafh', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '4928-02-3');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '41', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-41', '苯巴比妥-d5 ', '一般标准物质', '1mL,100μg/mL于甲醇', '40.99', 0001500.00, '2023-05-13 15:30:11.289000', '2023-05-13 15:31:04.314000', '1', '1', 'F5AE545A221A351949EB6A3362983AA5', 'r4qy', 'D9B89824173878F0D4136F6AF6B4D92C', '毒品', '常规贮存', '天津一方代理', '瓶', '73738-05-3');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '34', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '扎来普隆', '一般标准物质', '100mg', '33.99', 0005172.00, '2023-05-13 14:21:28.286000', '2023-05-13 14:22:06.529000', '1', '1', 'F7D9174B5A89E710F79EF40370F0EE61', 'ha', '883F28EAC417BCCC5639B3B118DE5A1C', '毒品', '常规贮存', '天津一方代理', '瓶', '151319-34-5');
INSERT INTO `catalogue_details` VALUES ('放到', '试剂', NULL, '3', 'AE1A54531739628E2A03E5FC54D2AD90', NULL, '冰毒', '一般试剂', 'erfra34', '34%', 0000003.00, '2023-05-10 14:23:17.355000', '2023-05-10 14:23:17.355000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 'f8793b6afc6683067fe49a3d975132d7', 'df', NULL, '地方', '常规贮存', NULL, '盒', NULL);
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '14', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-14', '甲基胺酮', '一般标准物质', '25mg', '13.99', 0002231.00, '2023-05-13 15:23:42.537000', '2023-05-13 15:24:03.117000', '1', '1', 'F8EB3628754821AEF879C88D723548BD', 'nnn', '9EFB1B9D58294ED7B20257B4896855DF', '毒品', '常规贮存', '天津一方代理', '瓶', '1022-13-5');
INSERT INTO `catalogue_details` VALUES ('123', '试剂', '12312', '2', 'EF8A980A3EAD8370C4C81D2CF3A32CB9', '8', '1231', '酒精', '23123123', '123123', 0012312.00, '2023-05-10 09:34:41.707000', '2023-05-10 09:34:53.042000', '1', '1', 'F8F0EFC541A91302DA47E26360F87BF9', '1231', '243E47CC2269FD5E40ACE32D07F4604C', '1231223', '123', '12312', '支', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '37', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-37', '7-氨基氟硝西泮', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '36.99', 0003090.00, '2023-05-13 15:56:07.201000', '2023-05-13 15:56:07.201000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'F902E635E7C70D5E033CBED10CB4356E', 'gfj', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '34084-50-9');
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '28', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-28', '羟基利培酮', '一般标准物质', '25mg', '27.99', 0000756.00, '2023-05-13 15:56:07.199000', '2023-05-13 15:56:07.199000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'FA2829C28B3527C1FC5A9D40FDE85FA2', 'agas', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '144598-75-4');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '40', '1CA07CEF79AF19A4938E4742C8BC85D9', '2023-40', 'α-羟基咪哒唑仑 ', '一般标准物质', '1mL,100μg/mL于甲醇', '39.99', 0002000.00, '2023-05-13 15:56:07.202000', '2023-05-13 15:56:07.202000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'FA88D4BBA6ADB4DA92412DC117841CA5', 'fdb', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '59468-90-5');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '5', 'B481FE1A165245304A78B12226C3019E', '2023-5', '羟考酮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '4.99', 0001200.00, '2023-05-13 15:28:49.956000', '2023-05-13 15:28:49.956000', '1', '1', 'FA8D92FFDBA20E9B421E8EDBEC90EA46', 'eee', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', '76-42-6');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '9', '0FDEDCCA4F82C732DD9ACF65750DF7CE', '2023-9', '哌醋甲酯', '一般标准物质', '1mL,1.0mg/mL', '8.99', 0001200.00, '2023-05-13 15:30:11.283000', '2023-05-13 15:31:04.315000', '1', '1', 'FB18F3225BEB96C5D91E7A63B1EDF2B5', 'iii', 'ADEFD20B1C171926F3437B8EF7683EFF', '毒品', '常规贮存', '天津一方代理', '瓶', '298-59-9');
INSERT INTO `catalogue_details` VALUES ('小米', '标准物质', '0.5', '1', 'C36754AF0ECCE3A098669C5D69297F8F', '1', '氯胺酮', '一般标准物质', '50x50', '99%', 0001555.00, '2023-05-09 14:07:45.335000', '2023-05-09 14:07:45.335000', '1', '1', 'FC18362BD397C8B8577A32A0FE2B7277', 'ketamine', '23C62823622E0022DD0E1CC729473C81', '氯胺酮', '冷藏贮存', '无', '支', NULL);
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', '偏差/不确定度4', '4', 'A823B4A07A6F360692C4483BD301126B', '2023-4', '氟胺酮', '一般标准物质', '100μg/mL, 1mL', '3.99', 0000600.00, '2023-05-13 16:00:00.552000', '2023-05-13 16:00:00.552000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', 'FC60F9E383195378AB854250B0FE447D', 'ddd', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', '偏差/不确定度2', '2', '02650DE4C0208E38061CFB22B09F237E', '2023-2', '哌替啶', '一般标准物质', '1mL,1.0mg/mL于甲醇', '1.99', 0001200.00, '2023-05-13 15:57:44.283000', '2023-05-13 15:57:44.283000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', 'FE20C45507F4A85AD7173F8B80FB0ABD', 'bbb', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '20', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-20', '利培酮', '一般标准物质', '100mg', '19.99', 0000873.00, '2023-05-13 15:56:34.511000', '2023-05-13 15:57:16.822000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'FE41A9035F96CEE9BB3F82CB168DBE37', 'ttt', '9EEDA0E0964098737E95E23B2289F692', '毒品', '常规贮存', '天津一方代理', '瓶', '106266-06-2');
INSERT INTO `catalogue_details` VALUES ('dama', '标准物质', NULL, '564', '8F90372905B8A889BEE96D8E3644DAAC', '1', '大麻0', '一般标准物质', 'dada', '56%', 0000045.00, '2023-05-10 14:56:32.499000', '2023-05-10 14:56:32.499000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 'FF18E6E3F7617684527FCCE5C7555CAE', 'dama', 'E394DF6CB798A925D4C79F51544E1A73', 'dama', '常规贮存', NULL, '盒', NULL);
INSERT INTO `catalogue_details` VALUES ('天润', '试剂', '', '20', 'AE1A54531739628E2A03E5FC54D2AD90', '1', '乙醇', '酒精', '1x1', '99%', 0000150.00, '2023-05-09 14:14:49.039000', '2023-05-09 14:14:49.039000', '1', '1', 'FF1B16FE678891E7E8EACC72C71D3D6C', 'alcohol', '8C057A697826732F6510CDC2A691B4D5', '乙醇', '常规贮存', '1', '箱', NULL);
INSERT INTO `catalogue_details` VALUES ('小米', '标准物质', '0.5', '1', 'EF8A980A3EAD8370C4C81D2CF3A32CB9', '2', '氯胺酮', '一般标准物质', '50x50', '99%', 0001555.00, '2023-05-10 09:34:41.705000', '2023-05-10 09:34:41.705000', '1', '1', 'FF20B02C621609248F3D083135209CC0', 'ketamine', '23C62823622E0022DD0E1CC729473C81', '氯胺酮', '冷藏贮存', '无', '支', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '24', '6DB033F6DE88BDF84CD20A3CF1CD1414', '2023-24', ' 普拉西泮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '23.99', 0001200.00, '2023-05-13 15:56:34.512000', '2023-05-13 15:57:16.823000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'FF25169621190A14CA329DAAF354F842', 'xxx', '9B6ECD207D0921562E98CCC9607D891F', '毒品', '常规贮存', '天津一方代理', '瓶', '2955-38-6');
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', '偏差/不确定度1', '1', '23DF1DED11D362B8FB45FE60AC4819F4', '2023-1', '曲马多', '一般标准物质', '10mg', '0.99', 0004800.00, '2023-05-13 15:57:51.870000', '2023-05-13 15:57:51.870000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', 'FF3D9CE5580FB099F1ED73A158BCFDE8', 'aaa', NULL, '毒品', '常规贮存', '天津一方代理', '瓶', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '20', '23CAAEDB7D14B1B0E0A4593CAB9520B9', NULL, '利培酮', '一般标准物质', '100mg', '19.99', 0000873.00, '2023-05-13 14:21:28.283000', '2023-05-13 14:22:06.530000', '1', '1', 'FF7DD5A062A9853EE07AF531F98D94E3', 'ttt', '39B62D1E05C55DF5F378D45BF409EDDB', '毒品', '常规贮存', '天津一方代理', '瓶', '106266-06-2');
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '36', '0378B54C825DCB5EB3EB8A8C06BCEC57', '2023年-2024年-36', '2-羟基乙基氟安定 ', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '35.99', 0003210.00, '2023-05-13 15:23:42.543000', '2023-05-13 15:24:03.118000', '1', '1', 'FF81C65C6D0B8E6C9EDB30A869EC18C8', 'ager', '54F1ECC46D4EA07366D4DF30D85A9DF9', '毒品', '常规贮存', '天津一方代理', '瓶', '20971-53-3');

-- ----------------------------
-- Table structure for category_table
-- ----------------------------
DROP TABLE IF EXISTS `category_table`;
CREATE TABLE `category_table`  (
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of category_table
-- ----------------------------
INSERT INTO `category_table` VALUES ('耗材', '1', '木材', NULL, NULL, NULL, NULL);
INSERT INTO `category_table` VALUES ('试剂', '2', '酒精', NULL, NULL, NULL, NULL);
INSERT INTO `category_table` VALUES ('标准物质', '3', '海洛因', NULL, NULL, NULL, NULL);
INSERT INTO `category_table` VALUES ('标准储备溶液', '4', 'k粉', NULL, NULL, NULL, NULL);
INSERT INTO `category_table` VALUES ('试剂', '430BA3373984736BFEA2DC642A171562', '12', '1', '1', '2023-05-10 09:34:41.699000', '2023-05-10 09:34:41.699000');
INSERT INTO `category_table` VALUES ('耗材', '5', '钢材', NULL, NULL, NULL, NULL);
INSERT INTO `category_table` VALUES ('耗材', '8C4B49F387F587BA04A0C1FAEE6A556D', '一般耗材', '1', '1', '2023-04-26 17:29:45.029000', '2023-04-26 17:29:45.029000');
INSERT INTO `category_table` VALUES ('试剂', '9B758573F57C7638674B2C8F1B8701DC', '一般试剂', '1', '1', '2023-05-09 14:07:45.330000', '2023-05-09 14:07:45.330000');
INSERT INTO `category_table` VALUES ('耗材', 'C2D52AFE372558AD363E6664999CDF6F', '碳钢', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '2023-04-12 11:21:16.379000', '2023-04-12 11:21:16.379000');
INSERT INTO `category_table` VALUES ('标准物质', 'DA63F4F987495FED969E23F72AB83AE0', '一般标准物质', '1', '1', '2023-04-13 14:52:00.796000', '2023-04-13 14:52:00.796000');

-- ----------------------------
-- Table structure for centralized_request
-- ----------------------------
DROP TABLE IF EXISTS `centralized_request`;
CREATE TABLE `centralized_request`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `applicant_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人ID)',
  `date_of_application` datetime(6) NULL DEFAULT NULL COMMENT '(申请日期)',
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购计划ID',
  `status` int(11) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `applicant_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `audit_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `audit_opinion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `audit_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `audit_time` datetime(6) NULL DEFAULT NULL,
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(集中采购申请)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of centralized_request
-- ----------------------------
INSERT INTO `centralized_request` VALUES ('9123CEE330E1F1DB6BEA24E1C191C55D', '1', '2023-05-15 10:56:47.165000', NULL, 00000000003, '2023-05-15 10:56:47.148000', '2023-05-15 10:57:08.662000', '1', 'C27B8F582693B93596C21C1586A0845A', NULL, '管理员', '1', NULL, 'C27B8F582693B93596C21C1586A0845A', '2023-05-15 10:57:03.869000', NULL);

-- ----------------------------
-- Table structure for check_schedule
-- ----------------------------
DROP TABLE IF EXISTS `check_schedule`;
CREATE TABLE `check_schedule`  (
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `manager_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `audit_time_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `audit_result_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `audit_opinion_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of check_schedule
-- ----------------------------
INSERT INTO `check_schedule` VALUES (NULL, 'C27B8F582693B93596C21C1586A0845A', '2023-05-13 16:45:15.683', '1', NULL, '1DCF4541DD245AC6E7A6EB3C953EC71B', '2023-05-13 16:42:56.997000', '2023-05-13 16:45:15.699000', 'C27B8F582693B93596C21C1586A0845A', '1', '1', '2', '2023-05-13 16:42:57.002000');
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', '2023-05-13 12:01:13.63', '1', '436', '6553FA18BC09EFBA9074D3A9680B5E0A', '2023-05-12 17:50:06.568000', '2023-05-13 12:01:13.648000', 'BC1A096180973C5EA652C9787F5A155A', '1', '1', '2', '2023-05-12 17:50:06.571000');
INSERT INTO `check_schedule` VALUES (NULL, '1', '2023-05-12 11:03:16.914', '1', NULL, '8F18D2EA267B60EFB5BCCD624D13BC92', '2023-05-12 11:03:11.034000', '2023-05-12 11:03:16.923000', '1', '1', '1', '2', '2023-05-12 11:03:11.053000');
INSERT INTO `check_schedule` VALUES (NULL, '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, '0', NULL, 'B36276D211DC76F9E35943A9BE92A3FE', '2023-05-13 17:30:25.729000', '2023-05-13 17:30:32.366000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, '1', '2023-05-13 17:30:32.366000');
INSERT INTO `check_schedule` VALUES (NULL, '6c847974320c7cb184228d53eea19114', '2023-05-12 17:16:30.762', '1', '打的', 'D04BAFF8795284D1501457D46FC1D581', '2023-05-12 17:16:18.991000', '2023-05-12 17:16:30.770000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', '2', '2023-05-12 17:16:19.001000');

-- ----------------------------
-- Table structure for compliance_check
-- ----------------------------
DROP TABLE IF EXISTS `compliance_check`;
CREATE TABLE `compliance_check`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核意见',
  `audit_result_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_result_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级审核时间',
  `date_of_inspection` datetime(6) NULL DEFAULT NULL COMMENT '(检查日期)',
  `examination_conclusion` varchar(55) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(检查结论)',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `inspection_scheme` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(检查方案)',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `secondary_auditor_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `nonconforming_item` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `executor_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(符合性检查记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of compliance_check
-- ----------------------------
INSERT INTO `compliance_check` VALUES ('0A0868041F71841C88F52AEED25F4CFB', NULL, '0EDF4ACF159FAAFDD044F2F7B47CC1D9', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-13 20:20:08.757000', '2023-05-13 20:20:08.757000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, 'gafh-2023-1-053', '1mL,1.0 mg/mL于乙腈', NULL, 'Cerilliant', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', NULL, '7-氨基硝西泮');
INSERT INTO `compliance_check` VALUES ('0D9160CECC8F25333FAF079122B69780', NULL, 'DB585C3C4506713CD1E20ABE5CEF0CB2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-13 12:04:58.265000', '2023-05-13 12:04:58.265000', '1', '1', NULL, 'ketamine-2023-05-13', '50x50', NULL, '小米', '42F980998F293EE2BF6B31AD3961A4AA', NULL, NULL);
INSERT INTO `compliance_check` VALUES ('1327B97156F2385C719E5199DA98F4C4', NULL, 'A3BE86455A0A0D8D9D69618DB4239369', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-13 20:20:08.734000', '2023-05-13 20:20:08.734000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, 'heroin-2023-05-13', '50x50', NULL, '华为', 'BAE3D7E971A9892FFECED585F5C9931D', NULL, '海洛因标准储备溶液');
INSERT INTO `compliance_check` VALUES ('1FFB938F0819BB7CBE817B31A18D946D', NULL, '0EDF4ACF159FAAFDD044F2F7B47CC1D9', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-13 19:31:45.263000', '2023-05-13 19:31:45.263000', '1', '1', NULL, 'gafh-2023-1-050', '1mL,1.0 mg/mL于乙腈', NULL, 'Cerilliant', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', NULL, '7-氨基硝西泮');
INSERT INTO `compliance_check` VALUES ('3D2C81C64564BBCFB35CDB478837FAC6', NULL, 'BF5A853229F3E680408C74CB43A4A5D3', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-13 16:27:22.741000', '2023-05-13 16:27:22.741000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, 'gafh-2023-1-015', '1mL,1.0 mg/mL于乙腈', NULL, 'Cerilliant', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', NULL, NULL);
INSERT INTO `compliance_check` VALUES ('3D69EAAB480BDC3189CE29EF45EAFD42', '2023-05-11 14:04:05.293000', '6DB8CF7672FD57A6B8FE6F21B7561DD6', '12315645', '123453452312', '1', '1', '2023-05-11 14:04:13.894000', '2023-05-11 14:04:22.648000', '2023-05-11 14:04:05.293000', '阿萨德', '1', '123', 3, '1', '2023-05-11 11:54:44.580000', '2023-05-11 14:04:22.648000', '1', '1', NULL, NULL, '2x2', '', '1', 'EEB461F1E10CE14AD6E7E0247844053A', '1', NULL);
INSERT INTO `compliance_check` VALUES ('3D9FD8F0BFF15FE10550E1D8089E77D4', NULL, '0EDF4ACF159FAAFDD044F2F7B47CC1D9', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-13 20:20:08.749000', '2023-05-13 20:20:08.749000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, 'gafh-2023-1-074', '1mL,1.0 mg/mL于乙腈', NULL, 'Cerilliant', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', NULL, '7-氨基硝西泮');
INSERT INTO `compliance_check` VALUES ('409A74914F6E0B5A59DBCE3E4019C719', NULL, '7DC372AACEC1B8C741A3BB452CE1AA67', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-13 09:40:56.581000', '2023-05-13 09:40:56.581000', '1', '1', NULL, 'ecstasy-2023-05-11', '30x20', NULL, '三星', '1DF868DB5428ADB82B57A6F6819EDB20', NULL, NULL);
INSERT INTO `compliance_check` VALUES ('4A8D4C5533830E7E91FDA30E848D9683', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '检查方案', 0, NULL, '2023-05-11 16:00:43.781000', '2023-05-11 16:01:07.516000', '1', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, NULL, '1x1', NULL, '天润', '8C057A697826732F6510CDC2A691B4D5', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL);
INSERT INTO `compliance_check` VALUES ('4BF7BDEA8966FB8B7C688980FDFCAA2C', NULL, '0EDF4ACF159FAAFDD044F2F7B47CC1D9', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-13 20:21:57.611000', '2023-05-13 20:21:57.611000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, 'gafh-2023-1-074', '1mL,1.0 mg/mL于乙腈', NULL, 'Cerilliant', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', NULL, '7-氨基硝西泮');
INSERT INTO `compliance_check` VALUES ('4C8F1AAC273AF396112E0BB95B526E2D', NULL, '0EDF4ACF159FAAFDD044F2F7B47CC1D9', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-13 20:19:43.746000', '2023-05-13 20:19:43.746000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, 'gafh-2023-1-050', '1mL,1.0 mg/mL于乙腈', NULL, 'Cerilliant', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', NULL, '7-氨基硝西泮');
INSERT INTO `compliance_check` VALUES ('4D8A660EE0040F7B319066590F522A4F', NULL, '7DC372AACEC1B8C741A3BB452CE1AA67', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-13 09:27:44.289000', '2023-05-13 09:27:44.289000', '1', '1', NULL, 'ecstasy-2023-05-11', '30x20', NULL, '三星', '1DF868DB5428ADB82B57A6F6819EDB20', NULL, NULL);
INSERT INTO `compliance_check` VALUES ('5081AC7E44C77E809662263D1838CFB9', NULL, '0EDF4ACF159FAAFDD044F2F7B47CC1D9', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-15 16:10:41.293000', '2023-05-15 16:10:41.293000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, 'gafh-2023-1-050', '1mL,1.0 mg/mL于乙腈', NULL, 'Cerilliant', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', NULL, '7-氨基硝西泮');
INSERT INTO `compliance_check` VALUES ('6E36C6C69AEA0233D8260F389775240D', NULL, 'A3BE86455A0A0D8D9D69618DB4239369', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-13 20:21:57.585000', '2023-05-13 20:21:57.585000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, 'heroin-2023-05-13', '50x50', NULL, '华为', 'BAE3D7E971A9892FFECED585F5C9931D', NULL, '海洛因标准储备溶液');
INSERT INTO `compliance_check` VALUES ('7519B99543551CBAB83AE07468AE4F29', NULL, 'DB585C3C4506713CD1E20ABE5CEF0CB2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-13 12:05:47.081000', '2023-05-13 12:05:47.081000', '1', '1', NULL, 'ketamine-2023-05-13', '50x50', NULL, '小米', '42F980998F293EE2BF6B31AD3961A4AA', NULL, NULL);
INSERT INTO `compliance_check` VALUES ('7D18D608C4A29C7FEF3A63C783C11031', NULL, '0EDF4ACF159FAAFDD044F2F7B47CC1D9', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-13 16:31:59.296000', '2023-05-13 16:31:59.296000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, 'gafh-2023-1-074', '1mL,1.0 mg/mL于乙腈', NULL, 'Cerilliant', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', NULL, NULL);
INSERT INTO `compliance_check` VALUES ('86267C9DE19F9CFCF34A6CE962571203', '2023-05-11 11:55:19.053000', 'ABCAF1880FFBEF9A0CFC2E345EF7128A', '86267C9DE19F9CFCF34A6CE962571203', '86267C9DE19F9CFCF34A6CE962571203', '1', '1', '2023-05-11 11:55:54.205000', '2023-05-11 11:56:02.118000', '2023-05-18 14:05:46.000000', '测试的离开司法局阿拉基案件是否健康拉回家了卡机的反馈了', '1', '测试的离开司法局阿拉基案件是否健康拉回家了卡机的反馈了', 3, '1', '2023-05-11 11:54:44.591000', '2023-05-11 11:56:02.119000', '1', '1', NULL, NULL, '1x1', '测试的离开司法局阿拉基案件是否健康拉回家了卡机的反馈了', '天润', '8C057A697826732F6510CDC2A691B4D5', '1', NULL);
INSERT INTO `compliance_check` VALUES ('88237C58E217B820CE9E08397667E5CE', '2023-05-11 11:55:12.539000', '7DC372AACEC1B8C741A3BB452CE1AA67', '86267C9DE19F9CFCF34A6CE962571203', '86267C9DE19F9CFCF34A6CE962571203', '1', '1', '2023-05-11 11:55:49.524000', '2023-05-11 11:56:05.206000', '2023-06-02 14:06:32.000000', '测试的离开司法局阿拉基案件是否健康拉回家了卡机的反馈了测试的离开司法局阿拉基案件是否健康拉回家了卡机的反馈了', '1', '测试的离开司法局阿拉基案件是否健康拉回家了卡机的反馈了', 3, '1', '2023-05-11 11:54:44.595000', '2023-05-11 11:56:05.207000', '1', '1', NULL, 'ecstasy-2023-1-004', '30x20', NULL, '三星', '28613635426554046F0B12D7121A5AAB', '1', NULL);
INSERT INTO `compliance_check` VALUES ('9492227892514BDCD3DF5B7E38313BF4', NULL, 'BF5A853229F3E680408C74CB43A4A5D3', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-13 16:20:11.283000', '2023-05-13 16:20:11.283000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, 'gafh-2023-1-015', '1mL,1.0 mg/mL于乙腈', NULL, 'Cerilliant', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', NULL, NULL);
INSERT INTO `compliance_check` VALUES ('978F57E80E06C7AC6627AFC879960B22', NULL, 'A3BE86455A0A0D8D9D69618DB4239369', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-13 11:13:40.640000', '2023-05-13 11:13:40.640000', '1', '1', NULL, 'heroin-2023-05-13', '50x50', NULL, '华为', 'BAE3D7E971A9892FFECED585F5C9931D', NULL, NULL);
INSERT INTO `compliance_check` VALUES ('A209E8359377DE56BB707DFDAB4E4A56', NULL, '0EDF4ACF159FAAFDD044F2F7B47CC1D9', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-13 20:20:08.739000', '2023-05-13 20:20:08.739000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, 'gafh-2023-1-050', '1mL,1.0 mg/mL于乙腈', NULL, 'Cerilliant', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', NULL, '7-氨基硝西泮');
INSERT INTO `compliance_check` VALUES ('A21BFEC73C226367265740B201D93D55', NULL, 'DB585C3C4506713CD1E20ABE5CEF0CB2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-12 10:27:19.930000', '2023-05-12 10:27:19.930000', '1', '1', NULL, 'ketamine-2023-1-002', '50x50', NULL, '小米', '23C62823622E0022DD0E1CC729473C81', NULL, NULL);
INSERT INTO `compliance_check` VALUES ('A470FCE134FF6477518831FD6A37E2C8', NULL, '0EDF4ACF159FAAFDD044F2F7B47CC1D9', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-13 20:21:57.602000', '2023-05-13 20:21:57.602000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, 'gafh-2023-1-050', '1mL,1.0 mg/mL于乙腈', NULL, 'Cerilliant', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', NULL, '7-氨基硝西泮');
INSERT INTO `compliance_check` VALUES ('B7647D42D28F412F96B79ABD94885CA1', NULL, 'A3BE86455A0A0D8D9D69618DB4239369', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-13 20:19:43.736000', '2023-05-13 20:19:43.736000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, 'heroin-2023-05-13', '50x50', NULL, '华为', 'BAE3D7E971A9892FFECED585F5C9931D', NULL, '海洛因标准储备溶液');
INSERT INTO `compliance_check` VALUES ('BD65495155F649B37B0E4CB40E6765F6', NULL, 'A3BE86455A0A0D8D9D69618DB4239369', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-12 10:27:19.925000', '2023-05-12 10:27:19.925000', '1', '1', NULL, 'heroin-2023-1-003', '50x50', NULL, '华为', '6D9807222F22E3675247B2CFCD5344A5', NULL, NULL);
INSERT INTO `compliance_check` VALUES ('CD7242CFD0374D3C16BAD2FE77A1521D', '2023-05-11 11:55:06.801000', 'A3BE86455A0A0D8D9D69618DB4239369', '86267C9DE19F9CFCF34A6CE962571203', '86267C9DE19F9CFCF34A6CE962571203', '1', '1', '2023-05-11 11:55:58.115000', '2023-05-11 11:56:08.478000', NULL, '测试的离开司法局阿拉基案件是否健康拉回家了卡机的反馈了', '1', '测试的离开司法局阿拉基案件是否健康拉回家了卡机的反馈了', 3, '1', '2023-05-11 11:54:44.604000', '2023-05-11 11:56:08.478000', '1', '1', NULL, 'heroin-2023-1-003', '50x50', NULL, '华为', '6D9807222F22E3675247B2CFCD5344A5', '1', NULL);
INSERT INTO `compliance_check` VALUES ('CDA907315C8135F3C585D5C3E47EA4D1', '2023-05-13 16:17:44.017000', 'BF5A853229F3E680408C74CB43A4A5D3', NULL, NULL, '1', '1', '2023-05-13 16:34:33.829000', '2023-05-13 16:36:34.085000', '2023-05-13 16:17:44.017000', '按时发生', 'C27B8F582693B93596C21C1586A0845A', '打', 3, 'C27B8F582693B93596C21C1586A0845A', '2023-05-13 16:05:20.048000', '2023-05-13 16:36:34.085000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, 'gafh-2023-1-005', '1mL,1.0 mg/mL于乙腈', '啊所发生的', 'Cerilliant', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'C27B8F582693B93596C21C1586A0845A', NULL);
INSERT INTO `compliance_check` VALUES ('CF09156E2384B1DB31CA3F6B2CE78206', '2023-05-11 16:10:00.069000', '7DC372AACEC1B8C741A3BB452CE1AA67', NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-11 16:10:00.069000', '123', NULL, '123', 1, NULL, '2023-05-11 16:09:26.316000', '2023-05-11 16:10:00.081000', '1', '1', NULL, 'ecstasy-2023-1-004', '30x20', '123123', '三星', '28613635426554046F0B12D7121A5AAB', '1', NULL);
INSERT INTO `compliance_check` VALUES ('ECC8E69277DD64107AAEB0E5FD56703A', NULL, '0EDF4ACF159FAAFDD044F2F7B47CC1D9', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-15 16:15:23.842000', '2023-05-15 16:15:23.842000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, 'gafh-2023-05-15', '1mL,1.0 mg/mL于乙腈', NULL, 'Cerilliant', 'A66328B04557EC9B6D76E20B646CEF70', NULL, '7溶液');
INSERT INTO `compliance_check` VALUES ('FD17DBA0AD4D844C1A50161EE19363FD', NULL, 'A3BE86455A0A0D8D9D69618DB4239369', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-13 11:12:20.144000', '2023-05-13 11:12:20.144000', '1', '1', NULL, 'heroin-2023-05-13', '50x50', NULL, '华为', 'BAE3D7E971A9892FFECED585F5C9931D', NULL, NULL);

-- ----------------------------
-- Table structure for deactivation_application
-- ----------------------------
DROP TABLE IF EXISTS `deactivation_application`;
CREATE TABLE `deactivation_application`  (
  `applicant_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人ID)',
  `application_time` datetime(0) NULL DEFAULT NULL COMMENT '(申请时间)',
  `reference_material_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `reference_material_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `deactivation_application_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`deactivation_application_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质到期停用申请表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of deactivation_application
-- ----------------------------

-- ----------------------------
-- Table structure for decentralize_details
-- ----------------------------
DROP TABLE IF EXISTS `decentralize_details`;
CREATE TABLE `decentralize_details`  (
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `decentralized_request_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(分散采购申请ID)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装份数',
  `quantity` int(10) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(种类)',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '单价',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(用途)',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `purchase_list_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '分散采购申请明细' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of decentralize_details
-- ----------------------------
INSERT INTO `decentralize_details` VALUES ('123', '试剂', '9027224244A5BAB0EBEE3342B1F8B2BB', '12312', '0B3D37D215E91F3BBFBF9F7A1544DB92', '2', 0000004343, '243E47CC2269FD5E40ACE32D07F4604C', '酒精', '23123123', '123123', NULL, 0012312.00, '2023-05-11 15:23:07.693000', '2023-05-12 09:24:22.982000', '6c847974320c7cb184228d53eea19114', '1', NULL, '1231', '1231223', '123', NULL, '支', '1231', 'FBBDB625A028A9A383AE28A636DBC674');
INSERT INTO `decentralize_details` VALUES ('Cerilliant', '标准物质', 'ECB5E8981AF06549BCB7EE3DF006565B', NULL, 'E6C51060316F33CAD118D71AAAC111E1', '38', 0000000001, 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '一般标准物质', '1mL,1.0 mg/mL于乙腈', '37.99', '111', 0003090.00, '2023-05-13 16:28:33.028000', '2023-05-13 16:28:44.214000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, 'gafh', '毒品', '常规贮存', NULL, '瓶', '7-氨基硝西泮', 'AA2D9427487D8A94B65932BAD9B87B59');

-- ----------------------------
-- Table structure for decentralized_request
-- ----------------------------
DROP TABLE IF EXISTS `decentralized_request`;
CREATE TABLE `decentralized_request`  (
  `applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人id)',
  `opinion_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批意见',
  `result_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批结果\r\n',
  `approval_of_time` datetime(6) NULL DEFAULT NULL COMMENT '审批时间',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核意见',
  `audit_opinion_of_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核意见',
  `audit_result_of_primary` tinyint(3) NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_result_of_secondary` tinyint(3) NULL DEFAULT NULL COMMENT '二级审核结果',
  `audit_result_of_three_level` tinyint(3) NULL DEFAULT NULL COMMENT '三级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级审核时间',
  `audit_time_of_three_level` datetime(6) NULL DEFAULT NULL COMMENT '三级审核时间',
  `compliance_testing` tinyint(6) NULL DEFAULT NULL COMMENT '(需要符合性检验)',
  `date_of_application` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请日期)',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批人ID',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID\r\n',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `purchase_list_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `status` int(8) NULL DEFAULT NULL COMMENT '(提交状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `three_level_audit_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人ID',
  `commit_time` datetime(6) NULL DEFAULT NULL,
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(分散采购申请)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of decentralized_request
-- ----------------------------
INSERT INTO `decentralized_request` VALUES ('6c847974320c7cb184228d53eea19114', '11', '1', '2023-05-12 09:24:22.954000', NULL, NULL, NULL, 1, 1, 1, '2023-05-12 09:14:20.064000', '2023-05-12 09:14:22.811000', '2023-05-12 09:14:25.037000', NULL, '2023-05-11 15:23:07.669', '1', '1', '9027224244A5BAB0EBEE3342B1F8B2BB', NULL, '1', 5, '2023-05-11 15:23:07.674000', '2023-05-12 09:24:22.987000', '6c847974320c7cb184228d53eea19114', '1', '1', '2023-05-12 09:14:10.362000', NULL);
INSERT INTO `decentralized_request` VALUES ('C27B8F582693B93596C21C1586A0845A', NULL, '1', '2023-05-13 16:28:44.200000', NULL, NULL, NULL, 1, 1, 1, '2023-05-13 16:28:37.528000', '2023-05-13 16:28:39.621000', '2023-05-13 16:28:41.715000', NULL, '2023-05-13 16:28:33.034', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'ECB5E8981AF06549BCB7EE3DF006565B', NULL, 'C27B8F582693B93596C21C1586A0845A', 5, '2023-05-13 16:28:33.016000', '2023-05-13 16:28:44.216000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2023-05-13 16:28:33.034000', NULL);

-- ----------------------------
-- Table structure for delivery_registration_form
-- ----------------------------
DROP TABLE IF EXISTS `delivery_registration_form`;
CREATE TABLE `delivery_registration_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `date_of_delivery` datetime(6) NULL DEFAULT NULL COMMENT '(出库日期)',
  `depositor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(出库人)',
  `outgoing_applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(出库申请人)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `status` int(5) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材出库登记表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of delivery_registration_form
-- ----------------------------
INSERT INTO `delivery_registration_form` VALUES ('037270AF900764595DCB7C0535A4EF4B', NULL, '1', '1', '2023-05-13 12:04:41.465000', '2023-05-13 12:04:58.268000', '1', '1', 1);
INSERT INTO `delivery_registration_form` VALUES ('0695739E3372DB1FB66155F41DF1F9E2', NULL, '1', '1', '2023-05-13 09:27:15.118000', '2023-05-13 09:27:44.296000', '1', '1', 1);
INSERT INTO `delivery_registration_form` VALUES ('11CC809837E6BBBEE5E4BCEDA0D9B921', NULL, 'C27B8F582693B93596C21C1586A0845A', '6c847974320c7cb184228d53eea19114', '2023-05-11 16:07:09.840000', '2023-05-15 16:53:25.438000', '6c847974320c7cb184228d53eea19114', 'C27B8F582693B93596C21C1586A0845A', 1);
INSERT INTO `delivery_registration_form` VALUES ('133EFAFC53DB6A3D142433BB0BF775F7', NULL, 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2023-05-15 16:10:24.987000', '2023-05-15 16:10:41.297000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 1);
INSERT INTO `delivery_registration_form` VALUES ('178C39EC6985FFECD0BFF91688399614', NULL, 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2023-05-13 16:27:05.659000', '2023-05-13 16:27:22.745000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 1);
INSERT INTO `delivery_registration_form` VALUES ('1ED33CC036EBDE709C9D91E822DF71CA', NULL, '1', 'C27B8F582693B93596C21C1586A0845A', '2023-05-15 16:58:38.315000', '2023-05-15 17:09:05.893000', 'C27B8F582693B93596C21C1586A0845A', '1', 1);
INSERT INTO `delivery_registration_form` VALUES ('2B2E46B4AB30B592F6E3B25E46FD5E22', NULL, 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2023-05-13 16:19:54.035000', '2023-05-13 16:20:11.290000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 1);
INSERT INTO `delivery_registration_form` VALUES ('32A4E35E1FA846E53F9BAEB429AE7732', NULL, NULL, 'BC1A096180973C5EA652C9787F5A155A', '2023-05-11 10:47:50.297000', '2023-05-11 10:47:50.297000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 0);
INSERT INTO `delivery_registration_form` VALUES ('33F65CF4427D951FB3CDE66B735370CB', NULL, '1', '1', '2023-05-10 15:18:43.247000', '2023-05-10 15:19:18.205000', '1', '1', 1);
INSERT INTO `delivery_registration_form` VALUES ('422BA499561AFCBF485A45DE02DE2D00', NULL, 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2023-05-13 16:05:02.231000', '2023-05-13 16:05:20.057000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 1);
INSERT INTO `delivery_registration_form` VALUES ('45108304BDDFDFEEE7537ACB127710F2', NULL, NULL, '6c847974320c7cb184228d53eea19114', '2023-05-11 17:58:19.401000', '2023-05-11 17:58:19.401000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 0);
INSERT INTO `delivery_registration_form` VALUES ('5578A1E9FC141E5E0E1F7CB76F1EE05A', NULL, '1', '1', '2023-05-12 10:26:45.989000', '2023-05-12 10:27:19.937000', '1', '1', 1);
INSERT INTO `delivery_registration_form` VALUES ('590E678EF6A6C5935D025042488082EB', NULL, 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2023-05-15 16:14:56.798000', '2023-05-15 16:15:23.848000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 1);
INSERT INTO `delivery_registration_form` VALUES ('5FE8C13BEB8CC91DF516CBC605B581BE', NULL, '1', '1', '2023-05-11 16:00:26.349000', '2023-05-11 16:00:43.782000', '1', '1', 1);
INSERT INTO `delivery_registration_form` VALUES ('684D9271EAA6490C32A6441D35FFA913', NULL, '1', '1', '2023-05-11 16:09:03.089000', '2023-05-11 16:09:26.329000', '1', '1', 1);
INSERT INTO `delivery_registration_form` VALUES ('6D165AE38D831106566911F1251376B0', NULL, NULL, 'C27B8F582693B93596C21C1586A0845A', '2023-05-15 16:11:37.229000', '2023-05-15 16:11:37.229000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0);
INSERT INTO `delivery_registration_form` VALUES ('7280FF238F695156CE8268F6F49429F4', NULL, '1', '1', '2023-05-11 15:17:28.128000', '2023-05-11 15:18:53.816000', '1', '1', 1);
INSERT INTO `delivery_registration_form` VALUES ('9585DEDB3FF2ED5BCA9AE622C4C97BEA', NULL, '1', '1', '2023-05-13 11:12:00.900000', '2023-05-13 11:12:20.147000', '1', '1', 1);
INSERT INTO `delivery_registration_form` VALUES ('A489637811FED2672456519C37A43BE3', NULL, '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', '2023-05-11 17:53:25.538000', '2023-05-11 18:07:20.489000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 1);
INSERT INTO `delivery_registration_form` VALUES ('A6891512C7C39811CDF3A91BD6C7C182', NULL, '1', '1', '2023-05-13 09:40:33.069000', '2023-05-13 09:40:56.590000', '1', '1', 1);
INSERT INTO `delivery_registration_form` VALUES ('ABD0EEA9CF397174A7D9F3A3715465F2', NULL, '1', '1', '2023-05-15 17:23:31.008000', '2023-05-15 17:24:23.934000', '1', '1', 1);
INSERT INTO `delivery_registration_form` VALUES ('AE372BF5FAC1A6688BF03D8EC245D5CA', NULL, '1', '1', '2023-05-13 12:05:24.143000', '2023-05-13 12:05:47.084000', '1', '1', 1);
INSERT INTO `delivery_registration_form` VALUES ('B98317C67EA3A96CB79E57B982040AC9', NULL, 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2023-05-13 16:31:42.765000', '2023-05-13 16:31:59.299000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 1);
INSERT INTO `delivery_registration_form` VALUES ('C5285DF7D59615771102B37FE875C4A4', NULL, NULL, '1', '2023-05-15 17:17:53.406000', '2023-05-15 17:17:53.406000', '1', '1', 0);
INSERT INTO `delivery_registration_form` VALUES ('E65DAE8B17DB38DD9BDF2529FB669170', NULL, '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', '2023-05-11 16:10:54.411000', '2023-05-11 16:29:08.786000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 1);
INSERT INTO `delivery_registration_form` VALUES ('EB771AC4BD4C381511C4C0705E6C131A', NULL, NULL, 'BC1A096180973C5EA652C9787F5A155A', '2023-05-12 17:21:37.447000', '2023-05-12 17:21:37.447000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 0);
INSERT INTO `delivery_registration_form` VALUES ('EF0119E13866D05CBF70D387AE2C25D2', NULL, '1', '1', '2023-05-13 11:13:23.676000', '2023-05-13 11:13:40.642000', '1', '1', 1);

-- ----------------------------
-- Table structure for details_of_centralized
-- ----------------------------
DROP TABLE IF EXISTS `details_of_centralized`;
CREATE TABLE `details_of_centralized`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `centralized_request_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(集中采购申请ID)',
  `purchase_catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购目录编号)',
  `quantity_purchased` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(采购数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `procurement_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `replacement_quantity` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL,
  `replacement_reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `number_of_applications` int(11) UNSIGNED ZEROFILL NULL DEFAULT NULL,
  `details_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `replacement_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(集中采购申请明细)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of details_of_centralized
-- ----------------------------
INSERT INTO `details_of_centralized` VALUES ('0376EA3E9084E8CDAA069C3C4BB389C0', '2303631177374277E92FEE6889EE6DD1', '2023-6', NULL, '7CF9474700C8F33CD7485C2EF1DA6450', '123', '2023-05-13 20:15:30.504000', '2023-05-13 20:15:30.504000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, NULL, NULL, 00000000001, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('08A0E544C9124FC6726A43E2A4885612', 'A09A8B815B0BBDAACE68BF3E87745851', '4', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000005, 'EEB461F1E10CE14AD6E7E0247844053A', NULL, '2023-05-10 14:45:20.772000', '2023-05-11 15:57:23.400000', '1', '1', 'C2942032547C5E0914A23F6DD905C919', NULL, NULL, 00000000005, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('0A8D853A82FCA3598EFA3137FCAE831B', '52B1E0131F5F86B00FF4D5362663CB14', '7', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, '23C62823622E0022DD0E1CC729473C81', '1', '2023-05-12 17:00:48.943000', '2023-05-13 13:57:02.908000', '1', '45b9ad10f4ec48e3b371d3ea8ab845e3', 'E2888715A0982F6788D7816184F6C1A2', NULL, NULL, 00000000010, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('0AB2F0A8572B280995CC1C9A5270D5A6', 'F75AEF0F6F96C04293859550F978358C', NULL, NULL, '973F1D3A5D7F1F9A3D5A821A26AD1DEB', '1', '2023-05-13 15:24:26.727000', '2023-05-13 15:24:26.727000', '1', '1', NULL, NULL, NULL, 00000000002, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('105B13B6C4D0E0DDF0F65BF62E81B9A7', 'EF8E7AD430D80BB9D28F0DDA43779598', '2023年-2024年-24', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '971672B361519CA4185A90240F55ECB1', NULL, '2023-05-13 15:32:09.213000', '2023-05-13 15:41:37.528000', '1', 'C27B8F582693B93596C21C1586A0845A', '74EBAA9727B196BD5112FB1E3C7B88F0', NULL, NULL, 00000000001, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('162067A3982FA4966F0814F4C8E4C4D0', '734A38EE0D8CB923D1AAE787A7D96741', '7', NULL, '23C62823622E0022DD0E1CC729473C81', NULL, '2023-05-11 15:22:23.998000', '2023-05-11 15:22:23.998000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, NULL, NULL, 00000000023, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('1EB2E6913DE72563C15790B2AE545BDA', 'A09A8B815B0BBDAACE68BF3E87745851', '7', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000005, '23C62823622E0022DD0E1CC729473C81', NULL, '2023-05-10 14:45:20.771000', '2023-05-11 15:57:23.404000', '1', '1', '1E3A7E63FD86331A2DE90FA2520390E3', NULL, NULL, 00000000005, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('27A5D3D2A616BDBE6CA1919AAF7C03A5', '9123CEE330E1F1DB6BEA24E1C191C55D', '2023-2', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '2D8BD9AD670C2998B91DEC97C3ABCC1A', '1', '2023-05-15 10:56:47.154000', '2023-05-15 10:57:08.660000', '1', 'C27B8F582693B93596C21C1586A0845A', '701A99D7BB33E434F198B96D1B9BF924', NULL, NULL, 00000000001, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('29913662ABAA362E4A086CB22269A966', '82B0B489FAC43DB1029DF2B3E8C36492', '2023年-2024年-24', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '971672B361519CA4185A90240F55ECB1', '1', '2023-05-13 15:32:01.563000', '2023-05-13 15:41:37.525000', '1', 'C27B8F582693B93596C21C1586A0845A', '74EBAA9727B196BD5112FB1E3C7B88F0', NULL, NULL, 00000000001, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('2B9CA5D4E8893FA75FA7927794216349', '30AA16C62692D513F2097BC6B6C30205', '2023-6', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002, '7CF9474700C8F33CD7485C2EF1DA6450', '1', '2023-05-13 16:09:33.858000', '2023-05-13 16:41:58.932000', 'C27B8F582693B93596C21C1586A0845A', '45b9ad10f4ec48e3b371d3ea8ab845e3', '67ECEF9323FDB24B061FFB0873C8D002', NULL, NULL, 00000000001, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('2C527C7F7D383F83A6D4C7590C34B369', '5D7F404BBD0791E467A6777315193530', '2', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, '2023-05-12 17:01:00.144000', '2023-05-13 14:18:37.754000', '1', '45b9ad10f4ec48e3b371d3ea8ab845e3', '2EFEA44AFBEB42BF2D8DDBE173DAC121', NULL, NULL, 00000000012, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('2E76AD792050CE1A7820F2EB444615EA', 'A09A8B815B0BBDAACE68BF3E87745851', '1', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000005, '8C057A697826732F6510CDC2A691B4D5', NULL, '2023-05-10 14:45:20.774000', '2023-05-11 15:57:23.408000', '1', '1', 'F7B9825B5F164B5251D3674688BC6597', NULL, NULL, 00000000005, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('2EF106E4AEC7AC6083C25AE885E1DD87', 'EAAD99E07D30DD9F327A76D252409D49', NULL, NULL, '7CCF053231D3AC705E5831D58B46A4AC', '无', '2023-05-13 15:18:32.264000', '2023-05-13 15:18:32.264000', '1', '1', NULL, NULL, NULL, 00000000012, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('33162D320F04F0705DE96351F5DA5CFD', '97E68D57B1807A8BA097A6B9F2A9C99C', '7', NULL, '23C62823622E0022DD0E1CC729473C81', NULL, '2023-05-12 09:11:37.570000', '2023-05-12 09:11:37.570000', '1', '1', NULL, NULL, NULL, 00000000001, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('3668EDB471BB09BFCDD08ED36BCD0FBC', '9123CEE330E1F1DB6BEA24E1C191C55D', '2023-5', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '26B966569ED973FF3B443F0D748337CC', '1', '2023-05-15 10:56:47.153000', '2023-05-15 10:57:08.663000', '1', 'C27B8F582693B93596C21C1586A0845A', '8FE2CEA1661C4D218C190649AA029CA8', NULL, NULL, 00000000001, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('388E1F4CF39EF5DC7DBCCD7A77DF81B1', '9330593312C4BE11D2D5B1DAA5B68667', '7', NULL, '23C62823622E0022DD0E1CC729473C81', NULL, '2023-05-11 15:01:23.775000', '2023-05-11 15:01:23.775000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, NULL, NULL, 00000000045, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('39211536A1C539D24E37D3E2E0292701', '8DDD6BD3D8A8DE6BED936D6D77404097', NULL, NULL, '973F1D3A5D7F1F9A3D5A821A26AD1DEB', '1', '2023-05-13 15:24:18.554000', '2023-05-13 15:24:18.554000', '1', '1', NULL, NULL, NULL, 00000000001, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('3E052A7D462E7E307C5AA4A787B9473D', '88C92B26B4CF208AE6252CC0B709BF6E', '7', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '23C62823622E0022DD0E1CC729473C81', NULL, '2023-05-10 15:30:01.887000', '2023-05-11 15:57:23.374000', '1', '1', '1E3A7E63FD86331A2DE90FA2520390E3', NULL, NULL, 00000000001, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('4B458CB28D27FA3733A46CB3771B761D', 'F74CE115AB9B18B10B9140147C4EEB17', '2', NULL, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, '2023-05-11 15:14:38.479000', '2023-05-11 15:14:38.479000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, NULL, NULL, 00000000034, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('606FE42A31E3B39808C47B19EA451D64', '3E26E7F958F36727F4379C515B4980DB', '7', NULL, '23C62823622E0022DD0E1CC729473C81', '45', '2023-05-11 15:03:04.479000', '2023-05-11 15:03:04.479000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, NULL, NULL, 00000004545, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('61470514D84ED112BB6D21CE13507F9F', '88C92B26B4CF208AE6252CC0B709BF6E', '1', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '8C057A697826732F6510CDC2A691B4D5', NULL, '2023-05-10 15:30:01.889000', '2023-05-11 15:57:23.379000', '1', '1', 'F7B9825B5F164B5251D3674688BC6597', NULL, NULL, 00000000001, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('64374C3986FB7C3A686C64655D317128', 'E0D0006176F53A209BA79812771F807E', '7', NULL, '23C62823622E0022DD0E1CC729473C81', NULL, '2023-05-11 16:53:37.069000', '2023-05-11 16:53:37.069000', '1', '1', NULL, NULL, NULL, 00000000001, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('6534984B9573A3FFB84424B70C58FC2E', 'A09A8B815B0BBDAACE68BF3E87745851', '5', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000005, '28613635426554046F0B12D7121A5AAB', NULL, '2023-05-10 14:45:20.773000', '2023-05-11 15:57:23.411000', '1', '1', '22280472D4AB60F4889D5599D1EB6429', NULL, NULL, 00000000005, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('6B14C58B24700940B0BBEEE7FC31F5F5', 'F902F806B39944905288B5B1BE05B703', '7', NULL, '23C62823622E0022DD0E1CC729473C81', '2123', '2023-05-11 17:26:34.045000', '2023-05-11 17:26:34.045000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, NULL, NULL, 00000000123, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('6F2B94B2939525734BD325995454C640', '5D7F404BBD0791E467A6777315193530', '7', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, '23C62823622E0022DD0E1CC729473C81', NULL, '2023-05-12 17:01:00.144000', '2023-05-13 13:57:02.911000', '1', '45b9ad10f4ec48e3b371d3ea8ab845e3', 'E2888715A0982F6788D7816184F6C1A2', NULL, NULL, 00000000007, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('74CA4A420213E6200395BC61781DE841', 'A09A8B815B0BBDAACE68BF3E87745851', '3', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000005, '6D9807222F22E3675247B2CFCD5344A5', '1', '2023-05-10 14:45:20.773000', '2023-05-11 15:57:23.414000', '1', '1', '00915BD51DCF275B59420C2218B9B673', NULL, NULL, 00000000005, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('7D6F795CD76AB6E9F1BA71A9567732CA', '8DDD6BD3D8A8DE6BED936D6D77404097', NULL, NULL, '8565F41E5F7436C1C476EFB9BBB39190', '1', '2023-05-13 15:24:18.554000', '2023-05-13 15:24:18.554000', '1', '1', NULL, NULL, NULL, 00000000002, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('7E1F4D368CCB69076F62588BFFC8D73A', 'EAAD99E07D30DD9F327A76D252409D49', NULL, NULL, '973F1D3A5D7F1F9A3D5A821A26AD1DEB', '21', '2023-05-13 15:18:32.263000', '2023-05-13 15:18:32.263000', '1', '1', NULL, NULL, NULL, 00000000001, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('8A9587953DA28095AC13218D77DA2E45', '88C92B26B4CF208AE6252CC0B709BF6E', '2', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, '2023-05-10 15:30:01.888000', '2023-05-11 15:57:23.384000', '1', '1', '53FECD76330779BA6DBCE04EF840AD4E', NULL, NULL, 00000000001, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('A2761DAF3CB2E377C9BEC5B6CAD4DD1C', 'D3E836D34F412BA2E1C9B182EED100F7', '7', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000030, '23C62823622E0022DD0E1CC729473C81', 'wu', '2023-05-11 14:15:33.146000', '2023-05-11 15:57:23.425000', '6c847974320c7cb184228d53eea19114', '1', '1E3A7E63FD86331A2DE90FA2520390E3', NULL, NULL, 00000000030, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('AA4D936C51C801C0454956F6C46C756C', '52B1E0131F5F86B00FF4D5362663CB14', '2', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, '2023-05-12 17:00:48.944000', '2023-05-13 14:18:37.757000', '1', '45b9ad10f4ec48e3b371d3ea8ab845e3', '2EFEA44AFBEB42BF2D8DDBE173DAC121', NULL, NULL, 00000000100, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('AD88C0039A099181E74E24EFFCC18102', '88C92B26B4CF208AE6252CC0B709BF6E', '3', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '6D9807222F22E3675247B2CFCD5344A5', NULL, '2023-05-10 15:30:01.889000', '2023-05-11 15:57:23.388000', '1', '1', '00915BD51DCF275B59420C2218B9B673', NULL, NULL, 00000000001, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('AEAC261C1F0035ECC741AC937CD7F17D', '246072D2FC0CE1C596D9678ACEEA6E5E', '4', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000100, 'EEB461F1E10CE14AD6E7E0247844053A', NULL, '2023-05-11 15:53:45.209000', '2023-05-11 15:57:23.365000', '1', '1', 'C2942032547C5E0914A23F6DD905C919', NULL, NULL, 00000000100, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('B95B79684A4F69D80F8132836AFBB59D', '8632FDD833C26488012F133982D02F3B', '4', NULL, 'EEB461F1E10CE14AD6E7E0247844053A', NULL, '2023-05-11 15:28:37.413000', '2023-05-11 15:28:37.413000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, NULL, NULL, 00000000044, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('BB08602C4FFE60B50CD3BA549A6BB74F', 'F75AEF0F6F96C04293859550F978358C', NULL, NULL, '8565F41E5F7436C1C476EFB9BBB39190', '1', '2023-05-13 15:24:26.727000', '2023-05-13 15:24:26.727000', '1', '1', NULL, NULL, NULL, 00000000001, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('BEB756D631D30B2C380266F44A90298E', '88C92B26B4CF208AE6252CC0B709BF6E', '4', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, 'EEB461F1E10CE14AD6E7E0247844053A', NULL, '2023-05-10 15:30:01.888000', '2023-05-11 15:57:23.392000', '1', '1', 'C2942032547C5E0914A23F6DD905C919', NULL, NULL, 00000000001, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('C553DE78FD979259AA7B562233D5477A', '52B1E0131F5F86B00FF4D5362663CB14', '4', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, 'EEB461F1E10CE14AD6E7E0247844053A', NULL, '2023-05-12 17:00:48.945000', '2023-05-12 17:01:31.021000', '1', '6c847974320c7cb184228d53eea19114', '60E0C03D0355632ECA2B658EC99E8ACC', NULL, NULL, 00000000001, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('C88812B629706F60FC706C5463A11452', '88C92B26B4CF208AE6252CC0B709BF6E', '5', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '28613635426554046F0B12D7121A5AAB', NULL, '2023-05-10 15:30:01.888000', '2023-05-11 15:57:23.396000', '1', '1', '22280472D4AB60F4889D5599D1EB6429', NULL, NULL, 00000000001, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('CC072552F5972FEA53B977647C94DE3A', '49906B607BD443D85090359248ECE4AE', '7', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '23C62823622E0022DD0E1CC729473C81', '1', '2023-05-10 15:25:57.638000', '2023-05-11 15:57:23.370000', '1', '1', '1E3A7E63FD86331A2DE90FA2520390E3', NULL, NULL, 00000000001, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('CC66D70E2CC018DFA0BEFB53006CD6BB', 'D2056764FA723BC04D9C07BFE829BD5F', '1', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000010, '8C057A697826732F6510CDC2A691B4D5', NULL, '2023-05-10 15:06:21.709000', '2023-05-11 15:57:23.421000', '1', '1', 'F7B9825B5F164B5251D3674688BC6597', NULL, NULL, 00000000010, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('CD9907E7224ACD4A694A3B203DF26511', '4A0CE2FD897DD2DFDE8FF6BC1686D860', '2023-38', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '1', '2023-05-13 15:57:36.251000', '2023-05-13 15:57:45.346000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'AD6DD632C0855AEBCA16B992F74C1E18', NULL, NULL, 00000000001, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('DB7E75524E669CE2A81B7FB1979E50BA', 'A2EF2F1C05DDBD9F965A388304AB7F73', '7', NULL, '23C62823622E0022DD0E1CC729473C81', '1', '2023-05-11 16:53:54.848000', '2023-05-11 16:53:54.848000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, NULL, 00000000001, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('E31E6B69DD93DC9763A09F68D2EDEFAA', '595E93ED7E04594C858F08034E6F8D5F', '7', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '23C62823622E0022DD0E1CC729473C81', NULL, '2023-05-11 16:54:19.539000', '2023-05-11 16:55:09.633000', '6c847974320c7cb184228d53eea19114', '1', '0C92BE3C7DD318D04BB936A4DD896AF0', NULL, NULL, 00000000001, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('F8A51CC5D4C8DA3A3975FED183A46197', '8F0D6D515C22528C6DC6F6A2D2BB3C22', NULL, NULL, '973F1D3A5D7F1F9A3D5A821A26AD1DEB', NULL, '2023-05-13 15:18:46.607000', '2023-05-13 15:18:46.607000', '1', '1', NULL, NULL, NULL, 00000000001, NULL, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('FE530E20DDABFCE5B764306B5FF68F91', 'A09A8B815B0BBDAACE68BF3E87745851', '2', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000005, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, '2023-05-10 14:45:20.772000', '2023-05-11 15:57:23.418000', '1', '1', '53FECD76330779BA6DBCE04EF840AD4E', NULL, NULL, 00000000005, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for disqualification_form
-- ----------------------------
DROP TABLE IF EXISTS `disqualification_form`;
CREATE TABLE `disqualification_form`  (
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `compliance_check_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `disqualification_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`disqualification_form_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of disqualification_form
-- ----------------------------

-- ----------------------------
-- Table structure for evaluation_form
-- ----------------------------
DROP TABLE IF EXISTS `evaluation_form`;
CREATE TABLE `evaluation_form`  (
  `comments_from_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价意见',
  `comments_from_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价意见',
  `contact_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系电话)',
  `contact_person` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人)',
  `primary_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价人ID',
  `comments_from_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价意见',
  `secondary_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价人ID',
  `service_provider_and_supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(服务商/供应商ID)',
  `three_level_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `supplier_information_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商/服务商信息表ID',
  `supplier_business_license` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商营业执照)',
  `supplier_passes_quality_assurance_system` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商通过质量保证体系)',
  `supplier_product_certification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商产品认证)',
  `check_and_calibrate_efficiency_of_supplies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应品检验校准效率)',
  `overall_supplier_service_satisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应商总体服务是否满意)',
  `supplier_attitude` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商态度)',
  `supplier_equipment_and_facilities` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商设备与设施)',
  `supplier_technology_and_management_capability` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商技术与管理能力)',
  `whether_the_supplier_delivers_on_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商交货是否及时)',
  `comments_result_from_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价结果',
  `comments_date_from_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级评价时间',
  `comments_result_from_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价结果',
  `comments_date_from_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级评价时间',
  `comments_result_from_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价结果',
  `comments_date_from_three_level` datetime(6) NULL DEFAULT NULL COMMENT '三级评价时间',
  `status` int(2) NULL DEFAULT NULL COMMENT '状态\r\n',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(服务商/供应商评价表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of evaluation_form
-- ----------------------------
INSERT INTO `evaluation_form` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-15 10:58:04.900000', '2023-05-15 10:58:04.900000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '269F7FC697E69FEFB8EC7434B3DCEF00', '649CF5C051DE55F375BB638440FFF37F', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `evaluation_form` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-15 10:51:34.468000', '2023-05-15 10:51:34.468000', '1', '1', '60861F7DE1B37A412A1B44AC97DFB360', '649CF5C051DE55F375BB638440FFF37F', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `evaluation_form` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-10 14:48:31.982000', '2023-05-10 14:48:31.982000', '1', '1', '8BE68B5AD0006BF16B843F7BE441C209', '72E82118AA58CFE3EB4D400C253F512E', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `evaluation_form` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-10 14:48:31.981000', '2023-05-10 14:48:31.981000', '1', '1', 'AFE678B142E12F75055FF9FEA3AD49D6', '649CF5C051DE55F375BB638440FFF37F', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `evaluation_form` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-13 16:02:10.027000', '2023-05-13 16:02:10.027000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'C50DA21229ADEA3F7987815672B0FF27', '649CF5C051DE55F375BB638440FFF37F', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `evaluation_form` VALUES ('采购负责人评价意见', NULL, '联系人电话', '联系人姓名', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, NULL, NULL, NULL, '2023-05-10 14:48:31.976000', '2023-05-13 14:59:28.039000', '1', '45b9ad10f4ec48e3b371d3ea8ab845e3', 'E0A196D1ABC559168E38C3EB119A5B9E', '80FA0C44E3A2846331CAD918A2D90F2D', '有', '有', '有', '一般', '一般', '优秀', '良好', '一般', '延期', NULL, '2023-05-13 00:00:00.000000', NULL, NULL, NULL, NULL, 2, NULL, '2023-05-13 14:59:28.035000');
INSERT INTO `evaluation_form` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-13 16:31:09.553000', '2023-05-13 16:31:09.553000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'E4BF71335CA8B9644C175DCA77C4588D', '649CF5C051DE55F375BB638440FFF37F', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `evaluation_form` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-10 15:10:53.703000', '2023-05-10 15:10:53.703000', '1', '1', 'F66CF311EEA5A847599AA3A5E0FB9573', '649CF5C051DE55F375BB638440FFF37F', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for expiration_reminder
-- ----------------------------
DROP TABLE IF EXISTS `expiration_reminder`;
CREATE TABLE `expiration_reminder`  (
  `expiration_date` datetime(0) NULL DEFAULT NULL COMMENT '(试剂耗材有效期/保质期)',
  `expiration_message` datetime(0) NOT NULL COMMENT '(试剂耗材到期提醒信息)',
  `reagent_consumable_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `reagent_consumable_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材编号)',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `expiration_reminder_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`expiration_reminder_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材到期提醒)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of expiration_reminder
-- ----------------------------

-- ----------------------------
-- Table structure for fixed_value_report
-- ----------------------------
DROP TABLE IF EXISTS `fixed_value_report`;
CREATE TABLE `fixed_value_report`  (
  `fixed_value_report` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值报告URL)',
  `reference_substance_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  `fixed_value_report_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `fixed_result` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '定值结果',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`fixed_value_report_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(定值报告)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of fixed_value_report
-- ----------------------------
INSERT INTO `fixed_value_report` VALUES ('核查指导书模板1.pdf', '061E2836B4C158CE5C82372CFAF0C8F7', '7DB8BB4A949FF10D6805AB6EE40A9FA8', 'null', '2023-05-13 10:18:06.381000', '2023-05-13 11:48:04.661000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3');

-- ----------------------------
-- Table structure for instruction_book
-- ----------------------------
DROP TABLE IF EXISTS `instruction_book`;
CREATE TABLE `instruction_book`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `audit_opinion_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '技术负责人审核意见',
  `audit_result_of_technical` tinyint(3) NULL DEFAULT NULL COMMENT '技术负责人审核结果',
  `audit_time_of_technical` datetime(6) NULL DEFAULT NULL COMMENT '技术负责人审核时间',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `instruction_book` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书)',
  `maker_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(制定人)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质id)',
  `set_time` datetime(6) NULL DEFAULT NULL COMMENT '(制定时间)',
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '技术负责人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `reference_material_type_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查指导书)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of instruction_book
-- ----------------------------
INSERT INTO `instruction_book` VALUES ('0B1836D80E54BFF2B372CFC4BACF85BC', NULL, 0, NULL, 1, '核查指导书模板1.pdf', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, NULL, '2023-05-12 11:23:50.489000', '2023-05-12 11:23:50.489000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '6D9807222F22E3675247B2CFCD5344A5', NULL, '2023-05-12 11:23:50.444000');
INSERT INTO `instruction_book` VALUES ('533E4364A74ECD7E1DBC3EE46BD6A156', NULL, 0, NULL, 1, '核查指导书模板1.pdf', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, NULL, '2023-05-12 11:15:19.824000', '2023-05-12 11:15:19.824000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '28613635426554046F0B12D7121A5AAB', NULL, '2023-05-12 11:15:19.775000');
INSERT INTO `instruction_book` VALUES ('708CC9EDD638936295A6156E4214227E', NULL, 0, NULL, 1, '核查指导书PDF样版.pdf', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, NULL, NULL, '2023-05-11 15:04:31.658000', '2023-05-11 15:04:31.658000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', '28613635426554046F0B12D7121A5AAB', NULL, '2023-05-11 15:04:31.606000');

-- ----------------------------
-- Table structure for lattice_form
-- ----------------------------
DROP TABLE IF EXISTS `lattice_form`;
CREATE TABLE `lattice_form`  (
  `update_by` varbinary(255) NULL DEFAULT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(255) NULL DEFAULT NULL,
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `cabinet_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `picture` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of lattice_form
-- ----------------------------
INSERT INTO `lattice_form` VALUES (NULL, NULL, 0, '1', '1', NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for location_information
-- ----------------------------
DROP TABLE IF EXISTS `location_information`;
CREATE TABLE `location_information`  (
  `cabinet_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(柜子编号)',
  `cabinet_type` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(柜子类型)',
  `lattice_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(格子编号)',
  `storage_registration_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材入库登记表ID)',
  `storage_room_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(存储室号)',
  `storage_room_type` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(存储室类型)',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `location_information_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`location_information_id`) USING BTREE,
  INDEX `IXFK_location_information_storage_registration_form`(`storage_registration_form_id`) USING BTREE,
  CONSTRAINT `FK_location_information_storage_registration_form` FOREIGN KEY (`storage_registration_form_id`) REFERENCES `storage_registration_form` (`storage_registration_form_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(位置信息)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of location_information
-- ----------------------------

-- ----------------------------
-- Table structure for outgoing_contents
-- ----------------------------
DROP TABLE IF EXISTS `outgoing_contents`;
CREATE TABLE `outgoing_contents`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `delivery_registration_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材出库登记表ID)',
  `outbound_use` int(3) NULL DEFAULT NULL COMMENT '(出库用途)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `reagent_consumable_type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材类型)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `lattice_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(出库内容)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of outgoing_contents
-- ----------------------------
INSERT INTO `outgoing_contents` VALUES ('01BFAD16BC8253500057CF9CA95D77F2', '178C39EC6985FFECD0BFF91688399614', 0, 1, 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '标准物质', '1', '2023-05-13 16:27:22.744000', '2023-05-13 16:27:22.744000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'gafh-2023-1-015', '1ED66A3A39258F7328E753306F673934', 'BF5A853229F3E680408C74CB43A4A5D3', '1', '1111');
INSERT INTO `outgoing_contents` VALUES ('04BBFD47FC3079E031C5142A171B6457', '133EFAFC53DB6A3D142433BB0BF775F7', 0, 1, 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '标准物质', '1', '2023-05-15 16:10:41.296000', '2023-05-15 16:10:41.296000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'gafh-2023-1-050', '01DD598E4FD9A686D580BFE30DBE9CCE', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', '1', '12');
INSERT INTO `outgoing_contents` VALUES ('069C1EA4FF61D212D4F50B9E3E64CFF1', '2B2E46B4AB30B592F6E3B25E46FD5E22', 0, 1, 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '标准物质', '1', '2023-05-13 16:20:11.289000', '2023-05-13 16:20:11.289000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'gafh-2023-1-015', '1ED66A3A39258F7328E753306F673934', 'BF5A853229F3E680408C74CB43A4A5D3', '1', '1111');
INSERT INTO `outgoing_contents` VALUES ('16DEDA522FE5A29F698E41510CD51D79', 'EF0119E13866D05CBF70D387AE2C25D2', 0, 1, 'BAE3D7E971A9892FFECED585F5C9931D', '标准储备溶液', NULL, '2023-05-13 11:13:40.641000', '2023-05-13 11:13:40.641000', '1', '1', 'heroin-2023-05-13', '90CBBAFA2433CB679B1C159C5EF50D4E', 'A3BE86455A0A0D8D9D69618DB4239369', NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('1A6A07812796144A648ACF5893E9AB13', '7280FF238F695156CE8268F6F49429F4', 0, 5, '8C057A697826732F6510CDC2A691B4D5', '试剂', NULL, '2023-05-11 15:18:53.815000', '2023-05-11 15:18:53.815000', '1', '1', NULL, NULL, 'C6C1CFFEB37F92411E6393AF396A67C4', '1', '三楼');
INSERT INTO `outgoing_contents` VALUES ('1D42CF2FACEEBA890E87E8E7C0F78C8D', '1ED33CC036EBDE709C9D91E822DF71CA', 1, 5, '243E47CC2269FD5E40ACE32D07F4604C', '试剂', '无', '2023-05-15 17:09:05.892000', '2023-05-15 17:09:05.892000', '1', '1', NULL, NULL, '68BD27AB36C454A9C0C3FDDD9381AEDF', NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('23BDE0E7D1C3EE8194AE92B79E8AF607', '5FE8C13BEB8CC91DF516CBC605B581BE', 0, 200, '8C057A697826732F6510CDC2A691B4D5', '试剂', NULL, '2023-05-11 16:00:43.781000', '2023-05-11 16:00:43.781000', '1', '1', NULL, NULL, 'ABCAF1880FFBEF9A0CFC2E345EF7128A', '1', '1');
INSERT INTO `outgoing_contents` VALUES ('2927DABD48FA58390EB1E55A12337708', '7280FF238F695156CE8268F6F49429F4', 0, 5, 'EEB461F1E10CE14AD6E7E0247844053A', '试剂', NULL, '2023-05-11 15:18:53.814000', '2023-05-11 15:18:53.814000', '1', '1', NULL, NULL, '6DB8CF7672FD57A6B8FE6F21B7561DD6', '1', '二楼');
INSERT INTO `outgoing_contents` VALUES ('30C8ECD40C1900673EB3A952CDBF48E6', 'C5285DF7D59615771102B37FE875C4A4', 0, 1, '42F980998F293EE2BF6B31AD3961A4AA', '标准储备溶液', NULL, '2023-05-15 17:17:53.407000', '2023-05-15 17:17:53.407000', '1', '1', 'ketamine-2023-04-13', 'F91C374267824ABDFA064AC327D07A43', 'DB585C3C4506713CD1E20ABE5CEF0CB2', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2');
INSERT INTO `outgoing_contents` VALUES ('47A19B82F5297BFEBA504F738566CBF7', '684D9271EAA6490C32A6441D35FFA913', 0, 1, '28613635426554046F0B12D7121A5AAB', '标准物质', NULL, '2023-05-11 16:09:26.328000', '2023-05-11 16:09:26.328000', '1', '1', 'ecstasy-2023-1-004', '061E2836B4C158CE5C82372CFAF0C8F7', '7DC372AACEC1B8C741A3BB452CE1AA67', '1', '三楼');
INSERT INTO `outgoing_contents` VALUES ('56A30652FD57438BC9B8CC1CD6994B65', '0695739E3372DB1FB66155F41DF1F9E2', 0, 1, '1DF868DB5428ADB82B57A6F6819EDB20', '标准储备溶液', NULL, '2023-05-13 09:27:44.295000', '2023-05-13 09:27:44.295000', '1', '1', 'ecstasy-2023-05-11', '20742D2B2CEF86428DFD5132B1F7A184', '7DC372AACEC1B8C741A3BB452CE1AA67', NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('6690164E3C0AD69379215843D3676579', 'E65DAE8B17DB38DD9BDF2529FB669170', 1, 1, '28613635426554046F0B12D7121A5AAB', '标准物质', NULL, '2023-05-11 16:29:08.786000', '2023-05-11 16:29:08.786000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 'ecstasy-2023-1-004', '061E2836B4C158CE5C82372CFAF0C8F7', '7DC372AACEC1B8C741A3BB452CE1AA67', '1', '三楼');
INSERT INTO `outgoing_contents` VALUES ('70187046BCC626D29DFB2D857829BB4E', '590E678EF6A6C5935D025042488082EB', 0, 1, 'A66328B04557EC9B6D76E20B646CEF70', '标准储备溶液', NULL, '2023-05-15 16:15:23.847000', '2023-05-15 16:15:23.847000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'gafh-2023-05-15', '61CBE8279E964B516B8DDF70202B6719', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', '58341e949178b2cde34bd6d131dc6f79', 'F6_621_2号柜_D3');
INSERT INTO `outgoing_contents` VALUES ('8572D7CA7137F9BA0E985195093DF0A2', 'ABD0EEA9CF397174A7D9F3A3715465F2', 1, 5, '243E47CC2269FD5E40ACE32D07F4604C', '试剂', '无', '2023-05-15 17:24:23.934000', '2023-05-15 17:24:23.934000', '1', '1', NULL, NULL, '68BD27AB36C454A9C0C3FDDD9381AEDF', NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('9331A27214DF12DDA1C656641AEE3602', '32A4E35E1FA846E53F9BAEB429AE7732', 0, 1, 'EEB461F1E10CE14AD6E7E0247844053A', '试剂', NULL, '2023-05-11 10:47:50.301000', '2023-05-11 10:47:50.301000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, '6DB8CF7672FD57A6B8FE6F21B7561DD6', '1', '二楼');
INSERT INTO `outgoing_contents` VALUES ('93A3C0D0EBD109A5EE421EAC9AFDA2FF', '32A4E35E1FA846E53F9BAEB429AE7732', 0, 1, '28613635426554046F0B12D7121A5AAB', '标准物质', '1', '2023-05-11 10:47:50.302000', '2023-05-11 10:47:50.302000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'ecstasy-2023-1-003', '684AB3A46A2138BA0E67FB2A171D9F22', '7DC372AACEC1B8C741A3BB452CE1AA67', '1', '三楼');
INSERT INTO `outgoing_contents` VALUES ('98C51C6436FAE044AD8BA5999BAC1DE4', 'AE372BF5FAC1A6688BF03D8EC245D5CA', 0, 1, '42F980998F293EE2BF6B31AD3961A4AA', '标准储备溶液', NULL, '2023-05-13 12:05:47.083000', '2023-05-13 12:05:47.083000', '1', '1', 'ketamine-2023-05-13', '9B34EF1EDE5B5E65808773167CAB5571', 'DB585C3C4506713CD1E20ABE5CEF0CB2', NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('9C04CB27BE9828A7F096C3DFF4A5E072', '5578A1E9FC141E5E0E1F7CB76F1EE05A', 0, 1, '23C62823622E0022DD0E1CC729473C81', '标准物质', '1', '2023-05-12 10:27:19.935000', '2023-05-12 10:27:19.935000', '1', '1', 'ketamine-2023-1-002', 'EB958DCA33B89B24AA85135F7914247C', 'DB585C3C4506713CD1E20ABE5CEF0CB2', '1', '一楼');
INSERT INTO `outgoing_contents` VALUES ('9C83C25A855157ED10263D59EA9BB453', '422BA499561AFCBF485A45DE02DE2D00', 0, 1, 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '标准物质', '1', '2023-05-13 16:05:20.055000', '2023-05-13 16:05:20.055000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'gafh-2023-1-005', '065EA47854110A1CD2C29B8D8C663986', 'BF5A853229F3E680408C74CB43A4A5D3', '1', '1111');
INSERT INTO `outgoing_contents` VALUES ('A070E69768237F9D0645C05E339AA366', 'EB771AC4BD4C381511C4C0705E6C131A', 0, 1, '28613635426554046F0B12D7121A5AAB', '标准物质', '1231', '2023-05-12 17:21:37.452000', '2023-05-12 17:21:37.452000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'ecstasy-2023-1-003', '684AB3A46A2138BA0E67FB2A171D9F22', '7DC372AACEC1B8C741A3BB452CE1AA67', '1', '三楼');
INSERT INTO `outgoing_contents` VALUES ('A0B86E3D3BE6F9A177977D390FD2CED2', '9585DEDB3FF2ED5BCA9AE622C4C97BEA', 0, 1, 'BAE3D7E971A9892FFECED585F5C9931D', '标准储备溶液', NULL, '2023-05-13 11:12:20.146000', '2023-05-13 11:12:20.146000', '1', '1', 'heroin-2023-05-13', '90CBBAFA2433CB679B1C159C5EF50D4E', 'A3BE86455A0A0D8D9D69618DB4239369', NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('B0AB2603DEFB21D027C0A510AD3C1CE3', '32A4E35E1FA846E53F9BAEB429AE7732', 0, 1, '28613635426554046F0B12D7121A5AAB', '标准物质', '1', '2023-05-11 10:47:50.302000', '2023-05-11 10:47:50.302000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'ecstasy-2023-1-004', '061E2836B4C158CE5C82372CFAF0C8F7', '7DC372AACEC1B8C741A3BB452CE1AA67', '1', '三楼');
INSERT INTO `outgoing_contents` VALUES ('B0EE57DF2B5930B2893828812DB40FDF', 'A6891512C7C39811CDF3A91BD6C7C182', 0, 1, '1DF868DB5428ADB82B57A6F6819EDB20', '标准储备溶液', NULL, '2023-05-13 09:40:56.588000', '2023-05-13 09:40:56.588000', '1', '1', 'ecstasy-2023-05-11', '20742D2B2CEF86428DFD5132B1F7A184', '7DC372AACEC1B8C741A3BB452CE1AA67', NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('B584A545A82A7A2D132B684D719106CD', '32A4E35E1FA846E53F9BAEB429AE7732', 0, 1, '8C057A697826732F6510CDC2A691B4D5', '试剂', NULL, '2023-05-11 10:47:50.301000', '2023-05-11 10:47:50.301000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, 'C6C1CFFEB37F92411E6393AF396A67C4', '1', '三楼');
INSERT INTO `outgoing_contents` VALUES ('B9F80B4D413454E244B6BCD90858DFA5', 'A489637811FED2672456519C37A43BE3', 1, 1, '1DF868DB5428ADB82B57A6F6819EDB20', '标准储备溶液', NULL, '2023-05-11 18:07:20.489000', '2023-05-11 18:07:20.489000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 'ecstasy-2023-05-11', '20742D2B2CEF86428DFD5132B1F7A184', '7DC372AACEC1B8C741A3BB452CE1AA67', NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('BDEDE9A190D4D5F3F4BDBB96310F5B28', '6D165AE38D831106566911F1251376B0', 0, 1, 'BAE3D7E971A9892FFECED585F5C9931D', '标准储备溶液', NULL, '2023-05-15 16:11:37.230000', '2023-05-15 16:11:37.230000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'heroin-2023-05-13', '90CBBAFA2433CB679B1C159C5EF50D4E', 'A3BE86455A0A0D8D9D69618DB4239369', NULL, 'F6_621_2号柜_A1');
INSERT INTO `outgoing_contents` VALUES ('BFD49A20E9906874E192BF15703FD883', '45108304BDDFDFEEE7537ACB127710F2', 0, 1, '28613635426554046F0B12D7121A5AAB', '标准物质', '34344', '2023-05-11 17:58:19.402000', '2023-05-11 17:58:19.402000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 'ecstasy-2023-1-003', '684AB3A46A2138BA0E67FB2A171D9F22', '7DC372AACEC1B8C741A3BB452CE1AA67', '1', '三楼');
INSERT INTO `outgoing_contents` VALUES ('D0FEFF6D1EE715E723960CEA0CF5EA21', 'B98317C67EA3A96CB79E57B982040AC9', 0, 1, 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '标准物质', '1', '2023-05-13 16:31:59.298000', '2023-05-13 16:31:59.298000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'gafh-2023-1-074', '09B9C48CC8C241E3D85C8011C1B0931D', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', '1', '12');
INSERT INTO `outgoing_contents` VALUES ('E0E7C4426D7E3DD54D80FE4DDE117711', '11CC809837E6BBBEE5E4BCEDA0D9B921', 1, 1, '28613635426554046F0B12D7121A5AAB', '标准物质', '6', '2023-05-15 16:53:25.438000', '2023-05-15 16:53:25.438000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'ecstasy-2023-1-004', '061E2836B4C158CE5C82372CFAF0C8F7', '7DC372AACEC1B8C741A3BB452CE1AA67', '1', '三楼');
INSERT INTO `outgoing_contents` VALUES ('E76F5A1CD60153662B01D971D9C9D11D', '33F65CF4427D951FB3CDE66B735370CB', 1, 5, 'AF8CBA871FC396CABEF48E8D2E6063BD', '耗材', '1', '2023-05-10 15:19:18.203000', '2023-05-10 15:19:18.203000', '1', '1', NULL, NULL, '8776A241CD8084B4C8EEA7068BBA7205', '1', '五楼');
INSERT INTO `outgoing_contents` VALUES ('F3021D91083D3766106C3EC355C2D393', '037270AF900764595DCB7C0535A4EF4B', 0, 1, '42F980998F293EE2BF6B31AD3961A4AA', '标准储备溶液', NULL, '2023-05-13 12:04:58.267000', '2023-05-13 12:04:58.267000', '1', '1', 'ketamine-2023-05-13', '9B34EF1EDE5B5E65808773167CAB5571', 'DB585C3C4506713CD1E20ABE5CEF0CB2', NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('F7A580F59CCB846EBBFBA4DB2F2DD629', '5578A1E9FC141E5E0E1F7CB76F1EE05A', 0, 1, '6D9807222F22E3675247B2CFCD5344A5', '标准物质', '1', '2023-05-12 10:27:19.935000', '2023-05-12 10:27:19.935000', '1', '1', 'heroin-2023-1-003', '6CEDA6931D665CC92C1C8AAA673219C3', 'A3BE86455A0A0D8D9D69618DB4239369', '1', '七楼');

-- ----------------------------
-- Table structure for period_verification_implementation
-- ----------------------------
DROP TABLE IF EXISTS `period_verification_implementation`;
CREATE TABLE `period_verification_implementation`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `audit_opinion_of_technical` varchar(6) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核意见)',
  `audit_result_of_technical` tinyint(36) NULL DEFAULT NULL COMMENT '(技术负责人审核结果)',
  `audit_time_of_technical` datetime(6) NULL DEFAULT NULL COMMENT '(技术负责人审核时间)',
  `cause_of_dissatisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(不满足应用要求原因分析)',
  `checking_time` datetime(6) NULL DEFAULT NULL COMMENT '(核查时间)',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `deviation_and_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `implementation_and_results` varchar(2550) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查实施情况及结果)',
  `inspector_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查人员ID)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(编号)',
  `opinion_of_inspector` tinyint(3) NULL DEFAULT NULL COMMENT '(核查人员意见)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人ID)',
  `verification_method` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查方法)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `period_verification_plan_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reference_material_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `verification_basis` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  `cause_of_dissatisfaction_result` tinyint(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查实施情况及结果记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of period_verification_implementation
-- ----------------------------
INSERT INTO `period_verification_implementation` VALUES ('3BD4CF1C485BDA0586C7149DC4130D52', NULL, NULL, NULL, NULL, '2023-05-13 00:00:00.000000', 1, NULL, '阿萨德', '1', NULL, 1, '5706862DA8552F03299AE753E8D8ABF7', '手打', '37.99', NULL, '阿萨德', '2023-05-13 16:45:15.686000', '2023-05-13 16:45:46.882000', '1', '1', '2d17efa0ab1414c280dd32688e8a0e82', 'gafh-2023-1-001', '7-氨基硝西泮', '1', 'P', '2023-05-13 16:45:46.881000', 0);
INSERT INTO `period_verification_implementation` VALUES ('42478CE83EBA8AB9B243F4A85E6D1EAE', NULL, NULL, NULL, NULL, NULL, 0, '0.9', NULL, NULL, NULL, 0, '061E2836B4C158CE5C82372CFAF0C8F7', NULL, '88%', NULL, NULL, '2023-05-13 12:01:13.635000', '2023-05-13 12:01:13.635000', '1', '1', '3ba33d69d5fc81cb4af120a31037d641', 'ecstasy-2023-1-004', '摇头丸', '123', NULL, NULL, 0);
INSERT INTO `period_verification_implementation` VALUES ('65AA4B38E498D3831315D7581DCB33EE', NULL, NULL, NULL, '12312', '2023-05-13 00:00:00.000000', 1, '0.5', '阿萨德', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, 0, '26009E39FC5EB89C61A65E050EF7780E', '阿萨德', '99%', NULL, '阿萨德', '2023-05-13 16:45:15.691000', '2023-05-13 17:02:23.096000', '1', '45b9ad10f4ec48e3b371d3ea8ab845e3', 'e2f95e9e0597094328249a2022978830', 'ketamine-2023-1-001', '氯胺酮', '133', 'F', '2023-05-13 17:02:23.095000', 0);
INSERT INTO `period_verification_implementation` VALUES ('72A34290FC8452514F8CDDD6E77D47A7', '4236', 1, '2023-05-12 00:00:00.000000', NULL, '2023-05-12 00:00:00.000000', 2, '0.9', '12312312', '1', NULL, 1, '061E2836B4C158CE5C82372CFAF0C8F7', '12312', '88%', '6c847974320c7cb184228d53eea19114', '123123', '2023-05-12 11:03:16.919000', '2023-05-12 17:15:02.843000', '1', '6c847974320c7cb184228d53eea19114', 'c52f6c8b3ef1f51c38dbb386f0ff7fca', 'ecstasy-2023-1-004', '摇头丸', '111', 'P', '2023-05-12 11:08:19.519000', 1);
INSERT INTO `period_verification_implementation` VALUES ('816290C046556CF02686A25202D23DBE', '安防行', 1, '2023-05-12 00:00:00.000000', '阿达的广大', '2023-05-12 00:00:00.000000', 2, '0.9', '阿萨德', '6c847974320c7cb184228d53eea19114', NULL, 0, '061E2836B4C158CE5C82372CFAF0C8F7', '大师法第三方', '88%', '6c847974320c7cb184228d53eea19114', '范德萨发', '2023-05-12 17:16:30.766000', '2023-05-12 17:16:55.951000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', '3348a32b111413315c32fb43e96640b4', 'ecstasy-2023-1-004', '摇头丸', '124521', 'D', '2023-05-12 17:16:47.142000', 0);

-- ----------------------------
-- Table structure for period_verification_plan
-- ----------------------------
DROP TABLE IF EXISTS `period_verification_plan`;
CREATE TABLE `period_verification_plan`  (
  `date_of_next_check` datetime(6) NULL DEFAULT NULL COMMENT '(下次核查日期)',
  `deviation_and_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `inspector_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查人ID)',
  `instruction_book_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书ID)',
  `planned_verification_cycle` int(5) NULL DEFAULT NULL COMMENT '(计划核查周期)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `scheduled_verification_date` datetime(6) NULL DEFAULT NULL COMMENT '(计划核查日期)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `verification_basis` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查依据)',
  `implementation_date` datetime(6) NULL DEFAULT NULL COMMENT '(核查实施日期)',
  `verification_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查结果)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `check_schedule_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查计划和确认表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of period_verification_plan
-- ----------------------------
INSERT INTO `period_verification_plan` VALUES ('2023-09-13 00:00:00.000000', NULL, '1', NULL, 4, '5706862DA8552F03299AE753E8D8ABF7', '2023-05-16 00:00:00.000000', '37.99', '1', '2023-05-13 00:00:00.000000', 'P', '2023-05-13 16:42:56.998000', '2023-05-13 16:45:46.887000', 'C27B8F582693B93596C21C1586A0845A', '1', '2d17efa0ab1414c280dd32688e8a0e82', '1DCF4541DD245AC6E7A6EB3C953EC71B', 'gafh-2023-1-001');
INSERT INTO `period_verification_plan` VALUES ('2023-10-12 00:00:00.000000', '0.9', '6c847974320c7cb184228d53eea19114', NULL, 5, '061E2836B4C158CE5C82372CFAF0C8F7', '2023-05-09 00:00:00.000000', '88%', '124521', '2023-05-12 00:00:00.000000', 'D', '2023-05-12 17:16:18.997000', '2023-05-12 17:16:47.149000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', '3348a32b111413315c32fb43e96640b4', 'D04BAFF8795284D1501457D46FC1D581', 'ecstasy-2023-1-004');
INSERT INTO `period_verification_plan` VALUES (NULL, '0.9', NULL, NULL, 1, '061E2836B4C158CE5C82372CFAF0C8F7', '2023-05-17 00:00:00.000000', '88%', '123', NULL, NULL, '2023-05-12 17:50:06.569000', '2023-05-12 17:50:06.569000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '3ba33d69d5fc81cb4af120a31037d641', '6553FA18BC09EFBA9074D3A9680B5E0A', 'ecstasy-2023-1-004');
INSERT INTO `period_verification_plan` VALUES ('2023-08-12 00:00:00.000000', '0.9', '1', NULL, 3, '061E2836B4C158CE5C82372CFAF0C8F7', '2023-05-01 00:00:00.000000', '88%', '111', '2023-05-12 00:00:00.000000', 'P', '2023-05-12 11:03:11.042000', '2023-05-12 11:08:19.532000', '1', '1', 'c52f6c8b3ef1f51c38dbb386f0ff7fca', '8F18D2EA267B60EFB5BCCD624D13BC92', 'ecstasy-2023-1-004');
INSERT INTO `period_verification_plan` VALUES (NULL, NULL, NULL, NULL, 3, '5706862DA8552F03299AE753E8D8ABF7', '2023-05-18 00:00:00.000000', '37.99', '核查依据', NULL, NULL, '2023-05-13 17:30:32.365000', '2023-05-13 17:30:32.365000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', 'c98e3b489fb5e06a660a8ac2887b3349', 'B36276D211DC76F9E35943A9BE92A3FE', 'gafh-2023-1-001');
INSERT INTO `period_verification_plan` VALUES ('2023-09-13 00:00:00.000000', '0.5', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, 4, '26009E39FC5EB89C61A65E050EF7780E', '2023-05-17 00:00:00.000000', '99%', '133', '2023-05-13 00:00:00.000000', 'F', '2023-05-13 16:42:56.998000', '2023-05-13 17:02:23.101000', 'C27B8F582693B93596C21C1586A0845A', '45b9ad10f4ec48e3b371d3ea8ab845e3', 'e2f95e9e0597094328249a2022978830', '1DCF4541DD245AC6E7A6EB3C953EC71B', 'ketamine-2023-1-001');

-- ----------------------------
-- Table structure for procurement_content
-- ----------------------------
DROP TABLE IF EXISTS `procurement_content`;
CREATE TABLE `procurement_content`  (
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购计划id)',
  `quantity_purchased` int(8) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `subtotal` double(255, 0) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(小计)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(单价)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `procurement_content_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `replacement_quantity` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL,
  `replacement_reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `replacement_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL,
  `details_of_centralized_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `number_of_applications` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `plan_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `replacement_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`procurement_content_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购内容)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of procurement_content
-- ----------------------------
INSERT INTO `procurement_content` VALUES ('1AE56BF028A071EB7B68E59987AEBB70', 00000001, '23C62823622E0022DD0E1CC729473C81', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001555, 0001555.00, '2023-05-11 16:55:09.635000', '2023-05-11 16:55:09.635000', '1', '1', '0C92BE3C7DD318D04BB936A4DD896AF0', NULL, NULL, NULL, 'E31E6B69DD93DC9763A09F68D2EDEFAA', '1', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('E41469ED7C48C4824F6FFDAECDA8031B', 00000001, 'EEB461F1E10CE14AD6E7E0247844053A', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, 0000001.00, '2023-05-12 17:01:31.031000', '2023-05-12 17:01:31.031000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', '60E0C03D0355632ECA2B658EC99E8ACC', NULL, NULL, NULL, 'C553DE78FD979259AA7B562233D5477A', '1', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('DBD28FC46E2FC1581E3BF21CF57AFFCF', 00000002, '7CF9474700C8F33CD7485C2EF1DA6450', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000024224, 0012112.00, '2023-05-13 16:09:44.732000', '2023-05-13 16:41:58.927000', 'C27B8F582693B93596C21C1586A0845A', '45b9ad10f4ec48e3b371d3ea8ab845e3', '67ECEF9323FDB24B061FFB0873C8D002', NULL, NULL, NULL, '2B9CA5D4E8893FA75FA7927794216349', '1', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('CE25D35F5D63C935A04C9F65B28F6F8C', 00000001, '2D8BD9AD670C2998B91DEC97C3ABCC1A', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001200, 0001200.00, '2023-05-15 10:57:08.672000', '2023-05-15 10:57:08.672000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '701A99D7BB33E434F198B96D1B9BF924', NULL, NULL, NULL, '27A5D3D2A616BDBE6CA1919AAF7C03A5', '1', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('06AEAC1A747D21D37D857C2203C2A533', 00000002, '971672B361519CA4185A90240F55ECB1', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002400, 0001200.00, '2023-05-13 15:41:37.533000', '2023-05-13 15:41:37.533000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '74EBAA9727B196BD5112FB1E3C7B88F0', NULL, NULL, NULL, '29913662ABAA362E4A086CB22269A966', '1', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('CE25D35F5D63C935A04C9F65B28F6F8C', 00000001, '26B966569ED973FF3B443F0D748337CC', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001200, 0001200.00, '2023-05-15 10:57:08.672000', '2023-05-15 10:57:08.672000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '8FE2CEA1661C4D218C190649AA029CA8', NULL, NULL, NULL, '3668EDB471BB09BFCDD08ED36BCD0FBC', '1', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('DC93ABC7E08A124E5D0884E1DCFE0C36', 00000001, 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000003090, 0003090.00, '2023-05-13 15:57:45.351000', '2023-05-13 15:57:45.351000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'AD6DD632C0855AEBCA16B992F74C1E18', NULL, NULL, NULL, 'CD9907E7224ACD4A694A3B203DF26511', '1', NULL, NULL, NULL);

-- ----------------------------
-- Table structure for provide_services_or_supplies
-- ----------------------------
DROP TABLE IF EXISTS `provide_services_or_supplies`;
CREATE TABLE `provide_services_or_supplies`  (
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `evaluation_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(服务商/供应商评价表ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '提供服务或供应品' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of provide_services_or_supplies
-- ----------------------------
INSERT INTO `provide_services_or_supplies` VALUES ('BCF7C4C229BD2CF0BA2576FBCA3F3633', 'C50DA21229ADEA3F7987815672B0FF27', '2023-05-13 16:02:10.032000', '2023-05-13 16:02:10.032000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2ACE958E6CD06CF7228740CAA2FC9991');
INSERT INTO `provide_services_or_supplies` VALUES ('EEB461F1E10CE14AD6E7E0247844053A', 'AFE678B142E12F75055FF9FEA3AD49D6', '2023-05-10 14:48:31.982000', '2023-05-10 14:48:31.982000', '1', '1', '2D300B61866B66DF7CF51A45EED00733');
INSERT INTO `provide_services_or_supplies` VALUES ('8C057A697826732F6510CDC2A691B4D5', 'F66CF311EEA5A847599AA3A5E0FB9573', '2023-05-10 15:10:53.708000', '2023-05-10 15:10:53.708000', '1', '1', '34E48720B92964BFE99C47DB1C4CDB64');
INSERT INTO `provide_services_or_supplies` VALUES ('8C057A697826732F6510CDC2A691B4D5', '8BE68B5AD0006BF16B843F7BE441C209', '2023-05-10 14:48:31.987000', '2023-05-10 14:48:31.987000', '1', '1', '517A610234B9344FBE6545EDB501E950');
INSERT INTO `provide_services_or_supplies` VALUES ('26B966569ED973FF3B443F0D748337CC', '269F7FC697E69FEFB8EC7434B3DCEF00', '2023-05-15 10:58:04.904000', '2023-05-15 10:58:04.904000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '68A5255549876B999FBE5DDD6ABD0627');
INSERT INTO `provide_services_or_supplies` VALUES ('28613635426554046F0B12D7121A5AAB', '8BE68B5AD0006BF16B843F7BE441C209', '2023-05-10 14:48:31.983000', '2023-05-10 14:48:31.983000', '1', '1', '96BB499EB9F7ED4D6077DB536B2C1269');
INSERT INTO `provide_services_or_supplies` VALUES ('971672B361519CA4185A90240F55ECB1', '60861F7DE1B37A412A1B44AC97DFB360', '2023-05-15 10:51:34.475000', '2023-05-15 10:51:34.475000', '1', '1', '9BDE75683421BFCADC498AF838217E54');
INSERT INTO `provide_services_or_supplies` VALUES ('6D9807222F22E3675247B2CFCD5344A5', 'E0A196D1ABC559168E38C3EB119A5B9E', '2023-05-10 14:48:31.988000', '2023-05-10 14:48:31.988000', '1', '1', 'A10B14AB7F6B36F87DC22FB849016FA9');
INSERT INTO `provide_services_or_supplies` VALUES ('2D8BD9AD670C2998B91DEC97C3ABCC1A', '269F7FC697E69FEFB8EC7434B3DCEF00', '2023-05-15 10:58:04.901000', '2023-05-15 10:58:04.901000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'AF3396E11945D6C8EB6D8B9819E89965');
INSERT INTO `provide_services_or_supplies` VALUES ('BCF7C4C229BD2CF0BA2576FBCA3F3633', 'E4BF71335CA8B9644C175DCA77C4588D', '2023-05-13 16:31:09.554000', '2023-05-13 16:31:09.554000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'B6F0CE50B53116426D64797F1B3E29FF');
INSERT INTO `provide_services_or_supplies` VALUES ('AF8CBA871FC396CABEF48E8D2E6063BD', 'AFE678B142E12F75055FF9FEA3AD49D6', '2023-05-10 14:48:31.985000', '2023-05-10 14:48:31.985000', '1', '1', 'C078EE999A677E02F894432271A5F087');
INSERT INTO `provide_services_or_supplies` VALUES ('23C62823622E0022DD0E1CC729473C81', 'E0A196D1ABC559168E38C3EB119A5B9E', '2023-05-10 14:48:31.980000', '2023-05-10 14:48:31.980000', '1', '1', 'EAFD517F3EEB04231CB34516D6B4DD7A');

-- ----------------------------
-- Table structure for purchase_catalogue
-- ----------------------------
DROP TABLE IF EXISTS `purchase_catalogue`;
CREATE TABLE `purchase_catalogue`  (
  `purchase_catalogue_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见\r\n',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核意见',
  `audit_result_of_primary` tinyint(255) NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_result_of_secondary` tinyint(255) NULL DEFAULT NULL COMMENT '二级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级审核时间',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人',
  `release_date` datetime(6) NULL DEFAULT NULL COMMENT '发布日期',
  `status` int(255) NULL DEFAULT NULL COMMENT '(状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`purchase_catalogue_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购目录)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchase_catalogue
-- ----------------------------
INSERT INTO `purchase_catalogue` VALUES ('02650DE4C0208E38061CFB22B09F237E', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2023-05-13 15:57:44.281000', '2023-05-13 15:57:44.281000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, NULL, NULL);
INSERT INTO `purchase_catalogue` VALUES ('0378B54C825DCB5EB3EB8A8C06BCEC57', NULL, NULL, 1, 1, '2023-05-13 15:23:57.215000', '2023-05-13 15:24:03.060000', '1', NULL, 4, '2023-05-13 15:23:42.530000', '2023-05-13 15:24:55.690000', '1', '1', '1', NULL, '2023-05-13 15:23:47.830000');
INSERT INTO `purchase_catalogue` VALUES ('0ADA4915B884EC2AA1A4B213CF791556', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2023-04-19 16:45:21.266000', '2023-04-19 16:45:21.266000', '1', '1', NULL, NULL, NULL);
INSERT INTO `purchase_catalogue` VALUES ('0FDEDCCA4F82C732DD9ACF65750DF7CE', NULL, NULL, 1, 1, '2023-05-13 15:31:00.951000', '2023-05-13 15:31:04.247000', '1', NULL, 3, '2023-05-13 15:30:11.280000', '2023-05-13 15:31:04.316000', '1', '1', '1', NULL, '2023-05-13 15:30:43.220000');
INSERT INTO `purchase_catalogue` VALUES ('1CA07CEF79AF19A4938E4742C8BC85D9', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2023-05-13 15:56:07.192000', '2023-05-13 15:56:07.192000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL);
INSERT INTO `purchase_catalogue` VALUES ('23CAAEDB7D14B1B0E0A4593CAB9520B9', '45645', '审核通过', 1, 1, '2023-05-13 14:22:00.013000', '2023-05-13 14:22:06.467000', '1', NULL, 4, '2023-05-13 14:21:28.276000', '2023-05-13 14:22:14.382000', '1', '1', '1', NULL, '2023-05-13 14:21:37.345000');
INSERT INTO `purchase_catalogue` VALUES ('23DF1DED11D362B8FB45FE60AC4819F4', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2023-05-13 15:57:51.870000', '2023-05-13 15:57:51.870000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, NULL, NULL);
INSERT INTO `purchase_catalogue` VALUES ('3640EC9760453EF752844448A851F326', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2023-05-13 16:00:58.429000', '2023-05-13 16:00:58.429000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, NULL, NULL);
INSERT INTO `purchase_catalogue` VALUES ('564E236AFA6BA1EF7E9C28F927BFB13D', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2023-04-18 10:01:40.512000', '2023-04-18 10:01:40.512000', '1', '1', NULL, NULL, NULL);
INSERT INTO `purchase_catalogue` VALUES ('59B41C115F9906393320FE4D5760053A', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, '2023-04-18 09:49:33.036000', '2023-05-10 14:13:46.131000', '1', '6c847974320c7cb184228d53eea19114', NULL, NULL, '2023-05-10 14:13:46.130000');
INSERT INTO `purchase_catalogue` VALUES ('6D0F72792B4F89B6C0B144F2E2B69FD0', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2023-05-13 15:57:23.715000', '2023-05-13 15:57:23.715000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, NULL, NULL);
INSERT INTO `purchase_catalogue` VALUES ('6DB033F6DE88BDF84CD20A3CF1CD1414', NULL, NULL, 1, 1, '2023-05-13 15:57:10.465000', '2023-05-13 15:57:16.754000', 'C27B8F582693B93596C21C1586A0845A', NULL, 4, '2023-05-13 15:56:34.507000', '2023-05-13 15:57:24.489000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, '2023-05-13 15:57:03.417000');
INSERT INTO `purchase_catalogue` VALUES ('769B6D8D7A54F4595A06745F25706169', NULL, '审核通过', NULL, 1, NULL, '2023-04-18 11:30:05.605000', NULL, NULL, 4, '2023-04-18 09:54:38.615000', '2023-04-18 11:30:05.625000', '1', '1', '1', NULL, NULL);
INSERT INTO `purchase_catalogue` VALUES ('7D3791B98700BA77A6B721B9CD1963A4', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, '2023-05-11 10:19:19.005000', '2023-05-13 15:23:19.988000', 'BC1A096180973C5EA652C9787F5A155A', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, NULL, '2023-05-13 15:23:19.987000');
INSERT INTO `purchase_catalogue` VALUES ('899D05D956575653113DCB90772819D7', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2023-05-13 15:51:07.145000', '2023-05-13 15:51:07.145000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, NULL, NULL);
INSERT INTO `purchase_catalogue` VALUES ('89EA583E3EFAA2DBA964F19C788935A9', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2023-05-13 15:56:03.268000', '2023-05-13 15:56:03.268000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, NULL, NULL);
INSERT INTO `purchase_catalogue` VALUES ('8F90372905B8A889BEE96D8E3644DAAC', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, '2023-05-10 14:56:32.498000', '2023-05-10 14:56:32.524000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, NULL, '2023-05-10 14:56:32.523000');
INSERT INTO `purchase_catalogue` VALUES ('98C47D7DC77F48D315EA0626D4FC605F', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, '2023-05-11 10:08:26.777000', '2023-05-13 15:50:02.797000', 'BC1A096180973C5EA652C9787F5A155A', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, NULL, '2023-05-13 15:50:02.795000');
INSERT INTO `purchase_catalogue` VALUES ('A823B4A07A6F360692C4483BD301126B', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2023-05-13 16:00:00.551000', '2023-05-13 16:00:00.551000', '45b9ad10f4ec48e3b371d3ea8ab845e3', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, NULL, NULL);
INSERT INTO `purchase_catalogue` VALUES ('AE1A54531739628E2A03E5FC54D2AD90', '1', '2', 1, 1, '2023-05-09 14:14:59.307000', '2023-05-09 14:15:02.759000', '1', NULL, 4, '2023-05-09 14:14:49.038000', '2023-05-09 14:15:13.725000', '1', '1', '1', NULL, '2023-05-09 14:14:49.052000');
INSERT INTO `purchase_catalogue` VALUES ('B481FE1A165245304A78B12226C3019E', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, '2023-05-13 15:28:49.949000', '2023-05-13 15:45:02.460000', '1', '45b9ad10f4ec48e3b371d3ea8ab845e3', NULL, NULL, '2023-05-13 15:45:02.460000');
INSERT INTO `purchase_catalogue` VALUES ('C36754AF0ECCE3A098669C5D69297F8F', '1', '2', 1, 1, '2023-05-09 14:08:13.752000', '2023-05-09 14:08:18.369000', '1', NULL, 4, '2023-05-09 14:07:45.333000', '2023-05-09 14:13:04.959000', '1', '1', '1', NULL, '2023-05-09 14:07:45.353000');
INSERT INTO `purchase_catalogue` VALUES ('DF184EF57C512E318E1005EF4A7EFE75', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2023-05-10 09:11:16.926000', '2023-05-10 09:11:16.926000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, NULL);
INSERT INTO `purchase_catalogue` VALUES ('EF8A980A3EAD8370C4C81D2CF3A32CB9', NULL, NULL, 1, 1, '2023-05-10 09:34:49.187000', '2023-05-10 09:34:53.032000', '1', NULL, 3, '2023-05-10 09:34:41.703000', '2023-05-10 09:34:53.044000', '1', '1', '1', NULL, '2023-05-10 09:34:41.720000');
INSERT INTO `purchase_catalogue` VALUES ('F0E0C037E99B77A00FBBCBF05EF6E2A6', '审核通过', '审核通过', 1, 1, '2023-04-26 17:31:34.797000', '2023-04-26 17:31:55.937000', '1', NULL, 4, '2023-04-26 17:29:45.031000', '2023-04-26 17:34:16.160000', '1', '1', '1', NULL, NULL);
INSERT INTO `purchase_catalogue` VALUES ('F268A09D669F7B577747265AE5A82DBC', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2023-05-11 10:08:35.983000', '2023-05-11 10:08:35.983000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, NULL);
INSERT INTO `purchase_catalogue` VALUES ('F897538730C1722798970643884807FF', '准予通过', '审核不通过', 1, 0, '2023-05-08 15:14:49.557000', '2023-05-08 15:49:09.336000', '6c847974320c7cb184228d53eea19114', NULL, -3, '2023-04-18 09:54:23.427000', '2023-05-08 15:49:09.338000', '1', '1', '1', NULL, NULL);

-- ----------------------------
-- Table structure for purchase_list
-- ----------------------------
DROP TABLE IF EXISTS `purchase_list`;
CREATE TABLE `purchase_list`  (
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '清单名称',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(9) NULL DEFAULT NULL,
  `type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购清单)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchase_list
-- ----------------------------
INSERT INTO `purchase_list` VALUES ('2023-05-13 15:41:57采购清单', '2023-05-13 15:41:57.480000', '2023-05-13 15:42:24.040000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '04A467D0DF8A6D725EC49E15815E89EF', NULL, 1, '采购计划');
INSERT INTO `purchase_list` VALUES ('2023-05-11 16:55:27采购清单', '2023-05-11 16:55:27.448000', '2023-05-15 11:39:36.839000', '1', '6c847974320c7cb184228d53eea19114', '0528C935B9864F5916972280B71B6996', NULL, 1, '采购计划');
INSERT INTO `purchase_list` VALUES ('2023-05-10 15:06:37采购清单', '2023-05-10 15:06:37.490000', '2023-05-10 15:06:45.016000', '1', '1', '1E87F469B1CC20768CF17C6834A59E3E', NULL, 1, '采购计划');
INSERT INTO `purchase_list` VALUES ('2023-05-10 15:30:19采购清单', '2023-05-10 15:30:19.698000', '2023-05-10 15:30:19.698000', '1', '1', '245806C581523BAA84F50C2F40D7D61C', NULL, 0, '采购计划');
INSERT INTO `purchase_list` VALUES ('2023-05-10 15:26:11采购清单', '2023-05-10 15:26:11.524000', '2023-05-10 15:26:11.524000', '1', '1', '451629DF0ED80A9B2DA9FCA40E17A17A', NULL, 0, '采购计划');
INSERT INTO `purchase_list` VALUES ('2023-05-13 16:28:44采购清单', '2023-05-13 16:28:44.206000', '2023-05-13 16:28:51.759000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '6D5751D3A8525FFF8DBDF37BFA50FC59', NULL, 1, '分散采购申请');
INSERT INTO `purchase_list` VALUES ('2023-05-13 15:57:58采购清单', '2023-05-13 15:57:58.430000', '2023-05-13 15:58:12.086000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '7E9D3E80B657C41217993E0A687E2958', NULL, 1, '采购计划');
INSERT INTO `purchase_list` VALUES ('2023-05-10 14:46:14采购清单', '2023-05-10 14:46:14.682000', '2023-05-10 14:46:34.181000', '1', '1', '871895647AAFE539A2B6DBD9B4B70576', NULL, 1, '采购计划');
INSERT INTO `purchase_list` VALUES ('2023-05-11 16:02:46采购清单', '2023-05-11 16:02:46.856000', '2023-05-11 16:02:46.856000', '1', '1', '8F19F36B796FA37FF8F5489BE09D3301', NULL, 0, '采购计划');
INSERT INTO `purchase_list` VALUES ('2023-05-12 09:24:22采购清单', '2023-05-12 09:24:22.963000', '2023-05-12 09:45:34.252000', '1', '1', '9EB1396422A0D1194BFCE27B9875F3CC', NULL, 1, '分散采购申请');
INSERT INTO `purchase_list` VALUES ('2023-05-15 10:57:20采购清单', '2023-05-15 10:57:20.092000', '2023-05-15 10:57:30.461000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'AFFEEE52B50C2E22BC8FEE622403C10D', NULL, 1, '采购计划');

-- ----------------------------
-- Table structure for purchase_list_details
-- ----------------------------
DROP TABLE IF EXISTS `purchase_list_details`;
CREATE TABLE `purchase_list_details`  (
  `purchase_list_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)·',
  `purchase_quantity` int(11) NULL DEFAULT NULL COMMENT '(采购量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `procurement_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购i计划表ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购清单明细)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchase_list_details
-- ----------------------------
INSERT INTO `purchase_list_details` VALUES ('8F19F36B796FA37FF8F5489BE09D3301', 6, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, '2023-05-11 16:02:46.882000', '2023-05-11 16:02:46.882000', '1', '1', '02157CFBA7B42CF8314195A3FDA27856', '53FECD76330779BA6DBCE04EF840AD4E');
INSERT INTO `purchase_list_details` VALUES ('245806C581523BAA84F50C2F40D7D61C', 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', 'A4256ADFAEFF1A8B11EEFDFE7BA653CA', '2023-05-10 15:30:19.720000', '2023-05-11 11:50:15.131000', '1', '6c847974320c7cb184228d53eea19114', '1AEFAF550C43FC3B417F0B1AF0C6C810', '530A25C36E0C658DC2F8B9A90D3B478E');
INSERT INTO `purchase_list_details` VALUES ('451629DF0ED80A9B2DA9FCA40E17A17A', 1, '23C62823622E0022DD0E1CC729473C81', NULL, '2023-05-10 15:26:11.533000', '2023-05-10 15:26:11.533000', '1', '1', '2BC463E52B9395036D7D6F0D342CED68', '5586CEA1A3B8D562CCD627FEA85ECCB3');
INSERT INTO `purchase_list_details` VALUES ('0528C935B9864F5916972280B71B6996', 1, '23C62823622E0022DD0E1CC729473C81', '031FEC6A61697C972DBE0E9E3CA26593', '2023-05-11 16:55:27.460000', '2023-05-15 11:39:33.825000', '1', '6c847974320c7cb184228d53eea19114', '2D40086D692C3D3DB8D3E85557D44BFE', '0C92BE3C7DD318D04BB936A4DD896AF0');
INSERT INTO `purchase_list_details` VALUES ('871895647AAFE539A2B6DBD9B4B70576', 5, 'EEB461F1E10CE14AD6E7E0247844053A', '649CF5C051DE55F375BB638440FFF37F', '2023-05-10 14:46:14.691000', '2023-05-10 14:46:20.618000', '1', '1', '46C17528B5E70CB51BF94CA76EDCAD9D', '24CC22344F177535EEBAA196145D4DE8');
INSERT INTO `purchase_list_details` VALUES ('8F19F36B796FA37FF8F5489BE09D3301', 16, '8C057A697826732F6510CDC2A691B4D5', NULL, '2023-05-11 16:02:46.907000', '2023-05-11 16:02:46.907000', '1', '1', '5125D648F7A4BBFAEE1D0EBC5CEC192B', 'F7B9825B5F164B5251D3674688BC6597');
INSERT INTO `purchase_list_details` VALUES ('871895647AAFE539A2B6DBD9B4B70576', 5, 'AF8CBA871FC396CABEF48E8D2E6063BD', '649CF5C051DE55F375BB638440FFF37F', '2023-05-10 14:46:14.718000', '2023-05-10 14:46:23.464000', '1', '1', '639EA8C8F795AEA5D3CA5C26F90DB71C', '68F074737D11CD7E36D4A51FEA532096');
INSERT INTO `purchase_list_details` VALUES ('245806C581523BAA84F50C2F40D7D61C', 1, '6D9807222F22E3675247B2CFCD5344A5', 'A4256ADFAEFF1A8B11EEFDFE7BA653CA', '2023-05-10 15:30:19.725000', '2023-05-11 11:34:12.215000', '1', '6c847974320c7cb184228d53eea19114', '641F14CDA0B794BB9FF5BADDD7D8365E', '5B070B2840CC09B89BD3C8FC63AB7DF9');
INSERT INTO `purchase_list_details` VALUES ('871895647AAFE539A2B6DBD9B4B70576', 5, '6D9807222F22E3675247B2CFCD5344A5', '80FA0C44E3A2846331CAD918A2D90F2D', '2023-05-10 14:46:14.723000', '2023-05-10 14:46:25.604000', '1', '1', '76EDC90F43E1084B10D92C2E848E8FCC', '97BC8CD64EBD583C46578E139BE52912');
INSERT INTO `purchase_list_details` VALUES ('245806C581523BAA84F50C2F40D7D61C', 1, 'EEB461F1E10CE14AD6E7E0247844053A', 'A4256ADFAEFF1A8B11EEFDFE7BA653CA', '2023-05-10 15:30:19.711000', '2023-05-11 11:34:12.219000', '1', '6c847974320c7cb184228d53eea19114', '85A6D9804874A076DDB08DFB9C7AAE32', '4629D56E78A110A8A7B1C43673490127');
INSERT INTO `purchase_list_details` VALUES ('AFFEEE52B50C2E22BC8FEE622403C10D', 1, '26B966569ED973FF3B443F0D748337CC', '649CF5C051DE55F375BB638440FFF37F', '2023-05-15 10:57:20.106000', '2023-05-15 10:57:26.772000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '8AA0DAAAF04CE5CE62D290F32386985F', '8FE2CEA1661C4D218C190649AA029CA8');
INSERT INTO `purchase_list_details` VALUES ('245806C581523BAA84F50C2F40D7D61C', 1, '28613635426554046F0B12D7121A5AAB', NULL, '2023-05-10 15:30:19.743000', '2023-05-10 15:30:19.743000', '1', '1', '961EC069C41BEB500783F384ECCBE6BF', 'F4C181A04888947A7B68BE38878A5B06');
INSERT INTO `purchase_list_details` VALUES ('8F19F36B796FA37FF8F5489BE09D3301', 6, '6D9807222F22E3675247B2CFCD5344A5', NULL, '2023-05-11 16:02:46.864000', '2023-05-11 16:02:46.864000', '1', '1', '9EE7DF99FC5D7E0663E305FDB9E0EFD2', '00915BD51DCF275B59420C2218B9B673');
INSERT INTO `purchase_list_details` VALUES ('8F19F36B796FA37FF8F5489BE09D3301', 106, 'EEB461F1E10CE14AD6E7E0247844053A', NULL, '2023-05-11 16:02:46.894000', '2023-05-11 16:02:46.894000', '1', '1', 'A36A574CDBB039BE30BF57B9FDA48697', 'C2942032547C5E0914A23F6DD905C919');
INSERT INTO `purchase_list_details` VALUES ('6D5751D3A8525FFF8DBDF37BFA50FC59', 1, 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '649CF5C051DE55F375BB638440FFF37F', '2023-05-13 16:28:44.212000', '2023-05-13 16:28:50.782000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'AA2D9427487D8A94B65932BAD9B87B59', NULL);
INSERT INTO `purchase_list_details` VALUES ('8F19F36B796FA37FF8F5489BE09D3301', 6, '28613635426554046F0B12D7121A5AAB', NULL, '2023-05-11 16:02:46.876000', '2023-05-11 16:02:46.876000', '1', '1', 'AB96A32218F9F18A200DC20080D6F9D3', '22280472D4AB60F4889D5599D1EB6429');
INSERT INTO `purchase_list_details` VALUES ('871895647AAFE539A2B6DBD9B4B70576', 5, '23C62823622E0022DD0E1CC729473C81', '80FA0C44E3A2846331CAD918A2D90F2D', '2023-05-10 14:46:14.699000', '2023-05-10 14:46:28.096000', '1', '1', 'B079F39176A38F85734F2C536D0A7BED', '35E27BC830A5637F08DCF181843ADD4B');
INSERT INTO `purchase_list_details` VALUES ('245806C581523BAA84F50C2F40D7D61C', 1, '23C62823622E0022DD0E1CC729473C81', NULL, '2023-05-10 15:30:19.734000', '2023-05-10 15:30:19.734000', '1', '1', 'CD96D068839BA713C17DE56EB5C36425', 'A8E80C8B0A2117AB079B5CB431043FCD');
INSERT INTO `purchase_list_details` VALUES ('AFFEEE52B50C2E22BC8FEE622403C10D', 1, '2D8BD9AD670C2998B91DEC97C3ABCC1A', '649CF5C051DE55F375BB638440FFF37F', '2023-05-15 10:57:20.099000', '2023-05-15 10:57:29.647000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'D0B48F5E4D3ABFA512A6B4C00946C3FA', '701A99D7BB33E434F198B96D1B9BF924');
INSERT INTO `purchase_list_details` VALUES ('7E9D3E80B657C41217993E0A687E2958', 1, 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '649CF5C051DE55F375BB638440FFF37F', '2023-05-13 15:57:58.441000', '2023-05-13 15:58:11.143000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'D860BA1C0E71B63FAE29F44547BE0203', 'AD6DD632C0855AEBCA16B992F74C1E18');
INSERT INTO `purchase_list_details` VALUES ('8F19F36B796FA37FF8F5489BE09D3301', 37, '23C62823622E0022DD0E1CC729473C81', NULL, '2023-05-11 16:02:46.870000', '2023-05-11 16:02:46.870000', '1', '1', 'D8E0623BEE504CE698306A2AF48D88FF', '1E3A7E63FD86331A2DE90FA2520390E3');
INSERT INTO `purchase_list_details` VALUES ('871895647AAFE539A2B6DBD9B4B70576', 5, '28613635426554046F0B12D7121A5AAB', '72E82118AA58CFE3EB4D400C253F512E', '2023-05-10 14:46:14.709000', '2023-05-10 14:46:30.641000', '1', '1', 'DBA76FCB18E908999A91052445F1CA4F', '6699C4D235D07E3A9E19FBE977DF0C85');
INSERT INTO `purchase_list_details` VALUES ('245806C581523BAA84F50C2F40D7D61C', 1, '8C057A697826732F6510CDC2A691B4D5', NULL, '2023-05-10 15:30:19.702000', '2023-05-10 15:30:19.702000', '1', '1', 'F5C76154CCB078A33D71FE5B21E363D6', '419B9C7610D361F50D0D0E3ED4003B80');
INSERT INTO `purchase_list_details` VALUES ('04A467D0DF8A6D725EC49E15815E89EF', 2, '971672B361519CA4185A90240F55ECB1', '649CF5C051DE55F375BB638440FFF37F', '2023-05-13 15:41:57.488000', '2023-05-13 15:42:22.477000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'FB71750DC84F32DD126A2F3F1A70F952', '74EBAA9727B196BD5112FB1E3C7B88F0');
INSERT INTO `purchase_list_details` VALUES ('9EB1396422A0D1194BFCE27B9875F3CC', 4343, '243E47CC2269FD5E40ACE32D07F4604C', 'A4256ADFAEFF1A8B11EEFDFE7BA653CA', '2023-05-12 09:24:22.970000', '2023-05-12 09:26:06.435000', '1', '1', 'FBBDB625A028A9A383AE28A636DBC674', NULL);
INSERT INTO `purchase_list_details` VALUES ('871895647AAFE539A2B6DBD9B4B70576', 5, '8C057A697826732F6510CDC2A691B4D5', '72E82118AA58CFE3EB4D400C253F512E', '2023-05-10 14:46:14.695000', '2023-05-10 14:46:33.219000', '1', '1', 'FEF284EFB013062A2A1795EFD7FFED04', '24D46A1BA86E6A2FEEC8B50191DADF2C');
INSERT INTO `purchase_list_details` VALUES ('1E87F469B1CC20768CF17C6834A59E3E', 10, '8C057A697826732F6510CDC2A691B4D5', '649CF5C051DE55F375BB638440FFF37F', '2023-05-10 15:06:37.500000', '2023-05-10 15:06:44.420000', '1', '1', 'FFA4ADE8EE3F614150F0089184785FA1', 'B8127DC0EF90077EDAF6B61A9F63558A');

-- ----------------------------
-- Table structure for purchasing_plan
-- ----------------------------
DROP TABLE IF EXISTS `purchasing_plan`;
CREATE TABLE `purchasing_plan`  (
  `appropriation_budget` double(255, 0) NULL DEFAULT NULL COMMENT '(经费预算)',
  `approval_opinion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批意见',
  `approval_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批结果',
  `approval_time` datetime(6) NULL DEFAULT NULL COMMENT '审批时间',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_result_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purchase_list_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `release_date` datetime(6) NULL DEFAULT NULL COMMENT '发布日期',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '制定人\r\n',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `department` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  `procurement_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`purchasing_plan_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购计划)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchasing_plan
-- ----------------------------
INSERT INTO `purchasing_plan` VALUES (2400, NULL, '1', '2023-05-15 10:57:20.084000', NULL, '1', '2023-05-15 10:57:17.014000', 'C27B8F582693B93596C21C1586A0845A', '2023-05-15 10:57:08.665000', '2023-05-15 10:57:20.112000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, 'C27B8F582693B93596C21C1586A0845A', NULL, 5, 'CE25D35F5D63C935A04C9F65B28F6F8C', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, '审核员2', '2023-05-15 10:57:12.766000', NULL);

-- ----------------------------
-- Table structure for reagent_consumable_inventory
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumable_inventory`;
CREATE TABLE `reagent_consumable_inventory`  (
  `reagent_consumable_inventory_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材id',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `instruction_book_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书ID)',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `total_quantity` int(55) NOT NULL COMMENT '(总数量)',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '种类\r\n',
  `packaged_copies` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `lattice_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `configuration_concentration` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `unit_price` decimal(10, 2) NULL DEFAULT NULL,
  `storage_life` int(6) NULL DEFAULT NULL,
  `status` int(255) NULL DEFAULT NULL,
  `warning_information` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `warning_value` int(10) NULL DEFAULT NULL,
  PRIMARY KEY (`reagent_consumable_inventory_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '试剂耗材库存' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reagent_consumable_inventory
-- ----------------------------
INSERT INTO `reagent_consumable_inventory` VALUES ('04ECC66EC5805B5ED293E05F317CE88D', 'BAE3D7E971A9892FFECED585F5C9931D', '海洛因标准储备溶液1', '华为', '标准储备溶液', '122', NULL, '50x50', '2023-05-13 11:11:26.511000', '2023-05-15 11:29:28.291000', '1', '6c847974320c7cb184228d53eea19114', '72%', NULL, 2, '一般标准物质', '1', NULL, '1', '海洛因', '常规贮存', '无', '支', 'heroin', 1999.00, 12, 1, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0A77A1AA3DBB7E6AF64221DCB8A4DBAB', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '7-氨基硝西泮', 'Cerilliant', '标准物质', NULL, NULL, '1mL,1.0 mg/mL于乙腈', '2023-05-13 16:02:09.865000', '2023-05-15 17:43:42.304000', 'C27B8F582693B93596C21C1586A0845A', '1', '37.99', NULL, 73, '一般标准物质', '38', NULL, NULL, '毒品', '常规贮存', '天津一方代理', '瓶', 'gafh', 3090.00, NULL, 1, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1E5A7EC8A7E1A81750F8E68E5CE3452B', '243E47CC2269FD5E40ACE32D07F4604C', '1231', '123', '试剂', '12312', NULL, '23123123', '2023-05-15 10:33:44.697000', '2023-05-15 17:24:23.933000', '1', '1', '123123', NULL, 8671, '酒精', '2', NULL, NULL, '1231223', '123', '12312', '支', '1231', 12312.00, NULL, 1, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('216508C3DEC54A080623DC1105E0EAAC', '26B966569ED973FF3B443F0D748337CC', '羟考酮', 'Cerilliant', '标准物质', NULL, NULL, '1mL,1.0mg/mL于甲醇', '2023-05-15 10:58:04.891000', '2023-05-15 10:58:04.891000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '4.99', NULL, 5, '一般标准物质', '5', NULL, NULL, '毒品', '常规贮存', '天津一方代理', '瓶', 'eee', 1200.00, NULL, 1, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('290E3DC20DAC606DE18A6A2E004EA44C', 'AF8CBA871FC396CABEF48E8D2E6063BD', '手套', '小米', '耗材', '无', NULL, '1', '2023-05-10 14:48:31.934000', '2023-05-10 15:19:18.203000', '1', '1', '无', NULL, 0, '一般耗材', '1', NULL, NULL, '手套', '常规贮存', '无', '箱', 'gloves', 10.00, NULL, -1, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3BA77ED2C5FF73FBF5B4403CF2FE8CBD', '0A208DDCEB609EDC27397763570E490F', '月球摇头丸', '三星', '标准储备溶液', '0.9', NULL, '30x20', '2023-05-13 11:31:04.752000', '2023-05-13 11:31:04.752000', '1', 'BC1A096180973C5EA652C9787F5A155A', '88%', NULL, 1, '一般标准物质', '1', NULL, '44', '摇头丸', '冷藏贮存', '无', '支', 'ecstasy', 2999.00, 3, 1, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('47891E9499CB22601318EEF40AE7FB8D', '971672B361519CA4185A90240F55ECB1', ' 普拉西泮', 'Cerilliant', '标准物质', NULL, NULL, '1mL,1.0mg/mL于甲醇', '2023-05-15 10:51:34.308000', '2023-05-15 10:51:34.308000', '1', '1', '23.99', NULL, 48, '一般标准物质', '24', NULL, NULL, '毒品', '常规贮存', '天津一方代理', '瓶', 'xxx', 1200.00, NULL, 1, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7C002123244980DA1F99E7636352779A', '2D8BD9AD670C2998B91DEC97C3ABCC1A', '哌替啶', 'Cerilliant', '标准物质', NULL, NULL, '1mL,1.0mg/mL于甲醇', '2023-05-15 10:57:46.926000', '2023-05-15 10:57:46.926000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '1.99', NULL, 2, '一般标准物质', '2', NULL, NULL, '毒品', '常规贮存', '天津一方代理', '瓶', 'bbb', 1200.00, NULL, 1, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('997AF1A473DC32FA9F4E68B4A5F72A10', 'EEB461F1E10CE14AD6E7E0247844053A', '试剂1', '1', '试剂', '1.0', NULL, '2x2', '2023-05-10 14:48:31.915000', '2023-05-11 15:18:53.789000', '1', '1', '99', NULL, 0, '一般试剂', '1', NULL, NULL, '1', '常规贮存', '1', '盒', 'reagent', 1.00, NULL, 1, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9B39FE9E9E10527EA74507D9AE5E3DEA', '28613635426554046F0B12D7121A5AAB', '摇头丸', '三星', '标准物质', '0.9', NULL, '30x20', '2023-05-10 14:48:31.920000', '2023-05-15 17:43:11.304000', '1', '1', '88%', NULL, 3, '一般标准物质', '1', NULL, NULL, '摇头丸', '冷藏贮存', '无', '支', 'ecstasy', 2999.00, NULL, 1, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A0D66B8AD034BDB5DEF21A4544E06D83', '6D9807222F22E3675247B2CFCD5344A5', '海洛因', '华为', '标准物质', '122', NULL, '50x50', '2023-05-10 14:48:31.943000', '2023-05-12 10:27:19.916000', '1', '1', '72%', NULL, 4, '一般标准物质', '1', NULL, NULL, '海洛因', '常规贮存', '无', '支', 'heroin', 1999.00, NULL, 1, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B4134CCEDDBD77B944904EE2204E8163', '1DF868DB5428ADB82B57A6F6819EDB20', '火星摇头丸', '三星', '标准储备溶液', '0.9', NULL, '30x20', '2023-05-11 17:31:15.599000', '2023-05-11 17:31:15.599000', '1', 'BC1A096180973C5EA652C9787F5A155A', '88%', NULL, 1, '一般标准物质', '1', NULL, '55', '摇头丸', '冷藏贮存', '无', '支', 'ecstasy', 2999.00, 8, 1, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B909A5B5DB94B746EE6E258BF97354A1', '8C057A697826732F6510CDC2A691B4D5', '乙醇', '天润', '试剂', '', NULL, '1x1', '2023-05-10 14:48:31.938000', '2023-05-11 16:00:43.778000', '1', '1', '99%', NULL, 5, '酒精', '20', NULL, NULL, '乙醇', '常规贮存', '1', '箱', 'alcohol', 150.00, NULL, 1, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C77CE31D48ECDA021CC59E270B3A645F', '23C62823622E0022DD0E1CC729473C81', '氯胺酮', '小米', '标准物质', '0.5', NULL, '50x50', '2023-05-10 14:47:00.311000', '2023-05-12 10:27:19.929000', '1', '1', '99%', NULL, 4, '一般标准物质', '1', NULL, NULL, '氯胺酮', '冷藏贮存', '无', '支', 'ketamine', 1555.00, NULL, 1, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E04B9BF7351E29F59A345C4D979DA584', 'A66328B04557EC9B6D76E20B646CEF70', '7溶液', 'Cerilliant', '标准储备溶液', NULL, NULL, '1mL,1.0 mg/mL于乙腈', '2023-05-15 16:14:35.728000', '2023-05-15 16:14:35.728000', 'C27B8F582693B93596C21C1586A0845A', '1', '37.99', NULL, 1, '一般标准物质', '38', NULL, '2', '毒品', '常规贮存', '天津一方代理', '瓶', 'gafh', 3090.00, 2, 1, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FE8AF971DF32893B1B9FFA498D1C47F6', '42F980998F293EE2BF6B31AD3961A4AA', '氯胺酮标准储备溶液', '小米', '标准储备溶液', '0.5', NULL, '50x50', '2023-05-13 12:04:26.677000', '2023-05-13 20:04:27.117000', '1', '6c847974320c7cb184228d53eea19114', '99%', NULL, 2, '一般标准物质', '1', NULL, '1', '氯胺酮', '冷藏贮存', '无', '支', 'ketamine', 1555.00, 12, 1, NULL, NULL);

-- ----------------------------
-- Table structure for reagent_consumables
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumables`;
CREATE TABLE `reagent_consumables`  (
  `reagent_consumable_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '品牌',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类别',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '种类',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `unit_price` double(10, 2) NULL DEFAULT NULL COMMENT '单价',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `configuration_concentration` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`reagent_consumable_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材类)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reagent_consumables
-- ----------------------------
INSERT INTO `reagent_consumables` VALUES ('007ED8F78D7F4DC0FE8B1CD305C480D8', '泰尔登', 'panphy', '标准物质', NULL, '一般标准物质', '50mg', '2023-05-13 15:30:11.287000', '2023-05-13 15:31:04.270000', '1', '1', '29.99', NULL, 242.00, 'asf', '30', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('01544E78840136DB515916EC504FF137', '摇头丸标准储备溶液', '三星', '标准储备溶液', '0.9', '一般标准物质', '30x20', '2023-04-26 17:29:45.034000', '2023-04-28 10:03:34.149000', '1', 'BC1A096180973C5EA652C9787F5A155A', '88%', NULL, 2999.00, 'ecstasy', '1', '摇头丸', '冷藏贮存', '无', '支', NULL, '1');
INSERT INTO `reagent_consumables` VALUES ('018E931FF95AD59B16F7685286B7C332', '羟考酮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:23:42.534000', '2023-05-13 15:24:03.086000', '1', '1', '4.99', NULL, 1200.00, 'eee', '5', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('01CF87F1C8414BA6B2F053D6F2ED410F', '羟基利培酮', 'panphy', '标准物质', NULL, '一般标准物质', '25mg', '2023-05-13 15:23:42.541000', '2023-05-13 15:24:03.098000', '1', '1', '27.99', NULL, 756.00, 'agas', '28', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('020EDCF9DAEE04B2120C80D6E4DFD094', '7-氨基氟硝西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-13 15:56:34.513000', '2023-05-13 15:57:16.764000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '36.99', NULL, 3090.00, 'gfj', '37', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0229C6422143D253E9511863ECCEAF7B', 'α-羟基咪哒唑仑 ', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,100μg/mL于甲醇', '2023-05-13 15:56:34.514000', '2023-05-13 15:57:16.787000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '39.99', NULL, 2000.00, 'fdb', '40', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('030DF09A4CF816B09C3380711C9E3D5E', '右美托咪定', 'panphy', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-13 15:56:34.513000', '2023-05-13 15:57:16.769000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '32.99', NULL, 706.00, 'fhd', '33', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0348FD884CBAD87F628DF974033A9E0A', '7-氨基硝西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于乙腈', '2023-05-13 15:23:42.543000', '2023-05-13 15:24:03.114000', '1', '1', '37.99', NULL, 3090.00, 'gafh', '38', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('03DC56AFF3DE5D439BE5A4FD4C8B826E', '海洛因标准储备溶液', '华为', '标准储备溶液', '122', '一般标准物质', '50x50', '2023-04-26 17:29:45.032000', '2023-04-26 17:31:55.950000', '1', '1', '72%', NULL, 1999.00, 'heroin', '1', '海洛因', '常规贮存', '无', '支', NULL, '1.1');
INSERT INTO `reagent_consumables` VALUES ('093EA43B64A395097C8DF71D994BA87D', '碳酸饮料', '三星', '标准储备溶液', '0.9', '一般标准物质', '30x20', '2023-04-26 17:29:45.034000', '2023-04-27 15:59:12.152000', '1', '1', '88%', NULL, 2999.00, 'ecstasy', '1', '摇头丸', '冷藏贮存', '无', '支', NULL, '56');
INSERT INTO `reagent_consumables` VALUES ('0A208DDCEB609EDC27397763570E490F', '月球摇头丸', '三星', '标准储备溶液', '0.9', '一般标准物质', '30x20', '2023-05-11 17:34:25.405000', '2023-05-11 17:34:25.405000', '1', 'BC1A096180973C5EA652C9787F5A155A', '88%', NULL, 2999.00, 'ecstasy', '1', '摇头丸', '冷藏贮存', '无', '支', NULL, '44');
INSERT INTO `reagent_consumables` VALUES ('0B79D729619B243D06FE4B02123C8DD8', '丙泊酚', 'panphy', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-13 15:56:34.511000', '2023-05-13 15:57:16.800000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '16.99', NULL, 873.00, 'qqq', '17', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0C960908AFBD86094DEE5FBD0028C0DC', '海洛因solution', '华为', '标准储备溶液', '122', '一般标准物质', '50x50', '2023-05-15 15:08:54.196000', '2023-05-15 15:08:54.196000', '1', '1', '72%', NULL, 1999.00, 'heroin', '1', '海洛因', '常规贮存', '无', '支', NULL, '33');
INSERT INTO `reagent_consumables` VALUES ('17C54B5B56E31A01FBE8652C26637159', '泰尔登', 'panphy', '标准物质', NULL, '一般标准物质', '50mg', '2023-05-13 15:23:42.541000', '2023-05-13 15:24:03.100000', '1', '1', '29.99', NULL, 242.00, 'asf', '30', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('198C15F344DCE8AFAAC9A02BF317875D', ' 溴西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-13 15:30:11.287000', '2023-05-13 15:31:04.304000', '1', '1', '30.99', NULL, 1200.00, 'qer', '31', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1B1A18CE66416BE39FCF212B5506BD95', '氯巴占', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-13 15:30:11.285000', '2023-05-13 15:31:04.310000', '1', '1', '20.99', NULL, 1200.00, 'uuu', '21', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1C4F2856570F21181E999E32BFDF1E53', '安非拉酮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL', '2023-05-13 15:56:34.510000', '2023-05-13 15:57:16.804000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '7.99', NULL, 2949.00, 'hhh', '8', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1DA4B0540991D31087C7B4077C994268', '苯巴比妥-d5 ', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,100μg/mL于甲醇', '2023-05-13 15:23:42.544000', '2023-05-13 15:24:03.083000', '1', '1', '40.99', NULL, 1500.00, 'r4qy', '41', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1DF868DB5428ADB82B57A6F6819EDB20', '火星摇头丸', '三星', '标准储备溶液', '0.9', '一般标准物质', '30x20', '2023-05-11 17:27:01.994000', '2023-05-11 17:27:01.994000', '1', 'BC1A096180973C5EA652C9787F5A155A', '88%', NULL, 2999.00, 'ecstasy', '1', '摇头丸', '冷藏贮存', '无', '支', NULL, '55');
INSERT INTO `reagent_consumables` VALUES ('1E2836DAC0CCA9B963BF1CCE05CA33C3', '尼美西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:56:34.511000', '2023-05-13 15:57:16.795000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '22.99', NULL, 1800.00, 'www', '23', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1E76264E2B0FA1CEBF7E09470794DE9F', '去甲氯氮平', 'panphy', '标准物质', NULL, '一般标准物质', '20mg', '2023-05-13 15:30:11.286000', '2023-05-13 15:31:04.260000', '1', '1', '26.99', NULL, 1189.00, 'asd', '27', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1F5D3ED1168F09665CB68F59CFB4AAA9', '对甲氧基甲基苯丙胺', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:30:11.284000', '2023-05-13 15:31:04.285000', '1', '1', '10.99', NULL, 1800.00, 'kkk', '11', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1F862F9120B9AFB9C3279A67AE895C85', '格鲁米特', '阿尔塔', '标准物质', NULL, '一般标准物质', '100ug/ml，1ml', '2023-05-13 15:56:34.511000', '2023-05-13 15:57:16.785000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '18.99', NULL, 1800.00, 'sss', '19', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1FDFF01651F9CEF7028127F56F9A684E', '去甲奥氮平', 'panphy', '标准物质', NULL, '一般标准物质', '20mg', '2023-05-13 15:23:42.540000', '2023-05-13 15:24:03.094000', '1', '1', '25.99', NULL, 1244.00, 'zzz', '26', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2092F6BE3F43EAE1BD4953C921D8861E', '曲马多', 'LGC', '标准物质', NULL, '一般标准物质', '10mg', '2023-05-13 15:56:34.508000', '2023-05-13 15:57:16.798000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '0.99', NULL, 4800.00, 'aaa', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('20F579777F3B3B400ABBE6219AAEDE3F', '2-氯地西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1mg/mL于乙腈', '2023-05-13 15:30:11.288000', '2023-05-13 15:31:04.306000', '1', '1', '34.99', NULL, 3180.00, 'afdh', '35', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('215785A12DF788D4D9FA51977708A60F', '去甲奥氮平', 'panphy', '标准物质', NULL, '一般标准物质', '20mg', '2023-05-13 15:30:11.286000', '2023-05-13 15:31:04.305000', '1', '1', '25.99', NULL, 1244.00, 'zzz', '26', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('215FB0D650419286B94B68387AA3D0EB', '尼美西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:30:11.286000', '2023-05-13 15:31:04.274000', '1', '1', '22.99', NULL, 1800.00, 'www', '23', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('218F983C61D31BD78D19B7C2C1ADF81C', '2-氯地西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1mg/mL于乙腈', '2023-05-13 15:23:42.542000', '2023-05-13 15:24:03.112000', '1', '1', '34.99', NULL, 3180.00, 'afdh', '35', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('23C62823622E0022DD0E1CC729473C81', '氯胺酮', '小米', '标准物质', '0.5', '一般标准物质', '50x50', '2023-04-26 17:29:45.033000', '2023-05-13 17:02:23.082000', '1', '45b9ad10f4ec48e3b371d3ea8ab845e3', '99%', NULL, 1555.00, 'ketamine', '1', '氯胺酮', '冷藏贮存', '无', '支', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('243E47CC2269FD5E40ACE32D07F4604C', '1231', '123', '试剂', '12312', '酒精', '23123123', '2023-05-10 09:34:41.707000', '2023-05-10 09:34:53.042000', '1', '1', '123123', NULL, 12312.00, '1231', '2', '1231223', '123', '12312', '支', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2463A8E2C3B764B4B24C954BA750B4BD', '硫酸铵', 'NIST', '标准物质', NULL, '一般标准物质', '0.5 g', '2023-05-13 15:30:11.289000', '2023-05-13 15:31:04.268000', '1', '1', '43.99', NULL, 4600.00, 'adfsg', '44', '毒品', '常规贮存', '货号IAEA-N-1', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('24F18323D470D14B6AAB431A3577195A', '喷他咗欣', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:23:42.540000', '2023-05-13 15:24:03.073000', '1', '1', '24.99', NULL, 1200.00, 'yyy', '25', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('25F7F4D1D83D2B085BAE3442A3E8474C', '2-羟基乙基氟安定 ', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-13 15:56:34.513000', '2023-05-13 15:57:16.776000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '35.99', NULL, 3210.00, 'ager', '36', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('26055FB6262C4B8D796351B5A5C89DD3', '依托咪酯', 'panphy', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-13 15:30:11.285000', '2023-05-13 15:31:04.284000', '1', '1', '15.99', NULL, 706.00, 'ppp', '16', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('26B966569ED973FF3B443F0D748337CC', '羟考酮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:56:34.510000', '2023-05-13 15:57:16.780000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '4.99', NULL, 1200.00, 'eee', '5', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('283614E545487CF7A7A0B6B4ABC8A400', '美乐托宁', 'Panphy', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-13 15:30:11.286000', '2023-05-13 15:31:04.272000', '1', '1', '21.99', NULL, 464.00, 'vvv', '22', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('28613635426554046F0B12D7121A5AAB', '摇头丸', '三星', '标准物质', '0.9', '一般标准物质', '30x20', '2023-04-26 17:29:45.034000', '2023-05-12 17:16:47.129000', '1', '6c847974320c7cb184228d53eea19114', '88%', NULL, 2999.00, 'ecstasy', '1', '摇头丸', '冷藏贮存', '无', '支', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2A2F56F1C8EF232367D621E204A3DB33', '替来他明', 'LGC', '标准物质', NULL, '一般标准物质', '250mg', '2023-05-13 15:56:34.510000', '2023-05-13 15:57:16.768000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '12.99', NULL, 3115.00, 'mmm', '13', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2B338B030B297F09961F4EF1216B24E2', '地西泮-d5 ', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,100μg/mL于甲醇', '2023-05-13 15:56:34.514000', '2023-05-13 15:57:16.820000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '41.99', NULL, 1500.00, 'afg43', '42', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2B6B365341BE7B3FE6EFB186747C91E2', '2-羟基乙基氟安定 ', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-13 15:30:11.288000', '2023-05-13 15:31:04.265000', '1', '1', '35.99', NULL, 3210.00, 'ager', '36', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2CA1D91195703B1E92362A8F47318C78', '芬特明', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:56:34.510000', '2023-05-13 15:57:16.811000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '9.99', NULL, 1200.00, 'jjj', '10', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2D8BD9AD670C2998B91DEC97C3ABCC1A', '哌替啶', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:56:34.508000', '2023-05-13 15:57:16.774000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '1.99', NULL, 1200.00, 'bbb', '2', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2E4E0E5CA5BC7E10BBE748AC13E2AD96', '氟阿尼酮', 'LGC', '标准物质', NULL, '一般标准物质', '250mg', '2023-05-13 15:56:34.511000', '2023-05-13 15:57:16.790000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '17.99', NULL, 2928.00, 'rrr', '18', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2F3F21C9FB0A54FEB029DD571E861F51', '咖啡因', 'ChromaDex', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-13 15:56:34.508000', '2023-05-13 15:57:16.809000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2.99', NULL, 1500.00, 'ccc', '3', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2F46E0CC10C0AFA11075086F333FDB55', '对甲氧基甲基苯丙胺', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:23:42.536000', '2023-05-13 15:24:03.089000', '1', '1', '10.99', NULL, 1800.00, 'kkk', '11', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('304DADD72029F4CC61BF10A703CFC395', '7-氨基氟硝西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-13 15:23:42.543000', '2023-05-13 15:24:03.078000', '1', '1', '36.99', NULL, 3090.00, 'gfj', '37', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('31FC58537108A04C76968DEFC086022B', '硫酸铵', 'NIST', '标准物质', NULL, '一般标准物质', '0.5 g', '2023-05-13 15:23:42.545000', '2023-05-13 15:24:03.081000', '1', '1', '43.99', NULL, 4600.00, 'adfsg', '44', '毒品', '常规贮存', '货号IAEA-N-1', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('35973A18455933E9DA2DEA0F03C04977', '地佐辛', 'panphy', '标准物质', NULL, '一般标准物质', '100ug/ml，1ml', '2023-05-13 15:56:34.510000', '2023-05-13 15:57:16.801000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '11.99', NULL, 2000.00, 'lll', '12', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3682131281006888E847F77EFD04A256', '替来他明', 'LGC', '标准物质', NULL, '一般标准物质', '250mg', '2023-05-13 15:30:11.284000', '2023-05-13 15:31:04.291000', '1', '1', '12.99', NULL, 3115.00, 'mmm', '13', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('37DCFA4A09A5ED1B65E2BC83C929AC70', '去甲氯氮平', 'panphy', '标准物质', NULL, '一般标准物质', '20mg', '2023-05-13 15:56:34.512000', '2023-05-13 15:57:16.770000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '26.99', NULL, 1189.00, 'asd', '27', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('41DB5ED154D9332F32C632A767F840E3', '依托咪酯', 'panphy', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-13 15:23:42.538000', '2023-05-13 15:24:03.113000', '1', '1', '15.99', NULL, 706.00, 'ppp', '16', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('42F980998F293EE2BF6B31AD3961A4AA', '氯胺酮标准储备溶液', '小米', '标准储备溶液', '0.5', '一般标准物质', '50x50', '2023-05-13 12:04:18.260000', '2023-05-13 12:04:18.260000', '1', '1', '99%', NULL, 1555.00, 'ketamine', '1', '氯胺酮', '冷藏贮存', '无', '支', NULL, '1');
INSERT INTO `reagent_consumables` VALUES ('43C0A3944A9098D7D8596A0D086750FF', '甲基对硫磷-d6', 'Dr.E', '标准物质', NULL, '一般标准物质', '25mg', '2023-05-13 15:30:11.289000', '2023-05-13 15:31:04.303000', '1', '1', '42.99', NULL, 4734.00, 'afdh5', '43', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4651D383DD701BF229FCC215BF46A4ED', '扎来普隆', 'LGC', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-13 15:56:34.513000', '2023-05-13 15:57:16.812000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '33.99', NULL, 5172.00, 'ha', '34', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4A50060ED581410DC7648CA6A8533BF8', '地芬诺酯', '阿尔塔', '标准物质', NULL, '一般标准物质', '100μg/mL, 1mL', '2023-05-13 15:23:42.535000', '2023-05-13 15:24:03.115000', '1', '1', '5.99', NULL, 1400.00, 'fff', '6', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4CE0C27BB8F821A1078F581E38A204ED', '哌醋甲酯', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL', '2023-05-13 15:56:34.510000', '2023-05-13 15:57:16.778000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '8.99', NULL, 1200.00, 'iii', '9', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4CFE602B85CF020D00AF53D898A9BE6C', '硫酸铵', 'NIST', '标准物质', NULL, '一般标准物质', '0.5 g', '2023-05-13 15:56:34.514000', '2023-05-13 15:57:16.788000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '43.99', NULL, 4600.00, 'adfsg', '44', '毒品', '常规贮存', '货号IAEA-N-1', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4D34796FED3B88010223F2FE3CF494F6', '地佐辛', 'panphy', '标准物质', NULL, '一般标准物质', '100ug/ml，1ml', '2023-05-13 15:30:11.284000', '2023-05-13 15:31:04.308000', '1', '1', '11.99', NULL, 2000.00, 'lll', '12', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4F67653FD885A49C6966BCADF1EC9AD5', '7-氨基氟硝西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-13 15:30:11.288000', '2023-05-13 15:31:04.300000', '1', '1', '36.99', NULL, 3090.00, 'gfj', '37', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('51D69256A8BD79AFFB26A476683A971D', 'MDA-19', 'panphy', '标准物质', NULL, '一般标准物质', '10mg', '2023-05-13 15:30:11.284000', '2023-05-13 15:31:04.295000', '1', '1', '14.99', NULL, 1960.00, 'ooo', '15', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('529F786A951A2C825505D54D4732F8C6', '安眠酮（甲喹酮）', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:56:34.510000', '2023-05-13 15:57:16.802000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '6.99', NULL, 1200.00, 'ggg', '7', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('54F1ECC46D4EA07366D4DF30D85A9DF9', '2-羟基乙基氟安定 ', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-13 15:23:42.543000', '2023-05-13 15:24:03.118000', '1', '1', '35.99', NULL, 3210.00, 'ager', '36', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('56ACB14AA22BBE5F62CB8995AF0C28B1', '7-氨基硝西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于乙腈', '2023-05-13 15:30:11.288000', '2023-05-13 15:31:04.294000', '1', '1', '37.99', NULL, 3090.00, 'gafh', '38', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5700EEBC490308861E98CDFC1780C815', '右美托咪定', 'panphy', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-13 15:30:11.288000', '2023-05-13 15:31:04.259000', '1', '1', '32.99', NULL, 706.00, 'fhd', '33', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('58DA4C971CED0F574C302D7D73841774', '曲马多', 'LGC', '标准物质', NULL, '一般标准物质', '10mg', '2023-05-13 15:23:42.533000', '2023-05-13 15:24:03.076000', '1', '1', '0.99', NULL, 4800.00, 'aaa', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5A35EEFCACFADD60BF5717705720B783', '芬特明', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:30:11.284000', '2023-05-13 15:31:04.281000', '1', '1', '9.99', NULL, 1200.00, 'jjj', '10', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5DAC30380021F8FC1A58AF581CE8B61C', '苯巴比妥-d5 ', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,100μg/mL于甲醇', '2023-05-13 15:56:34.514000', '2023-05-13 15:57:16.807000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '40.99', NULL, 1500.00, 'r4qy', '41', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5F98B1070DDD92677BA8F1E4105F9FDE', 'α-羟基阿普唑仑', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-13 15:30:11.288000', '2023-05-13 15:31:04.275000', '1', '1', '38.99', NULL, 2841.00, 'afgh', '39', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('616534DF2AAE7C25B54ECEC1A1CB9B61', '地西泮-d5 ', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,100μg/mL于甲醇', '2023-05-13 15:30:11.289000', '2023-05-13 15:31:04.290000', '1', '1', '41.99', NULL, 1500.00, 'afg43', '42', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('667EE97192D94E0DC439CB30CF2F72B5', '去甲奥氮平', 'panphy', '标准物质', NULL, '一般标准物质', '20mg', '2023-05-13 15:56:34.512000', '2023-05-13 15:57:16.775000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '25.99', NULL, 1244.00, 'zzz', '26', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('66E1DE7E434CF015E94EF1762EDF7DD8', '地西泮-d5 ', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,100μg/mL于甲醇', '2023-05-13 15:23:42.544000', '2023-05-13 15:24:03.093000', '1', '1', '41.99', NULL, 1500.00, 'afg43', '42', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6AD5687336EA64C38909158137A6FDAE', '司普替林', 'panphy', '标准物质', NULL, '一般标准物质', '20mg', '2023-05-13 15:23:42.541000', '2023-05-13 15:24:03.084000', '1', '1', '28.99', NULL, 2360.00, 'afsf', '29', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6BDEAECAB05B4C1E7AFA5F419CCC6AA6', '哌替啶', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:23:42.533000', '2023-05-13 15:24:03.080000', '1', '1', '1.99', NULL, 1200.00, 'bbb', '2', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6D9807222F22E3675247B2CFCD5344A5', '海洛因', '华为', '标准物质', '122', '一般标准物质', '50x50', '2023-04-26 17:29:45.032000', '2023-05-09 15:46:42.511000', '1', '1', '72%', NULL, 1999.00, 'heroin', '1', '海洛因', '常规贮存', '无', '支', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6E02B8373BC5412DAD0037A13719EE2D', '甲基对硫磷-d6', 'Dr.E', '标准物质', NULL, '一般标准物质', '25mg', '2023-05-13 15:23:42.544000', '2023-05-13 15:24:03.106000', '1', '1', '42.99', NULL, 4734.00, 'afdh5', '43', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6E4006E4304B40A126AFE76FFAF00235', '羟基利培酮', 'panphy', '标准物质', NULL, '一般标准物质', '25mg', '2023-05-13 15:30:11.287000', '2023-05-13 15:31:04.302000', '1', '1', '27.99', NULL, 756.00, 'agas', '28', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('736B04BD564B82ED90AFAD0BC4B27E5F', '美乐托宁', 'Panphy', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-13 15:23:42.539000', '2023-05-13 15:24:03.070000', '1', '1', '21.99', NULL, 464.00, 'vvv', '22', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('74652795932FD342E8A85609AF9FAC87', 'α-羟基阿普唑仑', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-13 15:23:42.543000', '2023-05-13 15:24:03.104000', '1', '1', '38.99', NULL, 2841.00, 'afgh', '39', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('790C14963726277C51B3F093F2767D92', '甲基胺酮', 'LGC', '标准物质', NULL, '一般标准物质', '25mg', '2023-05-13 15:56:34.510000', '2023-05-13 15:57:16.816000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '13.99', NULL, 2231.00, 'nnn', '14', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('79656A15156AAA792E0A6E45D56B72A2', '格鲁米特', '阿尔塔', '标准物质', NULL, '一般标准物质', '100ug/ml，1ml', '2023-05-13 15:23:42.538000', '2023-05-13 15:24:03.085000', '1', '1', '18.99', NULL, 1800.00, 'sss', '19', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('79DC391F83AF39920B061D00C1366709', '司普替林', 'panphy', '标准物质', NULL, '一般标准物质', '20mg', '2023-05-13 15:56:34.512000', '2023-05-13 15:57:16.765000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '28.99', NULL, 2360.00, 'afsf', '29', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7B21B32BB43C06A2E8286D7DE83B851F', '氟胺酮', '阿尔塔', '标准物质', NULL, '一般标准物质', '100μg/mL, 1mL', '2023-05-13 15:23:42.534000', '2023-05-13 15:24:03.095000', '1', '1', '3.99', NULL, 600.00, 'ddd', '4', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7CF9474700C8F33CD7485C2EF1DA6450', '地芬诺酯', '阿尔塔', '标准物质', NULL, '一般标准物质', '100μg/mL, 1mL', '2023-05-13 15:56:34.510000', '2023-05-13 15:57:16.761000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '5.99', NULL, 1400.00, 'fff', '6', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7E4DEAC0E9582B47FD12584384960E94', '氟阿尼酮', 'LGC', '标准物质', NULL, '一般标准物质', '250mg', '2023-05-13 15:30:11.285000', '2023-05-13 15:31:04.287000', '1', '1', '17.99', NULL, 2928.00, 'rrr', '18', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7E9929A026F58A1BA45011A237B32E66', '氟胺酮', '阿尔塔', '标准物质', NULL, '一般标准物质', '100μg/mL, 1mL', '2023-05-13 15:30:11.282000', '2023-05-13 15:31:04.286000', '1', '1', '3.99', NULL, 600.00, 'ddd', '4', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('812F0CFCBFDFE45D6A48077FF46364A4', '羟基利培酮', 'panphy', '标准物质', NULL, '一般标准物质', '25mg', '2023-05-13 15:56:34.512000', '2023-05-13 15:57:16.793000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '27.99', NULL, 756.00, 'agas', '28', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('82C95CE9E77AA26C1429DA1F0BDA536B', '氯胺酮标准储备溶液', '小米', '标准储备溶液', '0.5', '一般标准物质', '50x50', '2023-04-26 17:29:45.033000', '2023-04-26 17:31:55.940000', '1', '1', '99%', NULL, 1555.00, 'ketamine', '1', '氯胺酮', '冷藏贮存', '无', '支', NULL, '1.2');
INSERT INTO `reagent_consumables` VALUES ('832E08CA6D0E480EC57F2F17E17F1CD5', '咖啡因', 'ChromaDex', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-13 15:23:42.534000', '2023-05-13 15:24:03.097000', '1', '1', '2.99', NULL, 1500.00, 'ccc', '3', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('84AB9FDFB4552832F688FDE0F8B72574', '司普替林', 'panphy', '标准物质', NULL, '一般标准物质', '20mg', '2023-05-13 15:30:11.287000', '2023-05-13 15:31:04.283000', '1', '1', '28.99', NULL, 2360.00, 'afsf', '29', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('856D0BE64A8D5D051F1D2FFFAB978351', '利培酮', 'panphy', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-13 15:23:42.539000', '2023-05-13 15:24:03.082000', '1', '1', '19.99', NULL, 873.00, 'ttt', '20', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('88DB8C3D2DA4C3AE2737AD859E4B6F8A', '美乐托宁', 'Panphy', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-13 15:56:34.511000', '2023-05-13 15:57:16.803000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '21.99', NULL, 464.00, 'vvv', '22', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8A1A292DA1CE205E3FFD5D56F4E0A098', '氟阿尼酮', 'LGC', '标准物质', NULL, '一般标准物质', '250mg', '2023-05-13 15:23:42.538000', '2023-05-13 15:24:03.107000', '1', '1', '17.99', NULL, 2928.00, 'rrr', '18', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8C057A697826732F6510CDC2A691B4D5', '乙醇', '天润', '试剂', '', '酒精', '1x1', '2023-05-09 14:07:45.336000', '2023-05-09 14:08:18.372000', '1', '1', '99%', NULL, 150.00, 'alcohol', '20', '乙醇', '常规贮存', '1', '箱', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8C266FE3E630CF73283BF46744B54F24', '扎来普隆', 'LGC', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-13 15:23:42.542000', '2023-05-13 15:24:03.099000', '1', '1', '33.99', NULL, 5172.00, 'ha', '34', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8C4AE6AA84FCAA79D05EC13A5DACE9C5', '哌醋甲酯', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL', '2023-05-13 15:23:42.536000', '2023-05-13 15:24:03.068000', '1', '1', '8.99', NULL, 1200.00, 'iii', '9', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('91205A1B85AC79BAB4872E09608F1CB9', '芬特明', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:23:42.536000', '2023-05-13 15:24:03.102000', '1', '1', '9.99', NULL, 1200.00, 'jjj', '10', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9284572A3F75D6C8699E9F9DC7F27E25', '格鲁米特', '阿尔塔', '标准物质', NULL, '一般标准物质', '100ug/ml，1ml', '2023-05-13 15:30:11.285000', '2023-05-13 15:31:04.299000', '1', '1', '18.99', NULL, 1800.00, 'sss', '19', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('971672B361519CA4185A90240F55ECB1', ' 普拉西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:23:42.540000', '2023-05-13 15:24:03.064000', '1', '1', '23.99', NULL, 1200.00, 'xxx', '24', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9797092169D992186111E5C70522727C', '泰尔登', 'panphy', '标准物质', NULL, '一般标准物质', '50mg', '2023-05-13 15:56:34.512000', '2023-05-13 15:57:16.762000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '29.99', NULL, 242.00, 'asf', '30', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9A8E11D7DBE57B7F4F2C54F0DCAEBFBB', 'α-羟基咪哒唑仑 ', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,100μg/mL于甲醇', '2023-05-13 15:23:42.544000', '2023-05-13 15:24:03.096000', '1', '1', '39.99', NULL, 2000.00, 'fdb', '40', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9B6ECD207D0921562E98CCC9607D891F', ' 普拉西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:56:34.512000', '2023-05-13 15:57:16.823000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '23.99', NULL, 1200.00, 'xxx', '24', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9E26406184C67392CCC56D5C729EF75C', '异安定酮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-13 15:56:34.513000', '2023-05-13 15:57:16.782000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '31.99', NULL, 1200.00, 'dag', '32', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9E44607728640BCC85B578BFF5A22CC9', '氯巴占', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-13 15:56:34.511000', '2023-05-13 15:57:16.806000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '20.99', NULL, 1200.00, 'uuu', '21', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9E8697E66B3564372AFDD7EAEE041A17', '喷他咗欣', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:56:34.512000', '2023-05-13 15:57:16.767000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '24.99', NULL, 1200.00, 'yyy', '25', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9EEDA0E0964098737E95E23B2289F692', '利培酮', 'panphy', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-13 15:56:34.511000', '2023-05-13 15:57:16.822000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '19.99', NULL, 873.00, 'ttt', '20', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9EFB1B9D58294ED7B20257B4896855DF', '甲基胺酮', 'LGC', '标准物质', NULL, '一般标准物质', '25mg', '2023-05-13 15:23:42.537000', '2023-05-13 15:24:03.117000', '1', '1', '13.99', NULL, 2231.00, 'nnn', '14', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9F9677917E3EF7BC28D37B3A5AF599AF', '扎来普隆', 'LGC', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-13 15:30:11.288000', '2023-05-13 15:31:04.289000', '1', '1', '33.99', NULL, 5172.00, 'ha', '34', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9FCA4364F6EA88A1137D940A607E8170', '摇头丸标准储备溶液', '三星', '标准储备溶液', '0.9', '一般标准物质', '30x20', '2023-04-26 17:29:45.034000', '2023-04-26 17:31:55.952000', '1', '1', '88%', NULL, 2999.00, 'ecstasy', '1', '摇头丸', '冷藏贮存', '无', '支', NULL, '50ml');
INSERT INTO `reagent_consumables` VALUES ('A38DFFFAD68AC96F9CCF874787803BFD', '尼美西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:23:42.539000', '2023-05-13 15:24:03.110000', '1', '1', '22.99', NULL, 1800.00, 'www', '23', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A42D7295BCA1B8EE2FCC4672F1CD5891', '海洛因标准储备溶液', '小米', '标准储备溶液', '0.5', '一般标准物质', '50x50', '2023-04-26 17:29:45.033000', '2023-04-26 17:31:55.940000', '1', '1', '99%', NULL, 1555.00, 'ketamine', '1', '氯胺酮', '冷藏贮存', '无', '支', NULL, '45');
INSERT INTO `reagent_consumables` VALUES ('A4D40F14469DD66A68B01607D9FF3A4D', '丙泊酚', 'panphy', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-13 15:30:11.285000', '2023-05-13 15:31:04.309000', '1', '1', '16.99', NULL, 873.00, 'qqq', '17', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A66328B04557EC9B6D76E20B646CEF70', '7溶液', 'Cerilliant', '标准储备溶液', NULL, '一般标准物质', '1mL,1.0 mg/mL于乙腈', '2023-05-15 16:12:35.740000', '2023-05-15 16:12:35.740000', 'C27B8F582693B93596C21C1586A0845A', '1', '37.99', NULL, 3090.00, 'gafh', '38', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, '2');
INSERT INTO `reagent_consumables` VALUES ('A6A55914C0422DAD1895935C40B8D997', '异安定酮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-13 15:23:42.542000', '2023-05-13 15:24:03.103000', '1', '1', '31.99', NULL, 1200.00, 'dag', '32', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AD19BC06EFE62496B160BA52FA7994AD', 'MDA-19', 'panphy', '标准物质', NULL, '一般标准物质', '10mg', '2023-05-13 15:56:34.511000', '2023-05-13 15:57:16.791000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '14.99', NULL, 1960.00, 'ooo', '15', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('ADEFD20B1C171926F3437B8EF7683EFF', '哌醋甲酯', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL', '2023-05-13 15:30:11.283000', '2023-05-13 15:31:04.315000', '1', '1', '8.99', NULL, 1200.00, 'iii', '9', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AE3EDA95FFE9A3A7166E105EFDD8B14D', '咖啡因', 'ChromaDex', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-13 15:30:11.281000', '2023-05-13 15:31:04.251000', '1', '1', '2.99', NULL, 1500.00, 'ccc', '3', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AF8CBA871FC396CABEF48E8D2E6063BD', '手套', '小米', '耗材', '无', '一般耗材', '1', '2023-04-26 17:29:45.035000', '2023-04-26 17:31:55.948000', '1', '1', '无', NULL, 10.00, 'gloves', '1', '手套', '常规贮存', '无', '箱', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B0269C79B25EEFAF1D6EC11CBC525A69', '曲马多', 'LGC', '标准物质', NULL, '一般标准物质', '10mg', '2023-05-13 15:30:11.281000', '2023-05-13 15:31:04.262000', '1', '1', '0.99', NULL, 4800.00, 'aaa', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B45A400F132142C0F782EC66EA7C8C6A', '去甲氯氮平', 'panphy', '标准物质', NULL, '一般标准物质', '20mg', '2023-05-13 15:23:42.540000', '2023-05-13 15:24:03.072000', '1', '1', '26.99', NULL, 1189.00, 'asd', '27', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B7A38B09AA244BB2E5B69C80C523A0E3', '地芬诺酯', '阿尔塔', '标准物质', NULL, '一般标准物质', '100μg/mL, 1mL', '2023-05-13 15:30:11.283000', '2023-05-13 15:31:04.313000', '1', '1', '5.99', NULL, 1400.00, 'fff', '6', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B91F7C6A10E492B4248CCCF82F803CFE', '氯巴占', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-13 15:23:42.539000', '2023-05-13 15:24:03.101000', '1', '1', '20.99', NULL, 1200.00, 'uuu', '21', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BAE3D7E971A9892FFECED585F5C9931D', '海洛因标准储备溶液', '华为', '标准储备溶液', '122', '一般标准物质', '50x50', '2023-05-13 11:10:34.230000', '2023-05-13 11:10:34.230000', '1', '1', '72%', NULL, 1999.00, 'heroin', '1', '海洛因', '常规贮存', '无', '支', NULL, '1');
INSERT INTO `reagent_consumables` VALUES ('BCF7C4C229BD2CF0BA2576FBCA3F3633', '7-氨基硝西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于乙腈', '2023-05-13 15:56:34.514000', '2023-05-13 16:45:46.847000', 'C27B8F582693B93596C21C1586A0845A', '1', '37.99', NULL, 3090.00, 'gafh', '38', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BF1E406D8D4D343E1CDC38C5767C93A2', '对甲氧基甲基苯丙胺', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:56:34.510000', '2023-05-13 15:57:16.808000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '10.99', NULL, 1800.00, 'kkk', '11', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BF6E123767A0FF9CCFE8E4E917432A6A', '121', '122', '试剂', '12', '12', '212', '2023-05-10 09:34:41.705000', '2023-05-10 09:34:53.036000', '1', '1', '1212', NULL, 4.00, '121', '14', '1212', '冷藏贮存', '1212', '盒', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C0EE56D636B48F0115108CFF74351051', '氟胺酮', '阿尔塔', '标准物质', NULL, '一般标准物质', '100μg/mL, 1mL', '2023-05-13 15:56:34.508000', '2023-05-13 15:57:16.772000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '3.99', NULL, 600.00, 'ddd', '4', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CB407F915CE2BDE8D3C265397F4D9C1B', 'α-羟基阿普唑仑', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-13 15:56:34.514000', '2023-05-13 15:57:16.796000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '38.99', NULL, 2841.00, 'afgh', '39', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CBD28C6C86F7E7CB2A8CA19E5D33C321', ' 溴西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-13 15:56:34.513000', '2023-05-13 15:57:16.797000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '30.99', NULL, 1200.00, 'qer', '31', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CBF9D113E231D63802460FD4A343317E', '羟考酮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:30:11.283000', '2023-05-13 15:31:04.269000', '1', '1', '4.99', NULL, 1200.00, 'eee', '5', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CC58C30CD8B7F000E23D995473FD1C20', ' 溴西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-13 15:23:42.541000', '2023-05-13 15:24:03.091000', '1', '1', '30.99', NULL, 1200.00, 'qer', '31', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D5BD3463178277D86EE9754A40012A09', '安非拉酮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL', '2023-05-13 15:23:42.535000', '2023-05-13 15:24:03.105000', '1', '1', '7.99', NULL, 2949.00, 'hhh', '8', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D61B2E501D38981718886452AE0E5474', '喷他咗欣', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:30:11.286000', '2023-05-13 15:31:04.277000', '1', '1', '24.99', NULL, 1200.00, 'yyy', '25', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D98927C15703BAAE6A2F36F57B20D73B', '地佐辛', 'panphy', '标准物质', NULL, '一般标准物质', '100ug/ml，1ml', '2023-05-13 15:23:42.537000', '2023-05-13 15:24:03.109000', '1', '1', '11.99', NULL, 2000.00, 'lll', '12', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D9B89824173878F0D4136F6AF6B4D92C', '苯巴比妥-d5 ', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,100μg/mL于甲醇', '2023-05-13 15:30:11.289000', '2023-05-13 15:31:04.314000', '1', '1', '40.99', NULL, 1500.00, 'r4qy', '41', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D9D8E840B3C5AF4D62F6E00A8051752A', '安眠酮（甲喹酮）', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:23:42.535000', '2023-05-13 15:24:03.111000', '1', '1', '6.99', NULL, 1200.00, 'ggg', '7', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DBA41D40C74895CAAAA5AD150412C099', '替来他明', 'LGC', '标准物质', NULL, '一般标准物质', '250mg', '2023-05-13 15:23:42.537000', '2023-05-13 15:24:03.071000', '1', '1', '12.99', NULL, 3115.00, 'mmm', '13', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DED6DE75D44CB85688818C58B7556E55', '异安定酮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-13 15:30:11.288000', '2023-05-13 15:31:04.292000', '1', '1', '31.99', NULL, 1200.00, 'dag', '32', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DFCD12A728759EBDBE7E061AB4E9D2DD', ' 普拉西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:30:11.286000', '2023-05-13 15:31:04.312000', '1', '1', '23.99', NULL, 1200.00, 'xxx', '24', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E1BD44E2C39641CF9422CC6463D277C4', '丙泊酚', 'panphy', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-13 15:23:42.538000', '2023-05-13 15:24:03.090000', '1', '1', '16.99', NULL, 873.00, 'qqq', '17', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E24350CBC445E22FD5085C148B1AEA4F', '甲基胺酮', 'LGC', '标准物质', NULL, '一般标准物质', '25mg', '2023-05-13 15:30:11.284000', '2023-05-13 15:31:04.296000', '1', '1', '13.99', NULL, 2231.00, 'nnn', '14', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E31D1CD8862E006D021FA20CAA7DA86F', '2-氯地西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1mg/mL于乙腈', '2023-05-13 15:56:34.513000', '2023-05-13 15:57:16.805000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '34.99', NULL, 3180.00, 'afdh', '35', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E40875F4268C0A2FFAE4FCCF33915A60', '安非拉酮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL', '2023-05-13 15:30:11.283000', '2023-05-13 15:31:04.263000', '1', '1', '7.99', NULL, 2949.00, 'hhh', '8', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EA0E98B2B38F4D206576D0F9A0B57665', '利培酮', 'panphy', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-13 15:30:11.285000', '2023-05-13 15:31:04.278000', '1', '1', '19.99', NULL, 873.00, 'ttt', '20', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EEB461F1E10CE14AD6E7E0247844053A', '试剂1', '1', '试剂', '1.0', '一般试剂', '2x2', '2023-05-09 14:14:49.041000', '2023-05-09 14:15:02.761000', '1', '1', '99', NULL, 1.00, 'reagent', '1', '1', '常规贮存', '1', '盒', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EF2E4BDDA8CC845C22203AD4D5A42D31', 'MDA-19', 'panphy', '标准物质', NULL, '一般标准物质', '10mg', '2023-05-13 15:23:42.537000', '2023-05-13 15:24:03.075000', '1', '1', '14.99', NULL, 1960.00, 'ooo', '15', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F0634D94E151E9D3B3B11B14B8AF0A6C', '甲基对硫磷-d6', 'Dr.E', '标准物质', NULL, '一般标准物质', '25mg', '2023-05-13 15:56:34.514000', '2023-05-13 15:57:16.794000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '42.99', NULL, 4734.00, 'afdh5', '43', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F13D9D7171F58729D1CC6CFB9EAACA58', '右美托咪定', 'panphy', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-13 15:23:42.542000', '2023-05-13 15:24:03.116000', '1', '1', '32.99', NULL, 706.00, 'fhd', '33', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F235BCA6F3EC8573B506985CC86D1389', '安眠酮（甲喹酮）', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:30:11.283000', '2023-05-13 15:31:04.256000', '1', '1', '6.99', NULL, 1200.00, 'ggg', '7', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FA3AA9372238F07FAC79E0BC745B6128', 'α-羟基咪哒唑仑 ', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,100μg/mL于甲醇', '2023-05-13 15:30:11.289000', '2023-05-13 15:31:04.266000', '1', '1', '39.99', NULL, 2000.00, 'fdb', '40', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FCDB32C4405253B126C6E637737380B8', '哌替啶', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-13 15:30:11.281000', '2023-05-13 15:31:04.297000', '1', '1', '1.99', NULL, 1200.00, 'bbb', '2', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FDBE7F9BDB91192A4A4887F993B5E67B', '依托咪酯', 'panphy', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-13 15:56:34.511000', '2023-05-13 15:57:16.799000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '15.99', NULL, 706.00, 'ppp', '16', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL);

-- ----------------------------
-- Table structure for reagent_consumables_set
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumables_set`;
CREATE TABLE `reagent_consumables_set`  (
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `purpose` int(6) NULL DEFAULT NULL,
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `application_for_use_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `quantity_delivered` int(255) NULL DEFAULT NULL,
  `outgoing_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材集合)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reagent_consumables_set
-- ----------------------------
INSERT INTO `reagent_consumables_set` VALUES (1, '82C95CE9E77AA26C1429DA1F0BDA536B', '2023-05-06 10:30:28.622000', '2023-05-06 10:30:28.622000', '1', '1', '0571D2019A57B0E6B87FD81B6FB11FB1', '50x50', NULL, 1, 'F6BB1D40A4948CBD3729D5C46394EB7B', 'D8CC58992F323B6BB5EB5A0EE9D44236', 'ketamine-2023-27-05', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '8C057A697826732F6510CDC2A691B4D5', '2023-05-11 10:47:50.270000', '2023-05-11 10:47:50.270000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '0A151A98FB7B9385F4C04E739DA5B86F', '1x1', NULL, 0, 'C6C1CFFEB37F92411E6393AF396A67C4', 'D59819E796BF3D836CC1AD55B4A52FDF', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '2023-05-13 16:31:42.746000', '2023-05-13 16:31:42.746000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '0D5E5242E9790A5C18900E35A4A841F0', '1mL,1.0 mg/mL于乙腈', '1', 0, '0EDF4ACF159FAAFDD044F2F7B47CC1D9', 'A422ECE0A865F0A1FF9122379DA69A21', 'gafh-2023-1-074', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (5, '8C057A697826732F6510CDC2A691B4D5', '2023-05-11 15:17:28.098000', '2023-05-11 15:17:28.098000', '1', '1', '0DD6082D9E6DF2D43682C718AF381F73', '1x1', NULL, 0, 'C6C1CFFEB37F92411E6393AF396A67C4', '5D1C39F4493AB64DC293D4C72FC88B26', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-08 17:15:08.553000', '2023-05-08 17:15:08.553000', '1', '1', '16603775E11D80F6B7DFBEC48260BFF0', '1', NULL, 0, '39E6E77560EE9775129C1EE696461122', 'F509652385D160863141C7DC997E5B76', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (11, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-04 14:21:34.097000', '2023-05-04 14:21:34.097000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '20333CB0BE538D079F147AEAB39EA498', '1', '11', 0, '7C4663977A69DF24EE23B598E062F36E', '397A33D0162912F9B954D138DC9674F2', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '82C95CE9E77AA26C1429DA1F0BDA536B', '2023-05-06 09:43:44.387000', '2023-05-06 09:43:44.387000', '1', '1', '20A2FAB21A827BECB2AE5D23EB082240', '50x50', NULL, 1, 'F6BB1D40A4948CBD3729D5C46394EB7B', 'C2CD2F20EA16D10ACBFF4A6303D6D9D7', 'ketamine-2023-27-05', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '2023-05-13 16:27:05.633000', '2023-05-13 16:27:05.633000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '221FF106FB07AD3051EA44D9CBC8836F', '1mL,1.0 mg/mL于乙腈', '1', 0, 'BF5A853229F3E680408C74CB43A4A5D3', 'AB9D10EA941D01BDEE776C5F7AA29F04', 'gafh-2023-1-015', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '42F980998F293EE2BF6B31AD3961A4AA', '2023-05-13 12:04:41.437000', '2023-05-13 12:04:41.437000', '1', '1', '28F72659E6B90C1B9696412727CC821F', '50x50', NULL, 0, 'DB585C3C4506713CD1E20ABE5CEF0CB2', 'E00DFE2E3B4974525BED94EE0BAC51D0', 'ketamine-2023-05-13', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (10, '243E47CC2269FD5E40ACE32D07F4604C', '2023-05-15 17:23:30.989000', '2023-05-15 17:24:23.923000', '1', '1', '31A131F51D147261E6AE86ECC9DBC611', '23123123', NULL, 0, '68BD27AB36C454A9C0C3FDDD9381AEDF', 'BF9C1666F0984E3F402D13418200AC5B', NULL, 5, 'F6339385E1475AE98906D1C421841CC4');
INSERT INTO `reagent_consumables_set` VALUES (1, '1DF868DB5428ADB82B57A6F6819EDB20', '2023-05-13 09:40:33.006000', '2023-05-13 09:40:33.006000', '1', '1', '34CB119577091C85CA02177DA2378E41', '30x20', NULL, 0, '7DC372AACEC1B8C741A3BB452CE1AA67', '462DD6BC9C0E107E7E1F5CD05ABC9FBE', 'ecstasy-2023-05-11', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'BAE3D7E971A9892FFECED585F5C9931D', '2023-05-15 16:11:37.195000', '2023-05-15 16:11:37.195000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '353BAFDBD6259FB72B8A4DAF8FF7DE60', '50x50', NULL, 0, 'A3BE86455A0A0D8D9D69618DB4239369', 'F4E473977EBB6EF7858D086C6056F578', 'heroin-2023-05-13', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '23C62823622E0022DD0E1CC729473C81', '2023-05-08 14:28:01.114000', '2023-05-08 14:28:01.114000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '3CCDBDB5609C442BE95919DABE6BF705', '50x50', '备注', 0, '9E87F84467C37EB4A44849F23E8971FB', '666AC51E85586A9D0DADB6F3991F48A2', 'ketamine-2023-1-012', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (200, '8C057A697826732F6510CDC2A691B4D5', '2023-05-11 16:00:26.324000', '2023-05-11 16:00:26.324000', '1', '1', '42B289611CE77F61AF95DFAFB196EC50', '1x1', NULL, 0, 'ABCAF1880FFBEF9A0CFC2E345EF7128A', 'ABE542BE4D772507D65174A2C1D88985', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '2023-05-15 16:10:24.967000', '2023-05-15 16:10:24.967000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '4819687F45D13FEC7667E7E583ABB663', '1mL,1.0 mg/mL于乙腈', '1', 0, '0EDF4ACF159FAAFDD044F2F7B47CC1D9', '51FC6091709BEF63100BC90F508FB337', 'gafh-2023-1-050', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '28613635426554046F0B12D7121A5AAB', '2023-05-11 16:10:54.387000', '2023-05-11 16:10:54.387000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', '4924FAE8FD078AA9CB0A07E6A241ECFC', '30x20', NULL, 1, '7DC372AACEC1B8C741A3BB452CE1AA67', '3EE572F393CD83A70D3BDB73E426D988', 'ecstasy-2023-1-004', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'BAE3D7E971A9892FFECED585F5C9931D', '2023-05-13 11:13:23.659000', '2023-05-13 11:13:23.659000', '1', '1', '4A71F460535FDA4BA8B03B2F87BE9354', '50x50', NULL, 0, 'A3BE86455A0A0D8D9D69618DB4239369', '7F6A56332DC360D0DF24CEA40AF43929', 'heroin-2023-05-13', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '42F980998F293EE2BF6B31AD3961A4AA', '2023-05-13 12:05:24.115000', '2023-05-13 12:05:24.115000', '1', '1', '4FAE64097D83A426B80F0A590E391651', '50x50', NULL, 0, 'DB585C3C4506713CD1E20ABE5CEF0CB2', 'B3B02094E4CD61DB24704E5562EE12FC', 'ketamine-2023-05-13', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '6D9807222F22E3675247B2CFCD5344A5', '2023-05-12 10:26:45.955000', '2023-05-12 10:26:45.955000', '1', '1', '512E1AAB0B9E08CAF026053C11790B56', '50x50', '1', 0, 'A3BE86455A0A0D8D9D69618DB4239369', '1491BDDFDA56C09BECBB2978876AA227', 'heroin-2023-1-003', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (10, '243E47CC2269FD5E40ACE32D07F4604C', '2023-05-15 16:58:38.273000', '2023-05-15 17:09:05.868000', 'C27B8F582693B93596C21C1586A0845A', '1', '52F5BBEAB86F2D4B0B3FBD3EB51ACFB0', '23123123', '1', 1, '68BD27AB36C454A9C0C3FDDD9381AEDF', '4A01CD839F4DC8BE36A5C8F2311F2F63', NULL, 5, 'C16AC1E885C1859F1FB071D0E95ACAC6');
INSERT INTO `reagent_consumables_set` VALUES (11, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-04 14:17:39.836000', '2023-05-04 14:17:39.836000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '593C7A2C35E46E4E8BBDFFD3C47CFD5B', '1', '111', 0, '7C4663977A69DF24EE23B598E062F36E', '5910329FB371F7FDB063762B2F9E81AD', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-06 09:41:12.340000', '2023-05-06 09:41:12.340000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '5AC9479E3BDC6BACB8CFB890A6507E09', '1', '12313', 0, '7C4663977A69DF24EE23B598E062F36E', '7F6639E397BEE1CDAA1CDE7EA51BFB9D', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '2023-05-13 16:19:54.016000', '2023-05-13 16:19:54.016000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '5CF93A087FB40C62CFB95DFA01F8A1EE', '1mL,1.0 mg/mL于乙腈', '1', 0, 'BF5A853229F3E680408C74CB43A4A5D3', '60A20A3713AF71111ECB6A61DB1A29E5', 'gafh-2023-1-015', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'EEB461F1E10CE14AD6E7E0247844053A', '2023-05-11 10:47:50.269000', '2023-05-11 10:47:50.269000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '6153F1830F0C13630D32DDD60AF99CE7', '2x2', NULL, 0, '6DB8CF7672FD57A6B8FE6F21B7561DD6', 'D59819E796BF3D836CC1AD55B4A52FDF', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (11, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-04 14:18:37.747000', '2023-05-04 14:18:37.747000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '648381536DC979AF7B567A6D0571139F', '1', '11', 0, '7C4663977A69DF24EE23B598E062F36E', '5478F5CA95137CC613BAC66A85C0A944', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '42F980998F293EE2BF6B31AD3961A4AA', '2023-05-15 17:17:53.390000', '2023-05-15 17:17:53.405000', '1', '1', '64A44173BA3D6C69CCDCDD3EB276B663', '50x50', NULL, 0, 'DB585C3C4506713CD1E20ABE5CEF0CB2', 'B8B95E32FDA1089904E7C9E8ED65BBE1', 'ketamine-2023-04-13', NULL, '30C8ECD40C1900673EB3A952CDBF48E6');
INSERT INTO `reagent_consumables_set` VALUES (1, '28613635426554046F0B12D7121A5AAB', '2023-05-11 10:47:50.269000', '2023-05-11 10:47:50.269000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '6C4BEDBE04A28B2A13E349DDD8EDC740', '30x20', '1', 0, '7DC372AACEC1B8C741A3BB452CE1AA67', 'D59819E796BF3D836CC1AD55B4A52FDF', 'ecstasy-2023-1-003', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (11, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-06 09:40:01.510000', '2023-05-06 09:40:01.510000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '6DF6B85550D0BF678EDD71C39FAD6297', '1', '111', 0, '7C4663977A69DF24EE23B598E062F36E', 'E01B5756E01400928F76E149AB9CBE85', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '1DF868DB5428ADB82B57A6F6819EDB20', '2023-05-11 17:53:23.515000', '2023-05-11 17:53:23.515000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', '6E4C1A0D52E3F9A914E279C712B9FCBB', '30x20', NULL, 1, '7DC372AACEC1B8C741A3BB452CE1AA67', '7FACDF162B114F5614A53DEC18535286', 'ecstasy-2023-05-11', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '23C62823622E0022DD0E1CC729473C81', '2023-05-06 10:30:28.620000', '2023-05-06 10:30:28.620000', '1', '1', '6EC0A37610E71E4C807C91C51F62350B', '50x50', '1', 0, '9E87F84467C37EB4A44849F23E8971FB', 'D8CC58992F323B6BB5EB5A0EE9D44236', 'ketamine-2023-1-012', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '28613635426554046F0B12D7121A5AAB', '2023-05-11 16:10:54.387000', '2023-05-11 16:10:54.387000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', '747CCC6019110CAAB935748869F30FFD', '30x20', NULL, 1, '7DC372AACEC1B8C741A3BB452CE1AA67', '3EE572F393CD83A70D3BDB73E426D988', 'ecstasy-2023-1-001', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '03DC56AFF3DE5D439BE5A4FD4C8B826E', '2023-05-04 14:17:37.433000', '2023-05-04 14:17:37.433000', '1', '1', '74A114CC220E1DEA14FF11A05675000B', '50x50', NULL, 1, '2AC90CFDAC0A4A20CDEC62B74BC1F52C', 'D7FE84C7CA67A94F9B68A612739933E3', 'heroin-2023-01-04', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '2023-05-13 16:05:02.188000', '2023-05-13 16:05:02.188000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '76079275258796EFC4F244951032251E', '1mL,1.0 mg/mL于乙腈', '1', 0, 'BF5A853229F3E680408C74CB43A4A5D3', '52D4D2F9753265F78936AFC185B86A26', 'gafh-2023-1-005', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '28613635426554046F0B12D7121A5AAB', '2023-05-11 16:09:03.072000', '2023-05-11 16:09:03.072000', '1', '1', '798333A3EB7D4B5D90299CDB7B2DCB7E', '30x20', NULL, 0, '7DC372AACEC1B8C741A3BB452CE1AA67', 'FEBA755539D0331A098D9B3B005CB1C8', 'ecstasy-2023-1-004', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (5, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-10 15:18:43.223000', '2023-05-10 15:18:43.223000', '1', '1', '7B839D00064732955BA0DFA07DCF3885', '1', '1', 1, '8776A241CD8084B4C8EEA7068BBA7205', '7BFC9C63A874936DF45C45B93E2FB0A5', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-04 14:16:32.636000', '2023-05-04 14:16:32.636000', '1', '1', '8110B8D0CBCAED56B3AB47AE6641C3CE', '1', '1', 0, '7C4663977A69DF24EE23B598E062F36E', '2F4C81A9E29F74DA5154B8E53684A680', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-04 15:21:36.478000', '2023-05-04 15:21:36.478000', '1', '1', '89C1E824B9A4AA2205AD2913B63A237B', '1', NULL, 1, 'EAE4435E584B184503D1158CA12DD529', '2F08743049D0A60EC939D3FC3467E687', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '23C62823622E0022DD0E1CC729473C81', '2023-05-06 09:39:17.796000', '2023-05-06 09:39:17.796000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '98AC26AB800DB86C75989D8684BBA529', '50x50', '123', 0, '9E87F84467C37EB4A44849F23E8971FB', '85E4B2AE422FAD39AFDB4C701F0F9C33', 'ketamine-2023-1-012', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '28613635426554046F0B12D7121A5AAB', '2023-05-11 17:57:46.729000', '2023-05-11 17:57:46.729000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 'A040875217635C5990C3D0075D8D0D5B', '30x20', '34344', 0, '7DC372AACEC1B8C741A3BB452CE1AA67', '41FA70FE9F0AEDE13BC18777091CE7C2', 'ecstasy-2023-1-003', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'BAE3D7E971A9892FFECED585F5C9931D', '2023-05-13 11:12:00.876000', '2023-05-13 11:12:00.876000', '1', '1', 'A54828D4B402679C03FFBB5A3BCDBEFD', '50x50', NULL, 0, 'A3BE86455A0A0D8D9D69618DB4239369', 'FF94557253987C9CA93FF1E5100103A3', 'heroin-2023-05-13', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-08 14:17:17.183000', '2023-05-08 14:17:17.183000', '1', '1', 'A821C62BB5DDB26D7C1555198DB2B6AD', '1', NULL, 0, 'C44FD310D70B1E3DCBD061426E6CB72B', '3AB719A9F16A072E23E051D83DCC18A6', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-08 17:15:08.553000', '2023-05-08 17:15:08.553000', '1', '1', 'AA0DE8938110D040228CF79E3FB9AC03', '1', NULL, 0, '0DD1E2F913E75AA4FFF2D2EC099F6749', 'F509652385D160863141C7DC997E5B76', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '23C62823622E0022DD0E1CC729473C81', '2023-05-05 17:22:18.291000', '2023-05-05 17:22:18.291000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'ACEF2AC2069E83F2FEA9A33E88BE582D', '50x50', '12132', 0, '9E87F84467C37EB4A44849F23E8971FB', '1C96F4B959D35D303A8417DEBB2211CD', 'ketamine-2023-1-012', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '1DF868DB5428ADB82B57A6F6819EDB20', '2023-05-13 09:27:15.100000', '2023-05-13 09:27:15.100000', '1', '1', 'AD563BE8770B2CC230F53BDB18A11100', '30x20', NULL, 0, '7DC372AACEC1B8C741A3BB452CE1AA67', '5C898D3CB375FBC5FC60890406FE7EF5', 'ecstasy-2023-05-11', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '28613635426554046F0B12D7121A5AAB', '2023-05-11 10:47:50.268000', '2023-05-11 10:47:50.268000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'AE3E0C46C87482FAA0741F096D3AA583', '30x20', '1', 0, '7DC372AACEC1B8C741A3BB452CE1AA67', 'D59819E796BF3D836CC1AD55B4A52FDF', 'ecstasy-2023-1-004', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-08 14:17:17.184000', '2023-05-08 14:17:17.184000', '1', '1', 'B4F191DE35EACB1189E89983FED7946E', '1', NULL, 0, 'EAE4435E584B184503D1158CA12DD529', '3AB719A9F16A072E23E051D83DCC18A6', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '23C62823622E0022DD0E1CC729473C81', '2023-05-06 09:38:48.423000', '2023-05-06 09:38:48.423000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'BE0A8257D7AFB83B350D3F86AE19D02B', '50x50', '11', 0, '0DD1E2F913E75AA4FFF2D2EC099F6749', '7E8FD225B30F3B6572BF5FA0C1B14798', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-04 15:24:26.869000', '2023-05-04 15:24:26.869000', '1', '1', 'BED217D52199A341EF54F341B0FBAF00', '1', NULL, 1, 'EAE4435E584B184503D1158CA12DD529', '14C121D69039FD360ED8C737AAB8B02E', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '23C62823622E0022DD0E1CC729473C81', '2023-05-05 17:22:37.460000', '2023-05-05 17:22:37.460000', '1', '1', 'C111ACA36CCCF1AE90B92812890683EC', '50x50', '1', 0, '9E87F84467C37EB4A44849F23E8971FB', '324906C6DFDBEF565A81EAEBD4515A58', 'ketamine-2023-1-012', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-05 17:12:56.592000', '2023-05-05 17:12:56.592000', '1', '1', 'C4C53BD266BB8068C71C86E5C9329281', '1', NULL, 0, '7C4663977A69DF24EE23B598E062F36E', '01908891B2B82B5D34A0C9349EC802B3', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-05 17:22:37.459000', '2023-05-05 17:22:37.459000', '1', '1', 'C54D02093384084CAFB4C9B05C9BED39', '1', '1', 1, '7C4663977A69DF24EE23B598E062F36E', '324906C6DFDBEF565A81EAEBD4515A58', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'A66328B04557EC9B6D76E20B646CEF70', '2023-05-15 16:14:56.777000', '2023-05-15 16:14:56.777000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'C5845D688377C1B0B01BC648DBA56A63', '1mL,1.0 mg/mL于乙腈', NULL, 0, '0EDF4ACF159FAAFDD044F2F7B47CC1D9', 'D28EA59421367DD86A0DF29471BDC940', 'gafh-2023-05-15', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'BAE3D7E971A9892FFECED585F5C9931D', '2023-05-15 16:10:24.966000', '2023-05-15 16:10:24.966000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'C5DD85E8449415756587D0837DB460CF', '50x50', NULL, 0, 'A3BE86455A0A0D8D9D69618DB4239369', '51FC6091709BEF63100BC90F508FB337', 'heroin-2023-05-13', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-05 17:05:01.832000', '2023-05-05 17:05:01.832000', '1', '1', 'CC23A6989EC06F40DEE42DF721D963A0', '1', NULL, 0, '7C4663977A69DF24EE23B598E062F36E', 'A47701A79B4AFE62EFB1270C2D29297F', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-04 15:25:45.313000', '2023-05-04 15:25:45.313000', '1', '1', 'D3BF43A809EBCD7DF715C8341854FADB', '1', NULL, 1, 'EAE4435E584B184503D1158CA12DD529', 'F791341196702121198DDC6B2E72D37C', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-08 14:17:17.182000', '2023-05-08 14:17:17.182000', '1', '1', 'D49745B78628FB2881710F3F1FC5FBA8', '1', NULL, 0, '51E7F0D132D006DAC9D3A55FA568DB60', '3AB719A9F16A072E23E051D83DCC18A6', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-08 17:15:08.553000', '2023-05-08 17:15:08.553000', '1', '1', 'D988EB7B2DFFDB77C5707D4F127709A4', '1', NULL, 0, '2AC90CFDAC0A4A20CDEC62B74BC1F52C', 'F509652385D160863141C7DC997E5B76', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '23C62823622E0022DD0E1CC729473C81', '2023-05-12 10:26:45.956000', '2023-05-12 10:26:45.956000', '1', '1', 'DBA1B153106FF9E2A6218D80B98FABE0', '50x50', '1', 0, 'DB585C3C4506713CD1E20ABE5CEF0CB2', '1491BDDFDA56C09BECBB2978876AA227', 'ketamine-2023-1-002', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-05 17:22:18.292000', '2023-05-05 17:22:18.292000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'DDA897D33AABDA6BCCF4197582DFB5E7', '1', '1', 0, '7C4663977A69DF24EE23B598E062F36E', '1C96F4B959D35D303A8417DEBB2211CD', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (5, 'EEB461F1E10CE14AD6E7E0247844053A', '2023-05-11 15:17:28.098000', '2023-05-11 15:17:28.098000', '1', '1', 'DEFDC9CAFF29780DFD33FEC89B93777C', '2x2', NULL, 0, '6DB8CF7672FD57A6B8FE6F21B7561DD6', '5D1C39F4493AB64DC293D4C72FC88B26', NULL, NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '03DC56AFF3DE5D439BE5A4FD4C8B826E', '2023-05-06 09:43:44.388000', '2023-05-06 09:43:44.388000', '1', '1', 'E379D8DD91167CE3626BFC5DE7114E8C', '50x50', NULL, 1, '2AC90CFDAC0A4A20CDEC62B74BC1F52C', 'C2CD2F20EA16D10ACBFF4A6303D6D9D7', 'heroin-2023-01-04', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '28613635426554046F0B12D7121A5AAB', '2023-05-11 16:07:09.820000', '2023-05-11 16:07:09.820000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 'E94288C6B82860ABA29AE00888A5F03C', '30x20', '6', 1, '7DC372AACEC1B8C741A3BB452CE1AA67', 'BF8ADD37A5C6081810250E698068B73E', 'ecstasy-2023-1-004', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '28613635426554046F0B12D7121A5AAB', '2023-05-12 17:21:29.895000', '2023-05-12 17:21:29.895000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'EAC320C44A0F0B91F0C612F7AC9C640E', '30x20', '1231', 0, '7DC372AACEC1B8C741A3BB452CE1AA67', '0225A3614CEFFD7867953510A200A9F3', 'ecstasy-2023-1-003', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '03DC56AFF3DE5D439BE5A4FD4C8B826E', '2023-05-04 14:14:27.596000', '2023-05-04 14:14:27.596000', '1', '1', 'F835167DD492714E608D5692870F4978', '50x50', NULL, 1, '2AC90CFDAC0A4A20CDEC62B74BC1F52C', '50078CA9B05BE069B90AEAC8056C0326', 'heroin-2023-01-04', NULL, NULL);

-- ----------------------------
-- Table structure for reference_material
-- ----------------------------
DROP TABLE IF EXISTS `reference_material`;
CREATE TABLE `reference_material`  (
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(11) NULL DEFAULT NULL,
  `reagent_consumable_inventory_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `lattice_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `custodian_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reference_material
-- ----------------------------
INSERT INTO `reference_material` VALUES ('xxx-2023-_-024', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '010D03ADF5F25FAE9CF3310D719A5F0B', '2023-05-15 10:51:34.384000', '2023-05-15 10:51:34.384000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-050', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', '01DD598E4FD9A686D580BFE30DBE9CCE', '2023-05-13 16:31:09.487000', '2023-05-15 17:43:42.305000', 'C27B8F582693B93596C21C1586A0845A', '1', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('ketamine-2023-1-005', '23C62823622E0022DD0E1CC729473C81', 'DB585C3C4506713CD1E20ABE5CEF0CB2', '02D5974EEB2BB22C3AE959D3FAB7846B', '2023-05-10 14:47:00.331000', '2023-05-10 14:47:00.331000', '1', '1', 0, 'C77CE31D48ECDA021CC59E270B3A645F', '1', '一楼', NULL);
INSERT INTO `reference_material` VALUES ('ecstasy-2023-1-004', '28613635426554046F0B12D7121A5AAB', '7DC372AACEC1B8C741A3BB452CE1AA67', '061E2836B4C158CE5C82372CFAF0C8F7', '2023-05-10 14:48:31.927000', '2023-05-15 17:43:11.305000', '1', '1', 0, '9B39FE9E9E10527EA74507D9AE5E3DEA', '1', '三楼', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-005', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '065EA47854110A1CD2C29B8D8C663986', '2023-05-13 16:02:09.912000', '2023-05-13 16:05:30.647000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', -4, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-002', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '099EB33DD90C17B2694CF22A9E395D42', '2023-05-15 10:51:34.325000', '2023-05-15 10:51:34.325000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-074', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', '09B9C48CC8C241E3D85C8011C1B0931D', '2023-05-13 16:31:09.539000', '2023-05-13 16:31:59.293000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', -3, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('ecstasy-2023-05-13', '0A208DDCEB609EDC27397763570E490F', '7DC372AACEC1B8C741A3BB452CE1AA67', '0B594979D24159B30F2AF3CC3388E349', '2023-05-13 11:31:04.752000', '2023-05-13 11:31:04.752000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 0, '3BA77ED2C5FF73FBF5B4403CF2FE8CBD', '62101ad1aceffaaee57006a381d9cad2', 'F6_624_2号柜_A1', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-053', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', '0C1ECC793488CF52DDC208E07C710284', '2023-05-13 16:31:09.493000', '2023-05-13 16:31:09.493000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-039', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '0DA9DFACAE45D17435387817906C9645', '2023-05-15 10:51:34.419000', '2023-05-15 10:51:34.419000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-004', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '1114A37BD343B8C9564E7806EA821713', '2023-05-15 10:51:34.330000', '2023-05-15 10:51:34.330000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('ketamine-2023-1-004', '23C62823622E0022DD0E1CC729473C81', 'DB585C3C4506713CD1E20ABE5CEF0CB2', '17AFE0BD8EA9D7767C64AE1A69FE8786', '2023-05-10 14:47:00.330000', '2023-05-10 14:47:00.330000', '1', '1', 0, 'C77CE31D48ECDA021CC59E270B3A645F', '1', '一楼', NULL);
INSERT INTO `reference_material` VALUES ('ketamine-2023-1-003', '23C62823622E0022DD0E1CC729473C81', 'DB585C3C4506713CD1E20ABE5CEF0CB2', '18DA6AC970B8FAC96B8B81FAEF9142A5', '2023-05-10 14:47:00.328000', '2023-05-10 14:47:00.328000', '1', '1', 0, 'C77CE31D48ECDA021CC59E270B3A645F', '1', '一楼', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-015', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '1ED66A3A39258F7328E753306F673934', '2023-05-13 16:02:09.945000', '2023-05-13 16:27:43.092000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-025', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '1F2B55DF2A2F37FD496AD42A88C19C10', '2023-05-15 10:51:34.386000', '2023-05-15 10:51:34.386000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-031', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '203EAC8087850255FA91D92C7C02A3E9', '2023-05-13 16:02:09.988000', '2023-05-13 16:02:09.988000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('ecstasy-2023-05-11', '1DF868DB5428ADB82B57A6F6819EDB20', '7DC372AACEC1B8C741A3BB452CE1AA67', '20742D2B2CEF86428DFD5132B1F7A184', '2023-05-11 17:31:15.600000', '2023-05-13 11:08:37.831000', '6c847974320c7cb184228d53eea19114', '1', 0, 'B4134CCEDDBD77B944904EE2204E8163', NULL, NULL, NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-060', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', '21E3445A9A1FE6B1E6BA9E944F933119', '2023-05-13 16:31:09.509000', '2023-05-13 16:31:09.509000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-022', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '238CBA0EE8A703A890455C22F330C470', '2023-05-13 16:02:09.965000', '2023-05-13 16:02:09.965000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('bbb-2023-_-001', '2D8BD9AD670C2998B91DEC97C3ABCC1A', '5131956A2CE712638CD62F76F9E6158B', '2413877B4FC06DEF293367F81468394F', '2023-05-15 10:57:46.926000', '2023-05-15 10:57:46.926000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '7C002123244980DA1F99E7636352779A', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('ketamine-2023-1-001', '23C62823622E0022DD0E1CC729473C81', 'DB585C3C4506713CD1E20ABE5CEF0CB2', '26009E39FC5EB89C61A65E050EF7780E', '2023-05-10 14:47:00.325000', '2023-05-10 14:47:00.325000', '1', '1', 0, 'C77CE31D48ECDA021CC59E270B3A645F', '1', '一楼', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-059', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', '287246094306D22BC7CB9FB6C3923174', '2023-05-13 16:31:09.507000', '2023-05-13 16:31:09.507000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-020', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '2B940847A4F1E8C8432FC8B88FAF129F', '2023-05-13 16:02:09.960000', '2023-05-13 16:02:09.960000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-003', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '2F873F8940EC746DDA3329D692CD932A', '2023-05-13 16:02:09.905000', '2023-05-13 16:02:09.905000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-015', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '2FF9C4E045CBB2056EB0D13F58D8DC6D', '2023-05-15 10:51:34.363000', '2023-05-15 10:51:34.363000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('heroin-2023-1-004', '6D9807222F22E3675247B2CFCD5344A5', 'A3BE86455A0A0D8D9D69618DB4239369', '324FDA05626F5B081FEE7F3F84170732', '2023-05-10 14:48:31.949000', '2023-05-11 17:18:22.563000', '1', '6c847974320c7cb184228d53eea19114', -1, 'A0D66B8AD034BDB5DEF21A4544E06D83', '1', '七楼', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-021', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '3334871CC60AC8E10632B09A4AF0B8BF', '2023-05-15 10:51:34.377000', '2023-05-15 10:51:34.377000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-002', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '34543374A5812523A9F6BDED1F05FA98', '2023-05-13 16:02:09.900000', '2023-05-13 16:02:09.900000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-023', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '372982E60B776D22579565C9420CB7FA', '2023-05-15 10:51:34.382000', '2023-05-15 10:51:34.382000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-033', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '37D89960E2DC581671D48F4B5FF32492', '2023-05-13 16:02:09.993000', '2023-05-13 16:02:09.993000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('heroin-2023-1-001', '6D9807222F22E3675247B2CFCD5344A5', 'A3BE86455A0A0D8D9D69618DB4239369', '396A73079B0457D74B6D64A2F3E702F1', '2023-05-10 14:48:31.944000', '2023-05-10 14:48:31.944000', '1', '1', 0, 'A0D66B8AD034BDB5DEF21A4544E06D83', '1', '七楼', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-031', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '3A0C710761CA5AEC78B7BE8B25459A81', '2023-05-15 10:51:34.403000', '2023-05-15 10:51:34.403000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-006', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '3D4383FFBA8A872558AB7600A5BC0AA1', '2023-05-13 16:02:09.916000', '2023-05-13 16:02:09.916000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-024', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '3E1D750A535EA4874C20DD00302394A3', '2023-05-13 16:02:09.970000', '2023-05-13 16:02:09.970000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-016', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '40D6B3B9C94E0101DA0662FBEBED62A3', '2023-05-15 10:51:34.365000', '2023-05-15 10:51:34.365000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-034', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '4315F6FCE21C723B1ED4F1F3923F3761', '2023-05-15 10:51:34.409000', '2023-05-15 10:51:34.409000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-047', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '439ACFAD53EAC578EBEA30620494DBC5', '2023-05-15 10:51:34.444000', '2023-05-15 10:51:34.444000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-039', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', '44C67709E6752D6F61CF96EA27232A83', '2023-05-13 16:31:09.463000', '2023-05-13 16:31:09.463000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-029', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '47D4D1E0A4B6BD83AAF31ED2F0F5847D', '2023-05-15 10:51:34.399000', '2023-05-15 10:51:34.399000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-018', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '4E651CE7DFBFF201A513D652861B3057', '2023-05-13 16:02:09.955000', '2023-05-13 16:02:09.955000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-020', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '4EB4979D69EF299492BDF7E3E102B6AB', '2023-05-15 10:51:34.375000', '2023-05-15 10:51:34.375000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-051', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', '4F4BB729C50A8A4A9D2C1ACEEEB6962F', '2023-05-13 16:31:09.489000', '2023-05-13 16:31:09.489000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-009', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '515D7524D0DEE8992852987C15BDBDB4', '2023-05-15 10:51:34.347000', '2023-05-15 10:51:34.347000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-072', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', '51E3224D7B52042230680C0789462131', '2023-05-13 16:31:09.535000', '2023-05-13 16:31:09.535000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-042', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '524E6098CFDE5F1763A5070FD2AA80E1', '2023-05-15 10:51:34.426000', '2023-05-15 10:51:34.426000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-026', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '548B63ABF4A0DD3265CC9001BD9C4FF2', '2023-05-13 16:02:09.976000', '2023-05-13 16:02:09.976000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-014', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '54CD8EB448D3BCBBDA27974DC8B84855', '2023-05-13 16:02:09.942000', '2023-05-13 16:02:09.942000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-011', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '5656534CDD946A28244C71227E399EAE', '2023-05-15 10:51:34.352000', '2023-05-15 10:51:34.352000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-001', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '5706862DA8552F03299AE753E8D8ABF7', '2023-05-13 16:02:09.894000', '2023-05-13 16:02:09.894000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-022', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '581F26BBD6E6AF762F05480F6C07B499', '2023-05-15 10:51:34.379000', '2023-05-15 10:51:34.379000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-048', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '5A7942084B8F99C3FFAEF7A2B9FC5757', '2023-05-15 10:51:34.446000', '2023-05-15 10:51:34.446000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-036', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '5C45213EA06C64E5B9229741FA51D9D2', '2023-05-15 10:51:34.413000', '2023-05-15 10:51:34.413000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-065', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', '6037657C3BD8E260520402575C822064', '2023-05-13 16:31:09.519000', '2023-05-13 16:31:09.519000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-034', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '609C6FD9026F5DE690B790B24E122766', '2023-05-13 16:02:09.995000', '2023-05-13 16:02:09.995000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-008', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '60DAD53B30BA7BDDD16670B5B84F2011', '2023-05-13 16:02:09.923000', '2023-05-13 16:02:09.923000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-061', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', '612FBCC0598ED98CF6B4797F279BF51C', '2023-05-13 16:31:09.511000', '2023-05-13 16:31:09.511000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-05-15', 'A66328B04557EC9B6D76E20B646CEF70', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', '61CBE8279E964B516B8DDF70202B6719', '2023-05-15 16:14:35.729000', '2023-05-15 16:15:23.830000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', -3, 'E04B9BF7351E29F59A345C4D979DA584', '58341e949178b2cde34bd6d131dc6f79', 'F6_621_2号柜_D3', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-055', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', '62964C8389FE21C0086860229710E7BD', '2023-05-13 16:31:09.499000', '2023-05-13 16:31:09.499000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-030', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '66BF8774570335D4F9D476D94214BD83', '2023-05-15 10:51:34.401000', '2023-05-15 10:51:34.401000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-046', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '683349DFD15B928F57A6173F6AFC508C', '2023-05-15 10:51:34.442000', '2023-05-15 10:51:34.442000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('ecstasy-2023-1-003', '28613635426554046F0B12D7121A5AAB', '7DC372AACEC1B8C741A3BB452CE1AA67', '684AB3A46A2138BA0E67FB2A171D9F22', '2023-05-10 14:48:31.925000', '2023-05-13 09:28:16.782000', '1', '45b9ad10f4ec48e3b371d3ea8ab845e3', -1, '9B39FE9E9E10527EA74507D9AE5E3DEA', '1', '三楼', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-037', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '68B52C656A39A0C9C7C3D5A65D1A118E', '2023-05-13 16:02:10.002000', '2023-05-13 16:02:10.002000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-066', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', '698224EADC06B2DFF7482D0AED31F73D', '2023-05-13 16:31:09.522000', '2023-05-13 16:31:09.522000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('heroin-2023-1-003', '6D9807222F22E3675247B2CFCD5344A5', 'A3BE86455A0A0D8D9D69618DB4239369', '6CEDA6931D665CC92C1C8AAA673219C3', '2023-05-10 14:48:31.947000', '2023-05-12 10:27:35.349000', '1', '1', -4, 'A0D66B8AD034BDB5DEF21A4544E06D83', '1', '七楼', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-043', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '6DB1B755C65BA2B151AFE7D05450ABD1', '2023-05-15 10:51:34.437000', '2023-05-15 10:51:34.437000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-070', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', '7178B0E6A8ED13CD3415CAC484957EAB', '2023-05-13 16:31:09.530000', '2023-05-13 16:31:09.530000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-042', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', '7352699DD899DC8504698E7B85906F99', '2023-05-13 16:31:09.470000', '2023-05-13 16:31:09.470000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-028', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '747B37574715D914B5B873CA08578CF7', '2023-05-13 16:02:09.981000', '2023-05-13 16:02:09.981000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-017', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '7567787931D0909B74A53238FB548144', '2023-05-15 10:51:34.368000', '2023-05-15 10:51:34.368000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-032', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '7643CE6383D362187B21B8F0B9A26B7C', '2023-05-15 10:51:34.405000', '2023-05-15 10:51:34.405000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-030', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '7AF0E24AB19B442A7ED413CB54421536', '2023-05-13 16:02:09.986000', '2023-05-13 16:02:09.986000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-006', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '7C6205089E56DCF7854EB404EB8EAB2A', '2023-05-15 10:51:34.337000', '2023-05-15 10:51:34.337000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-032', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '7C6A0084EDD72EE1C98CCA16DF3E4882', '2023-05-13 16:02:09.991000', '2023-05-13 16:02:09.991000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('ecstasy-2023-1-005', '28613635426554046F0B12D7121A5AAB', '7DC372AACEC1B8C741A3BB452CE1AA67', '829B46861130C30437A0C3E257120D06', '2023-05-10 14:48:31.929000', '2023-05-10 14:48:31.929000', '1', '1', 0, '9B39FE9E9E10527EA74507D9AE5E3DEA', '1', '三楼', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-018', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '847EDE687B18EC7B3978183BD7266EB0', '2023-05-15 10:51:34.370000', '2023-05-15 10:51:34.370000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('bbb-2023-_-002', '2D8BD9AD670C2998B91DEC97C3ABCC1A', '5131956A2CE712638CD62F76F9E6158B', '84EBB70537D5BF796026BAC036AFBD30', '2023-05-15 10:57:46.927000', '2023-05-15 10:57:46.927000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '7C002123244980DA1F99E7636352779A', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-001', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '84FFD8E2D9E0D4603EA179AE93C6E84F', '2023-05-15 10:51:34.321000', '2023-05-15 10:51:34.321000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-035', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '8664EF96413B6D1BC0FE9D9FD5983CAA', '2023-05-13 16:02:09.998000', '2023-05-13 16:02:09.998000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-010', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '876E5FE11D84A6C6CA79384ACD2E1D43', '2023-05-13 16:02:09.929000', '2023-05-13 16:02:09.929000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-045', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', '8F2722549CE6D424E637271359277E3C', '2023-05-13 16:31:09.477000', '2023-05-13 16:31:09.477000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-068', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', '8F45CAEE1ABFD17C3E81A0AF7C1028F5', '2023-05-13 16:31:09.526000', '2023-05-13 16:31:09.526000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-045', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '90BE167AECB48A09EBF6D6FCDD1294E5', '2023-05-15 10:51:34.440000', '2023-05-15 10:51:34.440000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('heroin-2023-05-13', 'BAE3D7E971A9892FFECED585F5C9931D', 'A3BE86455A0A0D8D9D69618DB4239369', '90CBBAFA2433CB679B1C159C5EF50D4E', '2023-05-13 11:11:26.511000', '2023-05-15 11:29:28.292000', '1', '6c847974320c7cb184228d53eea19114', 0, '04ECC66EC5805B5ED293E05F317CE88D', NULL, 'F6_621_2号柜_A1', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-071', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', '93C8176F7675078E1349DC578E4023D8', '2023-05-13 16:31:09.533000', '2023-05-13 16:31:09.533000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-016', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '94FBDEC9E03136B8FFD57E233F5F466B', '2023-05-13 16:02:09.949000', '2023-05-13 16:02:09.949000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-012', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '95ED82E1AF4E35BA58B6C185B589FC0C', '2023-05-13 16:02:09.935000', '2023-05-13 16:02:09.935000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-040', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', '99BBD1EFAD07B99E578948E1F099A4B4', '2023-05-15 10:51:34.421000', '2023-05-15 10:51:34.421000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-040', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', '9A92FA544AB5C250A4C4CFEDD258F2B6', '2023-05-13 16:31:09.465000', '2023-05-13 16:31:09.465000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-004', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', '9AAEB7F4AA2B1FD49DBE723FAEF0F184', '2023-05-13 16:02:09.908000', '2023-05-13 16:02:09.908000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('ketamine-2023-05-13', '42F980998F293EE2BF6B31AD3961A4AA', 'DB585C3C4506713CD1E20ABE5CEF0CB2', '9B34EF1EDE5B5E65808773167CAB5571', '2023-05-13 12:04:26.678000', '2023-05-13 12:05:57.034000', '1', '1', -4, 'FE8AF971DF32893B1B9FFA498D1C47F6', NULL, NULL, NULL);
INSERT INTO `reference_material` VALUES ('eee-2023-_-002', '26B966569ED973FF3B443F0D748337CC', '2A6277F3EF3D722B9F1FB02E83B0C618', 'A10372085282D810342F98A3FE8D8AD1', '2023-05-15 10:58:04.893000', '2023-05-15 10:58:04.893000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '216508C3DEC54A080623DC1105E0EAAC', '2c6d956fbceb2866f4094febe431a369', 'F6_621_2号柜_E4', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-036', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', 'A1BA4332A37692B9540CE2CD75E7C6D9', '2023-05-13 16:02:10.000000', '2023-05-13 16:02:10.000000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-076', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', 'A6FD135613DF1751415CF858572EBE35', '2023-05-13 16:31:09.545000', '2023-05-13 16:31:09.545000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-019', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', 'A7912ADB725F665861A59B349AC2EA60', '2023-05-13 16:02:09.958000', '2023-05-13 16:02:09.958000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-062', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', 'A8B8DB86B9711844CEED2436C0E25510', '2023-05-13 16:31:09.513000', '2023-05-13 16:31:09.513000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('heroin-2023-1-005', '6D9807222F22E3675247B2CFCD5344A5', 'A3BE86455A0A0D8D9D69618DB4239369', 'AB4B35CF5D45138D6175F4E34BE3DC00', '2023-05-10 14:48:31.960000', '2023-05-10 14:48:31.960000', '1', '1', 0, 'A0D66B8AD034BDB5DEF21A4544E06D83', '1', '七楼', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-028', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', 'AC5F7A8479622B7DB820434D410AE13A', '2023-05-15 10:51:34.396000', '2023-05-15 10:51:34.396000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-044', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', 'AD8F233F50766DA09F0A8FFB35F309B0', '2023-05-15 10:51:34.438000', '2023-05-15 10:51:34.438000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-008', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', 'B06CF7C3FA2849C1559BB63F1C825C5B', '2023-05-15 10:51:34.344000', '2023-05-15 10:51:34.344000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-017', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', 'B1C7CA7616EC9C9BE83B07EFF658BCE8', '2023-05-13 16:02:09.952000', '2023-05-13 16:02:09.952000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-038', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', 'B5B3388B7F48DDBF12405B11F1492E48', '2023-05-15 10:51:34.417000', '2023-05-15 10:51:34.417000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-037', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', 'B8A29682A1913DEFCB4B2F7ACAEF2F18', '2023-05-15 10:51:34.415000', '2023-05-15 10:51:34.415000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('eee-2023-_-005', '26B966569ED973FF3B443F0D748337CC', '2A6277F3EF3D722B9F1FB02E83B0C618', 'B908753EAED226890DD0F201A8C4E454', '2023-05-15 10:58:04.895000', '2023-05-15 10:58:04.895000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '216508C3DEC54A080623DC1105E0EAAC', '2c6d956fbceb2866f4094febe431a369', 'F6_621_2号柜_E4', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-044', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', 'BAC6AEFB44270F6D6271B06D09B1B49C', '2023-05-13 16:31:09.475000', '2023-05-13 16:31:09.475000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-075', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', 'BB741116F71A66BBF32D823F01ECF445', '2023-05-13 16:31:09.542000', '2023-05-13 16:31:09.542000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-058', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', 'BD5A98693228E2DCD7FDF5E21BCC6A44', '2023-05-13 16:31:09.505000', '2023-05-13 16:31:09.505000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-047', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', 'BDE830382759A8DF0D00BEDA80E7D55C', '2023-05-13 16:31:09.481000', '2023-05-13 16:31:09.481000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('heroin-2023-1-002', '6D9807222F22E3675247B2CFCD5344A5', 'A3BE86455A0A0D8D9D69618DB4239369', 'BE1D7AFBE5B27085BCC9B3BB0077CF3E', '2023-05-10 14:48:31.946000', '2023-05-10 14:48:31.946000', '1', '1', 0, 'A0D66B8AD034BDB5DEF21A4544E06D83', '1', '七楼', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-029', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', 'C0A767B72C870727D86E66CD3CB01F9D', '2023-05-13 16:02:09.983000', '2023-05-13 16:02:09.983000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-014', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', 'C1D94B40F737EF77DBC8C90E007765E0', '2023-05-15 10:51:34.360000', '2023-05-15 10:51:34.360000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-011', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', 'C25730379D8619D77AF1A6A7EFA491CA', '2023-05-13 16:02:09.932000', '2023-05-13 16:02:09.932000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-009', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', 'C49C0BAEAC42A42F6033FA73B2063A3B', '2023-05-13 16:02:09.926000', '2023-05-13 16:02:09.926000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('eee-2023-_-003', '26B966569ED973FF3B443F0D748337CC', '2A6277F3EF3D722B9F1FB02E83B0C618', 'C79B19DB5AB7608424F837EF829434C5', '2023-05-15 10:58:04.894000', '2023-05-15 10:58:04.894000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '216508C3DEC54A080623DC1105E0EAAC', '2c6d956fbceb2866f4094febe431a369', 'F6_621_2号柜_E4', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-064', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', 'C898B5942F6D906A27B88D988A525858', '2023-05-13 16:31:09.517000', '2023-05-13 16:31:09.517000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-026', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', 'C98F870E866C846FD302AB1F137C9139', '2023-05-15 10:51:34.388000', '2023-05-15 10:51:34.388000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-057', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', 'C9BC93E828901A50B1F566DEA9B7F546', '2023-05-13 16:31:09.503000', '2023-05-13 16:31:09.503000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-013', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', 'CB039B9365ACE60B2859D74A5C06A2B0', '2023-05-15 10:51:34.357000', '2023-05-15 10:51:34.357000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-043', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', 'CC3BC2082E6866D4E599607B0F589EA6', '2023-05-13 16:31:09.473000', '2023-05-13 16:31:09.473000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-052', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', 'CE830168D54D32CF3807D72A16276CD0', '2023-05-13 16:31:09.491000', '2023-05-13 16:31:09.491000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-069', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', 'CF1799A9DCB18B7451D854B3448852B3', '2023-05-13 16:31:09.528000', '2023-05-13 16:31:09.528000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-023', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', 'D008E96A523FDADC07727D68AA8216B0', '2023-05-13 16:02:09.968000', '2023-05-13 16:02:09.968000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('eee-2023-_-001', '26B966569ED973FF3B443F0D748337CC', '2A6277F3EF3D722B9F1FB02E83B0C618', 'D2437E225236E13DDABEFEB0008AADD9', '2023-05-15 10:58:04.892000', '2023-05-15 10:58:04.892000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '216508C3DEC54A080623DC1105E0EAAC', '2c6d956fbceb2866f4094febe431a369', 'F6_621_2号柜_E4', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-027', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', 'D254BA3D0D9EEDF69B45EDD176E43DAF', '2023-05-13 16:02:09.978000', '2023-05-13 16:02:09.978000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-013', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', 'D28A34B26658405CA2DD161751F24B8F', '2023-05-13 16:02:09.939000', '2023-05-13 16:02:09.939000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('ecstasy-2023-1-001', '28613635426554046F0B12D7121A5AAB', '7DC372AACEC1B8C741A3BB452CE1AA67', 'D39DF24F55C234E0271474D687318853', '2023-05-10 14:48:31.922000', '2023-05-10 14:48:31.922000', '1', '1', 0, '9B39FE9E9E10527EA74507D9AE5E3DEA', '1', '三楼', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-019', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', 'D4FA97EED76402DAB591FCF254B0A89F', '2023-05-15 10:51:34.373000', '2023-05-15 10:51:34.373000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-054', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', 'D5407DD6337FA7030C07F3DB6AB4A7C0', '2023-05-13 16:31:09.496000', '2023-05-13 16:31:09.496000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-041', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', 'D878BAD3FB97BC3B2D21B81B9D2A3C13', '2023-05-15 10:51:34.423000', '2023-05-15 10:51:34.423000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('eee-2023-_-004', '26B966569ED973FF3B443F0D748337CC', '2A6277F3EF3D722B9F1FB02E83B0C618', 'DB75EA7E69528E98F743DEAB57E9078B', '2023-05-15 10:58:04.894000', '2023-05-15 10:58:04.894000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '216508C3DEC54A080623DC1105E0EAAC', '2c6d956fbceb2866f4094febe431a369', 'F6_621_2号柜_E4', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-025', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', 'DBC46C283AC044125ADDB28B2020F816', '2023-05-13 16:02:09.973000', '2023-05-13 16:02:09.973000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-041', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', 'E1C50351F5995D5F4CD43A2CD75F7987', '2023-05-13 16:31:09.468000', '2023-05-13 16:31:09.468000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-046', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', 'E2168586D2ACC1DCD35F10CCAC58F872', '2023-05-13 16:31:09.479000', '2023-05-13 16:31:09.479000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-003', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', 'E2777A2AF15E27B132AB314D66C78618', '2023-05-15 10:51:34.328000', '2023-05-15 10:51:34.328000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-027', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', 'E43043ABEFCD201D5967157AA6561CCF', '2023-05-15 10:51:34.389000', '2023-05-15 10:51:34.389000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-067', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', 'E581ABD5A58CD0EDB1F23AB4B9581951', '2023-05-13 16:31:09.524000', '2023-05-13 16:31:09.524000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-012', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', 'E70F3C54AE935C56B48EB3C90CF698FF', '2023-05-15 10:51:34.354000', '2023-05-15 10:51:34.354000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('ecstasy-2023-1-002', '28613635426554046F0B12D7121A5AAB', '7DC372AACEC1B8C741A3BB452CE1AA67', 'E72BD69EC5AA408108BC11EB7079F998', '2023-05-10 14:48:31.924000', '2023-05-10 14:48:31.924000', '1', '1', 0, '9B39FE9E9E10527EA74507D9AE5E3DEA', '1', '三楼', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-056', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', 'E80890B15179AA54DEF2303F86C6F591', '2023-05-13 16:31:09.501000', '2023-05-13 16:31:09.501000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-007', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', 'E86A79F3B662ABA3CADEF01EA33B5557', '2023-05-13 16:02:09.920000', '2023-05-13 16:02:09.920000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-007', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', 'EA6C4E8ADA8A60CCC57AF565A308C79B', '2023-05-15 10:51:34.341000', '2023-05-15 10:51:34.341000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('ketamine-2023-1-002', '23C62823622E0022DD0E1CC729473C81', 'DB585C3C4506713CD1E20ABE5CEF0CB2', 'EB958DCA33B89B24AA85135F7914247C', '2023-05-10 14:47:00.326000', '2023-05-12 10:27:51.768000', '1', '1', -4, 'C77CE31D48ECDA021CC59E270B3A645F', '1', '一楼', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-073', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', 'ED96D04D2F138B4E124FF7BA6872F07D', '2023-05-13 16:31:09.537000', '2023-05-13 16:31:09.537000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-063', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', 'EDE42D67D7CDB6E560F458EBEC505B09', '2023-05-13 16:31:09.515000', '2023-05-13 16:31:09.515000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-021', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', 'EECE202C6E6D9DED7F2280A62B068C1C', '2023-05-13 16:02:09.963000', '2023-05-13 16:02:09.963000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-048', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', 'EF602666E129364E3C9FBC559254D368', '2023-05-13 16:31:09.483000', '2023-05-13 16:31:09.483000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-035', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', 'F26E15E4727AA0AFBD263CA4E0E6DB77', '2023-05-15 10:51:34.411000', '2023-05-15 10:51:34.411000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-038', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 'BF5A853229F3E680408C74CB43A4A5D3', 'F2E76EBF66206878771DBFFA6F0184B8', '2023-05-13 16:02:10.005000', '2023-05-13 16:02:10.005000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '1111', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-010', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', 'F4761C1188AC66FA1DF83FC485EF0A73', '2023-05-15 10:51:34.350000', '2023-05-15 10:51:34.350000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('gafh-2023-1-049', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', '0EDF4ACF159FAAFDD044F2F7B47CC1D9', 'F7A4B3701361563C3E56677193BAC86D', '2023-05-13 16:31:09.485000', '2023-05-13 16:31:09.485000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '0A77A1AA3DBB7E6AF64221DCB8A4DBAB', '1', '12', NULL);
INSERT INTO `reference_material` VALUES ('ketamine-2023-04-13', '42F980998F293EE2BF6B31AD3961A4AA', 'DB585C3C4506713CD1E20ABE5CEF0CB2', 'F91C374267824ABDFA064AC327D07A43', '2023-05-13 20:04:27.109000', '2023-05-13 20:04:27.109000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 0, 'FE8AF971DF32893B1B9FFA498D1C47F6', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-005', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', 'FE74443F6FBADE183C3E5900068FD40F', '2023-05-15 10:51:34.333000', '2023-05-15 10:51:34.333000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);
INSERT INTO `reference_material` VALUES ('xxx-2023-_-033', '971672B361519CA4185A90240F55ECB1', '358AEB6E72D1BCCDD6023AB2BD17B1E2', 'FF011F520942C19FC8CF0C6A6C919E4D', '2023-05-15 10:51:34.407000', '2023-05-15 10:51:34.407000', '1', '1', 0, '47891E9499CB22601318EEF40AE7FB8D', '84af621b5019b01df9d5b28264d64f77', 'F6_621_2号柜_B2', NULL);

-- ----------------------------
-- Table structure for requisition_record
-- ----------------------------
DROP TABLE IF EXISTS `requisition_record`;
CREATE TABLE `requisition_record`  (
  `date_of_claim` datetime(6) NULL DEFAULT NULL COMMENT '(领用日期)',
  `recipient_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `requisition_record_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `drawing_amount` int(8) NULL DEFAULT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`requisition_record_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材领用记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of requisition_record
-- ----------------------------
INSERT INTO `requisition_record` VALUES ('2023-05-11 16:00:43.771000', '1', NULL, '2023-05-11 16:00:43.768000', '2023-05-11 16:00:43.772000', '1', '1', '10406B1F0DCAE1D861BBCB66B7FE6F11', '8C057A697826732F6510CDC2A691B4D5', '1x1', 200, NULL, '5FE8C13BEB8CC91DF516CBC605B581BE');
INSERT INTO `requisition_record` VALUES ('2023-05-10 15:19:18.199000', '1', '1', '2023-05-10 15:19:18.195000', '2023-05-10 15:19:18.199000', '1', '1', '52ED792D23FC5DB9FD380B294082BE03', 'AF8CBA871FC396CABEF48E8D2E6063BD', '1', 5, NULL, NULL);
INSERT INTO `requisition_record` VALUES ('2023-05-15 17:09:05.884000', 'C27B8F582693B93596C21C1586A0845A', '无', '2023-05-15 17:09:05.875000', '2023-05-15 17:09:05.884000', '1', '1', '88E01F5D36F2F0617A6BBB28DAA66ACF', '243E47CC2269FD5E40ACE32D07F4604C', '23123123', 5, NULL, '1ED33CC036EBDE709C9D91E822DF71CA');
INSERT INTO `requisition_record` VALUES ('2023-05-15 17:04:44.658000', 'C27B8F582693B93596C21C1586A0845A', '无', '2023-05-15 17:04:44.649000', '2023-05-15 17:04:44.659000', '1', '1', '8AEDCFA6B86A916246102DDF31E8C187', '243E47CC2269FD5E40ACE32D07F4604C', '23123123', 5, NULL, '1ED33CC036EBDE709C9D91E822DF71CA');
INSERT INTO `requisition_record` VALUES ('2023-05-11 15:18:53.802000', '1', '阿萨德', '2023-05-11 15:18:53.800000', '2023-05-11 15:18:53.802000', '1', '1', 'AA1151457A75EE7160BC8776673D0E88', '8C057A697826732F6510CDC2A691B4D5', '1x1', 5, NULL, '7280FF238F695156CE8268F6F49429F4');
INSERT INTO `requisition_record` VALUES ('2023-05-11 15:18:53.785000', '1', '阿萨德', '2023-05-11 15:18:53.774000', '2023-05-11 15:18:53.786000', '1', '1', 'CA8B5124E29E84187822D32FCE6C196A', 'EEB461F1E10CE14AD6E7E0247844053A', '2x2', 5, NULL, '7280FF238F695156CE8268F6F49429F4');
INSERT INTO `requisition_record` VALUES ('2023-05-15 17:24:23.928000', '1', '无', '2023-05-15 17:24:23.926000', '2023-05-15 17:24:23.928000', '1', '1', 'F3C728ACB62E08D691D3433E41368DD8', '243E47CC2269FD5E40ACE32D07F4604C', '23123123', 5, NULL, 'ABD0EEA9CF397174A7D9F3A3715465F2');

-- ----------------------------
-- Table structure for solution_use_form
-- ----------------------------
DROP TABLE IF EXISTS `solution_use_form`;
CREATE TABLE `solution_use_form`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '溶液使用记录表\r\n',
  `solution_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `quantity_used` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `order_of_use` int(255) NULL DEFAULT NULL,
  `date_of_use` datetime(6) NULL DEFAULT NULL,
  `standard_material_application_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of solution_use_form
-- ----------------------------
INSERT INTO `solution_use_form` VALUES ('047AC57E2674B3959F098C05A507A223', 'A150CE1461E9294E87C9B2FA011B46BC', '1', '12', 1, NULL, '5903FCBEF3EB9B2B1A7F5E36841357E8', '2023-05-13 12:04:58.255000', '2023-05-13 12:05:10.998000', '1', '1');
INSERT INTO `solution_use_form` VALUES ('0C04FD2E2C60170F0E67FBB39E75E6F7', '05411E2C34140BED55292459B2E2A391', '6c847974320c7cb184228d53eea19114', NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `solution_use_form` VALUES ('17FBF6ADD09044B91C388557E4C7419E', 'FFD6FED435958F101B9261A3846F23B3', '1', '0', 2, NULL, '62F4236BC2BB7606402A251C0C01E9BA', '2023-05-13 11:13:40.637000', '2023-05-15 11:29:28.294000', '1', '6c847974320c7cb184228d53eea19114');
INSERT INTO `solution_use_form` VALUES ('43401D72C8A780ECD0EB7348D1712497', '05411E2C34140BED55292459B2E2A391', '1', NULL, 3, NULL, '05411E2C34140BED55292459B2E2A391', NULL, NULL, NULL, NULL);
INSERT INTO `solution_use_form` VALUES ('A292B8A728BE585638749D059EFE91E5', '05411E2C34140BED55292459B2E2A391', '1', NULL, 2, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `solution_use_form` VALUES ('D669793ADB973092562E81F0C3DD1E1F', 'A150CE1461E9294E87C9B2FA011B46BC', '1', '1453', 2, NULL, 'BD5F07D4B1D2302F2DC1E7A13E0DD6B9', '2023-05-13 12:05:47.078000', '2023-05-13 12:05:57.035000', '1', '1');
INSERT INTO `solution_use_form` VALUES ('E11778803CD9B5B5CD09B157FCCC71B0', 'FFD6FED435958F101B9261A3846F23B3', '1', '10', 1, NULL, '0333614D67358C4B06184B2AD6147C0E', '2023-05-13 11:12:20.133000', '2023-05-13 11:25:19.060000', '1', '1');
INSERT INTO `solution_use_form` VALUES ('E11E2546FB0D4CC486EF6B85198B2B1B', '2406F601C14481A2BF2749D010CA3B30', 'C27B8F582693B93596C21C1586A0845A', NULL, 1, NULL, 'C4661B2E6B0EF00B698ACB699A047DE6', '2023-05-15 16:15:23.828000', '2023-05-15 16:15:23.829000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A');

-- ----------------------------
-- Table structure for standard_material_application
-- ----------------------------
DROP TABLE IF EXISTS `standard_material_application`;
CREATE TABLE `standard_material_application`  (
  `standard_material_application_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `administrator_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员ID)',
  `date_of_claim` datetime(6) NULL DEFAULT NULL COMMENT '(领用日期)',
  `date_of_return` datetime(6) NULL DEFAULT NULL COMMENT '(归还日期)',
  `purpose_and_quantity` varchar(6) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '使用数量',
  `recipient_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人ID)',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `reference_substance_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `requisitioned_quantity` int(11) NULL DEFAULT NULL COMMENT '(领用数量)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `serial_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(序号)',
  `specification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格)',
  `delivery_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `requisition_record_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `storage_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `claim_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `purpose` int(6) NULL DEFAULT NULL,
  `number` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `application_for_use_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(3) NULL DEFAULT NULL,
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `is_return` int(3) NULL DEFAULT NULL,
  `reference_substance_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`standard_material_application_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质领用/归还登记表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_material_application
-- ----------------------------
INSERT INTO `standard_material_application` VALUES ('0333614D67358C4B06184B2AD6147C0E', '1', '2023-05-13 11:12:20.131000', '2023-05-13 11:25:19.058000', '10', '1', 'heroin-2023-05-13', 'BAE3D7E971A9892FFECED585F5C9931D', 1, '2023-05-13 11:12:20.145000', '2023-05-13 11:25:19.061000', '1', '1', NULL, '50x50', '9585DEDB3FF2ED5BCA9AE622C4C97BEA', NULL, NULL, NULL, 0, NULL, 'FF94557253987C9CA93FF1E5100103A3', 1, '90CBBAFA2433CB679B1C159C5EF50D4E', NULL, NULL);
INSERT INTO `standard_material_application` VALUES ('1168AE6344F89DEB83201C7A5E51733A', 'C27B8F582693B93596C21C1586A0845A', '2023-05-15 16:10:41.274000', '2023-05-15 17:43:42.301000', '1', 'C27B8F582693B93596C21C1586A0845A', 'gafh-2023-1-050', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 1, '2023-05-15 16:10:41.295000', '2023-05-15 17:43:42.306000', 'C27B8F582693B93596C21C1586A0845A', '1', NULL, '1mL,1.0 mg/mL于乙腈', '133EFAFC53DB6A3D142433BB0BF775F7', NULL, NULL, NULL, 0, NULL, '51FC6091709BEF63100BC90F508FB337', 1, '01DD598E4FD9A686D580BFE30DBE9CCE', 0, '7-氨基硝西泮');
INSERT INTO `standard_material_application` VALUES ('1B0FD9D4480D08672A72B71DFC4F8019', 'C27B8F582693B93596C21C1586A0845A', '2023-05-13 16:05:20.035000', '2023-05-13 16:05:30.646000', '1', 'C27B8F582693B93596C21C1586A0845A', 'gafh-2023-1-005', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 1, '2023-05-13 16:05:20.054000', '2023-05-13 16:05:30.649000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, '1mL,1.0 mg/mL于乙腈', '422BA499561AFCBF485A45DE02DE2D00', NULL, NULL, NULL, 0, NULL, '52D4D2F9753265F78936AFC185B86A26', 1, '065EA47854110A1CD2C29B8D8C663986', 0, NULL);
INSERT INTO `standard_material_application` VALUES ('1FDE2B6C0D36AC5305F6A0923D61B1E1', 'C27B8F582693B93596C21C1586A0845A', '2023-05-13 16:31:59.293000', NULL, NULL, 'C27B8F582693B93596C21C1586A0845A', 'gafh-2023-1-074', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 1, '2023-05-13 16:31:59.297000', '2023-05-13 16:31:59.297000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, '1mL,1.0 mg/mL于乙腈', 'B98317C67EA3A96CB79E57B982040AC9', NULL, NULL, NULL, 0, NULL, 'A422ECE0A865F0A1FF9122379DA69A21', 0, '09B9C48CC8C241E3D85C8011C1B0931D', 0, NULL);
INSERT INTO `standard_material_application` VALUES ('269BEC0E9571F64E499831FF630B2F7D', 'C27B8F582693B93596C21C1586A0845A', '2023-05-13 16:27:22.724000', '2023-05-13 16:27:43.088000', '10', 'C27B8F582693B93596C21C1586A0845A', 'gafh-2023-1-015', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 1, '2023-05-13 16:27:22.743000', '2023-05-13 16:27:43.095000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, '1mL,1.0 mg/mL于乙腈', '178C39EC6985FFECD0BFF91688399614', NULL, NULL, NULL, 0, NULL, 'AB9D10EA941D01BDEE776C5F7AA29F04', 1, '1ED66A3A39258F7328E753306F673934', 0, NULL);
INSERT INTO `standard_material_application` VALUES ('2CC7CD57DFD01C3C0DDB25BEA275E41D', '1', '2023-05-12 10:27:19.908000', '2023-05-12 10:27:35.348000', '10', '1', 'heroin-2023-1-003', '6D9807222F22E3675247B2CFCD5344A5', 1, '2023-05-12 10:27:19.934000', '2023-05-12 10:27:35.354000', '1', '1', NULL, '50x50', '5578A1E9FC141E5E0E1F7CB76F1EE05A', NULL, NULL, NULL, 0, NULL, '1491BDDFDA56C09BECBB2978876AA227', 1, '6CEDA6931D665CC92C1C8AAA673219C3', 0, NULL);
INSERT INTO `standard_material_application` VALUES ('3C76572B77555FC9D391756FD5739949', '6c847974320c7cb184228d53eea19114', '2023-05-11 16:29:08.780000', '2023-05-11 16:31:34.561000', '1', '6c847974320c7cb184228d53eea19114', 'ecstasy-2023-1-004', '28613635426554046F0B12D7121A5AAB', 1, '2023-05-11 16:29:08.782000', '2023-05-11 16:31:34.573000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, '30x20', NULL, NULL, NULL, NULL, 1, NULL, '3EE572F393CD83A70D3BDB73E426D988', 1, '061E2836B4C158CE5C82372CFAF0C8F7', 1, NULL);
INSERT INTO `standard_material_application` VALUES ('4145E7EB05DEE395FB4883C652FB535A', '1', '2023-05-13 09:40:56.551000', '2023-05-13 11:08:28.732000', '10', '1', 'ecstasy-2023-05-11', '1DF868DB5428ADB82B57A6F6819EDB20', 1, '2023-05-13 09:40:56.586000', '2023-05-13 11:08:28.742000', '1', '1', NULL, '30x20', 'A6891512C7C39811CDF3A91BD6C7C182', NULL, NULL, NULL, 0, NULL, '462DD6BC9C0E107E7E1F5CD05ABC9FBE', 1, '20742D2B2CEF86428DFD5132B1F7A184', NULL, NULL);
INSERT INTO `standard_material_application` VALUES ('51A360D4F23264C496D025FE07C91F41', '1', '2023-05-12 10:27:19.927000', '2023-05-12 10:27:51.766000', '1', '1', 'ketamine-2023-1-002', '23C62823622E0022DD0E1CC729473C81', 1, '2023-05-12 10:27:19.934000', '2023-05-12 10:27:51.769000', '1', '1', NULL, '50x50', '5578A1E9FC141E5E0E1F7CB76F1EE05A', NULL, NULL, NULL, 0, NULL, '1491BDDFDA56C09BECBB2978876AA227', 1, 'EB958DCA33B89B24AA85135F7914247C', 0, NULL);
INSERT INTO `standard_material_application` VALUES ('5757DB4020B7514A0EDF5E5D5F2B5588', '1', '2023-05-11 16:09:26.303000', NULL, NULL, '1', 'ecstasy-2023-1-004', '28613635426554046F0B12D7121A5AAB', 1, '2023-05-11 16:09:26.318000', '2023-05-11 16:09:26.318000', '1', '1', NULL, '30x20', NULL, NULL, NULL, NULL, 0, NULL, 'FEBA755539D0331A098D9B3B005CB1C8', 0, '061E2836B4C158CE5C82372CFAF0C8F7', 0, NULL);
INSERT INTO `standard_material_application` VALUES ('5903FCBEF3EB9B2B1A7F5E36841357E8', '1', '2023-05-13 12:04:58.253000', '2023-05-13 12:05:10.996000', '12', '1', 'ketamine-2023-05-13', '42F980998F293EE2BF6B31AD3961A4AA', 1, '2023-05-13 12:04:58.266000', '2023-05-13 12:05:11.000000', '1', '1', NULL, '50x50', '037270AF900764595DCB7C0535A4EF4B', NULL, NULL, NULL, 0, NULL, 'E00DFE2E3B4974525BED94EE0BAC51D0', 1, '9B34EF1EDE5B5E65808773167CAB5571', NULL, NULL);
INSERT INTO `standard_material_application` VALUES ('62F4236BC2BB7606402A251C0C01E9BA', '1', '2023-05-13 11:13:40.636000', '2023-05-15 11:29:28.283000', '0', '1', 'heroin-2023-05-13', 'BAE3D7E971A9892FFECED585F5C9931D', 1, '2023-05-13 11:13:40.640000', '2023-05-15 11:29:28.296000', '1', '6c847974320c7cb184228d53eea19114', NULL, '50x50', 'EF0119E13866D05CBF70D387AE2C25D2', NULL, NULL, NULL, 0, NULL, '7F6A56332DC360D0DF24CEA40AF43929', 1, '90CBBAFA2433CB679B1C159C5EF50D4E', NULL, NULL);
INSERT INTO `standard_material_application` VALUES ('7B0D475197C3C1B189CD5E6BF4076448', 'C27B8F582693B93596C21C1586A0845A', '2023-05-15 16:53:25.432000', '2023-05-15 17:43:11.285000', '1', '6c847974320c7cb184228d53eea19114', 'ecstasy-2023-1-004', '28613635426554046F0B12D7121A5AAB', 1, '2023-05-15 16:53:25.437000', '2023-05-15 17:43:11.311000', 'C27B8F582693B93596C21C1586A0845A', '1', NULL, '30x20', '11CC809837E6BBBEE5E4BCEDA0D9B921', NULL, NULL, NULL, 1, NULL, 'BF8ADD37A5C6081810250E698068B73E', 1, '061E2836B4C158CE5C82372CFAF0C8F7', 1, '摇头丸');
INSERT INTO `standard_material_application` VALUES ('80F44C2B6E7012E1F16E946D820A0DF3', '6c847974320c7cb184228d53eea19114', '2023-05-11 18:07:20.481000', '2023-05-13 11:08:37.829000', '5', '6c847974320c7cb184228d53eea19114', 'ecstasy-2023-05-11', '1DF868DB5428ADB82B57A6F6819EDB20', 1, '2023-05-11 18:07:20.488000', '2023-05-13 11:08:37.833000', '6c847974320c7cb184228d53eea19114', '1', NULL, '30x20', NULL, NULL, NULL, NULL, 1, NULL, '7FACDF162B114F5614A53DEC18535286', 1, '20742D2B2CEF86428DFD5132B1F7A184', NULL, NULL);
INSERT INTO `standard_material_application` VALUES ('97E0FC719FF4C3483CD530129025D413', '1', '2023-05-13 09:27:44.273000', '2023-05-13 09:44:06.655000', '1', '1', 'ecstasy-2023-05-11', '1DF868DB5428ADB82B57A6F6819EDB20', 1, '2023-05-13 09:27:44.293000', '2023-05-13 09:44:06.658000', '1', '1', NULL, '30x20', '0695739E3372DB1FB66155F41DF1F9E2', NULL, NULL, NULL, 0, NULL, '5C898D3CB375FBC5FC60890406FE7EF5', 1, '20742D2B2CEF86428DFD5132B1F7A184', NULL, NULL);
INSERT INTO `standard_material_application` VALUES ('BD5F07D4B1D2302F2DC1E7A13E0DD6B9', '1', '2023-05-13 12:05:47.076000', '2023-05-13 12:05:57.032000', '1453', '1', 'ketamine-2023-05-13', '42F980998F293EE2BF6B31AD3961A4AA', 1, '2023-05-13 12:05:47.082000', '2023-05-13 12:05:57.036000', '1', '1', NULL, '50x50', 'AE372BF5FAC1A6688BF03D8EC245D5CA', NULL, NULL, NULL, 0, NULL, 'B3B02094E4CD61DB24704E5562EE12FC', 1, '9B34EF1EDE5B5E65808773167CAB5571', NULL, NULL);
INSERT INTO `standard_material_application` VALUES ('C0F6A157413244170EDBBB24B5895490', 'C27B8F582693B93596C21C1586A0845A', '2023-05-13 16:20:11.274000', '2023-05-13 16:21:08.357000', '1', 'C27B8F582693B93596C21C1586A0845A', 'gafh-2023-1-015', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 1, '2023-05-13 16:20:11.287000', '2023-05-13 16:21:08.361000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, '1mL,1.0 mg/mL于乙腈', '2B2E46B4AB30B592F6E3B25E46FD5E22', NULL, NULL, NULL, 0, NULL, '60A20A3713AF71111ECB6A61DB1A29E5', 1, '1ED66A3A39258F7328E753306F673934', 0, NULL);
INSERT INTO `standard_material_application` VALUES ('C4661B2E6B0EF00B698ACB699A047DE6', 'C27B8F582693B93596C21C1586A0845A', '2023-05-15 16:15:23.826000', NULL, NULL, 'C27B8F582693B93596C21C1586A0845A', 'gafh-2023-05-15', 'A66328B04557EC9B6D76E20B646CEF70', 1, '2023-05-15 16:15:23.845000', '2023-05-15 16:15:23.845000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, '1mL,1.0 mg/mL于乙腈', '590E678EF6A6C5935D025042488082EB', NULL, NULL, NULL, 0, NULL, 'D28EA59421367DD86A0DF29471BDC940', 0, '61CBE8279E964B516B8DDF70202B6719', NULL, '7溶液');

-- ----------------------------
-- Table structure for standard_material_approval_form
-- ----------------------------
DROP TABLE IF EXISTS `standard_material_approval_form`;
CREATE TABLE `standard_material_approval_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `agent_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(经办人)',
  `applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人)',
  `application_time` datetime(6) NULL DEFAULT NULL COMMENT '(申请时间)',
  `opinion_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批意见)',
  `result_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批结果)',
  `approval_of_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批时间)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员审核意见)',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核意见)',
  `audit_result_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员审核结果)',
  `audit_result_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核结果)',
  `audit_time_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员审核时间)',
  `audit_time_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核时间)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任id)',
  `fixed_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值结果)',
  `manufacturer_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(制造商)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(编号)',
  `processing_time` datetime(6) NULL DEFAULT NULL COMMENT '(处理时间)',
  `purchase_time` datetime(6) NULL DEFAULT NULL COMMENT '(购置时间)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reason_for_application` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请原因)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质id)',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员ID)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `specification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格)',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人id)',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `applicant_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reference_material_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `application_content` int(6) NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质停用/报废销毁/恢复/降级使用审批表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_material_approval_form
-- ----------------------------
INSERT INTO `standard_material_approval_form` VALUES ('A4EEC9CF8844ECD89AC47CCC8C3DD04D', '123123', '1', NULL, NULL, NULL, '2023-05-12 18:00:59.1', '2023-05-12 18:00:59.113000', '2023-05-12 18:00:59.113000', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, '003', 1, NULL, '5', '72E82118AA58CFE3EB4D400C253F512E', NULL, '2023-05-01 00:00:00.000000', '2023-05-10 14:48:31.000000', 1, '发现质变或有异常,暂停使用', '061E2836B4C158CE5C82372CFAF0C8F7', NULL, '12345', '30x20', NULL, 'ecstasy-2023-1-004', '管理员', '摇头丸', 1, '2023-05-12 18:00:59.100000');

-- ----------------------------
-- Table structure for standard_reserve_solution
-- ----------------------------
DROP TABLE IF EXISTS `standard_reserve_solution`;
CREATE TABLE `standard_reserve_solution`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `configuration_concentration` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(配置浓度(mg/mL))',
  `configuration_date` datetime(6) NULL DEFAULT NULL COMMENT '(配置日期)',
  `constant_volume` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定容体积（mL）)',
  `dispenser_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(配制人ID)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `reference_material_scale` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质称取量)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `solution_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液名称)',
  `solution_numbering` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液编号)',
  `use_of_solvent` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(使用溶剂)',
  `user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(使用人ID)',
  `validity_period` int(6) NULL DEFAULT NULL COMMENT '(有效期限)',
  `status` int(5) NULL DEFAULT NULL,
  `warehousing_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reference_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准储备溶液配制及使用记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_reserve_solution
-- ----------------------------
INSERT INTO `standard_reserve_solution` VALUES ('05411E2C34140BED55292459B2E2A391', '55', '2023-05-11 17:27:01.990000', '44', '6c847974320c7cb184228d53eea19114', '684AB3A46A2138BA0E67FB2A171D9F22', 'ecstasy-2023-1-003', '3克', '2023-05-11 17:27:01.997000', '2023-05-11 17:31:15.603000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', '五五', '火星摇头丸', 'ecstasy-2023-05-11', 'H2O', NULL, 8, 1, NULL, NULL);
INSERT INTO `standard_reserve_solution` VALUES ('2406F601C14481A2BF2749D010CA3B30', '2', '2023-05-15 16:12:35.736000', '2', 'C27B8F582693B93596C21C1586A0845A', '01DD598E4FD9A686D580BFE30DBE9CCE', 'gafh-2023-1-050', '10', '2023-05-15 16:12:35.742000', '2023-05-15 16:14:35.738000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2', '7溶液', 'gafh-2023-05-15', '1', NULL, 2, 1, NULL, '61CBE8279E964B516B8DDF70202B6719');
INSERT INTO `standard_reserve_solution` VALUES ('909FD5A69D20E0A32FC9B15173F15557', '44', '2023-05-11 17:34:25.403000', '0.4', '6c847974320c7cb184228d53eea19114', '829B46861130C30437A0C3E257120D06', 'ecstasy-2023-1-005', '4KG', '2023-05-11 17:34:25.407000', '2023-05-13 11:31:04.754000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', '涣发大号奋达科技', '月球摇头丸', 'ecstasy-2023-05-13', 'H2O', NULL, 3, 1, NULL, NULL);
INSERT INTO `standard_reserve_solution` VALUES ('A150CE1461E9294E87C9B2FA011B46BC', '1', '2023-05-13 12:04:18.255000', '10', '1', '26009E39FC5EB89C61A65E050EF7780E', 'ketamine-2023-1-001', '0.5', '2023-05-13 12:04:18.264000', '2023-05-13 20:04:27.114000', '1', '6c847974320c7cb184228d53eea19114', '1', '氯胺酮标准储备溶液', 'ketamine-2023-05-13', '1', NULL, 12, 1, NULL, 'F91C374267824ABDFA064AC327D07A43');
INSERT INTO `standard_reserve_solution` VALUES ('B2DA37A4E961D98945192C75A04D9CF9', '33', '2023-05-15 15:08:54.191000', '33', '6c847974320c7cb184228d53eea19114', '90CBBAFA2433CB679B1C159C5EF50D4E', 'heroin-2023-05-13', '4', '2023-05-15 15:08:54.202000', '2023-05-15 15:08:54.202000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', '3333', '海洛因solution', NULL, 'H2O', NULL, 3, 0, NULL, NULL);
INSERT INTO `standard_reserve_solution` VALUES ('FFD6FED435958F101B9261A3846F23B3', '1', '2023-05-13 11:10:34.226000', '1', '1', '396A73079B0457D74B6D64A2F3E702F1', 'heroin-2023-1-001', '0.5', '2023-05-13 11:10:34.236000', '2023-05-13 11:11:26.514000', '1', '1', '1', '海洛因标准储备溶液', 'heroin-2023-05-13', '乙醇', NULL, 12, 1, NULL, NULL);

-- ----------------------------
-- Table structure for standard_solution_curve
-- ----------------------------
DROP TABLE IF EXISTS `standard_solution_curve`;
CREATE TABLE `standard_solution_curve`  (
  `dispenser_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(配制人ID)',
  `serialn_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(序号)',
  `solution_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液名称)',
  `solution_concentration` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准储备溶液浓度)',
  `concentration_numbering` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准储备溶液浓度编号)',
  `step_solution_concentration` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(逐级溶液浓度)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `configuration_date` datetime(6) NULL DEFAULT NULL COMMENT '(工作曲线溶液配置日期)',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准工作曲线溶液配置记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_solution_curve
-- ----------------------------
INSERT INTO `standard_solution_curve` VALUES ('1', NULL, '氯胺酮标准储备溶液', '1', 'ketamine-2023-05-13', '46344653', '2023-05-13 13:22:41.018000', '2023-05-13 13:22:41.018000', '1', '1', '2023-05-13 13:22:41.017000', '207C3D7B7E2C018E924E006516220E39', '9B34EF1EDE5B5E65808773167CAB5571');
INSERT INTO `standard_solution_curve` VALUES ('1', NULL, '月球摇头丸', '44', 'ecstasy-2023-05-13', '45312453', '2023-05-13 13:39:31.518000', '2023-05-13 13:39:31.518000', '1', '1', '2023-05-13 13:39:31.516000', 'E6BA33C6F84636211B19499BDA1FEB56', '0B594979D24159B30F2AF3CC3388E349');
INSERT INTO `standard_solution_curve` VALUES ('C27B8F582693B93596C21C1586A0845A', NULL, '氯胺酮标准储备溶液', '1', 'ketamine-2023-04-13', '1', '2023-05-15 11:11:11.819000', '2023-05-15 11:11:11.819000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2023-05-15 11:11:11.815000', 'E7BCD770F1C7CA1AA545535E2DFF794E', 'F91C374267824ABDFA064AC327D07A43');
INSERT INTO `standard_solution_curve` VALUES ('C27B8F582693B93596C21C1586A0845A', NULL, '氯胺酮标准储备溶液', '1', 'ketamine-2023-04-13', '12', '2023-05-15 11:11:53.427000', '2023-05-15 11:11:53.427000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2023-05-15 11:11:53.426000', 'FC05801C858C3A7EB34ED1217389DCAC', 'F91C374267824ABDFA064AC327D07A43');

-- ----------------------------
-- Table structure for storage_registration_form
-- ----------------------------
DROP TABLE IF EXISTS `storage_registration_form`;
CREATE TABLE `storage_registration_form`  (
  `date_of_arrival` datetime(6) NULL DEFAULT NULL COMMENT '(入库日期)',
  `depositor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(入库人)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(55) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `reagent_consumable_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材编号)',
  `reagent_consumable_type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材类型)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `storage_life` datetime(6) NULL DEFAULT NULL COMMENT '(存储期限)',
  `storage_registration_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `warehousing_batch_list_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `lattice_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`storage_registration_form_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材入库登记表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of storage_registration_form
-- ----------------------------
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 5, '6D9807222F22E3675247B2CFCD5344A5', NULL, NULL, '1', '2023-05-10 14:48:31.941000', '2023-05-10 14:48:31.941000', '1', '1', NULL, '06BFE54EA2C3ADE0672955D2E98CAA12', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 5, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, NULL, '1', '2023-05-10 14:48:31.932000', '2023-05-10 14:48:31.932000', '1', '1', NULL, '099DBC680B8414B665209617806D1C62', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 5, '23C62823622E0022DD0E1CC729473C81', NULL, NULL, '无', '2023-05-10 14:47:00.307000', '2023-05-10 14:47:00.307000', '1', '1', NULL, '1AD40EFCF78B4B24916618F0E1258782', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, '2D8BD9AD670C2998B91DEC97C3ABCC1A', NULL, NULL, '1', '2023-05-15 10:57:46.916000', '2023-05-15 10:57:46.916000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, '2B62012FA293DAA6827B081EA21E04AF', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, '8C057A697826732F6510CDC2A691B4D5', NULL, NULL, '1', '2023-05-10 15:10:53.680000', '2023-05-10 15:10:53.680000', '1', '1', NULL, '3941CE8B49489DB139E42B3AD15FBFEB', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, 'BCF7C4C229BD2CF0BA2576FBCA3F3633', NULL, NULL, '1', '2023-05-13 16:02:09.847000', '2023-05-13 16:02:09.847000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, '4152E34CCA3B98AF44AFA8C00B260A07', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, 'EEB461F1E10CE14AD6E7E0247844053A', NULL, NULL, '1', '2023-05-10 14:03:51.655000', '2023-05-10 14:03:51.655000', '1', '1', NULL, '530D86A5A7739090AE35EC34CB635758', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, '28613635426554046F0B12D7121A5AAB', NULL, NULL, '10', '2023-05-10 14:03:51.663000', '2023-05-10 14:03:51.663000', '1', '1', NULL, '5427824370315C70F8D0ED7FFCB5493B', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, '26B966569ED973FF3B443F0D748337CC', NULL, NULL, '111', '2023-05-15 10:58:04.889000', '2023-05-15 10:58:04.889000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, '6AEF247568A40CE78E93F48A5A7D0E82', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, '8C057A697826732F6510CDC2A691B4D5', NULL, NULL, '1', '2023-05-10 14:03:51.659000', '2023-05-10 14:03:51.659000', '1', '1', NULL, '7622EBCB2BC9FFD847D5AF52958FEF82', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 3344, '243E47CC2269FD5E40ACE32D07F4604C', NULL, NULL, '65', '2023-05-15 10:33:44.691000', '2023-05-15 10:33:44.691000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, '7794FFE95A1ADC795485924086FB90FA', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, 'BCF7C4C229BD2CF0BA2576FBCA3F3633', NULL, NULL, '111', '2023-05-13 16:31:09.433000', '2023-05-13 16:31:09.433000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, '8D42E529DE0443D41CBFF957DCD77D86', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 5, 'EEB461F1E10CE14AD6E7E0247844053A', NULL, NULL, '1', '2023-05-10 14:48:31.912000', '2023-05-10 14:48:31.912000', '1', '1', NULL, '9A597A8501B198328260DFADBE08E0FC', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 2, '971672B361519CA4185A90240F55ECB1', NULL, NULL, '1', '2023-05-15 10:51:34.290000', '2023-05-15 10:51:34.290000', '1', '1', NULL, 'AAFED0370D6EF4529C3F5127BDBFE93A', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, '23C62823622E0022DD0E1CC729473C81', NULL, NULL, '1', '2023-05-10 14:03:51.649000', '2023-05-10 14:03:51.649000', '1', '1', NULL, 'B78E7D36DB38E0DA641C15BCE4F329F7', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, '6D9807222F22E3675247B2CFCD5344A5', NULL, NULL, '1', '2023-05-10 14:03:51.619000', '2023-05-10 14:03:51.619000', '1', '1', NULL, 'CF45406F1A0A23DBCD0F8037BF63508D', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 999, '243E47CC2269FD5E40ACE32D07F4604C', NULL, NULL, '45', '2023-05-15 10:33:44.704000', '2023-05-15 10:33:44.704000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, 'D12CA143FD3B8D558ABD287A67078995', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, NULL, '1', '2023-05-10 14:03:51.645000', '2023-05-10 14:03:51.645000', '1', '1', NULL, 'E8308C52F1274A7B89D2E73AC625D0B2', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 5, '8C057A697826732F6510CDC2A691B4D5', NULL, NULL, '1', '2023-05-10 14:48:31.937000', '2023-05-10 14:48:31.937000', '1', '1', NULL, 'F0C6650E48C5B14D5FBDE1C71E9487AE', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 5, '28613635426554046F0B12D7121A5AAB', NULL, NULL, '1', '2023-05-10 14:48:31.919000', '2023-05-10 14:48:31.919000', '1', '1', NULL, 'F7734BE568763BE774A8DE6D82C4997D', NULL, NULL);

-- ----------------------------
-- Table structure for storage_room_form
-- ----------------------------
DROP TABLE IF EXISTS `storage_room_form`;
CREATE TABLE `storage_room_form`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `picture` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `floor` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `room_location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of storage_room_form
-- ----------------------------
INSERT INTO `storage_room_form` VALUES ('1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for supplier_information
-- ----------------------------
DROP TABLE IF EXISTS `supplier_information`;
CREATE TABLE `supplier_information`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `acceptable_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(合格状态)',
  `contact_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人电话)',
  `contact_person_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人名称)',
  `name_of_supplier` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人姓名)',
  `photograph_of_supplier` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人照片)路径',
  `qualification_document` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(资质文件)路径',
  `scope_of_supply` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应范围)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `supplier_coding` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商编码)',
  `supplier_id_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人身份证号)',
  `supplier_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商名称)',
  `supplier_telephone` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人电话)',
  `supplier_business_license` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商营业执照)',
  `supplier_passes_quality_assurance_system` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商通过质量保证体系)',
  `supplier_product_certification` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商产品认证)',
  `check_and_calibrate_efficiency_of_supplies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应品检验校准效率)',
  `overall_supplier_service_satisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应商总体服务是否满意)',
  `supplier_attitude` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商态度)',
  `supplier_equipment_and_facilities` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商设备与设施)',
  `supplier_technology_and_management_capability` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商技术与管理能力)',
  `whether_the_supplier_delivers_on_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商交货是否及时)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `photograph` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `qualification_document_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(服务商/供应商信息)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of supplier_information
-- ----------------------------
INSERT INTO `supplier_information` VALUES ('031FEC6A61697C972DBE0E9E3CA26593', '合格', '3123', '23123', '12', 'reagen_managment/supplierInformation/031FEC6A61697C972DBE0E9E3CA26593', NULL, '121', '2023-05-10 18:19:08.802000', '2023-05-11 17:12:23.761000', 'BC1A096180973C5EA652C9787F5A155A', '45b9ad10f4ec48e3b371d3ea8ab845e3', '12313', '123', '供应商名称13451312', '3123', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '20230511171223.png', NULL);
INSERT INTO `supplier_information` VALUES ('1', '不合格', '19983828405', '王五', '张麻子', '111', 'reagen_managment/1644918737199.png', '标准物质-试剂耗材', '2023-03-20 14:22:54.922000', '2023-05-05 17:28:38.084000', '1', '1', '1155222', '522128111111111111', 'xxx供应商2', '13355556666', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1644918737199.png');
INSERT INTO `supplier_information` VALUES ('12F7D1F5F83481503F5EAC204BFE9FB7', '不合格', '1231', '123123', '231', 'reagen_managment/supplierInformation/12F7D1F5F83481503F5EAC204BFE9FB7', 'reagen_managment/12F7D1F5F83481503F5EAC204BFE9FB7', '3123', '2023-04-17 14:54:38.370000', '2023-04-28 11:48:46.061000', '1', '1', '2312312', '1231', '231231', '23123123', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1641696251694.jpg', '1644918737199.png');
INSERT INTO `supplier_information` VALUES ('28E199ABB914ACEEDC7EE4AD8EF01DA9', '不合格', '1', '1', '1', NULL, NULL, '1', '2023-04-28 16:50:32.566000', '2023-05-05 17:27:55.534000', '1', 'BC1A096180973C5EA652C9787F5A155A', '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `supplier_information` VALUES ('2DA79E5EA9BD6AC13D6BED4258B976EA', '不合格', '电话', NULL, '姓名', NULL, NULL, '范围', '2023-04-17 14:09:39.445000', '2023-05-05 17:28:14.225000', 'BC1A096180973C5EA652C9787F5A155A', '1', '编码', '供应人身份证', '供应商名称1', '供应人电', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `supplier_information` VALUES ('3875E2F31011ED1E15F69B879C4FEDC3', '不合格', '供应商名称12', '供应商名称12', '供应商名称12', 'reagen_managment/supplierInformation/3875E2F31011ED1E15F69B879C4FEDC3', NULL, '供应商名称21', '2023-05-05 14:53:49.034000', '2023-05-12 09:24:23.028000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '供应商名称12', '供应商名称12', '供应商名称12', '供应商名称12', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '20230512092422.png', NULL);
INSERT INTO `supplier_information` VALUES ('4DE1482F1E1C25E76EEAA306E3161C9D', '不合格', '联系人电话2', '联系人姓名2', '供应人姓名2', 'reagen_managment/supplierInformation/4DE1482F1E1C25E76EEAA306E3161C9D', NULL, '供应范围2', '2023-04-17 16:44:38.852000', '2023-05-05 17:28:28.277000', 'BC1A096180973C5EA652C9787F5A155A', '1', '供应商编码2', '供应人身份证2', '供应商名称2', '供应人电话2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '复称.png', NULL);
INSERT INTO `supplier_information` VALUES ('5F94AC43C01828C952235C744F5919EA', '合格', '1231', '3123', '23123112', 'reagen_managment/supplierInformation/5F94AC43C01828C952235C744F5919EA', NULL, '123', '2023-05-10 16:42:08.799000', '2023-05-10 17:46:10.551000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '3121', '231', '供应商名称123', '312', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '20230510174609.png', NULL);
INSERT INTO `supplier_information` VALUES ('649CF5C051DE55F375BB638440FFF37F', '合格', '110', '张三', '李四', 'reagen_managment/supplierInformation/649CF5C051DE55F375BB638440FFF37F', NULL, '电子产品', '2023-05-05 16:29:18.228000', '2023-05-10 15:16:06.001000', '1', 'BC1A096180973C5EA652C9787F5A155A', '564100', '8808808820', '贵阳联创智能有限公司', '120', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '20230510151605.png', NULL);
INSERT INTO `supplier_information` VALUES ('6B220EF9665287CDABF8CFD8919668C1', '合格', '231', '23', '2312', 'reagen_managment/supplierInformation/6B220EF9665287CDABF8CFD8919668C1', NULL, '1231', '2023-05-10 16:57:30.714000', '2023-05-11 17:27:51.211000', 'BC1A096180973C5EA652C9787F5A155A', '45b9ad10f4ec48e3b371d3ea8ab845e3', '1231', '2312', '供应商名称231', '31231', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '20230511172748.png', NULL);
INSERT INTO `supplier_information` VALUES ('72E82118AA58CFE3EB4D400C253F512E', '合格', '19983828405', '张三', '李四', '111', '222', '标准物质-试剂耗材', '2023-03-20 14:21:51.987000', '2023-05-09 18:04:14.798000', '1', '1', '1155222', '522128111111111111', 'xxx供应商', '13355556666', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `supplier_information` VALUES ('80FA0C44E3A2846331CAD918A2D90F2D', '合格', '联系人电话', '联系人姓名', '供应人姓名', NULL, NULL, '供应范围', '2023-04-17 15:26:24.437000', '2023-05-10 11:13:06.846000', 'BC1A096180973C5EA652C9787F5A155A', '1', '供应商编码', '供应人身份证', '供应商名称', '供应人电话', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `supplier_information` VALUES ('92E358EC60031EF81C131A93355592E1', '不合格', '312', NULL, NULL, NULL, NULL, '12312', '2023-04-17 14:04:56.957000', '2023-05-05 17:28:10.481000', '1', '1', '123', '1231', '213', '23123', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `supplier_information` VALUES ('A4256ADFAEFF1A8B11EEFDFE7BA653CA', '合格', '3123', '312', '23123123', 'reagen_managment/supplierInformation/A4256ADFAEFF1A8B11EEFDFE7BA653CA', NULL, '1', '2023-05-11 10:31:44.419000', '2023-05-11 10:40:15.130000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '12341', '23123', '供应商名称423', '1231', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '20230511104015.png', NULL);
INSERT INTO `supplier_information` VALUES ('B40A6E6F5CF433EA1BBAFCB4C679DC3B', '不合格', '3', '3', '3', NULL, NULL, '3', '2023-05-04 16:41:05.494000', '2023-05-05 17:28:32.257000', '1', '1', '3', '3', '3', '3', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `supplier_information` VALUES ('C65D9DAC768E62E38D57973195D0CCD7', '合格', '312312', '312', '3123', 'reagen_managment/supplierInformation/C65D9DAC768E62E38D57973195D0CCD7', NULL, '12', '2023-05-10 18:17:20.751000', '2023-05-11 17:27:39.533000', 'BC1A096180973C5EA652C9787F5A155A', '45b9ad10f4ec48e3b371d3ea8ab845e3', '12312', '23123', '供应商名称123412', '1231', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '20230511172737.png', NULL);
INSERT INTO `supplier_information` VALUES ('EA088AA61983C2C8C60954D2D8E4B153', '不合格', '23123', '23123', '12312', NULL, NULL, '1231', '2023-04-17 14:21:31.333000', '2023-05-05 17:28:17.252000', 'BC1A096180973C5EA652C9787F5A155A', '1', '123', '23123', '123', '31231', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for warehousing_batch_list
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_batch_list`;
CREATE TABLE `warehousing_batch_list`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `batch` int(6) NULL DEFAULT NULL COMMENT '(批次)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `date_of_production` datetime(6) NULL DEFAULT NULL COMMENT '(生产日期)',
  `date_of_receipt` datetime(6) NULL DEFAULT NULL COMMENT '签收日期',
  `expiration_date` datetime(6) NULL DEFAULT NULL COMMENT '(有效日期)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `warning_value` int(11) NULL DEFAULT NULL COMMENT '(预警值)',
  `depositor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '签收人\r\n',
  `warehousing_content_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '签收内容ID',
  `lattice_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `limit_date` varbinary(255) NULL DEFAULT NULL COMMENT '存储期限',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '位置信息',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '签收批次明细' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of warehousing_batch_list
-- ----------------------------
INSERT INTO `warehousing_batch_list` VALUES ('151D90ABD5CA0836DD4A878E7C648D82', 1, '002', '2023-05-08 00:00:00.000000', '2023-05-10 14:48:31.910000', '2023-05-09 00:00:00.000000', 5, '2023-05-10 14:48:31.912000', '2023-05-10 14:48:31.912000', '1', '1', NULL, NULL, '1', '3638C6520BFE5574FFD418A3BD49B0F3', '1', 0x31, '1', NULL);
INSERT INTO `warehousing_batch_list` VALUES ('2CC5E2CD26838F08C9A2F7DE59F52C33', 1, '005', '2023-05-14 00:00:00.000000', '2023-05-10 14:48:31.935000', '2023-05-02 00:00:00.000000', 5, '2023-05-10 14:48:31.936000', '2023-05-10 14:48:31.936000', '1', '1', NULL, NULL, '1', 'CEFE8D8AC7D34B944BB359AB196526D1', '1', 0x3132, '1', NULL);
INSERT INTO `warehousing_batch_list` VALUES ('3F408B171805DEBA0C75292870934674', 1, '00001', '2023-05-09 00:00:00.000000', '2023-05-13 16:02:09.760000', '2023-05-09 00:00:00.000000', 1, '2023-05-13 16:02:09.843000', '2023-05-13 16:02:09.843000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, 'C27B8F582693B93596C21C1586A0845A', 'E062E7BE0612AD1FFDF8AB970D2F5968', '1', 0x3132, '1', NULL);
INSERT INTO `warehousing_batch_list` VALUES ('4D0B1999050E728F71A6B2353B5C8FEC', 1, '0002', '2023-05-01 00:00:00.000000', '2023-05-13 16:31:09.428000', '2023-05-31 00:00:00.000000', 1, '2023-05-13 16:31:09.431000', '2023-05-13 16:31:09.431000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, 'C27B8F582693B93596C21C1586A0845A', '76C93C96ED5A431405A8875AC5A04D8E', '1', 0x36, '111', NULL);
INSERT INTO `warehousing_batch_list` VALUES ('6EC4B86111C948738477925F210B6959', 1, '003', '2023-05-07 00:00:00.000000', '2023-05-10 14:48:31.917000', '2023-05-09 00:00:00.000000', 5, '2023-05-10 14:48:31.918000', '2023-05-10 14:48:31.918000', '1', '1', NULL, NULL, '1', '6D5641C29E987DB51C5CB6F1E1B8F461', '1', 0x3132, '1', NULL);
INSERT INTO `warehousing_batch_list` VALUES ('6F17F55F83B74E68D6BC509FD7E27E9C', 1, '10120', '2023-05-01 00:00:00.000000', '2023-05-10 15:10:53.671000', '2023-05-08 00:00:00.000000', 10, '2023-05-10 15:10:53.675000', '2023-05-10 15:10:53.675000', '1', '1', NULL, NULL, '1', '068C5DD792F3F39336BAD227F4C2DBA3', '1', 0x3132, '1', NULL);
INSERT INTO `warehousing_batch_list` VALUES ('7FF716A6B60C9CF78F672B751DD86C75', 1, '11111', '2023-05-03 00:00:00.000000', '2023-05-15 10:57:46.913000', '2023-05-16 00:00:00.000000', 1, '2023-05-15 10:57:46.915000', '2023-05-15 10:57:46.915000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, 'C27B8F582693B93596C21C1586A0845A', '26EDDA6357440EA2C6F8D5FF1D0E68BC', '84af621b5019b01df9d5b28264d64f77', 0x3132, '1', NULL);
INSERT INTO `warehousing_batch_list` VALUES ('97C6C45DEBD392DE176C99F8A58F7C2A', 1, '65', '2023-05-09 00:00:00.000000', '2023-05-15 10:33:44.676000', '2023-05-16 00:00:00.000000', 3344, '2023-05-15 10:33:44.686000', '2023-05-15 10:33:44.686000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, NULL, '6c847974320c7cb184228d53eea19114', '8F79C6C852338C9520B2AE21F7D191D0', 'd8a026f8f3e1b3c5189f535a89e51d04', 0x3536, '65', NULL);
INSERT INTO `warehousing_batch_list` VALUES ('A041A4032D0451C6F2C038888A2FF431', 1, '001', '2023-05-01 00:00:00.000000', '2023-05-10 14:47:00.300000', '2023-05-01 00:00:00.000000', 5, '2023-05-10 14:47:00.303000', '2023-05-10 14:47:00.303000', '1', '1', NULL, NULL, '1', '26707FD480273368D530125A848C6551', '1', 0x3132, '无', NULL);
INSERT INTO `warehousing_batch_list` VALUES ('ADB6559B6CFAA7DC3BFE27E2FBC176B3', 1, '006', '2023-05-10 00:00:00.000000', '2023-05-10 14:48:31.940000', '2023-05-09 00:00:00.000000', 5, '2023-05-10 14:48:31.941000', '2023-05-10 14:48:31.941000', '1', '1', NULL, NULL, '1', 'FEAF0A4DC3731EB06AA788FEA53E27C3', '1', 0x3132, '1', NULL);
INSERT INTO `warehousing_batch_list` VALUES ('AE4EFDB9CFBB7D2AF1F3D6EB0943EC38', 2, '54', '2023-05-08 00:00:00.000000', '2023-05-15 10:33:44.702000', '2023-05-16 00:00:00.000000', 999, '2023-05-15 10:33:44.704000', '2023-05-15 10:33:44.704000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, NULL, '6c847974320c7cb184228d53eea19114', '8F79C6C852338C9520B2AE21F7D191D0', '62101ad1aceffaaee57006a381d9cad2', 0x3534, '45', NULL);
INSERT INTO `warehousing_batch_list` VALUES ('AF9B13992F1C7EFB98A1FBEAB630597C', 1, '004', '2023-05-02 00:00:00.000000', '2023-05-10 14:48:31.930000', '2023-05-09 00:00:00.000000', 5, '2023-05-10 14:48:31.932000', '2023-05-10 14:48:31.932000', '1', '1', NULL, NULL, '1', 'B773B285107E0478493317C631CBB55A', '1', 0x3132, '1', NULL);
INSERT INTO `warehousing_batch_list` VALUES ('B3DF2593788689BCCED18FBB563D1418', 1, '1111', '2023-05-08 00:00:00.000000', '2023-05-15 10:51:34.273000', '2023-05-09 00:00:00.000000', 2, '2023-05-15 10:51:34.285000', '2023-05-15 10:51:34.285000', '1', '1', NULL, NULL, '1', '322F07F9CF7B3A144088EBCECD7ECEBE', '84af621b5019b01df9d5b28264d64f77', 0x3132, '1', NULL);
INSERT INTO `warehousing_batch_list` VALUES ('E2508B27790A4EA334E2E71849C375CE', 1, '012010', '2023-05-08 00:00:00.000000', '2023-05-15 10:58:04.887000', '2023-05-09 00:00:00.000000', 1, '2023-05-15 10:58:04.889000', '2023-05-15 10:58:04.889000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, 'C27B8F582693B93596C21C1586A0845A', 'CAADB585DDEBD3FF11E24BE1D5A6CE6C', '2c6d956fbceb2866f4094febe431a369', 0x3132, '111', NULL);

-- ----------------------------
-- Table structure for warehousing_content
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_content`;
CREATE TABLE `warehousing_content`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `total_quantity` int(6) NULL DEFAULT NULL,
  `warehousing_quantity` int(6) NULL DEFAULT NULL,
  `catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `warehousing_record_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `acceptance_record_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `evaluation_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `purchase_list_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of warehousing_content
-- ----------------------------
INSERT INTO `warehousing_content` VALUES ('068C5DD792F3F39336BAD227F4C2DBA3', '8C057A697826732F6510CDC2A691B4D5', 10, 10, NULL, '2023-05-10 15:06:45.018000', '2023-05-10 15:10:53.700000', '1', '1', 'EE290545A00C398384EEB82E7B2AB800', '8158D9DF6823F748A675687630A19EBF', '649CF5C051DE55F375BB638440FFF37F', '乙醇', NULL, 'FFA4ADE8EE3F614150F0089184785FA1', 1);
INSERT INTO `warehousing_content` VALUES ('26707FD480273368D530125A848C6551', '23C62823622E0022DD0E1CC729473C81', 5, 5, NULL, '2023-05-10 14:46:34.189000', '2023-05-10 14:47:00.345000', '1', '1', 'B6581189BEB8D628A36776938789887B', 'C2D8C997550DC3CE5A02F530D1A0CB4D', '80FA0C44E3A2846331CAD918A2D90F2D', '氯胺酮', NULL, 'B079F39176A38F85734F2C536D0A7BED', 1);
INSERT INTO `warehousing_content` VALUES ('26EDDA6357440EA2C6F8D5FF1D0E68BC', '2D8BD9AD670C2998B91DEC97C3ABCC1A', 1, 1, NULL, '2023-05-15 10:57:30.464000', '2023-05-15 10:57:46.931000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'E2DA16C17AA392479FE8AD0ED20E8309', '6BEF01FF1BAEBF6EE0E8C942C33E0F74', '649CF5C051DE55F375BB638440FFF37F', '哌替啶', NULL, 'D0B48F5E4D3ABFA512A6B4C00946C3FA', 1);
INSERT INTO `warehousing_content` VALUES ('2984AE5A0064EEA21B87CC97FB92D9BD', '23C62823622E0022DD0E1CC729473C81', 1, 0, NULL, '2023-05-15 11:39:36.843000', '2023-05-15 11:39:36.843000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 'A40FE0039F5CAD0A5F8AB3524A13C421', NULL, '031FEC6A61697C972DBE0E9E3CA26593', '氯胺酮', NULL, '2D40086D692C3D3DB8D3E85557D44BFE', 0);
INSERT INTO `warehousing_content` VALUES ('322F07F9CF7B3A144088EBCECD7ECEBE', '971672B361519CA4185A90240F55ECB1', 2, 2, NULL, '2023-05-13 15:42:24.048000', '2023-05-15 10:51:34.460000', 'C27B8F582693B93596C21C1586A0845A', '1', 'FFBA00496BEE649ECEDF78DBBD1D4EB2', 'E8642954677E6D978DDFCE905DFC10CA', '649CF5C051DE55F375BB638440FFF37F', ' 普拉西泮', NULL, 'FB71750DC84F32DD126A2F3F1A70F952', 1);
INSERT INTO `warehousing_content` VALUES ('3638C6520BFE5574FFD418A3BD49B0F3', 'EEB461F1E10CE14AD6E7E0247844053A', 5, 5, NULL, '2023-05-10 14:46:34.188000', '2023-05-10 14:48:31.967000', '1', '1', 'B6581189BEB8D628A36776938789887B', '2384EDCA2BE62B6A70F3F3C0BADE656E', '649CF5C051DE55F375BB638440FFF37F', '试剂1', NULL, '46C17528B5E70CB51BF94CA76EDCAD9D', 1);
INSERT INTO `warehousing_content` VALUES ('6D5641C29E987DB51C5CB6F1E1B8F461', '28613635426554046F0B12D7121A5AAB', 5, 5, NULL, '2023-05-10 14:46:34.189000', '2023-05-10 14:48:31.969000', '1', '1', 'B6581189BEB8D628A36776938789887B', '382B8188BA544DDA348D7251D2BAE68D', '72E82118AA58CFE3EB4D400C253F512E', '摇头丸', NULL, 'DBA76FCB18E908999A91052445F1CA4F', 1);
INSERT INTO `warehousing_content` VALUES ('76C93C96ED5A431405A8875AC5A04D8E', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 1, 1, NULL, '2023-05-13 16:28:51.761000', '2023-05-13 16:31:09.550000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'BEE77F247817A01A8D48CC4B6C8B3D89', '1F0D63C00B21503C169FF82F762C98CA', '649CF5C051DE55F375BB638440FFF37F', '7-氨基硝西泮', NULL, 'AA2D9427487D8A94B65932BAD9B87B59', 1);
INSERT INTO `warehousing_content` VALUES ('8F79C6C852338C9520B2AE21F7D191D0', '243E47CC2269FD5E40ACE32D07F4604C', 4343, 4343, NULL, '2023-05-12 09:45:34.272000', '2023-05-15 10:33:44.703000', '1', '6c847974320c7cb184228d53eea19114', 'CD5486DBC5A47CE8AFE64112CE2CD696', NULL, 'A4256ADFAEFF1A8B11EEFDFE7BA653CA', '1231', NULL, 'FBBDB625A028A9A383AE28A636DBC674', 1);
INSERT INTO `warehousing_content` VALUES ('B773B285107E0478493317C631CBB55A', 'AF8CBA871FC396CABEF48E8D2E6063BD', 5, 5, NULL, '2023-05-10 14:46:34.188000', '2023-05-10 14:48:31.970000', '1', '1', 'B6581189BEB8D628A36776938789887B', '30E6BEEB34F9A522CEAD4D94305B188D', '649CF5C051DE55F375BB638440FFF37F', '手套', NULL, '639EA8C8F795AEA5D3CA5C26F90DB71C', 1);
INSERT INTO `warehousing_content` VALUES ('CAADB585DDEBD3FF11E24BE1D5A6CE6C', '26B966569ED973FF3B443F0D748337CC', 1, 1, NULL, '2023-05-15 10:57:30.463000', '2023-05-15 10:58:04.899000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'E2DA16C17AA392479FE8AD0ED20E8309', '342DA3AA7935ABBEA51EC12AD1B99FD8', '649CF5C051DE55F375BB638440FFF37F', '羟考酮', NULL, '8AA0DAAAF04CE5CE62D290F32386985F', 1);
INSERT INTO `warehousing_content` VALUES ('CEFE8D8AC7D34B944BB359AB196526D1', '8C057A697826732F6510CDC2A691B4D5', 5, 5, NULL, '2023-05-10 14:46:34.189000', '2023-05-10 14:48:31.972000', '1', '1', 'B6581189BEB8D628A36776938789887B', 'F94C0EFAB5272ED51F50CD9CD4DCC266', '72E82118AA58CFE3EB4D400C253F512E', '乙醇', NULL, 'FEF284EFB013062A2A1795EFD7FFED04', 1);
INSERT INTO `warehousing_content` VALUES ('E062E7BE0612AD1FFDF8AB970D2F5968', 'BCF7C4C229BD2CF0BA2576FBCA3F3633', 1, 1, NULL, '2023-05-13 15:58:12.088000', '2023-05-13 16:02:10.020000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '93AA9304FC44411BC501EBA8A90598AD', '9BF6B24B33E6930EE6D1608EF0809926', '649CF5C051DE55F375BB638440FFF37F', '7-氨基硝西泮', NULL, 'D860BA1C0E71B63FAE29F44547BE0203', 1);
INSERT INTO `warehousing_content` VALUES ('FEAF0A4DC3731EB06AA788FEA53E27C3', '6D9807222F22E3675247B2CFCD5344A5', 5, 5, NULL, '2023-05-10 14:46:34.188000', '2023-05-10 14:48:31.973000', '1', '1', 'B6581189BEB8D628A36776938789887B', '523512299A3011B50225F01F628FA0C4', '80FA0C44E3A2846331CAD918A2D90F2D', '海洛因', NULL, '76EDC90F43E1084B10D92C2E848E8FCC', 1);

-- ----------------------------
-- Table structure for warehousing_record_form
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_record_form`;
CREATE TABLE `warehousing_record_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `purchase_list_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购清单ID',
  `status` int(6) NULL DEFAULT NULL COMMENT '状态',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purchase_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '签收记录表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of warehousing_record_form
-- ----------------------------
INSERT INTO `warehousing_record_form` VALUES ('93AA9304FC44411BC501EBA8A90598AD', '7E9D3E80B657C41217993E0A687E2958', 2, '2023-05-13 15:58:12.087000', '2023-05-13 16:02:10.034000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2023-05-13入库任务');
INSERT INTO `warehousing_record_form` VALUES ('A40FE0039F5CAD0A5F8AB3524A13C421', '0528C935B9864F5916972280B71B6996', 0, '2023-05-15 11:39:36.840000', '2023-05-15 11:39:36.840000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', '2023-05-15入库任务');
INSERT INTO `warehousing_record_form` VALUES ('B6581189BEB8D628A36776938789887B', '871895647AAFE539A2B6DBD9B4B70576', 2, '2023-05-10 14:46:34.184000', '2023-05-10 14:48:31.989000', '1', '1', '2023-05-10入库任务');
INSERT INTO `warehousing_record_form` VALUES ('BEE77F247817A01A8D48CC4B6C8B3D89', '6D5751D3A8525FFF8DBDF37BFA50FC59', 2, '2023-05-13 16:28:51.760000', '2023-05-13 16:31:09.555000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2023-05-13入库任务');
INSERT INTO `warehousing_record_form` VALUES ('CD5486DBC5A47CE8AFE64112CE2CD696', '9EB1396422A0D1194BFCE27B9875F3CC', 2, '2023-05-12 09:45:34.264000', '2023-05-15 10:33:44.711000', '1', '6c847974320c7cb184228d53eea19114', '2023-05-12入库任务');
INSERT INTO `warehousing_record_form` VALUES ('E2DA16C17AA392479FE8AD0ED20E8309', 'AFFEEE52B50C2E22BC8FEE622403C10D', 2, '2023-05-15 10:57:30.461000', '2023-05-15 10:58:04.905000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2023-05-15入库任务');
INSERT INTO `warehousing_record_form` VALUES ('EE290545A00C398384EEB82E7B2AB800', '1E87F469B1CC20768CF17C6834A59E3E', 2, '2023-05-10 15:06:45.016000', '2023-05-10 15:10:53.709000', '1', '1', '2023-05-10入库任务');
INSERT INTO `warehousing_record_form` VALUES ('FFBA00496BEE649ECEDF78DBBD1D4EB2', '04A467D0DF8A6D725EC49E15815E89EF', 2, '2023-05-13 15:42:24.043000', '2023-05-15 10:51:34.478000', 'C27B8F582693B93596C21C1586A0845A', '1', '2023-05-13入库任务');

-- ----------------------------
-- Procedure structure for pro_code_generator
-- ----------------------------
DROP PROCEDURE IF EXISTS `pro_code_generator`;
delimiter ;;
CREATE PROCEDURE `pro_code_generator`()
begin
	SELECT COUNT(*) INTO @menucount FROM sys_menu WHERE menu="reagent";
	-- SELECT @menucount;
	set @parentId = replace(UUID(),"-","");
	SELECT MAX(sort) into @maxsort FROM sys_menu WHERE parent_id = "root";
	if ((SELECT @menucount)>0) then
		SELECT menu_id INTO @parentId FROM sys_menu WHERE menu="reagent";
	else
		INSERT into `sys_menu` ( `parent_id`, menu_id, `path`, menu,  `permission_id`, `type`, `icon`, `sort`, `name`)
    		values ( 'root', @parentId, '/reagent', 'reagent', '', '0', 'icon-bangzhushouji', @maxsort+10,'reagent管理');
	end if;
end
;;
delimiter ;

SET FOREIGN_KEY_CHECKS = 1;
